DefinitionBlock ("", "DSDT", 2, "QCOMM ", "SDM8150 ", 0x00000003)
{
    External (_BID, UnknownObj)
    External (_SB_.DPP1, IntObj)
    External (_SB_.MPP0, IntObj)
    External (_SB_.MPP1, IntObj)
    External (_SB_.TZ22._PSV, IntObj)
    External (_SB_.TZ22._TC1, IntObj)
    External (_SB_.TZ22._TC2, IntObj)
    External (_SB_.TZ22._TSP, IntObj)
    External (_SB_.TZ22.TPSV, UnknownObj)
    External (_SB_.TZ22.TTC1, UnknownObj)
    External (_SB_.TZ22.TTC2, UnknownObj)
    External (_SB_.TZ22.TTSP, UnknownObj)
    External (_SB_.TZ38, UnknownObj)
    External (_SB_.TZ38._PSV, IntObj)
    External (_SB_.TZ38._TC1, IntObj)
    External (_SB_.TZ38._TC2, IntObj)
    External (_SB_.TZ38._TSP, IntObj)
    External (_SB_.TZ38.TPSV, UnknownObj)
    External (_SB_.TZ38.TTC1, UnknownObj)
    External (_SB_.TZ38.TTC2, UnknownObj)
    External (_SB_.TZ38.TTSP, UnknownObj)
    External (_SB_.TZ41._PSV, IntObj)
    External (_SB_.TZ41._TC1, IntObj)
    External (_SB_.TZ41._TC2, IntObj)
    External (_SB_.TZ41.TPSV, UnknownObj)
    External (_SB_.TZ41.TTC1, UnknownObj)
    External (_SB_.TZ41.TTC2, UnknownObj)
    External (_SB_.TZ41.TTSP, UnknownObj)
    External (BREV, UnknownObj)
    External (BSID, UnknownObj)
    External (PCF1, IntObj)
    External (PCF2, IntObj)
    External (PCF3, IntObj)
    External (PCF4, IntObj)
    External (PCF5, IntObj)

    Scope (\_SB)
    {
        Name (PSUB, "MTP08150")
        Name (SOID, 0x00000153)
        Name (STOR, 0x00000001)
        Name (SIDS, "SM8150")
        Zero
        Zero
        Zero
        Zero
        Zero
        Zero
        Zero
        Zero
        Zero
        Name (SIDV, 0x00020002)
        Name (SVMJ, 0x0002)
        Name (SVMI, 0x0002)
        Name (SDFE, 0x0056)
        Name (SFES, "899800000000000")
        Name (SIDM, 0x0000000FFFFF00FF)
        Name (SUFS, 0xFFFFFFFF)
        Name (PUS3, 0x00000001)
        Name (SUS3, 0xFFFFFFFF)
        Name (SIDT, 0x00000001)
        Name (SOSN, 0x00000407D4506A22)
        Name (PLST, 0x00000000)
        Name (RMTB, 0x85D00000)
        Name (RMTX, 0x00200000)
        Name (RFMB, 0x00000000)
        Name (RFMS, 0x00000000)
        Name (RFAB, 0x00000000)
        Name (RFAS, 0x00000000)
        Name (TPMA, 0x00000001)
        Name (TDTV, 0x6654504D)
        Name (TCMA, 0x9E400000)
        Name (TCML, 0x01400000)
        Name (SOSI, 0x0000000086007238)
        Name (PRP0, 0xFFFFFFFF)
        Name (PRP1, 0xFFFFFFFF)
        Name (PRP2, 0xFFFFFFFF)
        Name (PRP3, 0xFFFFFFFF)
        Device (UFS0)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((STOR == One))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }

            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_HID, "QCOM24A5")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_CCA, One)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x01D84000,         // Address Base
                        0x00014000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000129,
                    }
                })
                Return (RBUF) /* \_SB_.UFS0._CRS.RBUF */
            }

            Device (DEV0)
            {
                Method (_ADR, 0, NotSerialized)  // _ADR: Address
                {
                    Return (0x08)
                }

                Method (_RMV, 0, NotSerialized)  // _RMV: Removal Status
                {
                    Return (Zero)
                }
            }
        }

        Device (UFS1)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((SUFS == One))
                {
                    If ((STOR == One))
                    {
                        Return (0x0F)
                    }
                    Else
                    {
                        Return (Zero)
                    }
                }
                Else
                {
                    Return (Zero)
                }
            }

            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_HID, "QCOM24A5")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, One)  // _UID: Unique ID
            Name (_CCA, One)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x01D64000,         // Address Base
                        0x00014000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002A9,
                    }
                })
                Return (RBUF) /* \_SB_.UFS1._CRS.RBUF */
            }

            Device (DEV0)
            {
                Method (_ADR, 0, NotSerialized)  // _ADR: Address
                {
                    Return (0x08)
                }

                Method (_RMV, 0, NotSerialized)  // _RMV: Removal Status
                {
                    Return (Zero)
                }
            }
        }

        Device (ABD)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_HID, "QCOM0427")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            OperationRegion (ROP1, GenericSerialBus, Zero, 0x0100)
            Name (AVBL, Zero)
            Method (_REG, 2, NotSerialized)  // _REG: Region Availability
            {
                If ((Arg0 == 0x09))
                {
                    AVBL = Arg1
                }
            }
        }

        Name (ESNL, 0x14)
        Name (DBFL, 0x17)
        Device (PMIC)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.SPMI
            })
            Name (_HID, "QCOM042E")  // _HID: Hardware ID
            Name (_CID, "PNP0CA3")  // _CID: Compatible ID
            Alias (\_SB.PSUB, _SUB)
            Method (PMCF, 0, NotSerialized)
            {
                Name (CFG0, Package (0x04)
                {
                    0x03, 
                    Package (0x02)
                    {
                        Zero, 
                        One
                    }, 

                    Package (0x02)
                    {
                        0x02, 
                        0x03
                    }, 

                    Package (0x02)
                    {
                        0x04, 
                        0x05
                    }
                })
                Return (CFG0) /* \_SB_.PMIC.PMCF.CFG0 */
            }
        }

        Device (PM01)
        {
            Name (_HID, "QCOM0430")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, One)  // _UID: Unique ID
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PMIC
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Shared, ,, )
                    {
                        0x00000201,
                    }
                })
                Return (RBUF) /* \_SB_.PM01._CRS.RBUF */
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                While (One)
                {
                    Name (_T_0, Buffer (0x01)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                    {
                         0x00                                             // .
                    })
                    CopyObject (ToBuffer (Arg0), _T_0) /* \_SB_.PM01._DSM._T_0 */
                    If ((_T_0 == ToUUID ("4f248f40-d5e2-499f-834c-27758ea1cd3f") /* GPIO Controller */))
                    {
                        While (One)
                        {
                            Name (_T_1, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_1 = ToInteger (Arg2)
                            If ((_T_1 == Zero))
                            {
                                Return (Buffer (One)
                                {
                                     0x03                                             // .
                                })
                            }
                            ElseIf ((_T_1 == One))
                            {
                                Return (Package (0x02)
                                {
                                    Zero, 
                                    One
                                })
                            }
                            Else
                            {
                            }

                            Break
                        }
                    }
                    Else
                    {
                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                    }

                    Break
                }
            }
        }

        Device (PMAP)
        {
            Name (_HID, "QCOM042F")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.PMIC, 
                \_SB.ABD, 
                \_SB.SCM0
            })
            Method (GEPT, 0, NotSerialized)
            {
                Name (BUFF, Buffer (0x04){})
                CreateByteField (BUFF, Zero, STAT)
                CreateWordField (BUFF, 0x02, DATA)
                DATA = 0x02
                Return (DATA) /* \_SB_.PMAP.GEPT.DATA */
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, Buffer (0x02)
                {
                     0x79, 0x00                                       // y.
                })
                Return (RBUF) /* \_SB_.PMAP._CRS.RBUF */
            }
        }

        Device (PRTC)
        {
            Name (_HID, "ACPI000E" /* Time and Alarm Device */)  // _HID: Hardware ID
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                "\\_SB.PMAP"
            })
            Method (_GCP, 0, NotSerialized)  // _GCP: Get Capabilities
            {
                Return (0x04)
            }

            Field (\_SB.ABD.ROP1, BufferAcc, NoLock, Preserve)
            {
                Connection (
                    I2cSerialBusV2 (0x0002, ControllerInitiated, 0x00000000,
                        AddressingMode7Bit, "\\_SB.ABD",
                        0x00, ResourceConsumer, , Exclusive,
                        )
                ), 
                AccessAs (BufferAcc, AttribRawBytes (0x18)), 
                FLD0,   192
            }

            Method (_GRT, 0, NotSerialized)  // _GRT: Get Real Time
            {
                Name (BUFF, Buffer (0x1A){})
                CreateField (BUFF, 0x10, 0x80, TME1)
                CreateField (BUFF, 0x90, 0x20, ACT1)
                CreateField (BUFF, 0xB0, 0x20, ACW1)
                BUFF = FLD0 /* \_SB_.PRTC.FLD0 */
                Return (TME1) /* \_SB_.PRTC._GRT.TME1 */
            }

            Method (_SRT, 1, NotSerialized)  // _SRT: Set Real Time
            {
                Name (BUFF, Buffer (0x32){})
                CreateByteField (BUFF, Zero, STAT)
                CreateField (BUFF, 0x10, 0x80, TME1)
                CreateField (BUFF, 0x90, 0x20, ACT1)
                CreateField (BUFF, 0xB0, 0x20, ACW1)
                ACT1 = Zero
                TME1 = Arg0
                ACW1 = Zero
                BUFF = FLD0 = BUFF /* \_SB_.PRTC._SRT.BUFF */
                If ((STAT != Zero))
                {
                    Return (One)
                }

                Return (Zero)
            }
        }

        Device (BAT1)
        {
            Name (_HID, "BQ27742")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.IC18
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    I2cSerialBusV2 (0x0055, ControllerInitiated, 0x000186A0,
                        AddressingMode7Bit, "\\_SB.IC18",
                        0x00, ResourceConsumer, , Exclusive,
                        )
                })
                Return (RBUF) /* \_SB_.BAT1._CRS.RBUF */
            }
        }

        Device (BAT2)
        {
            Name (_HID, "BQ27742")  // _HID: Hardware ID
            Name (_UID, 0x02)  // _UID: Unique ID
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.I2C2
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    I2cSerialBusV2 (0x0055, ControllerInitiated, 0x000186A0,
                        AddressingMode7Bit, "\\_SB.I2C2",
                        0x00, ResourceConsumer, , Exclusive,
                        )
                })
                Return (RBUF) /* \_SB_.BAT2._CRS.RBUF */
            }
        }

        Device (SCHG)
        {
            Name (_HID, "SMB1380")  // _HID: Hardware ID
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.I2C2, 
                \_SB.BAT1, 
                \_SB.BAT2
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    I2cSerialBusV2 (0x0044, ControllerInitiated, 0x000186A0,
                        AddressingMode7Bit, "\\_SB.I2C2",
                        0x00, ResourceConsumer, , Exclusive,
                        )
                })
                Return (RBUF) /* \_SB_.SCHG._CRS.RBUF */
            }
        }

        Device (BCL1)
        {
            Name (_HID, "QCOM047F")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PMIC
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveLow, Shared, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x01E8
                        }
                    GpioInt (Edge, ActiveHigh, Shared, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x01E9
                        }
                    GpioInt (Edge, ActiveHigh, Shared, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x01EA
                        }
                    GpioInt (Edge, ActiveHigh, Shared, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x01EB
                        }
                    GpioInt (Edge, ActiveLow, Shared, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0120
                        }
                    GpioInt (Edge, ActiveHigh, Shared, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0121
                        }
                    GpioInt (Edge, ActiveHigh, Shared, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0122
                        }
                    GpioInt (Edge, ActiveHigh, Shared, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0123
                        }
                })
                Return (RBUF) /* \_SB_.BCL1._CRS.RBUF */
            }

            Method (BCLQ, 0, NotSerialized)
            {
                Name (CFG0, Package (0x08)
                {
                    "PM3_BCLBIG_LVL0", 
                    "PM3_BCLBIG_LVL1", 
                    "PM3_BCLBIG_LVL2", 
                    "PM3_BCLBIG_BAN", 
                    "PM2_BCLBIG_LVL0", 
                    "PM2_BCLBIG_LVL1", 
                    "PM2_BCLBIG_LVL2", 
                    "PM2_BCLBIG_BAN"
                })
                Return (CFG0) /* \_SB_.BCL1.BCLQ.CFG0 */
            }
        }

        Device (PTCC)
        {
            Name (_HID, "QCOM0482")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PCPD
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullNone, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x00F8
                        }
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullNone, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x010E
                        }
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullNone, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x010D
                        }
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullNone, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x010C
                        }
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullNone, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x010B
                        }
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullNone, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x010A
                        }
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullNone, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0109
                        }
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullNone, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0108
                        }
                    GpioInt (Edge, ActiveHigh, Exclusive, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x00D9
                        }
                    GpioInt (Edge, ActiveBoth, Exclusive, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x00DF
                        }
                    GpioInt (Edge, ActiveHigh, Exclusive, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x00EB
                        }
                })
                Return (RBUF) /* \_SB_.PTCC._CRS.RBUF */
            }
        }

        Device (PCPD)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PMIC
            })
            Name (_HID, "QCOM04CE")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (PEP0)
        {
            Name (_HID, "QCOM0419")  // _HID: Hardware ID
            Name (_CID, "PNP0D80" /* Windows-compatible System Power Management Controller */)  // _CID: Compatible ID
            Method (THTZ, 4, NotSerialized)
            {
                While (One)
                {
                    Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                    _T_0 = ToInteger (Arg0)
                    If ((_T_0 == One))
                    {
                        While (One)
                        {
                            Name (_T_1, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_1 = ToInteger (Arg3)
                            If ((_T_1 == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ1.TPSV = Arg1
                                    Notify (\_SB.TZ1, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ1._PSV ())
                            }
                            ElseIf ((_T_1 == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ1.TTSP = Arg1
                                    Notify (\_SB.TZ1, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ1._TSP ())
                            }
                            ElseIf ((_T_1 == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ1.TTC1 = Arg1
                                    Notify (\_SB.TZ1, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ1._TC1 ())
                            }
                            ElseIf ((_T_1 == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ1.TTC2 = Arg1
                                    Notify (\_SB.TZ1, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ1._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x03))
                    {
                        While (One)
                        {
                            Name (_T_2, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_2 = ToInteger (Arg3)
                            If ((_T_2 == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ3.TPSV = Arg1
                                    Notify (\_SB.TZ3, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ3._PSV ())
                            }
                            ElseIf ((_T_2 == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ3.TTSP = Arg1
                                    Notify (\_SB.TZ3, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ3._TSP ())
                            }
                            ElseIf ((_T_2 == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ3.TTC1 = Arg1
                                    Notify (\_SB.TZ3, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ3._TC1 ())
                            }
                            ElseIf ((_T_2 == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ3.TTC2 = Arg1
                                    Notify (\_SB.TZ3, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ3._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x05))
                    {
                        While (One)
                        {
                            Name (_T_3, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_3 = ToInteger (Arg3)
                            If ((_T_3 == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ5.TPSV = Arg1
                                    Notify (\_SB.TZ5, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ5._PSV ())
                            }
                            ElseIf ((_T_3 == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ5.TTSP = Arg1
                                    Notify (\_SB.TZ5, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ5._TSP ())
                            }
                            ElseIf ((_T_3 == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ5.TTC1 = Arg1
                                    Notify (\_SB.TZ5, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ5._TC1 ())
                            }
                            ElseIf ((_T_3 == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ5.TTC2 = Arg1
                                    Notify (\_SB.TZ5, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ5._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x07))
                    {
                        While (One)
                        {
                            Name (_T_4, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_4 = ToInteger (Arg3)
                            If ((_T_4 == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ7.TPSV = Arg1
                                    Notify (\_SB.TZ7, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ7._PSV ())
                            }
                            ElseIf ((_T_4 == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ7.TTSP = Arg1
                                    Notify (\_SB.TZ7, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ7._TSP ())
                            }
                            ElseIf ((_T_4 == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ7.TTC1 = Arg1
                                    Notify (\_SB.TZ7, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ7._TC1 ())
                            }
                            ElseIf ((_T_4 == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ7.TTC2 = Arg1
                                    Notify (\_SB.TZ7, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ7._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x09))
                    {
                        While (One)
                        {
                            Name (_T_5, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_5 = ToInteger (Arg3)
                            If ((_T_5 == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ9.TPSV = Arg1
                                    Notify (\_SB.TZ9, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ9._PSV ())
                            }
                            ElseIf ((_T_5 == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ9.TTSP = Arg1
                                    Notify (\_SB.TZ9, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ9._TSP ())
                            }
                            ElseIf ((_T_5 == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ9.TTC1 = Arg1
                                    Notify (\_SB.TZ9, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ9._TC1 ())
                            }
                            ElseIf ((_T_5 == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ9.TTC2 = Arg1
                                    Notify (\_SB.TZ9, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ9._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x0F))
                    {
                        While (One)
                        {
                            Name (_T_6, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_6 = ToInteger (Arg3)
                            If ((_T_6 == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ15.TPSV = Arg1
                                    Notify (\_SB.TZ15, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ15._PSV ())
                            }
                            ElseIf ((_T_6 == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ15.TTSP = Arg1
                                    Notify (\_SB.TZ15, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ15._TSP ())
                            }
                            ElseIf ((_T_6 == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ15.TTC1 = Arg1
                                    Notify (\_SB.TZ15, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ15._TC1 ())
                            }
                            ElseIf ((_T_6 == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ15.TTC2 = Arg1
                                    Notify (\_SB.TZ15, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ15._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x10))
                    {
                        While (One)
                        {
                            Name (_T_7, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_7 = ToInteger (Arg3)
                            If ((_T_7 == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ16.TPSV = Arg1
                                    Notify (\_SB.TZ16, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ16._PSV ())
                            }
                            ElseIf ((_T_7 == One))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ16.TCRT = Arg1
                                    Notify (\_SB.TZ16, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ16._CRT ())
                            }
                            ElseIf ((_T_7 == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ16.TTSP = Arg1
                                    Notify (\_SB.TZ16, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ16._TSP ())
                            }
                            ElseIf ((_T_7 == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ16.TTC1 = Arg1
                                    Notify (\_SB.TZ16, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ16._TC1 ())
                            }
                            ElseIf ((_T_7 == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ16.TTC2 = Arg1
                                    Notify (\_SB.TZ16, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ16._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x11))
                    {
                        While (One)
                        {
                            Name (_T_8, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_8 = ToInteger (Arg3)
                            If ((_T_8 == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ17.TPSV = Arg1
                                    Notify (\_SB.TZ17, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ17._PSV ())
                            }
                            ElseIf ((_T_8 == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ17.TTSP = Arg1
                                    Notify (\_SB.TZ17, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ17._TSP ())
                            }
                            ElseIf ((_T_8 == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ17.TTC1 = Arg1
                                    Notify (\_SB.TZ17, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ17._TC1 ())
                            }
                            ElseIf ((_T_8 == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ17.TTC2 = Arg1
                                    Notify (\_SB.TZ17, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ17._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x12))
                    {
                        While (One)
                        {
                            Name (_T_9, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_9 = ToInteger (Arg3)
                            If ((_T_9 == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ18.TPSV = Arg1
                                    Notify (\_SB.TZ18, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ18._PSV ())
                            }
                            ElseIf ((_T_9 == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ18.TTSP = Arg1
                                    Notify (\_SB.TZ18, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ18._TSP ())
                            }
                            ElseIf ((_T_9 == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ18.TTC1 = Arg1
                                    Notify (\_SB.TZ18, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ18._TC1 ())
                            }
                            ElseIf ((_T_9 == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ18.TTC2 = Arg1
                                    Notify (\_SB.TZ18, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ18._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x13))
                    {
                        While (One)
                        {
                            Name (_T_A, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_A = ToInteger (Arg3)
                            If ((_T_A == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ19.TPSV = Arg1
                                    Notify (\_SB.TZ19, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ19._PSV ())
                            }
                            ElseIf ((_T_A == One))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ19.TCRT = Arg1
                                    Notify (\_SB.TZ19, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ19._CRT ())
                            }
                            ElseIf ((_T_A == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ19.TTSP = Arg1
                                    Notify (\_SB.TZ19, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ19._TSP ())
                            }
                            ElseIf ((_T_A == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ19.TTC1 = Arg1
                                    Notify (\_SB.TZ19, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ19._TC1 ())
                            }
                            ElseIf ((_T_A == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ19.TTC2 = Arg1
                                    Notify (\_SB.TZ19, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ19._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x14))
                    {
                        While (One)
                        {
                            Name (_T_B, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_B = ToInteger (Arg3)
                            If ((_T_B == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ20.TPSV = Arg1
                                    Notify (\_SB.TZ20, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ20._PSV ())
                            }
                            ElseIf ((_T_B == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ20.TTSP = Arg1
                                    Notify (\_SB.TZ20, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ20._TSP ())
                            }
                            ElseIf ((_T_B == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ20.TTC1 = Arg1
                                    Notify (\_SB.TZ20, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ20._TC1 ())
                            }
                            ElseIf ((_T_B == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ20.TTC2 = Arg1
                                    Notify (\_SB.TZ20, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ20._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x15))
                    {
                        While (One)
                        {
                            Name (_T_C, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_C = ToInteger (Arg3)
                            If ((_T_C == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ21.TPSV = Arg1
                                    Notify (\_SB.TZ21, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ21._PSV ())
                            }
                            ElseIf ((_T_C == One))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ21.TCRT = Arg1
                                    Notify (\_SB.TZ21, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ21._CRT ())
                            }
                            ElseIf ((_T_C == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ21.TTSP = Arg1
                                    Notify (\_SB.TZ21, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ21._TSP ())
                            }
                            ElseIf ((_T_C == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ21.TTC1 = Arg1
                                    Notify (\_SB.TZ21, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ21._TC1 ())
                            }
                            ElseIf ((_T_C == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ21.TTC2 = Arg1
                                    Notify (\_SB.TZ21, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ21._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x16))
                    {
                        While (One)
                        {
                            Name (_T_D, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_D = ToInteger (Arg3)
                            If ((_T_D == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ22.TPSV = Arg1
                                    Notify (\_SB.TZ22, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ22._PSV) /* External reference */
                            }
                            ElseIf ((_T_D == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ22.TTSP = Arg1
                                    Notify (\_SB.TZ22, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ22._TSP) /* External reference */
                            }
                            ElseIf ((_T_D == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ22.TTC1 = Arg1
                                    Notify (\_SB.TZ22, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ22._TC1) /* External reference */
                            }
                            ElseIf ((_T_D == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ22.TTC2 = Arg1
                                    Notify (\_SB.TZ22, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ22._TC2) /* External reference */
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x26))
                    {
                        While (One)
                        {
                            Name (_T_E, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_E = ToInteger (Arg3)
                            If ((_T_E == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ38.TPSV = Arg1
                                    Notify (\_SB.TZ38, 0x81) // Information Change
                                }

                                Return (\_SB.TZ38._PSV) /* External reference */
                            }
                            ElseIf ((_T_E == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ38.TTSP = Arg1
                                    Notify (\_SB.TZ38, 0x81) // Information Change
                                }

                                Return (\_SB.TZ38._TSP) /* External reference */
                            }
                            ElseIf ((_T_E == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ38.TTC1 = Arg1
                                    Notify (\_SB.TZ38, 0x81) // Information Change
                                }

                                Return (\_SB.TZ38._TC1) /* External reference */
                            }
                            ElseIf ((_T_E == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ38.TTC2 = Arg1
                                    Notify (\_SB.TZ38, 0x81) // Information Change
                                }

                                Return (\_SB.TZ38._TC2) /* External reference */
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x28))
                    {
                        While (One)
                        {
                            Name (_T_F, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_F = ToInteger (Arg3)
                            If ((_T_F == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ40.TPSV = Arg1
                                    Notify (\_SB.TZ40, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ40._PSV ())
                            }
                            ElseIf ((_T_F == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ40.TTSP = Arg1
                                    Notify (\_SB.TZ40, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ40._TSP ())
                            }
                            ElseIf ((_T_F == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ40.TTC1 = Arg1
                                    Notify (\_SB.TZ40, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ40._TC1 ())
                            }
                            ElseIf ((_T_F == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ40.TTC2 = Arg1
                                    Notify (\_SB.TZ40, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ40._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x29))
                    {
                        While (One)
                        {
                            Name (_T_G, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_G = ToInteger (Arg3)
                            If ((_T_G == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ41.TPSV = Arg1
                                    Notify (\_SB.TZ41, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ41._PSV) /* External reference */
                            }
                            ElseIf ((_T_G == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ41.TTSP = Arg1
                                    Notify (\_SB.TZ41, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ41._TSP)
                            }
                            ElseIf ((_T_G == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ41.TTC1 = Arg1
                                    Notify (\_SB.TZ41, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ41._TC1) /* External reference */
                            }
                            ElseIf ((_T_G == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ41.TTC2 = Arg1
                                    Notify (\_SB.TZ41, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ41._TC2) /* External reference */
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x33))
                    {
                        While (One)
                        {
                            Name (_T_H, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_H = ToInteger (Arg3)
                            If ((_T_H == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ51.TPSV = Arg1
                                    Notify (\_SB.TZ51, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ51._PSV ())
                            }
                            ElseIf ((_T_H == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ51.TTSP = Arg1
                                    Notify (\_SB.TZ51, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ51._TSP ())
                            }
                            ElseIf ((_T_H == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ51.TTC1 = Arg1
                                    Notify (\_SB.TZ51, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ51._TC1 ())
                            }
                            ElseIf ((_T_H == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ51.TTC2 = Arg1
                                    Notify (\_SB.TZ51, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ51._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x34))
                    {
                        While (One)
                        {
                            Name (_T_I, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_I = ToInteger (Arg3)
                            If ((_T_I == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ52.TPSV = Arg1
                                    Notify (\_SB.TZ52, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ52._PSV ())
                            }
                            ElseIf ((_T_I == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ52.TTSP = Arg1
                                    Notify (\_SB.TZ52, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ52._TSP ())
                            }
                            ElseIf ((_T_I == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ52.TTC1 = Arg1
                                    Notify (\_SB.TZ52, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ52._TC1 ())
                            }
                            ElseIf ((_T_I == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ52.TTC2 = Arg1
                                    Notify (\_SB.TZ52, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ52._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x35))
                    {
                        While (One)
                        {
                            Name (_T_J, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_J = ToInteger (Arg3)
                            If ((_T_J == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ53.TPSV = Arg1
                                    Notify (\_SB.TZ53, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ53._PSV ())
                            }
                            ElseIf ((_T_J == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ53.TTSP = Arg1
                                    Notify (\_SB.TZ53, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ53._TSP ())
                            }
                            ElseIf ((_T_J == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ53.TTC1 = Arg1
                                    Notify (\_SB.TZ53, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ53._TC1 ())
                            }
                            ElseIf ((_T_J == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ53.TTC2 = Arg1
                                    Notify (\_SB.TZ53, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ53._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x36))
                    {
                        While (One)
                        {
                            Name (_T_K, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_K = ToInteger (Arg3)
                            If ((_T_K == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ54.TPSV = Arg1
                                    Notify (\_SB.TZ54, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ54._PSV ())
                            }
                            ElseIf ((_T_K == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ54.TTSP = Arg1
                                    Notify (\_SB.TZ54, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ54._TSP ())
                            }
                            ElseIf ((_T_K == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ54.TTC1 = Arg1
                                    Notify (\_SB.TZ54, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ54._TC1 ())
                            }
                            ElseIf ((_T_K == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ54.TTC2 = Arg1
                                    Notify (\_SB.TZ54, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ54._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x37))
                    {
                        While (One)
                        {
                            Name (_T_L, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_L = ToInteger (Arg3)
                            If ((_T_L == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ55.TPSV = Arg1
                                    Notify (\_SB.TZ55, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ55._PSV ())
                            }
                            ElseIf ((_T_L == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ55.TTSP = Arg1
                                    Notify (\_SB.TZ55, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ55._TSP ())
                            }
                            ElseIf ((_T_L == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ55.TTC1 = Arg1
                                    Notify (\_SB.TZ55, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ55._TC1 ())
                            }
                            ElseIf ((_T_L == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ55.TTC2 = Arg1
                                    Notify (\_SB.TZ55, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ55._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x38))
                    {
                        While (One)
                        {
                            Name (_T_M, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_M = ToInteger (Arg3)
                            If ((_T_M == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ56.TPSV = Arg1
                                    Notify (\_SB.TZ56, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ56._PSV ())
                            }
                            ElseIf ((_T_M == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ56.TTSP = Arg1
                                    Notify (\_SB.TZ56, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ56._TSP ())
                            }
                            ElseIf ((_T_M == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ56.TTC1 = Arg1
                                    Notify (\_SB.TZ56, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ56._TC1 ())
                            }
                            ElseIf ((_T_M == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ56.TTC2 = Arg1
                                    Notify (\_SB.TZ56, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ56._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x39))
                    {
                        While (One)
                        {
                            Name (_T_N, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_N = ToInteger (Arg3)
                            If ((_T_N == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ57.TPSV = Arg1
                                    Notify (\_SB.TZ57, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ57._PSV ())
                            }
                            ElseIf ((_T_N == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ57.TTSP = Arg1
                                    Notify (\_SB.TZ57, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ57._TSP ())
                            }
                            ElseIf ((_T_N == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ57.TTC1 = Arg1
                                    Notify (\_SB.TZ57, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ57._TC1 ())
                            }
                            ElseIf ((_T_N == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ57.TTC2 = Arg1
                                    Notify (\_SB.TZ57, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ57._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x3A))
                    {
                        While (One)
                        {
                            Name (_T_O, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_O = ToInteger (Arg3)
                            If ((_T_O == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ58.TPSV = Arg1
                                    Notify (\_SB.TZ58, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ58._PSV ())
                            }
                            ElseIf ((_T_O == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ58.TTSP = Arg1
                                    Notify (\_SB.TZ58, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ58._TSP ())
                            }
                            ElseIf ((_T_O == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ58.TTC1 = Arg1
                                    Notify (\_SB.TZ58, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ58._TC1 ())
                            }
                            ElseIf ((_T_O == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ58.TTC2 = Arg1
                                    Notify (\_SB.TZ58, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ58._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x3B))
                    {
                        While (One)
                        {
                            Name (_T_P, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_P = ToInteger (Arg3)
                            If ((_T_P == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ59.TPSV = Arg1
                                    Notify (\_SB.TZ59, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ59._PSV ())
                            }
                            ElseIf ((_T_P == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ59.TTSP = Arg1
                                    Notify (\_SB.TZ59, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ59._TSP ())
                            }
                            ElseIf ((_T_P == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ59.TTC1 = Arg1
                                    Notify (\_SB.TZ59, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ59._TC1 ())
                            }
                            ElseIf ((_T_P == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ59.TTC2 = Arg1
                                    Notify (\_SB.TZ59, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ59._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x3C))
                    {
                        While (One)
                        {
                            Name (_T_Q, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_Q = ToInteger (Arg3)
                            If ((_T_Q == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ60.TPSV = Arg1
                                    Notify (\_SB.TZ60, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ60._PSV ())
                            }
                            ElseIf ((_T_Q == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ60.TTSP = Arg1
                                    Notify (\_SB.TZ60, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ60._TSP ())
                            }
                            ElseIf ((_T_Q == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ60.TTC1 = Arg1
                                    Notify (\_SB.TZ60, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ60._TC1 ())
                            }
                            ElseIf ((_T_Q == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ60.TTC2 = Arg1
                                    Notify (\_SB.TZ60, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ60._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x3D))
                    {
                        While (One)
                        {
                            Name (_T_R, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_R = ToInteger (Arg3)
                            If ((_T_R == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ61.TPSV = Arg1
                                    Notify (\_SB.TZ61, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ61._PSV ())
                            }
                            ElseIf ((_T_R == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ61.TTSP = Arg1
                                    Notify (\_SB.TZ61, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ61._TSP ())
                            }
                            ElseIf ((_T_R == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ61.TTC1 = Arg1
                                    Notify (\_SB.TZ61, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ61._TC1 ())
                            }
                            ElseIf ((_T_R == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ61.TTC2 = Arg1
                                    Notify (\_SB.TZ61, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ61._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x3E))
                    {
                        While (One)
                        {
                            Name (_T_S, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_S = ToInteger (Arg3)
                            If ((_T_S == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ62.TPSV = Arg1
                                    Notify (\_SB.TZ62, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ62._PSV ())
                            }
                            ElseIf ((_T_S == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ62.TTSP = Arg1
                                    Notify (\_SB.TZ62, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ62._TSP ())
                            }
                            ElseIf ((_T_S == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ62.TTC1 = Arg1
                                    Notify (\_SB.TZ62, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ62._TC1 ())
                            }
                            ElseIf ((_T_S == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ62.TTC2 = Arg1
                                    Notify (\_SB.TZ62, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ62._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    ElseIf ((_T_0 == 0x63))
                    {
                        While (One)
                        {
                            Name (_T_T, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_T = ToInteger (Arg3)
                            If ((_T_T == Zero))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ99.TPSV = Arg1
                                    Notify (\_SB.TZ99, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ99._PSV ())
                            }
                            ElseIf ((_T_T == One))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ99.TCRT = Arg1
                                    Notify (\_SB.TZ99, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ99._CRT ())
                            }
                            ElseIf ((_T_T == 0x02))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ99.TTSP = Arg1
                                    Notify (\_SB.TZ99, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ99._TSP ())
                            }
                            ElseIf ((_T_T == 0x03))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ99.TTC1 = Arg1
                                    Notify (\_SB.TZ99, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ99._TC1 ())
                            }
                            ElseIf ((_T_T == 0x04))
                            {
                                If (Arg2)
                                {
                                    \_SB.TZ99.TTC2 = Arg1
                                    Notify (\_SB.TZ99, 0x81) // Thermal Trip Point Change
                                }

                                Return (\_SB.TZ99._TC2 ())
                            }
                            Else
                            {
                                Return (0xFFFF)
                            }

                            Break
                        }
                    }
                    Else
                    {
                        Return (0xFFFF)
                    }

                    Break
                }
            }

            Method (_SUB, 0, NotSerialized)  // _SUB: Subsystem ID
            {
                If ((\_SB.PSUB == "MTP08150"))
                {
                    If ((PPID () == One))
                    {
                        Return ("HAZD8150")
                    }
                    ElseIf (((\_SB.SOID == 0x0169) && (\_SB.PLST == One)))
                    {
                        Return ("MTPC8150")
                    }
                    Else
                    {
                        Return ("MTP08150")
                    }
                }
                ElseIf ((\_SB.PSUB == "CLS08150"))
                {
                    If ((_BID == Zero))
                    {
                        If (((\_SB.SOID == 0x0169) && (\_SB.PLST == One)))
                        {
                            Return ("CLS28150")
                        }
                        Else
                        {
                            Return ("CLS08150")
                        }
                    }
                    ElseIf (((\_SB.SOID == 0x0169) && (\_SB.PLST == One)))
                    {
                        Return ("CLS38150")
                    }
                    Else
                    {
                        Return ("CLS18150")
                    }
                }
                ElseIf ((\_SB.PSUB == "CDP08150"))
                {
                    Return ("CDP08150")
                }
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Return (ResourceTemplate ()
                {
                    Interrupt (ResourceConsumer, Level, ActiveHigh, ExclusiveAndWake, ,, )
                    {
                        0x0000021A,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, ExclusiveAndWake, ,, )
                    {
                        0x0000021C,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, ExclusiveAndWake, ,, )
                    {
                        0x0000021B,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, ExclusiveAndWake, ,, )
                    {
                        0x0000021D,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000025,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000A1,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001A5,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000040,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000041,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000265,
                    }
                })
            }

            Field (\_SB.ABD.ROP1, BufferAcc, NoLock, Preserve)
            {
                Connection (
                    I2cSerialBusV2 (0x0001, ControllerInitiated, 0x00000000,
                        AddressingMode7Bit, "\\_SB.ABD",
                        0x00, ResourceConsumer, , Exclusive,
                        )
                ), 
                AccessAs (BufferAcc, AttribRawBytes (0x15)), 
                FLD0,   168
            }

            Method (GEPT, 0, NotSerialized)
            {
                Name (BUFF, Buffer (0x04){})
                CreateByteField (BUFF, Zero, STAT)
                CreateWordField (BUFF, 0x02, DATA)
                DATA = One
                Return (DATA) /* \_SB_.PEP0.GEPT.DATA */
            }

            Name (ROST, Zero)
            Method (NPUR, 1, NotSerialized)
            {
                \_SB.AGR0._PUR [One] = Arg0
                Notify (\_SB.AGR0, 0x80) // Status Change
            }

            Method (INTR, 0, NotSerialized)
            {
                Name (RBUF, Package (0x18)
                {
                    0x02, 
                    One, 
                    0x03, 
                    One, 
                    0x06, 
                    0x17911008, 
                    One, 
                    Zero, 
                    0x86000000, 
                    0x00200000, 
                    Zero, 
                    Zero, 
                    0x0C300000, 
                    0x1000, 
                    Zero, 
                    Zero, 
                    0x01FD4000, 
                    0x08, 
                    Zero, 
                    Zero, 
                    0x17C0000C, 
                    Zero, 
                    Zero, 
                    Zero
                })
                Return (RBUF) /* \_SB_.PEP0.INTR.RBUF */
            }

            Method (STND, 0, NotSerialized)
            {
                Return (STNX) /* \_SB_.PEP0.STNX */
            }

            Name (STNX, Package (0x20)
            {
                "DMPO", 
                "MMVD", 
                "DMSB", 
                "DMMS", 
                "DMPA", 
                "DM0C", 
                "DM1C", 
                "DM2C", 
                "DMPB", 
                "DMUS", 
                "DMDS", 
                "DM0G", 
                "DM1G", 
                "DM2G", 
                "DM3G", 
                "DM4G", 
                "DM5G", 
                "DM6G", 
                "DM7G", 
                "DM8G", 
                "DM9G", 
                "DMKG", 
                "DMLG", 
                "DMMG", 
                "DMPL", 
                "DMDQ", 
                "DMPI", 
                "DMWE", 
                "XMPC", 
                "XMPL", 
                "XMPN", 
                "DMEP"
            })
            Method (CTPM, 0, NotSerialized)
            {
                Name (CTPN, Package (0x02)
                {
                    "CORE_TOPOLOGY", 
                    0x08
                })
                Return (CTPN) /* \_SB_.PEP0.CTPM.CTPN */
            }

            Name (DCVS, Zero)
            Method (PGDS, 0, NotSerialized)
            {
                Return (DCVS) /* \_SB_.PEP0.DCVS */
            }

            Name (PPPP, Package (0x39)
            {
                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS1_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS2_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS3_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS4_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS5_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS6_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS1_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS2_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS4_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS5_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS6_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_SMPS8_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO1_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO2_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO3_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO4_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO5_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO6_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO7_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO8_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO9_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO10_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO11_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO12_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO13_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO14_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO15_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO16_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO17_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO18_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO1_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO2_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO3_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO4_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO5_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO6_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO7_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO8_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO9_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO10_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_LDO11_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_CXO_BUFFERS_BBCLK1_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_CXO_BUFFERS_BBCLK2_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_CXO_BUFFERS_BBCLK3_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_CXO_BUFFERS_RFCLK1_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_CXO_BUFFERS_RFCLK2_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_CXO_BUFFERS_RFCLK3_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_CXO_BUFFERS_DIVCLK1_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_CXO_BUFFERS_DIVCLK2_A"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_CXO_BUFFERS_DIVCLK1_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_BUCK_BOOST1_C"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_PMIC_GPIO_DV1"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_PMIC_GPIO_DV2"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_PMIC_GPIO_DV3"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_TLMM_GPIO_DV1"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_TLMM_GPIO_DV2"
                }, 

                Package (0x01)
                {
                    "PPP_RESOURCE_ID_TLMM_GPIO_DV3"
                }
            })
            Method (PPPM, 0, NotSerialized)
            {
                Return (PPPP) /* \_SB_.PEP0.PPPP */
            }

            Name (PRRP, Package (0x1B)
            {
                "PPP_RESOURCE_RANGE_INFO_SMPS_A", 
                "PPP_RESOURCE_ID_SMPS1_A", 
                "PPP_RESOURCE_ID_SMPS10_A", 
                "PPP_RESOURCE_RANGE_INFO_SMPS_C", 
                "PPP_RESOURCE_ID_SMPS1_C", 
                "PPP_RESOURCE_ID_SMPS8_C", 
                "PPP_RESOURCE_RANGE_INFO_LDO_A", 
                "PPP_RESOURCE_ID_LDO1_A", 
                "PPP_RESOURCE_ID_LDO18_A", 
                "PPP_RESOURCE_RANGE_INFO_LDO_C", 
                "PPP_RESOURCE_ID_LDO1_C", 
                "PPP_RESOURCE_ID_LDO11_C", 
                "PPP_RESOURCE_RANGE_INFO_CXO_BUFFERS_A", 
                "PPP_RESOURCE_ID_CXO_BUFFERS_BBCLK1_A", 
                "PPP_RESOURCE_ID_CXO_BUFFERS_DIVCLK2_A", 
                "PPP_RESOURCE_RANGE_INFO_CXO_BUFFERS_C", 
                "PPP_RESOURCE_ID_CXO_BUFFERS_DIVCLK1_C", 
                "PPP_RESOURCE_ID_CXO_BUFFERS_DIVCLK1_C", 
                "PPP_RESOURCE_RANGE_INFO_BUCK_BOOST_C", 
                "PPP_RESOURCE_ID_BUCK_BOOST1_C", 
                "PPP_RESOURCE_ID_BUCK_BOOST1_C", 
                "PPP_RESOURCE_RANGE_INFO_PMIC_GPIO_DV", 
                "PPP_RESOURCE_ID_PMIC_GPIO_DV1", 
                "PPP_RESOURCE_ID_PMIC_GPIO_DV3", 
                "PPP_RESOURCE_RANGE_INFO_TLMM_GPIO_DV", 
                "PPP_RESOURCE_ID_TLMM_GPIO_DV1", 
                "PPP_RESOURCE_ID_TLMM_GPIO_DV3"
            })
            Method (PPRR, 0, NotSerialized)
            {
                Return (PRRP) /* \_SB_.PEP0.PRRP */
            }

            Name (FPDP, Zero)
            Method (FPMD, 0, NotSerialized)
            {
                Return (FPDP) /* \_SB_.PEP0.FPDP */
            }

            Method (DPRF, 0, NotSerialized)
            {
                Return (\_SB.DPP0)
            }

            Method (DMRF, 0, NotSerialized)
            {
                Return (\_SB.DPP1) /* External reference */
            }

            Method (MPRF, 0, NotSerialized)
            {
                Return (\_SB.MPP0) /* External reference */
            }

            Method (MMRF, 0, NotSerialized)
            {
                Return (\_SB.MPP1) /* External reference */
            }
        }

        Scope (\_SB.PEP0)
        {
            Method (PEPH, 0, NotSerialized)
            {
                Return (Package (0x01)
                {
                    "ACPI\\VEN_QCOM&DEV_0419"
                })
            }
        }

        Scope (\_SB.PEP0)
        {
            Name (DVMP, Package (0x00){})
            Method (DVMM, 0, NotSerialized)
            {
                Return (DVMP) /* \_SB_.PEP0.DVMP */
            }
        }

        Scope (\_SB.PEP0)
        {
            Method (APMD, 0, NotSerialized)
            {
                Return (APCC) /* \_SB_.PEP0.APCC */
            }

            Name (APCC, Package (0x03)
            {
                Package (0x1A)
                {
                    "DEVICE", 
                    "\\_SB.ADSP.SLM1.ADCM.AUDD", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x03)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x03)
                                {
                                    "PPP_RESOURCE_ID_CXO_BUFFERS_BBCLK2_A", 
                                    0x06, 
                                    One
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x03)
                                {
                                    "PPP_RESOURCE_ID_CXO_BUFFERS_BBCLK2_A", 
                                    0x06, 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        One, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x02, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x03, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x04, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x05, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x06, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x07, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x08, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x09, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x0A, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x0B, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x0C, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x0D, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x0E, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x0F, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x10, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x11, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x12, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x13, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x14, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x15, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x16, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x17, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }
                }, 

                Package (0x03)
                {
                    "DEVICE", 
                    "\\_SB.ADSP.SLM1.ADCM.AUDD.MBHC", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }
                }, 

                Package (0x06)
                {
                    "DEVICE", 
                    "\\_SB.ADSP.SLM1.ADCM.AUDD.QCRT", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_xo", 
                                0x80
                            }
                        }
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        One, 
                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_xo", 
                                Zero
                            }
                        }
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_xo", 
                                Zero
                            }
                        }
                    }
                }
            })
        }

        Scope (\_SB.PEP0)
        {
            Method (GPMD, 0, NotSerialized)
            {
                Name (LIST, Package (0x09)
                {
                    "METHOD_LIST", 
                    "DM0G", 
                    "DM1G", 
                    "DM2G", 
                    "DM3G", 
                    "DM4G", 
                    "DM5G", 
                    "DM6G", 
                    "DM7G"
                })
                Return (LIST) /* \_SB_.PEP0.GPMD.LIST */
            }

            Method (G0MD, 0, NotSerialized)
            {
                Name (GPCC, Package (0x01)
                {
                    Package (0x03)
                    {
                        "DEVICE", 
                        "\\_SB.GPU0", 
                        Package (0x0D)
                        {
                            "COMPONENT", 
                            Zero, 
                            Package (0x02)
                            {
                                "FSTATE", 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "FSTATE", 
                                One, 
                                Package (0x0E)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            0x09
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x04, 
                                            0x31
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x04
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO5_A", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO3_C", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO1_C", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "TLMMGPIO", 
                                        Package (0x06)
                                        {
                                            0x08, 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            One, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x0C)
                                {
                                    "EXIT", 
                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            0x40
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO5_A", 
                                            One, 
                                            0x000D6D80, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO3_C", 
                                            One, 
                                            0x00124F80, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO1_C", 
                                            One, 
                                            0x001B7740, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "TLMMGPIO", 
                                        Package (0x06)
                                        {
                                            0x08, 
                                            One, 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "INIT_FSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PRELOAD_FSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "ABANDON_FSTATE", 
                                Zero
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                Zero, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE_SET", 
                                One, 
                                Package (0x03)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }
                                }
                            }, 

                            Package (0x0B)
                            {
                                "PSTATE_SET", 
                                0x02, 
                                Package (0x14)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x14)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x14)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            0x02
                                        }
                                    }
                                }, 

                                Package (0x14)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x14)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "CRASHDUMP_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x10)
                            {
                                "PSTATE_SET", 
                                0x03, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x1B6B0B00, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x14904840, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x11E1A300, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0BEBC200, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0A37CADB, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x08F0D180, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x05F5E100, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x051BD4B0, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0124F800, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            Zero, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "CRASHDUMP_PSTATE", 
                                    One
                                }
                            }, 

                            Package (0x38)
                            {
                                "PSTATE_SET", 
                                0x04, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000054EFC6400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000054EFC6400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000396F76EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000396F76EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000037F1FEAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000037F1FEAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000003674866A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000003674866A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000034F70E2A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000034F70E2A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000337995EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000337995EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000031FC1DAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000031FC1DAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000307EA56A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000307EA56A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002F012D2A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002F012D2A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002D83B4EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002D83B4EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002C063CAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002C063CAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002A88C46A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002A88C46A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000290B4C2A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000290B4C2A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000278DD3EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000278DD3EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000026105BAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000026105BAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000025B8E7F80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000025B8E7F80
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x10, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000023C346000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000023C346000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x11, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002245CDC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002245CDC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x12, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000020C855800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000020C855800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x13, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001F4ADD400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001F4ADD400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x14, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001DCD65000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001DCD65000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x15, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001C4FECC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001C4FECC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x16, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001AD274800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001AD274800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x17, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001954FC400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001954FC400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x18, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000017D784000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000017D784000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x19, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000165A0BC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000165A0BC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000014DC93800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000014DC93800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000135F1B400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000135F1B400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000011E1A3000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000011E1A3000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000010642AC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000010642AC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xEE6B2800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xEE6B2800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xD693A400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xD693A400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x20, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xBEBC2000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xBEBC2000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x21, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xA6E49C00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xA6E49C00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x22, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x8F0D1800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x8F0D1800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x23, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x77359400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x77359400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x24, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x5F5E1000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x5F5E1000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x25, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x59682F00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x59682F00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x26, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x53724E00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x53724E00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x27, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x4D7C6D00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x4D7C6D00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x28, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x47868C00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x47868C00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x29, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x4190AB00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x4190AB00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x3B9ACA00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x3B9ACA00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x35A4E900
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x35A4E900
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x2FAF0800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x2FAF0800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x29B92700
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x29B92700
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x23C34600
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x23C34600
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x1DCD6500
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x1DCD6500
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x30, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x17D78400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x17D78400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x31, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    0x23
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    0x23
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x23
                                }, 

                                Package (0x02)
                                {
                                    "CRASHDUMP_PSTATE", 
                                    0x23
                                }
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                0x05, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }
                        }
                    }
                })
                Return (GPCC) /* \_SB_.PEP0.G0MD.GPCC */
            }

            Method (G1MD, 0, NotSerialized)
            {
                Name (GPCC, Package (0x01)
                {
                    Package (0x03)
                    {
                        "DEVICE", 
                        "\\_SB.GPU0", 
                        Package (0x09)
                        {
                            "COMPONENT", 
                            One, 
                            Package (0x03)
                            {
                                "FSTATE", 
                                Zero, 
                                Package (0x08)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "cx_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gpu_cc_cxo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_ddrss_gpu_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gpu_cc_cx_gmu_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_gpu_memnoc_gfx_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "gpu_cc_cx_gmu_clk", 
                                            0x03, 
                                            0x0BEBC200, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_GFX3D", 
                                            "ICBID_SLAVE_EBI1", 
                                            One, 
                                            Zero
                                        }
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "FSTATE", 
                                One, 
                                Package (0x07)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_GFX3D", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_gpu_memnoc_gfx_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gpu_cc_cx_gmu_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_ddrss_gpu_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gpu_cc_cxo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "cx_gdsc", 
                                            0x02
                                        }
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "INIT_FSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PRELOAD_FSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "ABANDON_FSTATE", 
                                One
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                Zero, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "cx_gdsc_wa_gemnoc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "DELAY", 
                                        Package (0x01)
                                        {
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "cx_gdsc_wa_gemnoc", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                One, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    One
                                }
                            }
                        }
                    }
                })
                Return (GPCC) /* \_SB_.PEP0.G1MD.GPCC */
            }

            Method (G2MD, 0, NotSerialized)
            {
                Name (GPCC, Package (0x01)
                {
                    Package (0x03)
                    {
                        "DEVICE", 
                        "\\_SB.GPU0", 
                        Package (0x0C)
                        {
                            "COMPONENT", 
                            0x02, 
                            Package (0x02)
                            {
                                "FSTATE", 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "FSTATE", 
                                One, 
                                Package (0x08)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x08)
                                {
                                    "EXIT", 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "FSTATE", 
                                0x02, 
                                Package (0x10)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x09
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            0x37
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x09
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x0D)
                                {
                                    "EXIT", 
                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            0x40
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "INIT_FSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PRELOAD_FSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "ABANDON_FSTATE", 
                                0x02
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                Zero, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE_SET", 
                                One, 
                                Package (0x03)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }
                                }
                            }, 

                            Package (0x0F)
                            {
                                "PSTATE_SET", 
                                0x02, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x1B6B0B00, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x14904840, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x11E1A300, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0BEBC200, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0A37CADB, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x08F0D180, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x05F5E100, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x051BD4B0, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0124F800, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            Zero, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    0x02
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    0x02
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x02
                                }
                            }, 

                            Package (0x3A)
                            {
                                "PSTATE_SET", 
                                0x03, 
                                Package (0x03)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000054EFC6400, 
                                            0x000000054EFC6400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000396F76EA0, 
                                            0x0000000396F76EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000037F1FEAA0, 
                                            0x000000037F1FEAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003674866A0, 
                                            0x00000003674866A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000034F70E2A0, 
                                            0x000000034F70E2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000337995EA0, 
                                            0x0000000337995EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000031FC1DAA0, 
                                            0x000000031FC1DAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000307EA56A0, 
                                            0x0000000307EA56A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002F012D2A0, 
                                            0x00000002F012D2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002D83B4EA0, 
                                            0x00000002D83B4EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002C063CAA0, 
                                            0x00000002C063CAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002A88C46A0, 
                                            0x00000002A88C46A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000290B4C2A0, 
                                            0x0000000290B4C2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000278DD3EA0, 
                                            0x0000000278DD3EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000026105BAA0, 
                                            0x000000026105BAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002492E36A0, 
                                            0x00000002492E36A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x10, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000023156B2A0, 
                                            0x000000023156B2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x11, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002197F2EA0, 
                                            0x00000002197F2EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x12, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000201A7AAA0, 
                                            0x0000000201A7AAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x13, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001E9D026A0, 
                                            0x00000001E9D026A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x14, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001D1F8A2A0, 
                                            0x00000001D1F8A2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x15, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001BA211EA0, 
                                            0x00000001BA211EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x16, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001A2499AA0, 
                                            0x00000001A2499AA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x17, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000018A7216A0, 
                                            0x000000018A7216A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x18, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001729A92A0, 
                                            0x00000001729A92A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x19, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000015AC30EA0, 
                                            0x000000015AC30EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000142EB8AA0, 
                                            0x0000000142EB8AA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000012B1406A0, 
                                            0x000000012B1406A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001133C82A0, 
                                            0x00000001133C82A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xFB64FEA0, 
                                            0xFB64FEA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xE38D7AA0, 
                                            0xE38D7AA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xCBB5F6A0, 
                                            0xCBB5F6A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x20, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xB3DE72A0, 
                                            0xB3DE72A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x21, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x9C06EEA0, 
                                            0x9C06EEA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x22, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x8F0D1800, 
                                            0x8F0D1800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x23, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x89173700, 
                                            0x89173700
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x24, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x83215600, 
                                            0x83215600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x25, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x7D2B7500, 
                                            0x7D2B7500
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x26, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x77359400, 
                                            0x77359400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x27, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x713FB300, 
                                            0x713FB300
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x28, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x6B49D200, 
                                            0x6B49D200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x29, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x6553F100, 
                                            0x6553F100
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x5F5E1000, 
                                            0x5F5E1000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x59682F00, 
                                            0x59682F00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x53724E00, 
                                            0x53724E00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x4D7C6D00, 
                                            0x4D7C6D00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x47868C00, 
                                            0x47868C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x4190AB00, 
                                            0x4190AB00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x30, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x3B9ACA00, 
                                            0x3B9ACA00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x31, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x35A4E900, 
                                            0x35A4E900
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x32, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            0x2FAF0800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x33, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x29B92700, 
                                            0x29B92700
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x34, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x23C34600, 
                                            0x23C34600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x35, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x1DCD6500, 
                                            0x1DCD6500
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x36, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x17D78400, 
                                            0x17D78400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x37, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }
                            }
                        }
                    }
                })
                Return (GPCC) /* \_SB_.PEP0.G2MD.GPCC */
            }

            Method (G3MD, 0, NotSerialized)
            {
                Name (GPCC, Package (0x01)
                {
                    Package (0x03)
                    {
                        "DEVICE", 
                        "\\_SB.GPU0", 
                        Package (0x0C)
                        {
                            "COMPONENT", 
                            0x03, 
                            Package (0x02)
                            {
                                "FSTATE", 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "FSTATE", 
                                One, 
                                Package (0x0B)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x05
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            0x37
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x0A)
                                {
                                    "EXIT", 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x03
                                        }
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "FSTATE", 
                                0x02, 
                                Package (0x12)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x05
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            0x37
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x11)
                                {
                                    "EXIT", 
                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            0x40
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x03
                                        }
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "INIT_FSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PRELOAD_FSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "ABANDON_FSTATE", 
                                0x02
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                Zero, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE_SET", 
                                One, 
                                Package (0x05)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            0x02
                                        }
                                    }
                                }
                            }, 

                            Package (0x0B)
                            {
                                "PSTATE_SET", 
                                0x02, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x03, 
                                            0x1B6B0B00, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x03, 
                                            0x14904840, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x03, 
                                            0x11E1A300, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x03, 
                                            0x0A37CADB, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x03, 
                                            0x0124F800, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x03, 
                                            Zero, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    0x02
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    0x02
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x02
                                }
                            }, 

                            Package (0x3A)
                            {
                                "PSTATE_SET", 
                                0x03, 
                                Package (0x03)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000054EFC6400, 
                                            0x000000054EFC6400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000396F76EA0, 
                                            0x0000000396F76EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000037F1FEAA0, 
                                            0x000000037F1FEAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003674866A0, 
                                            0x00000003674866A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000034F70E2A0, 
                                            0x000000034F70E2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000337995EA0, 
                                            0x0000000337995EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000031FC1DAA0, 
                                            0x000000031FC1DAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000307EA56A0, 
                                            0x0000000307EA56A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002F012D2A0, 
                                            0x00000002F012D2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002D83B4EA0, 
                                            0x00000002D83B4EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002C063CAA0, 
                                            0x00000002C063CAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002A88C46A0, 
                                            0x00000002A88C46A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000290B4C2A0, 
                                            0x0000000290B4C2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000278DD3EA0, 
                                            0x0000000278DD3EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000026105BAA0, 
                                            0x000000026105BAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002492E36A0, 
                                            0x00000002492E36A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x10, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000023156B2A0, 
                                            0x000000023156B2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x11, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002197F2EA0, 
                                            0x00000002197F2EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x12, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000201A7AAA0, 
                                            0x0000000201A7AAA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x13, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001E9D026A0, 
                                            0x00000001E9D026A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x14, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001D1F8A2A0, 
                                            0x00000001D1F8A2A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x15, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001BA211EA0, 
                                            0x00000001BA211EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x16, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001A2499AA0, 
                                            0x00000001A2499AA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x17, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000018A7216A0, 
                                            0x000000018A7216A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x18, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001729A92A0, 
                                            0x00000001729A92A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x19, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000015AC30EA0, 
                                            0x000000015AC30EA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000142EB8AA0, 
                                            0x0000000142EB8AA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000012B1406A0, 
                                            0x000000012B1406A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001133C82A0, 
                                            0x00000001133C82A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xFB64FEA0, 
                                            0xFB64FEA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xE38D7AA0, 
                                            0xE38D7AA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xCBB5F6A0, 
                                            0xCBB5F6A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x20, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xB3DE72A0, 
                                            0xB3DE72A0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x21, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x9C06EEA0, 
                                            0x9C06EEA0
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x22, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x8F0D1800, 
                                            0x8F0D1800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x23, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x89173700, 
                                            0x89173700
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x24, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x83215600, 
                                            0x83215600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x25, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x7D2B7500, 
                                            0x7D2B7500
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x26, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x77359400, 
                                            0x77359400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x27, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x713FB300, 
                                            0x713FB300
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x28, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x6B49D200, 
                                            0x6B49D200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x29, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x6553F100, 
                                            0x6553F100
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x5F5E1000, 
                                            0x5F5E1000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x59682F00, 
                                            0x59682F00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x53724E00, 
                                            0x53724E00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x4D7C6D00, 
                                            0x4D7C6D00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x47868C00, 
                                            0x47868C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x4190AB00, 
                                            0x4190AB00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x30, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x3B9ACA00, 
                                            0x3B9ACA00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x31, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x35A4E900, 
                                            0x35A4E900
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x32, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            0x2FAF0800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x33, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x29B92700, 
                                            0x29B92700
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x34, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x23C34600, 
                                            0x23C34600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x35, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x1DCD6500, 
                                            0x1DCD6500
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x36, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x17D78400, 
                                            0x17D78400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x37, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }
                            }
                        }
                    }
                })
                Return (GPCC) /* \_SB_.PEP0.G3MD.GPCC */
            }

            Method (G4MD, 0, NotSerialized)
            {
                Name (GPCC, Package (0x01)
                {
                    Package (0x03)
                    {
                        "DEVICE", 
                        "\\_SB.GPU0", 
                        Package (0x0D)
                        {
                            "COMPONENT", 
                            0x04, 
                            Package (0x02)
                            {
                                "FSTATE", 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "FSTATE", 
                                One, 
                                Package (0x14)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x01)
                                    {
                                        "PSTATE_SAVE"
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x06
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            0x6E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x04, 
                                            0x6E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            0x04
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            0x04
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_iris_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x18)
                                {
                                    "EXIT", 
                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            0x40
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvsc_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            0x0E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x0E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "DELAY", 
                                        Package (0x01)
                                        {
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            0x0F
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x0F
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "DELAY", 
                                        Package (0x01)
                                        {
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0BEBC200, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_iris_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            0x03
                                        }
                                    }, 

                                    Package (0x01)
                                    {
                                        "PSTATE_RESTORE"
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "FSTATE", 
                                0x02, 
                                Package (0x17)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x01)
                                    {
                                        "PSTATE_SAVE"
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x06
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            0x6E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x04, 
                                            0x6E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            0x04
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            0x04
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_iris_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvsc_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x1F)
                                {
                                    "EXIT", 
                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            0x40
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvsc_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            0x0E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x0E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "DELAY", 
                                        Package (0x01)
                                        {
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            0x0F
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x0F
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "DELAY", 
                                        Package (0x01)
                                        {
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0BEBC200, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_iris_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x09, 
                                            0x12
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x09, 
                                            0x12
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x09, 
                                            0x12
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x09, 
                                            0x14
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x09, 
                                            0x14
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x09, 
                                            0x14
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            0x03
                                        }
                                    }, 

                                    Package (0x01)
                                    {
                                        "PSTATE_RESTORE"
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "INIT_FSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "ABANDON_FSTATE", 
                                0x02
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                Zero, 
                                Package (0x03)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_iris_ahb_clk", 
                                            0x03, 
                                            0x0D693A40, 
                                            0x03
                                        }
                                    }
                                }, 

                                Package (0x07)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "DELAY", 
                                        Package (0x01)
                                        {
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "DELAY", 
                                        Package (0x01)
                                        {
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            0x02
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    0x02
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x02
                                }
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                One, 
                                Package (0x0A)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0BEBC200, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvsc_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            0x03
                                        }
                                    }
                                }, 

                                Package (0x09)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            0x04
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            0x04
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs1_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvs0_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mvsc_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_xo_clk", 
                                            0x02
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    0x02
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x02
                                }
                            }, 

                            Package (0x0A)
                            {
                                "PSTATE_SET", 
                                0x02, 
                                Package (0x06)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x03, 
                                            0x1FC4EF40, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x03, 
                                            0x1FC4EF40, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x03, 
                                            0x1FC4EF40, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_VENUS_CFG", 
                                            0x11E1A300, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x06)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x03, 
                                            0x1A76E700, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x03, 
                                            0x1A76E700, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x03, 
                                            0x1A76E700, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_VENUS_CFG", 
                                            0x11E1A300, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x06)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x03, 
                                            0x15C17540, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x03, 
                                            0x15C17540, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x03, 
                                            0x15C17540, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_VENUS_CFG", 
                                            0x08F0D180, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x06)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x03, 
                                            0x14257880, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x03, 
                                            0x14257880, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x03, 
                                            0x14257880, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_VENUS_CFG", 
                                            0x08F0D180, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x06)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x03, 
                                            0x0E4E1C00, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x03, 
                                            0x0E4E1C00, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x03, 
                                            0x0E4E1C00, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_VENUS_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x06)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x03, 
                                            0x0BEBC200, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x03, 
                                            0x0BEBC200, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x03, 
                                            0x0BEBC200, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_VENUS_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x06)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x03, 
                                            Zero, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x03, 
                                            Zero, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x03, 
                                            Zero, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_VENUS_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    0x05
                                }
                            }, 

                            Package (0x74)
                            {
                                "PSTATE_SET", 
                                0x03, 
                                Package (0x03)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000051F4D5C00, 
                                            0x000000051F4D5C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000513619A00, 
                                            0x0000000513619A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000050775D800, 
                                            0x000000050775D800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004FB8A1600, 
                                            0x00000004FB8A1600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004EF9E5400, 
                                            0x00000004EF9E5400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004E3B29200, 
                                            0x00000004E3B29200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004D7C6D000, 
                                            0x00000004D7C6D000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004CBDB0E00, 
                                            0x00000004CBDB0E00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004BFEF4C00, 
                                            0x00000004BFEF4C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004B4038A00, 
                                            0x00000004B4038A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004A817C800, 
                                            0x00000004A817C800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000049C2C0600, 
                                            0x000000049C2C0600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000490404400, 
                                            0x0000000490404400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000484548200, 
                                            0x0000000484548200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000047868C000, 
                                            0x000000047868C000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x0F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000046C7CFE00, 
                                            0x000000046C7CFE00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x10, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000460913C00, 
                                            0x0000000460913C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x11, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000454A57A00, 
                                            0x0000000454A57A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x12, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000448B9B800, 
                                            0x0000000448B9B800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x13, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000043CCDF600, 
                                            0x000000043CCDF600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x14, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000430E23400, 
                                            0x0000000430E23400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x15, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000424F67200, 
                                            0x0000000424F67200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x16, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004190AB000, 
                                            0x00000004190AB000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x17, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000040D1EEE00, 
                                            0x000000040D1EEE00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x18, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000401332C00, 
                                            0x0000000401332C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x19, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003F5476A00, 
                                            0x00000003F5476A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003E95BA800, 
                                            0x00000003E95BA800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003DD6FE600, 
                                            0x00000003DD6FE600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003D1842400, 
                                            0x00000003D1842400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003C5986200, 
                                            0x00000003C5986200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003B9ACA000, 
                                            0x00000003B9ACA000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x1F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003ADC0DE00, 
                                            0x00000003ADC0DE00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x20, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003A1D51C00, 
                                            0x00000003A1D51C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x21, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000395E95A00, 
                                            0x0000000395E95A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x22, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000389FD9800, 
                                            0x0000000389FD9800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x23, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000037E11D600, 
                                            0x000000037E11D600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x24, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000372261400, 
                                            0x0000000372261400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x25, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003663A5200, 
                                            0x00000003663A5200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x26, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000035A4E9000, 
                                            0x000000035A4E9000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x27, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000034E62CE00, 
                                            0x000000034E62CE00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x28, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000342770C00, 
                                            0x0000000342770C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x29, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003368B4A00, 
                                            0x00000003368B4A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000032A9F8800, 
                                            0x000000032A9F8800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000031EB3C600, 
                                            0x000000031EB3C600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000312C80400, 
                                            0x0000000312C80400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000306DC4200, 
                                            0x0000000306DC4200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002FAF08000, 
                                            0x00000002FAF08000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x2F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002EF04BE00, 
                                            0x00000002EF04BE00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x30, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002E318FC00, 
                                            0x00000002E318FC00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x31, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002D72D3A00, 
                                            0x00000002D72D3A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x32, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002CB417800, 
                                            0x00000002CB417800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x33, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002BF55B600, 
                                            0x00000002BF55B600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x34, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002B369F400, 
                                            0x00000002B369F400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x35, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002A77E3200, 
                                            0x00000002A77E3200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x36, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000029B927000, 
                                            0x000000029B927000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x37, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000028FA6AE00, 
                                            0x000000028FA6AE00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x38, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000283BAEC00, 
                                            0x0000000283BAEC00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x39, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000277CF2A00, 
                                            0x0000000277CF2A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x3A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000026BE36800, 
                                            0x000000026BE36800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x3B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000025FF7A600, 
                                            0x000000025FF7A600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x3C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002540BE400, 
                                            0x00000002540BE400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x3D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000248202200, 
                                            0x0000000248202200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x3E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000023C346000, 
                                            0x000000023C346000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x3F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000230489E00, 
                                            0x0000000230489E00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x40, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002245CDC00, 
                                            0x00000002245CDC00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x41, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000218711A00, 
                                            0x0000000218711A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x42, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000020C855800, 
                                            0x000000020C855800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x43, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000200999600, 
                                            0x0000000200999600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x44, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001F4ADD400, 
                                            0x00000001F4ADD400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x45, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001E8C21200, 
                                            0x00000001E8C21200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x46, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001DCD65000, 
                                            0x00000001DCD65000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x47, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001D0EA8E00, 
                                            0x00000001D0EA8E00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x48, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001C4FECC00, 
                                            0x00000001C4FECC00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x49, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001B9130A00, 
                                            0x00000001B9130A00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x4A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001AD274800, 
                                            0x00000001AD274800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x4B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001A13B8600, 
                                            0x00000001A13B8600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x4C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001954FC400, 
                                            0x00000001954FC400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x4D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000189640200, 
                                            0x0000000189640200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x4E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000017D784000, 
                                            0x000000017D784000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x4F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001718C7E00, 
                                            0x00000001718C7E00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x50, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000165A0BC00, 
                                            0x0000000165A0BC00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x51, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000159B4FA00, 
                                            0x0000000159B4FA00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x52, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000014DC93800, 
                                            0x000000014DC93800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x53, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000141DD7600, 
                                            0x0000000141DD7600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x54, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000135F1B400, 
                                            0x0000000135F1B400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x55, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000012A05F200, 
                                            0x000000012A05F200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x56, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000011E1A3000, 
                                            0x000000011E1A3000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x57, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001122E6E00, 
                                            0x00000001122E6E00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x58, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000010642AC00, 
                                            0x000000010642AC00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x59, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xFA56EA00, 
                                            0xFA56EA00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x5A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xEE6B2800, 
                                            0xEE6B2800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x5B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xE27F6600, 
                                            0xE27F6600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x5C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xD693A400, 
                                            0xD693A400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x5D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xCAA7E200, 
                                            0xCAA7E200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x5E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xBEBC2000, 
                                            0xBEBC2000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x5F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xB2D05E00, 
                                            0xB2D05E00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x60, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xA6E49C00, 
                                            0xA6E49C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x61, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x9AF8DA00, 
                                            0x9AF8DA00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x62, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x8F0D1800, 
                                            0x8F0D1800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x63, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x83215600, 
                                            0x83215600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x64, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x77359400, 
                                            0x77359400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x65, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x6B49D200, 
                                            0x6B49D200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x66, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x5F5E1000, 
                                            0x5F5E1000
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x67, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x53724E00, 
                                            0x53724E00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x68, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x47868C00, 
                                            0x47868C00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x69, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x3B9ACA00, 
                                            0x3B9ACA00
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x6A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            0x2FAF0800
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x6B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x23C34600, 
                                            0x23C34600
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x6C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x17D78400, 
                                            0x17D78400
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x6D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0BEBC200, 
                                            0x0BEBC200
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    0x6E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    0x6C
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    0x6C
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x6C
                                }
                            }, 

                            Package (0x74)
                            {
                                "PSTATE_SET", 
                                0x04, 
                                Package (0x05)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000147D35700, 
                                            0x0000000147D35700
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000051F4D5C00, 
                                            0x000000051F4D5C00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000144D86680, 
                                            0x0000000144D86680
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000513619A00, 
                                            0x0000000513619A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000141DD7600, 
                                            0x0000000141DD7600
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000050775D800, 
                                            0x000000050775D800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000013EE28580, 
                                            0x000000013EE28580
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004FB8A1600, 
                                            0x00000004FB8A1600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000013BE79500, 
                                            0x000000013BE79500
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004EF9E5400, 
                                            0x00000004EF9E5400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000138ECA480, 
                                            0x0000000138ECA480
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004E3B29200, 
                                            0x00000004E3B29200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000135F1B400, 
                                            0x0000000135F1B400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004D7C6D000, 
                                            0x00000004D7C6D000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000132F6C380, 
                                            0x0000000132F6C380
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004CBDB0E00, 
                                            0x00000004CBDB0E00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000012FFBD300, 
                                            0x000000012FFBD300
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004BFEF4C00, 
                                            0x00000004BFEF4C00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000012D00E280, 
                                            0x000000012D00E280
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004B4038A00, 
                                            0x00000004B4038A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x0A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000012A05F200, 
                                            0x000000012A05F200
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004A817C800, 
                                            0x00000004A817C800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x0B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x00000001270B0180, 
                                            0x00000001270B0180
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000049C2C0600, 
                                            0x000000049C2C0600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x0C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000124101100, 
                                            0x0000000124101100
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000490404400, 
                                            0x0000000490404400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x0D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000121152080, 
                                            0x0000000121152080
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000484548200, 
                                            0x0000000484548200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x0E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000011E1A3000, 
                                            0x000000011E1A3000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000047868C000, 
                                            0x000000047868C000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x0F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000011B1F3F80, 
                                            0x000000011B1F3F80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000046C7CFE00, 
                                            0x000000046C7CFE00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x10, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000118244F00, 
                                            0x0000000118244F00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000460913C00, 
                                            0x0000000460913C00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x11, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0000000115295E80, 
                                            0x0000000115295E80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000454A57A00, 
                                            0x0000000454A57A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x12, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x00000001122E6E00, 
                                            0x00000001122E6E00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000448B9B800, 
                                            0x0000000448B9B800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x13, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000010F337D80, 
                                            0x000000010F337D80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000043CCDF600, 
                                            0x000000043CCDF600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x14, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000010C388D00, 
                                            0x000000010C388D00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000430E23400, 
                                            0x0000000430E23400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x15, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x00000001093D9C80, 
                                            0x00000001093D9C80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000424F67200, 
                                            0x0000000424F67200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x16, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000010642AC00, 
                                            0x000000010642AC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000004190AB000, 
                                            0x00000004190AB000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x17, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x000000010347BB80, 
                                            0x000000010347BB80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000040D1EEE00, 
                                            0x000000040D1EEE00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x18, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x00000001004CCB00, 
                                            0x00000001004CCB00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000401332C00, 
                                            0x0000000401332C00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x19, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xFD51DA80, 
                                            0xFD51DA80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003F5476A00, 
                                            0x00000003F5476A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x1A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xFA56EA00, 
                                            0xFA56EA00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003E95BA800, 
                                            0x00000003E95BA800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x1B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xF75BF980, 
                                            0xF75BF980
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003DD6FE600, 
                                            0x00000003DD6FE600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x1C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xF4610900, 
                                            0xF4610900
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003D1842400, 
                                            0x00000003D1842400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x1D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xF1661880, 
                                            0xF1661880
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003C5986200, 
                                            0x00000003C5986200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x1E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xEE6B2800, 
                                            0xEE6B2800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003B9ACA000, 
                                            0x00000003B9ACA000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x1F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xEB703780, 
                                            0xEB703780
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003ADC0DE00, 
                                            0x00000003ADC0DE00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x20, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xE8754700, 
                                            0xE8754700
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003A1D51C00, 
                                            0x00000003A1D51C00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x21, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xE57A5680, 
                                            0xE57A5680
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000395E95A00, 
                                            0x0000000395E95A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x22, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xE27F6600, 
                                            0xE27F6600
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000389FD9800, 
                                            0x0000000389FD9800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x23, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xDF847580, 
                                            0xDF847580
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000037E11D600, 
                                            0x000000037E11D600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x24, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xDC898500, 
                                            0xDC898500
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000372261400, 
                                            0x0000000372261400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x25, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xD98E9480, 
                                            0xD98E9480
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003663A5200, 
                                            0x00000003663A5200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x26, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xD693A400, 
                                            0xD693A400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000035A4E9000, 
                                            0x000000035A4E9000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x27, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xD398B380, 
                                            0xD398B380
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000034E62CE00, 
                                            0x000000034E62CE00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x28, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xD09DC300, 
                                            0xD09DC300
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000342770C00, 
                                            0x0000000342770C00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x29, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xCDA2D280, 
                                            0xCDA2D280
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000003368B4A00, 
                                            0x00000003368B4A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x2A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xCAA7E200, 
                                            0xCAA7E200
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000032A9F8800, 
                                            0x000000032A9F8800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x2B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xC7ACF180, 
                                            0xC7ACF180
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000031EB3C600, 
                                            0x000000031EB3C600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x2C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xC4B20100, 
                                            0xC4B20100
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000312C80400, 
                                            0x0000000312C80400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x2D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xC1B71080, 
                                            0xC1B71080
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000306DC4200, 
                                            0x0000000306DC4200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x2E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xBEBC2000, 
                                            0xBEBC2000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002FAF08000, 
                                            0x00000002FAF08000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x2F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xBBC12F80, 
                                            0xBBC12F80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002EF04BE00, 
                                            0x00000002EF04BE00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x30, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xB8C63F00, 
                                            0xB8C63F00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002E318FC00, 
                                            0x00000002E318FC00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x31, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xB5CB4E80, 
                                            0xB5CB4E80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002D72D3A00, 
                                            0x00000002D72D3A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x32, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xB2D05E00, 
                                            0xB2D05E00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002CB417800, 
                                            0x00000002CB417800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x33, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xAFD56D80, 
                                            0xAFD56D80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002BF55B600, 
                                            0x00000002BF55B600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x34, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xACDA7D00, 
                                            0xACDA7D00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002B369F400, 
                                            0x00000002B369F400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x35, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xA9DF8C80, 
                                            0xA9DF8C80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002A77E3200, 
                                            0x00000002A77E3200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x36, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xA6E49C00, 
                                            0xA6E49C00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000029B927000, 
                                            0x000000029B927000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x37, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xA3E9AB80, 
                                            0xA3E9AB80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000028FA6AE00, 
                                            0x000000028FA6AE00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x38, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0xA0EEBB00, 
                                            0xA0EEBB00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000283BAEC00, 
                                            0x0000000283BAEC00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x39, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x9DF3CA80, 
                                            0x9DF3CA80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000277CF2A00, 
                                            0x0000000277CF2A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x3A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x9AF8DA00, 
                                            0x9AF8DA00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000026BE36800, 
                                            0x000000026BE36800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x3B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x97FDE980, 
                                            0x97FDE980
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000025FF7A600, 
                                            0x000000025FF7A600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x3C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x9502F900, 
                                            0x9502F900
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002540BE400, 
                                            0x00000002540BE400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x3D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x92080880, 
                                            0x92080880
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000248202200, 
                                            0x0000000248202200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x3E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x8F0D1800, 
                                            0x8F0D1800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000023C346000, 
                                            0x000000023C346000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x3F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x8C122780, 
                                            0x8C122780
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000230489E00, 
                                            0x0000000230489E00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x40, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x89173700, 
                                            0x89173700
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000002245CDC00, 
                                            0x00000002245CDC00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x41, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x861C4680, 
                                            0x861C4680
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000218711A00, 
                                            0x0000000218711A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x42, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x83215600, 
                                            0x83215600
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000020C855800, 
                                            0x000000020C855800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x43, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x80266580, 
                                            0x80266580
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000200999600, 
                                            0x0000000200999600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x44, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x7D2B7500, 
                                            0x7D2B7500
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001F4ADD400, 
                                            0x00000001F4ADD400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x45, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x7A308480, 
                                            0x7A308480
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001E8C21200, 
                                            0x00000001E8C21200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x46, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x77359400, 
                                            0x77359400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001DCD65000, 
                                            0x00000001DCD65000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x47, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x743AA380, 
                                            0x743AA380
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001D0EA8E00, 
                                            0x00000001D0EA8E00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x48, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x713FB300, 
                                            0x713FB300
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001C4FECC00, 
                                            0x00000001C4FECC00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x49, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x6E44C280, 
                                            0x6E44C280
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001B9130A00, 
                                            0x00000001B9130A00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x4A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x6B49D200, 
                                            0x6B49D200
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001AD274800, 
                                            0x00000001AD274800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x4B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x684EE180, 
                                            0x684EE180
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001A13B8600, 
                                            0x00000001A13B8600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x4C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x6553F100, 
                                            0x6553F100
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001954FC400, 
                                            0x00000001954FC400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x4D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x62590080, 
                                            0x62590080
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000189640200, 
                                            0x0000000189640200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x4E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x5F5E1000, 
                                            0x5F5E1000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000017D784000, 
                                            0x000000017D784000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x4F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x5C631F80, 
                                            0x5C631F80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001718C7E00, 
                                            0x00000001718C7E00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x50, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x59682F00, 
                                            0x59682F00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000165A0BC00, 
                                            0x0000000165A0BC00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x51, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x566D3E80, 
                                            0x566D3E80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000159B4FA00, 
                                            0x0000000159B4FA00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x52, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x53724E00, 
                                            0x53724E00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000014DC93800, 
                                            0x000000014DC93800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x53, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x50775D80, 
                                            0x50775D80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000141DD7600, 
                                            0x0000000141DD7600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x54, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x4D7C6D00, 
                                            0x4D7C6D00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0000000135F1B400, 
                                            0x0000000135F1B400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x55, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x4A817C80, 
                                            0x4A817C80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000012A05F200, 
                                            0x000000012A05F200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x56, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x47868C00, 
                                            0x47868C00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000011E1A3000, 
                                            0x000000011E1A3000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x57, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x448B9B80, 
                                            0x448B9B80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x00000001122E6E00, 
                                            0x00000001122E6E00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x58, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x4190AB00, 
                                            0x4190AB00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x000000010642AC00, 
                                            0x000000010642AC00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x59, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x3E95BA80, 
                                            0x3E95BA80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xFA56EA00, 
                                            0xFA56EA00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x5A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x3B9ACA00, 
                                            0x3B9ACA00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xEE6B2800, 
                                            0xEE6B2800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x5B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x389FD980, 
                                            0x389FD980
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xE27F6600, 
                                            0xE27F6600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x5C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x35A4E900, 
                                            0x35A4E900
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xD693A400, 
                                            0xD693A400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x5D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x32A9F880, 
                                            0x32A9F880
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xCAA7E200, 
                                            0xCAA7E200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x5E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x2FAF0800, 
                                            0x2FAF0800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xBEBC2000, 
                                            0xBEBC2000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x5F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x2CB41780, 
                                            0x2CB41780
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xB2D05E00, 
                                            0xB2D05E00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x60, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x29B92700, 
                                            0x29B92700
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0xA6E49C00, 
                                            0xA6E49C00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x61, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x26BE3680, 
                                            0x26BE3680
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x9AF8DA00, 
                                            0x9AF8DA00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x62, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x23C34600, 
                                            0x23C34600
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x8F0D1800, 
                                            0x8F0D1800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x63, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x20C85580, 
                                            0x20C85580
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x83215600, 
                                            0x83215600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x64, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x1DCD6500, 
                                            0x1DCD6500
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x77359400, 
                                            0x77359400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x65, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x1AD27480, 
                                            0x1AD27480
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x6B49D200, 
                                            0x6B49D200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x66, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x17D78400, 
                                            0x17D78400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x5F5E1000, 
                                            0x5F5E1000
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x67, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x14DC9380, 
                                            0x14DC9380
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x53724E00, 
                                            0x53724E00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x68, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x11E1A300, 
                                            0x11E1A300
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x47868C00, 
                                            0x47868C00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x69, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0EE6B280, 
                                            0x0EE6B280
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x3B9ACA00, 
                                            0x3B9ACA00
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x6A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x0BEBC200, 
                                            0x0BEBC200
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            0x2FAF0800
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x6B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x08F0D180, 
                                            0x08F0D180
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x23C34600, 
                                            0x23C34600
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x6C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x05F5E100, 
                                            0x05F5E100
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x17D78400, 
                                            0x17D78400
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x6D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            0x02FAF080, 
                                            0x02FAF080
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0BEBC200, 
                                            0x0BEBC200
                                        }
                                    }
                                }, 

                                Package (0x05)
                                {
                                    "PSTATE", 
                                    0x6E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_LLCC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_LLCC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    0x6E
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    0x6E
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x6E
                                }
                            }, 

                            Package (0x08)
                            {
                                "PSTATE_SET", 
                                0x05, 
                                Package (0x0A)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_iris_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            0x02
                                        }
                                    }
                                }, 

                                Package (0x07)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            0x0E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x0E
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "DELAY", 
                                        Package (0x01)
                                        {
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            0x0F
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x0F
                                        }
                                    }
                                }, 

                                Package (0x10)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_VIDEO_P0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x0BEBC200, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axic_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_video_axi1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_iris_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x09, 
                                            0x12
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x09, 
                                            0x12
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x09, 
                                            0x12
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvs0_core_clk", 
                                            0x09, 
                                            0x14
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvs1_core_clk", 
                                            0x09, 
                                            0x14
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x03)
                                        {
                                            "video_cc_mvsc_core_clk", 
                                            0x09, 
                                            0x14
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    0x03
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    0x03
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x03
                                }
                            }
                        }
                    }
                })
                Return (GPCC) /* \_SB_.PEP0.G4MD.GPCC */
            }

            Method (G5MD, 0, NotSerialized)
            {
                Name (GPCC, Package (0x01)
                {
                    Package (0x03)
                    {
                        "DEVICE", 
                        "\\_SB.GPU0", 
                        Package (0x0A)
                        {
                            "COMPONENT", 
                            0x05, 
                            Package (0x02)
                            {
                                "FSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "FSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "INIT_FSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PRELOAD_FSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "ABANDON_FSTATE", 
                                Zero
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                Zero, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                One, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x06)
                            {
                                "PSTATE_SET", 
                                0x02, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }
                        }
                    }
                })
                Return (GPCC) /* \_SB_.PEP0.G5MD.GPCC */
            }

            Method (G6MD, 0, NotSerialized)
            {
                Name (GPCC, Package (0x01)
                {
                    Package (0x03)
                    {
                        "DEVICE", 
                        "\\_SB.GPU0", 
                        Package (0x0D)
                        {
                            "COMPONENT", 
                            0x06, 
                            Package (0x02)
                            {
                                "FSTATE", 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "FSTATE", 
                                One, 
                                Package (0x0F)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            0x09
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x04, 
                                            0x31
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x04
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO5_A", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO3_C", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO1_C", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO17_A", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "TLMMGPIO", 
                                        Package (0x06)
                                        {
                                            0x09, 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            One, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x0D)
                                {
                                    "EXIT", 
                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            0x40
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO5_A", 
                                            One, 
                                            0x000D6D80, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO3_C", 
                                            One, 
                                            0x00124F80, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO1_C", 
                                            One, 
                                            0x001B7740, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO17_A", 
                                            One, 
                                            0x002B9440, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "TLMMGPIO", 
                                        Package (0x06)
                                        {
                                            0x09, 
                                            One, 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "INIT_FSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PRELOAD_FSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "ABANDON_FSTATE", 
                                Zero
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                Zero, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE_SET", 
                                One, 
                                Package (0x03)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }
                                }
                            }, 

                            Package (0x0B)
                            {
                                "PSTATE_SET", 
                                0x02, 
                                Package (0x14)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x14)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x14)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            0x02
                                        }
                                    }
                                }, 

                                Package (0x14)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x14)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte0_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_pclk1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_esc1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_byte1_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "CRASHDUMP_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x10)
                            {
                                "PSTATE_SET", 
                                0x03, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x1B6B0B00, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x14904840, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x11E1A300, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0BEBC200, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0A37CADB, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x08F0D180, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x05F5E100, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x051BD4B0, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0124F800, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            Zero, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "CRASHDUMP_PSTATE", 
                                    One
                                }
                            }, 

                            Package (0x38)
                            {
                                "PSTATE_SET", 
                                0x04, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000054EFC6400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000054EFC6400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000396F76EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000396F76EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000037F1FEAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000037F1FEAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000003674866A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000003674866A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000034F70E2A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000034F70E2A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000337995EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000337995EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000031FC1DAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000031FC1DAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000307EA56A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000307EA56A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002F012D2A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002F012D2A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002D83B4EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002D83B4EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002C063CAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002C063CAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002A88C46A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002A88C46A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000290B4C2A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000290B4C2A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000278DD3EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000278DD3EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000026105BAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000026105BAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000025B8E7F80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000025B8E7F80
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x10, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000023C346000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000023C346000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x11, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002245CDC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002245CDC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x12, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000020C855800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000020C855800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x13, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001F4ADD400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001F4ADD400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x14, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001DCD65000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001DCD65000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x15, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001C4FECC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001C4FECC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x16, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001AD274800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001AD274800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x17, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001954FC400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001954FC400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x18, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000017D784000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000017D784000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x19, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000165A0BC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000165A0BC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000014DC93800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000014DC93800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000135F1B400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000135F1B400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000011E1A3000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000011E1A3000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000010642AC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000010642AC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xEE6B2800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xEE6B2800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xD693A400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xD693A400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x20, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xBEBC2000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xBEBC2000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x21, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xA6E49C00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xA6E49C00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x22, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x8F0D1800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x8F0D1800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x23, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x77359400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x77359400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x24, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x5F5E1000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x5F5E1000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x25, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x59682F00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x59682F00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x26, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x53724E00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x53724E00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x27, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x4D7C6D00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x4D7C6D00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x28, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x47868C00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x47868C00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x29, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x4190AB00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x4190AB00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x3B9ACA00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x3B9ACA00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x35A4E900
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x35A4E900
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x2FAF0800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x2FAF0800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x29B92700
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x29B92700
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x23C34600
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x23C34600
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x1DCD6500
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x1DCD6500
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x30, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x17D78400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x17D78400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x31, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    0x23
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    0x23
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x23
                                }, 

                                Package (0x02)
                                {
                                    "CRASHDUMP_PSTATE", 
                                    0x23
                                }
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                0x05, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }
                        }
                    }
                })
                Return (GPCC) /* \_SB_.PEP0.G6MD.GPCC */
            }

            Method (G7MD, 0, NotSerialized)
            {
                Name (GPCC, Package (0x01)
                {
                    Package (0x03)
                    {
                        "DEVICE", 
                        "\\_SB.GPU0", 
                        Package (0x0D)
                        {
                            "COMPONENT", 
                            0x07, 
                            Package (0x02)
                            {
                                "FSTATE", 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "FSTATE", 
                                One, 
                                Package (0x1B)
                                {
                                    "ENTER", 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            0x09
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x03, 
                                            0x31
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x04, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            0x03
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_usb3_prim_phy_pipe_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_usb3_prim_clkref_en", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "TLMMGPIO", 
                                        Package (0x06)
                                        {
                                            0x26, 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO3_C", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO5_A", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO18_A", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO2_A", 
                                            One, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }
                                }, 

                                Package (0x19)
                                {
                                    "EXIT", 
                                    Package (0x02)
                                    {
                                        "NPARESOURCE", 
                                        Package (0x03)
                                        {
                                            One, 
                                            "/arc/client/rail_mmcx", 
                                            0x40
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_xo_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_ROTATOR", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_hf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_disp_sf_axi_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_usb3_prim_phy_pipe_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "gcc_usb3_prim_clkref_en", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rscc_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_ahb_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_vsync_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_rot_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x05, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PSTATE_ADJUST", 
                                        Package (0x02)
                                        {
                                            0x02, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "TLMMGPIO", 
                                        Package (0x06)
                                        {
                                            0x26, 
                                            One, 
                                            One, 
                                            One, 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO3_C", 
                                            One, 
                                            0x00124F80, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO5_A", 
                                            One, 
                                            0x000D6D80, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO18_A", 
                                            One, 
                                            0x000D6D80, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "PMICVREGVOTE", 
                                        Package (0x08)
                                        {
                                            "PPP_RESOURCE_ID_LDO2_A", 
                                            One, 
                                            0x002EE000, 
                                            One, 
                                            0x07, 
                                            Zero, 
                                            "HLOS_DRV", 
                                            "REQUIRED"
                                        }
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "INIT_FSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PRELOAD_FSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "ABANDON_FSTATE", 
                                Zero
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                Zero, 
                                Package (0x02)
                                {
                                    "PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE_SET", 
                                One, 
                                Package (0x03)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x03)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "FOOTSWITCH", 
                                        Package (0x02)
                                        {
                                            "mdss_core_gdsc", 
                                            0x02
                                        }
                                    }
                                }
                            }, 

                            Package (0x0F)
                            {
                                "PSTATE_SET", 
                                0x02, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x1B6B0B00, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x047868C0, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x14904840, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x11E1A300, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0BEBC200, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x023C3460, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0A37CADB, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x08F0D180, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x05F5E100, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x051BD4B0, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            0x0124F800, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            0x0124F800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x04)
                                        {
                                            "disp_cc_mdss_mdp_clk", 
                                            0x03, 
                                            Zero, 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_APPSS_PROC", 
                                            "ICBID_SLAVE_DISPLAY_CFG", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    One
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    One
                                }
                            }, 

                            Package (0x37)
                            {
                                "PSTATE_SET", 
                                0x03, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000054EFC6400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000054EFC6400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000396F76EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000396F76EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000037F1FEAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000037F1FEAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000003674866A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000003674866A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x04, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000034F70E2A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000034F70E2A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x05, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000337995EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000337995EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x06, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000031FC1DAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000031FC1DAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x07, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000307EA56A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000307EA56A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x08, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002F012D2A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002F012D2A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x09, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002D83B4EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002D83B4EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002C063CAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002C063CAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002A88C46A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002A88C46A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000290B4C2A0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000290B4C2A0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000278DD3EA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000278DD3EA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000026105BAA0
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000026105BAA0
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x0F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000025B8E7F80
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000025B8E7F80
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x10, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000023C346000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000023C346000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x11, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000002245CDC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000002245CDC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x12, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000020C855800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000020C855800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x13, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001F4ADD400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001F4ADD400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x14, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001DCD65000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001DCD65000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x15, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001C4FECC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001C4FECC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x16, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001AD274800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001AD274800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x17, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x00000001954FC400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x00000001954FC400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x18, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000017D784000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000017D784000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x19, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000165A0BC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000165A0BC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000014DC93800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000014DC93800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x0000000135F1B400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x0000000135F1B400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000011E1A3000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000011E1A3000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x000000010642AC00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x000000010642AC00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xEE6B2800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xEE6B2800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x1F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xD693A400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xD693A400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x20, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xBEBC2000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xBEBC2000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x21, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0xA6E49C00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0xA6E49C00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x22, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x8F0D1800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x8F0D1800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x23, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x77359400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x77359400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x24, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x5F5E1000
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x5F5E1000
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x25, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x59682F00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x59682F00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x26, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x53724E00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x53724E00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x27, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x4D7C6D00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x4D7C6D00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x28, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x47868C00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x47868C00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x29, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x4190AB00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x4190AB00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2A, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x3B9ACA00
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x3B9ACA00
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2B, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x35A4E900
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x35A4E900
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2C, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x2FAF0800
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x2FAF0800
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2D, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x29B92700
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x29B92700
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2E, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x23C34600
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x23C34600
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x2F, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x1DCD6500
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x1DCD6500
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x30, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            0x17D78400
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            0x17D78400
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    0x31, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    0x23
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    0x23
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    0x23
                                }
                            }, 

                            Package (0x07)
                            {
                                "PSTATE_SET", 
                                0x04, 
                                Package (0x04)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            0x2FAF0800, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x04)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MDP0", 
                                            "ICBID_SLAVE_MNOC_HF_MEM_NOC", 
                                            Zero, 
                                            Zero
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "BUSARB", 
                                        Package (0x05)
                                        {
                                            0x03, 
                                            "ICBID_MASTER_MNOC_HF_MEM_NOC", 
                                            "ICBID_SLAVE_EBI1", 
                                            Zero, 
                                            Zero
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }, 

                            Package (0x09)
                            {
                                "PSTATE_SET", 
                                0x05, 
                                Package (0x0D)
                                {
                                    "PSTATE", 
                                    Zero, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_aux_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_crypto_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link_intf_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_aux1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel2_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_crypto1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link1_intf_clk", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x0D)
                                {
                                    "PSTATE", 
                                    One, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link_intf_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_crypto_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_aux_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link1_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_crypto1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel2_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_aux1_clk", 
                                            0x02
                                        }
                                    }
                                }, 

                                Package (0x0D)
                                {
                                    "PSTATE", 
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_crypto_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_aux_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link1_intf_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_crypto1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link1_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel2_clk", 
                                            One
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_aux1_clk", 
                                            One
                                        }
                                    }
                                }, 

                                Package (0x0D)
                                {
                                    "PSTATE", 
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_crypto_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_aux_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link1_intf_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_crypto1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_link1_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_pixel2_clk", 
                                            0x02
                                        }
                                    }, 

                                    Package (0x02)
                                    {
                                        "CLOCK", 
                                        Package (0x02)
                                        {
                                            "disp_cc_mdss_dp_aux1_clk", 
                                            0x02
                                        }
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PRELOAD_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "PREPARE_PSTATE", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "ABANDON_PSTATE", 
                                    Zero
                                }
                            }
                        }
                    }
                })
                Return (GPCC) /* \_SB_.PEP0.G7MD.GPCC */
            }
        }

        Scope (\_SB.PEP0)
        {
            Method (MPMD, 0, NotSerialized)
            {
                Return (MPCC) /* \_SB_.PEP0.MPCC */
            }

            Name (MPCC, Package (0x00){})
        }

        Scope (\_SB.PEP0)
        {
            Method (OPMD, 0, NotSerialized)
            {
                Return (OPCC) /* \_SB_.PEP0.OPCC */
            }

            Name (OPCC, Package (0x00){})
        }

        Scope (\_SB.PEP0)
        {
            Method (LPMD, 0, NotSerialized)
            {
                If ((\_SB.SVMJ >= 0x02))
                {
                    Return (LPCD) /* \_SB_.PEP0.LPCD */
                }
                Else
                {
                    Return (LPCC) /* \_SB_.PEP0.LPCC */
                }
            }
        }

        Scope (\_SB.PEP0)
        {
            Method (BPMD, 0, NotSerialized)
            {
                If ((STOR == One))
                {
                    If ((PUS3 == One))
                    {
                        Return (CPCC) /* \_SB_.PEP0.CPCC */
                    }
                    Else
                    {
                        Return (BPCC) /* \_SB_.PEP0.BPCC */
                    }
                }
                Else
                {
                    Return (FPCC) /* \_SB_.PEP0.FPCC */
                }
            }

            Method (SUMD, 0, NotSerialized)
            {
                If ((STOR == One))
                {
                    If ((SUS3 == One))
                    {
                        Return (EPCC) /* \_SB_.PEP0.EPCC */
                    }
                    Else
                    {
                        Return (DPCC) /* \_SB_.PEP0.DPCC */
                    }
                }
                Else
                {
                    Return (GPCC) /* \_SB_.PEP0.GPCC */
                }
            }

            Method (SDMD, 0, NotSerialized)
            {
                Return (SDCC) /* \_SB_.PEP0.SDCC */
            }

            Name (BPCC, Package (0x01)
            {
                Package (0x06)
                {
                    "DEVICE", 
                    "\\_SB.UFS0", 
                    Package (0x07)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x05)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x05)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    One
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "FOOTSWITCH", 
                                    Package (0x02)
                                    {
                                        "ufs_phy_gdsc", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "FOOTSWITCH", 
                                    Package (0x02)
                                    {
                                        "ufs_phy_gdsc", 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x0B)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_phy_axi_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_phy_unipro_core_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_phy_ice_core_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_aggre_ufs_phy_axi_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_ahb_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_phy_aux_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_tx_symbol_0_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_rx_symbol_0_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_rx_symbol_1_clk", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x0B)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_aggre_ufs_phy_axi_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_ahb_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_phy_aux_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_tx_symbol_0_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_rx_symbol_0_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_rx_symbol_1_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_ice_core_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_unipro_core_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_axi_clk", 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_UFS_MEM", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x47868C00, 
                                        0x47868C00
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_APPSS_PROC", 
                                        "ICBID_SLAVE_UFS_MEM_CFG", 
                                        0x11D260C0, 
                                        Zero
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_APPSS_PROC", 
                                        "ICBID_SLAVE_UFS_MEM_CFG", 
                                        Zero, 
                                        Zero
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_UFS_MEM", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x0A)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_A", 
                                One, 
                                0x002C4FC0, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO9_A", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x23
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x09)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO9_A", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                One
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }
            })
            Name (CPCC, Package (0x01)
            {
                Package (0x06)
                {
                    "DEVICE", 
                    "\\_SB.UFS0", 
                    Package (0x07)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x05)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x05)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    One
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "FOOTSWITCH", 
                                    Package (0x02)
                                    {
                                        "ufs_phy_gdsc", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "FOOTSWITCH", 
                                    Package (0x02)
                                    {
                                        "ufs_phy_gdsc", 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x0B)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_phy_axi_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_phy_unipro_core_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_phy_ice_core_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_aggre_ufs_phy_axi_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_ahb_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_phy_aux_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_tx_symbol_0_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_rx_symbol_0_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_rx_symbol_1_clk", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x0B)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_aggre_ufs_phy_axi_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_ahb_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_phy_aux_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_tx_symbol_0_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_rx_symbol_0_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_rx_symbol_1_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_ice_core_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_unipro_core_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_phy_axi_clk", 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_UFS_MEM", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x8F0D1800, 
                                        0x8F0D1800
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_APPSS_PROC", 
                                        "ICBID_SLAVE_UFS_MEM_CFG", 
                                        0x11D260C0, 
                                        Zero
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_APPSS_PROC", 
                                        "ICBID_SLAVE_UFS_MEM_CFG", 
                                        Zero, 
                                        Zero
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_UFS_MEM", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x0A)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_A", 
                                One, 
                                0x00263540, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO9_A", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x23
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x09)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO9_A", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                One
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }
            })
            Name (DPCC, Package (0x01)
            {
                Package (0x05)
                {
                    "DEVICE", 
                    "\\_SB.UFS1", 
                    Package (0x07)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x05)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x05)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    One
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "FOOTSWITCH", 
                                    Package (0x02)
                                    {
                                        "ufs_card_2_gdsc", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "FOOTSWITCH", 
                                    Package (0x02)
                                    {
                                        "ufs_card_2_gdsc", 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x0B)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_card_2_axi_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_card_2_unipro_core_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_card_2_ice_core_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_aggre_ufs_card_2_axi_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_ahb_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_phy_aux_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_tx_symbol_0_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_rx_symbol_0_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_rx_symbol_1_clk", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x0B)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_aggre_ufs_card_2_axi_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_ahb_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_phy_aux_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_tx_symbol_0_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_rx_symbol_0_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_rx_symbol_1_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_ice_core_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_unipro_core_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_axi_clk", 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_UFS_GEN4", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x47868C00, 
                                        0x47868C00
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_APPSS_PROC", 
                                        "ICBID_SLAVE_UFS_MEM_1_CFG", 
                                        0x11D260C0, 
                                        Zero
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_APPSS_PROC", 
                                        "ICBID_SLAVE_UFS_MEM_1_CFG", 
                                        Zero, 
                                        Zero
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_UFS_GEN4", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x23
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x05)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                One
                            }
                        }
                    }
                }
            })
            Name (EPCC, Package (0x01)
            {
                Package (0x05)
                {
                    "DEVICE", 
                    "\\_SB.UFS1", 
                    Package (0x07)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x05)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x05)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    One
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "FOOTSWITCH", 
                                    Package (0x02)
                                    {
                                        "ufs_card_2_gdsc", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "FOOTSWITCH", 
                                    Package (0x02)
                                    {
                                        "ufs_card_2_gdsc", 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x0B)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_card_2_axi_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_card_2_unipro_core_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_ufs_card_2_ice_core_clk", 
                                        0x08, 
                                        0x11E1A300, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_aggre_ufs_card_2_axi_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_ahb_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_phy_aux_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_tx_symbol_0_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_rx_symbol_0_clk", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_rx_symbol_1_clk", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x0B)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_aggre_ufs_card_2_axi_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_ahb_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_phy_aux_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_tx_symbol_0_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_rx_symbol_0_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_rx_symbol_1_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_ice_core_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_unipro_core_clk", 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_ufs_card_2_axi_clk", 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_UFS_GEN4", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x8F0D1800, 
                                        0x8F0D1800
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_APPSS_PROC", 
                                        "ICBID_SLAVE_UFS_MEM_1_CFG", 
                                        0x11D260C0, 
                                        Zero
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_APPSS_PROC", 
                                        "ICBID_SLAVE_UFS_MEM_1_CFG", 
                                        Zero, 
                                        Zero
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_UFS_GEN4", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x23
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x05)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                One
                            }
                        }
                    }
                }
            })
            Name (FPCC, Package (0x01)
            {
                Package (0x06)
                {
                    "DEVICE", 
                    "\\_SB.UFS0", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "PRELOAD_DSTATE", 
                        0x03
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x04)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO9_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }
                }
            })
            Name (GPCC, Package (0x01)
            {
                Package (0x06)
                {
                    "DEVICE", 
                    "\\_SB.UFS1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "PRELOAD_DSTATE", 
                        0x03
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }
            })
            Name (SDCC, Package (0x03)
            {
                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.SDC2", 
                    Package (0x09)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }, 

                        Package (0x19)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x05, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x06, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x07, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x08, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x09, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0B, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0C, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0D, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0E, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0F, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x10, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x11, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x12, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x13, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        One
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x14, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        0x23
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        0x23
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x15, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        0x23
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x16, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        0x23
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x17, 
                                Package (0x02)
                                {
                                    "DELAY", 
                                    Package (0x01)
                                    {
                                        0x23
                                    }
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_sdcc2_apps_clk", 
                                        0x02
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_sdcc2_apps_clk", 
                                        0x08, 
                                        0x01312D00, 
                                        0x02
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_sdcc2_apps_clk", 
                                        0x08, 
                                        0x05F5E100, 
                                        0x02
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "gcc_sdcc2_apps_clk", 
                                        0x08, 
                                        0x0C0A4680, 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_SDCC_2", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x17D78400, 
                                        0x0BEBC200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_SDCC_2", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0BEBC200, 
                                        0x05F5E100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_SDCC_2", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x02625A00, 
                                        0x01312D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_SDCC_2", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "PSTATE_ADJUST", 
                                    Package (0x02)
                                    {
                                        One, 
                                        0x03
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE_ADJUST", 
                                    Package (0x02)
                                    {
                                        0x02, 
                                        Zero
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "PSTATE_ADJUST", 
                                    Package (0x02)
                                    {
                                        One, 
                                        0x02
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE_ADJUST", 
                                    Package (0x02)
                                    {
                                        0x02, 
                                        One
                                    }
                                }
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "PSTATE_ADJUST", 
                                    Package (0x02)
                                    {
                                        One, 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    "PSTATE_ADJUST", 
                                    Package (0x02)
                                    {
                                        0x02, 
                                        0x02
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x04, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_sdcc2_ahb_clk", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x02)
                                    {
                                        "gcc_sdcc2_ahb_clk", 
                                        0x02
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x07)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                0x16
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMPORT", 
                            Package (0x03)
                            {
                                0x009B2000, 
                                0x7FFF, 
                                0x1FE4
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                0x03
                            }
                        }
                    }, 

                    Package (0x07)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x04, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                0x02, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMPORT", 
                            Package (0x03)
                            {
                                0x009B2000, 
                                0x7FFF, 
                                0x0A00
                            }
                        }, 

                        Package (0x02)
                        {
                            "PSTATE_ADJUST", 
                            Package (0x02)
                            {
                                Zero, 
                                0x17
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdSdCardExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.ADSP.SLM1", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.ADSP.SLM2", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }
            })
            Name (LPCC, Package (0x09)
            {
                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.UCP0", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x1F)
                        {
                            "PSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_cx", 
                                    0x0100
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "usb30_prim_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb30_prim_sleep_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb30_prim_sleep_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb30_prim_sleep_clk", 
                                    0x09, 
                                    0x0C
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_phy_pipe_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb3_prim_phy_pipe_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_aggre_usb3_prim_axi_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_cfg_noc_usb3_prim_axi_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb30_prim_master_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb3_prim_phy_aux_clk", 
                                    0x08, 
                                    0x04B0, 
                                    0x07
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb3_prim_phy_com_aux_clk", 
                                    0x08, 
                                    0x4B00, 
                                    0x07
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb3_prim_phy_com_aux_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "usb30_sec_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb30_sec_sleep_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb30_sec_sleep_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb30_sec_sleep_clk", 
                                    0x09, 
                                    0x0C
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_phy_pipe_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb3_sec_phy_pipe_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_aggre_usb3_sec_axi_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_cfg_noc_usb3_sec_axi_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb30_sec_master_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb3_sec_phy_aux_clk", 
                                    0x08, 
                                    0x04B0, 
                                    0x07
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb3_sec_phy_com_aux_clk", 
                                    0x08, 
                                    0x4B00, 
                                    0x07
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb3_sec_phy_com_aux_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_USB3_0", 
                                    0x17D78400, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_USB3_1", 
                                    0x17D78400, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_clkref_en", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_clkref_en", 
                                    One
                                }
                            }
                        }, 

                        Package (0x15)
                        {
                            "PSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_USB3_0", 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_USB3_1", 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb30_prim_master_clk", 
                                    0x03, 
                                    0x00927C00, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb30_prim_master_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_cfg_noc_usb3_prim_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_aggre_usb3_prim_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_phy_aux_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_clkref_en", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_phy_com_aux_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "usb30_prim_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb30_sec_master_clk", 
                                    0x03, 
                                    0x00927C00, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb30_sec_master_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_cfg_noc_usb3_sec_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_aggre_usb3_sec_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_phy_aux_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_clkref_en", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_phy_com_aux_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "usb30_sec_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_cx", 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PTCC", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x04)
                        {
                            "PSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO2_A", 
                                    One, 
                                    0x002EE000, 
                                    One, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO12_A", 
                                    One, 
                                    0x001B7740, 
                                    One, 
                                    One, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO2_A", 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO12_A", 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.URS0", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.URS0.USB0", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x17)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_prim_phy_pipe_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_mock_utmi_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                One
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        One, 
                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.URS0.UFN0", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x16)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_prim_phy_pipe_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                One
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x0F)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.URS1", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.URS1.USB1", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x17)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_sec_phy_pipe_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_mock_utmi_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                One
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        One, 
                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.URS1.UFN1", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x16)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_sec_phy_pipe_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                One
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x0F)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.USB2", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x18)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_mp_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_mp_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_mp_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_pipe_0_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_mp_phy_pipe_0_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_pipe_1_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_mp_phy_pipe_1_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_mp_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_mp_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_mock_utmi_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_mp_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_2", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_2", 
                                0x17D78400, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        One, 
                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_mp_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_2", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_2", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_mp_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_2", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_mp_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }
            })
            Name (LPCD, Package (0x09)
            {
                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.UCP0", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x1F)
                        {
                            "PSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_cx", 
                                    0x0100
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "usb30_prim_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb30_prim_sleep_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb30_prim_sleep_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb30_prim_sleep_clk", 
                                    0x09, 
                                    0x0C
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_phy_pipe_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb3_prim_phy_pipe_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_aggre_usb3_prim_axi_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_cfg_noc_usb3_prim_axi_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb30_prim_master_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb3_prim_phy_aux_clk", 
                                    0x08, 
                                    0x04B0, 
                                    0x07
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb3_prim_phy_com_aux_clk", 
                                    0x08, 
                                    0x4B00, 
                                    0x07
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb3_prim_phy_com_aux_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "usb30_sec_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb30_sec_sleep_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb30_sec_sleep_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb30_sec_sleep_clk", 
                                    0x09, 
                                    0x0C
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_phy_pipe_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb3_sec_phy_pipe_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_aggre_usb3_sec_axi_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_cfg_noc_usb3_sec_axi_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb30_sec_master_clk", 
                                    0x08, 
                                    0xC8, 
                                    0x09
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb3_sec_phy_aux_clk", 
                                    0x08, 
                                    0x04B0, 
                                    0x07
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb3_sec_phy_com_aux_clk", 
                                    0x08, 
                                    0x4B00, 
                                    0x07
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x03)
                                {
                                    "gcc_usb3_sec_phy_com_aux_clk", 
                                    0x09, 
                                    0x08
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_USB3_0", 
                                    0x17D78400, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_USB3_1", 
                                    0x17D78400, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_clkref_en", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_clkref_en", 
                                    One
                                }
                            }
                        }, 

                        Package (0x15)
                        {
                            "PSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_USB3_0", 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_USB3_1", 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb30_prim_master_clk", 
                                    0x03, 
                                    0x00927C00, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb30_prim_master_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_cfg_noc_usb3_prim_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_aggre_usb3_prim_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_phy_aux_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_phy_com_aux_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_prim_clkref_en", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "usb30_prim_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_usb30_sec_master_clk", 
                                    0x03, 
                                    0x00927C00, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb30_sec_master_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_cfg_noc_usb3_sec_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_aggre_usb3_sec_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_phy_aux_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_phy_com_aux_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_usb3_sec_clkref_en", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "usb30_sec_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_cx", 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PTCC", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x04)
                        {
                            "PSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO2_A", 
                                    One, 
                                    0x002EE000, 
                                    One, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO12_A", 
                                    One, 
                                    0x001B7740, 
                                    One, 
                                    One, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO2_A", 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO12_A", 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.URS0", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.URS0.USB0", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x17)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_prim_phy_pipe_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_mock_utmi_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                One
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        One, 
                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.URS0.UFN0", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x16)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_prim_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_prim_phy_pipe_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                One
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x0F)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_prim_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_prim_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_prim_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_prim_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.URS1", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.URS1.USB1", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x17)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_sec_phy_pipe_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_mock_utmi_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                One
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        One, 
                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.URS1.UFN1", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x16)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_sec_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_sec_phy_pipe_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                One
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x0F)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_sec_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_sec_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_sec_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_sec_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }, 

                Package (0x08)
                {
                    "DEVICE", 
                    "\\_SB.USB2", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "PRELOAD_PSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x1A)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_mp_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_sleep_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_mp_sleep_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb30_mp_sleep_clk", 
                                0x09, 
                                0x0C
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_pipe_0_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_mp_phy_pipe_0_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_pipe_1_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_mp_phy_pipe_1_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_aggre_usb3_mp_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_cfg_noc_usb3_mp_axi_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x08, 
                                0xC8, 
                                0x09
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_mock_utmi_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_mp_phy_aux_clk", 
                                0x08, 
                                0x04B0, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x08, 
                                0x4B00, 
                                0x07
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_2", 
                                "ICBID_SLAVE_EBI1", 
                                0x28000000, 
                                0x28000000
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_2", 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp0_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp1_clkref_en", 
                                One
                            }
                        }
                    }, 

                    Package (0x13)
                    {
                        "DSTATE", 
                        One, 
                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_mp_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x03, 
                                0x2580, 
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_2", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp0_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp1_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x13)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_2", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp0_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp1_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_mp_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                0x002EE000, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x13)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x03, 
                                0x00927C00, 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_master_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_cfg_noc_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_usb3_mp_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb30_mp_mock_utmi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp_phy_com_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_USB3_2", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp0_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_usb3_mp1_clkref_en", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "usb30_mp_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_USB3_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO12_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x03
                    }
                }
            })
        }

        Scope (\_SB.PEP0)
        {
            Method (IPMD, 0, NotSerialized)
            {
                Return (IPSC) /* \_SB_.PEP0.IPSC */
            }

            Name (IPSC, Package (0x01)
            {
                Package (0x03)
                {
                    "DEVICE", 
                    "\\_SB.IPA", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x03)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x06)
                                {
                                    0x03, 
                                    "ICBID_MASTER_IPA_CORE", 
                                    "ICBID_SLAVE_IPA_CORE", 
                                    0x9218, 
                                    Zero, 
                                    "HLOS_DRV"
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x06)
                                {
                                    0x03, 
                                    "ICBID_MASTER_IPA_CORE", 
                                    "ICBID_SLAVE_IPA_CORE", 
                                    Zero, 
                                    Zero, 
                                    "HLOS_DRV"
                                }
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "NPARESOURCE", 
                                    Package (0x03)
                                    {
                                        One, 
                                        "/ipa/pc", 
                                        Zero
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "NPARESOURCE", 
                                    Package (0x03)
                                    {
                                        One, 
                                        "/ipa/pc", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "PREPARE_PSTATE", 
                                Zero
                            }
                        }
                    }
                }
            })
        }

        Scope (\_SB.PEP0)
        {
            Method (EWMD, 0, NotSerialized)
            {
                If ((\_SB.PSUB == "MTP08150"))
                {
                    If (((\_SB.PLST == One) || (\_SB.PLST == 0x04)))
                    {
                        Return (WBRX) /* \_SB_.PEP0.WBRX */
                    }
                    Else
                    {
                        Return (WBRC) /* \_SB_.PEP0.WBRC */
                    }
                }
                ElseIf ((\_SB.PSUB == "CLS08150"))
                {
                    If (((\_SB.SOID == 0x0169) && ((BSID == 0x02) || (BSID == 0x03))))
                    {
                        Return (WBRX) /* \_SB_.PEP0.WBRX */
                    }
                    Else
                    {
                        Return (WBRC) /* \_SB_.PEP0.WBRC */
                    }
                }
                Else
                {
                    Return (WBRC) /* \_SB_.PEP0.WBRC */
                }
            }

            Name (WBRX, Package (0x01)
            {
                Package (0x05)
                {
                    "DEVICE", 
                    "\\_SB.BTH0", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x05)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS5_A", 
                                0x02, 
                                0x001DC130, 
                                One, 
                                0x06, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS6_C", 
                                0x02, 
                                0x00149970, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS7_C", 
                                0x02, 
                                0x000E7EF0, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x05)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS5_A", 
                                0x02, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS6_C", 
                                0x02, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS7_C", 
                                0x02, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }
                }
            })
            Name (WBRC, Package (0x03)
            {
                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.AMSS.QWLN", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x04)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_xo", 
                                0x80
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO1_A", 
                                One, 
                                0x000B7980, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "DSTATE", 
                        0x02, 
                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_xo", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO1_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_xo", 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO1_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "ABANDON_DSTATE", 
                        0x02
                    }
                }, 

                Package (0x03)
                {
                    "DEVICE", 
                    "\\_SB.COEX", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO1_A", 
                                    One, 
                                    0x000B7980, 
                                    One, 
                                    0x04, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PMICVREGVOTE", 
                                Package (0x06)
                                {
                                    "PPP_RESOURCE_ID_LDO1_A", 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    0x04, 
                                    Zero
                                }
                            }
                        }
                    }
                }, 

                Package (0x05)
                {
                    "DEVICE", 
                    "\\_SB.BTH0", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x05)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO7_A", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_C", 
                                One, 
                                0x0013E5C0, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO11_C", 
                                One, 
                                0x00328980, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x05)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO7_A", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO2_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO11_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x04, 
                                Zero
                            }
                        }
                    }
                }
            })
        }

        Scope (\_SB.PEP0)
        {
            Method (PEMD, 0, NotSerialized)
            {
                If ((\_SB.SVMJ >= 0x02))
                {
                    If ((\_SB.PSUB == "MTP08150"))
                    {
                        If (((\_SB.PLST == One) || (\_SB.PLST == 0x04)))
                        {
                            Return (PEMH) /* \_SB_.PEP0.PEMH */
                        }
                        Else
                        {
                            Return (PEMC) /* \_SB_.PEP0.PEMC */
                        }
                    }
                    ElseIf ((\_SB.PSUB == "CLS08150"))
                    {
                        If (((\_SB.SOID == 0x0169) && ((BSID == 0x02) || (BSID == 0x03))))
                        {
                            Return (PEMH) /* \_SB_.PEP0.PEMH */
                        }
                        Else
                        {
                            Return (PEMC) /* \_SB_.PEP0.PEMC */
                        }
                    }
                    Else
                    {
                        Return (PEMC) /* \_SB_.PEP0.PEMC */
                    }
                }
                Else
                {
                    Return (PEMX) /* \_SB_.PEP0.PEMX */
                }
            }

            Name (PEMC, Package (0x08)
            {
                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI0", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_0_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_0_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x3A699D00, 
                                0x3A699D00
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_0_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie0_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x07)
                            {
                                0x24, 
                                Zero, 
                                One, 
                                Zero, 
                                0x03, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie0_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_0_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_0_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI0.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_1_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_1_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_1", 
                                "ICBID_SLAVE_EBI1", 
                                0x74D33A00, 
                                0x74D33A00
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_1_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie1_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x07)
                            {
                                0x67, 
                                Zero, 
                                One, 
                                Zero, 
                                0x03, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie1_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_1_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_1_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI1.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI2", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_2_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_2_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_2", 
                                "ICBID_SLAVE_EBI1", 
                                0xE9A67400, 
                                0xE9A67400
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_2_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie2_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie2_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_2_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_2_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI2.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI3", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_3_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_3_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_3", 
                                "ICBID_SLAVE_EBI1", 
                                0xE9A67400, 
                                0xE9A67400
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_3_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie3_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie3_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_3_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_3", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_3_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI3.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }
            })
            Name (PEMX, Package (0x08)
            {
                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI0", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x18)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_0_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_0_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x3A699D00, 
                                0x3A699D00
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_rx2_qlink_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_ufs_mem_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_ufs_card_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_rx2_qlink_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_ufs_mem_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_ufs_card_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_0_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie0_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x07)
                            {
                                0x24, 
                                Zero, 
                                One, 
                                Zero, 
                                0x03, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie0_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_0_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_0_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI0.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x18)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_1_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_1_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_1", 
                                "ICBID_SLAVE_EBI1", 
                                0x74D33A00, 
                                0x74D33A00
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_rx2_qlink_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_ufs_mem_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_ufs_card_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_rx2_qlink_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_ufs_mem_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_ufs_card_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_1_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie1_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x07)
                            {
                                0x67, 
                                Zero, 
                                One, 
                                Zero, 
                                0x03, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie1_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_1_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_1_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI1.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI2", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x17)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_2_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_2_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_2", 
                                "ICBID_SLAVE_EBI1", 
                                0x74D33A00, 
                                0x74D33A00
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_rx2_qlink_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_ufs_mem_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_ufs_card_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_rx2_qlink_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_ufs_mem_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_ufs_card_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_2_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie2_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie2_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_2_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_2_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI2.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI3", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x17)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_3_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_3_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_3", 
                                "ICBID_SLAVE_EBI1", 
                                0xE9A67400, 
                                0xE9A67400
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_rx2_qlink_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_ufs_mem_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_ufs_card_clkref_en", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_rx2_qlink_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_ufs_mem_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x03)
                            {
                                "gcc_ufs_card_clkref_en", 
                                0x09, 
                                0x08
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_3_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie3_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie3_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_3_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_3", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_3_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI3.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }
            })
            Name (PEMH, Package (0x08)
            {
                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI0", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_0_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_0_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x3A699D00, 
                                0x3A699D00
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_0_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie0_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x07)
                            {
                                0x24, 
                                Zero, 
                                One, 
                                Zero, 
                                0x03, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie0_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_0_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_0_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_0_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI0.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x12)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_1_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_1_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_1", 
                                "ICBID_SLAVE_EBI1", 
                                0x74D33A00, 
                                0x74D33A00
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_1_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie1_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x07)
                            {
                                0x67, 
                                Zero, 
                                One, 
                                Zero, 
                                0x03, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie1_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_1_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_1_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_1", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_1_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI1.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI2", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_2_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_2_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_2", 
                                "ICBID_SLAVE_EBI1", 
                                0xE9A67400, 
                                0xE9A67400
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_2_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie2_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie2_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_2_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_2_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_2_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI2.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }, 

                Package (0x09)
                {
                    "DEVICE", 
                    "\\_SB.PCI3", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                0x00124F80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                0x000D6D80, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_3_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_3_CFG", 
                                0x047868C0, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_3", 
                                "ICBID_SLAVE_EBI1", 
                                0xE9A67400, 
                                0xE9A67400
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x0100, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_pipe_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_q2a_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_mstr_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_cfg_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie_3_aux_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_pcie3_phy_refgen_clk", 
                                0x08, 
                                0x05F5E100, 
                                0x03
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x11)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_slv_q2a_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_mstr_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_cfg_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie3_phy_refgen_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_3_pipe_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_pcie_phy_aux_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_aggre_noc_pcie_tbu_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x04)
                            {
                                One, 
                                "/arc/client/rail_cx", 
                                0x10, 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_PCIE_3_CFG", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_PCIE_3", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "pcie_3_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO3_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO5_A", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_EXCEPTION", 
                        Package (0x02)
                        {
                            "EXECUTE_FUNCTION", 
                            Package (0x01)
                            {
                                "ExecuteOcdPCIeExceptions"
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRASHDUMP_DSTATE", 
                        Zero
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PCI3.RP1", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x03
                    }
                }
            })
        }

        Scope (\_SB.PEP0)
        {
            Method (CPMX, 0, NotSerialized)
            {
                Return (CPXC) /* \_SB_.PEP0.CPXC */
            }

            Name (CPXC, Package (0x04)
            {
                Package (0x03)
                {
                    "DEVICE", 
                    "\\_SB.FLSH", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }
                }, 

                Package (0x05)
                {
                    "DEVICE", 
                    "\\_SB.CAMP", 
                    Package (0x0F)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x22)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x04, 
                                    0x23
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x05, 
                                    0x23
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x06, 
                                    0x18
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x07, 
                                    0x18
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x08, 
                                    0x18
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x09, 
                                    0x18
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_hf_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_sf_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cci_0_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cci_1_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x11, 
                                    One, 
                                    One, 
                                    One, 
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x12, 
                                    One, 
                                    One, 
                                    One, 
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x13, 
                                    One, 
                                    One, 
                                    One, 
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x14, 
                                    One, 
                                    One, 
                                    One, 
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x1F, 
                                    One, 
                                    One, 
                                    One, 
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x20, 
                                    One, 
                                    One, 
                                    One, 
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x21, 
                                    One, 
                                    One, 
                                    One, 
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x22, 
                                    One, 
                                    One, 
                                    One, 
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x0D, 
                                    One, 
                                    One, 
                                    One, 
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x0E, 
                                    One, 
                                    One, 
                                    One, 
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x0F, 
                                    One, 
                                    One, 
                                    One, 
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x10, 
                                    One, 
                                    One, 
                                    One, 
                                    Zero, 
                                    0x02
                                }
                            }
                        }, 

                        Package (0x1E)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x10, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x0F, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x0E, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x0D, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x22, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x21, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x20, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x1F, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x14, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x13, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x12, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x11, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cci_1_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cci_0_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_sf_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_hf_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x04, 
                                    0x25
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x05, 
                                    0x25
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x06, 
                                    0x1D
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x07, 
                                    0x1D
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x08, 
                                    0x1D
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x09, 
                                    0x1D
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_cci_0_clk", 
                                        0x03, 
                                        0x023C3460, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_cci_0_clk", 
                                        0x03, 
                                        0x0124F800, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_cci_1_clk", 
                                        0x03, 
                                        0x023C3460, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_cci_1_clk", 
                                        0x03, 
                                        0x0124F800, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }
                        }, 

                        Package (0x28)
                        {
                            "PSTATE_SET", 
                            0x04, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000002CB417800, 
                                        0x00000002CB417800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000002AD741300, 
                                        0x00000002AD741300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x000000028FA6AE00, 
                                        0x000000028FA6AE00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000271D94900, 
                                        0x0000000271D94900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000002540BE400, 
                                        0x00000002540BE400
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x05, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000002363E7F00, 
                                        0x00000002363E7F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x06, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000218711A00, 
                                        0x0000000218711A00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x07, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000001FAA3B500, 
                                        0x00000001FAA3B500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x08, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000001DCD65000, 
                                        0x00000001DCD65000
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x09, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000001BF08EB00, 
                                        0x00000001BF08EB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000001A13B8600, 
                                        0x00000001A13B8600
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000001836E2100, 
                                        0x00000001836E2100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000165A0BC00, 
                                        0x0000000165A0BC00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000147D35700, 
                                        0x0000000147D35700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0E, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x000000012A05F200, 
                                        0x000000012A05F200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0F, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x000000010C388D00, 
                                        0x000000010C388D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x10, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xEE6B2800, 
                                        0xEE6B2800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x11, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xD09DC300, 
                                        0xD09DC300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x12, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xC4B20100, 
                                        0xC4B20100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x13, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xB8C63F00, 
                                        0xB8C63F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x14, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xACDA7D00, 
                                        0xACDA7D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x15, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xA0EEBB00, 
                                        0xA0EEBB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x16, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x9502F900, 
                                        0x9502F900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x17, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x89173700, 
                                        0x89173700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x18, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x7D2B7500, 
                                        0x7D2B7500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x19, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x713FB300, 
                                        0x713FB300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x6553F100, 
                                        0x6553F100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x59682F00, 
                                        0x59682F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x4D7C6D00, 
                                        0x4D7C6D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x4190AB00, 
                                        0x4190AB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1E, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x35A4E900, 
                                        0x35A4E900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1F, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x29B92700, 
                                        0x29B92700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x20, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x21, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x17D78400, 
                                        0x17D78400
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x22, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x11E1A300, 
                                        0x11E1A300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x23, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0BEBC200, 
                                        0x0BEBC200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x24, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x05F5E100, 
                                        0x05F5E100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x25, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x28)
                        {
                            "PSTATE_SET", 
                            0x05, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000002CB417800, 
                                        0x00000002CB417800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000002AD741300, 
                                        0x00000002AD741300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x000000028FA6AE00, 
                                        0x000000028FA6AE00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000271D94900, 
                                        0x0000000271D94900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000002540BE400, 
                                        0x00000002540BE400
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x05, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000002363E7F00, 
                                        0x00000002363E7F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x06, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000218711A00, 
                                        0x0000000218711A00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x07, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000001FAA3B500, 
                                        0x00000001FAA3B500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x08, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000001DCD65000, 
                                        0x00000001DCD65000
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x09, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000001BF08EB00, 
                                        0x00000001BF08EB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000001A13B8600, 
                                        0x00000001A13B8600
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000001836E2100, 
                                        0x00000001836E2100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000165A0BC00, 
                                        0x0000000165A0BC00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000147D35700, 
                                        0x0000000147D35700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0E, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x000000012A05F200, 
                                        0x000000012A05F200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0F, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x000000010C388D00, 
                                        0x000000010C388D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x10, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xEE6B2800, 
                                        0xEE6B2800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x11, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xD09DC300, 
                                        0xD09DC300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x12, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xC4B20100, 
                                        0xC4B20100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x13, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xB8C63F00, 
                                        0xB8C63F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x14, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xACDA7D00, 
                                        0xACDA7D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x15, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xA0EEBB00, 
                                        0xA0EEBB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x16, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x9502F900, 
                                        0x9502F900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x17, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x89173700, 
                                        0x89173700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x18, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x7D2B7500, 
                                        0x7D2B7500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x19, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x713FB300, 
                                        0x713FB300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x6553F100, 
                                        0x6553F100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x59682F00, 
                                        0x59682F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x4D7C6D00, 
                                        0x4D7C6D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x4190AB00, 
                                        0x4190AB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1E, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x35A4E900, 
                                        0x35A4E900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1F, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x29B92700, 
                                        0x29B92700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x20, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x21, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x17D78400, 
                                        0x17D78400
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x22, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x11E1A300, 
                                        0x11E1A300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x23, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0BEBC200, 
                                        0x0BEBC200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x24, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x05F5E100, 
                                        0x05F5E100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x25, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x20)
                        {
                            "PSTATE_SET", 
                            0x06, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000008D8F9FC00, 
                                        0x00000008D8F9FC00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000826299E00, 
                                        0x0000000826299E00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000684EE1800, 
                                        0x0000000684EE1800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x000000055AE82600, 
                                        0x000000055AE82600
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000004A817C800, 
                                        0x00000004A817C800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x05, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000003B9ACA000, 
                                        0x00000003B9ACA000
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x06, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000342770C00, 
                                        0x0000000342770C00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x07, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000002CB417800, 
                                        0x00000002CB417800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x08, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xEE6B2800, 
                                        0xEE6B2800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x09, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xD09DC300, 
                                        0xD09DC300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xC4B20100, 
                                        0xC4B20100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xB8C63F00, 
                                        0xB8C63F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xACDA7D00, 
                                        0xACDA7D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xA0EEBB00, 
                                        0xA0EEBB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0E, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x9502F900, 
                                        0x9502F900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0F, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x89173700, 
                                        0x89173700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x10, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x7D2B7500, 
                                        0x7D2B7500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x11, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x713FB300, 
                                        0x713FB300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x12, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x6553F100, 
                                        0x6553F100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x13, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x59682F00, 
                                        0x59682F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x14, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x4D7C6D00, 
                                        0x4D7C6D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x15, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x4190AB00, 
                                        0x4190AB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x16, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x35A4E900, 
                                        0x35A4E900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x17, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x29B92700, 
                                        0x29B92700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x18, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x19, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x17D78400, 
                                        0x17D78400
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x11E1A300, 
                                        0x11E1A300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0BEBC200, 
                                        0x0BEBC200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x05F5E100, 
                                        0x05F5E100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x20)
                        {
                            "PSTATE_SET", 
                            0x07, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000008D8F9FC00, 
                                        0x00000008D8F9FC00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000826299E00, 
                                        0x0000000826299E00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000684EE1800, 
                                        0x0000000684EE1800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x000000055AE82600, 
                                        0x000000055AE82600
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000004A817C800, 
                                        0x00000004A817C800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x05, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000003B9ACA000, 
                                        0x00000003B9ACA000
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x06, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000342770C00, 
                                        0x0000000342770C00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x07, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000002CB417800, 
                                        0x00000002CB417800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x08, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xEE6B2800, 
                                        0xEE6B2800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x09, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xD09DC300, 
                                        0xD09DC300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xC4B20100, 
                                        0xC4B20100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xB8C63F00, 
                                        0xB8C63F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xACDA7D00, 
                                        0xACDA7D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xA0EEBB00, 
                                        0xA0EEBB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0E, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x9502F900, 
                                        0x9502F900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0F, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x89173700, 
                                        0x89173700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x10, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x7D2B7500, 
                                        0x7D2B7500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x11, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x713FB300, 
                                        0x713FB300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x12, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x6553F100, 
                                        0x6553F100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x13, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x59682F00, 
                                        0x59682F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x14, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x4D7C6D00, 
                                        0x4D7C6D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x15, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x4190AB00, 
                                        0x4190AB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x16, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x35A4E900, 
                                        0x35A4E900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x17, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x29B92700, 
                                        0x29B92700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x18, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x19, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x17D78400, 
                                        0x17D78400
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x11E1A300, 
                                        0x11E1A300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0BEBC200, 
                                        0x0BEBC200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x05F5E100, 
                                        0x05F5E100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x20)
                        {
                            "PSTATE_SET", 
                            0x08, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000008D8F9FC00, 
                                        0x00000008D8F9FC00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000826299E00, 
                                        0x0000000826299E00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000684EE1800, 
                                        0x0000000684EE1800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x000000055AE82600, 
                                        0x000000055AE82600
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000004A817C800, 
                                        0x00000004A817C800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x05, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000003B9ACA000, 
                                        0x00000003B9ACA000
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x06, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0000000342770C00, 
                                        0x0000000342770C00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x07, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x00000002CB417800, 
                                        0x00000002CB417800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x08, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xEE6B2800, 
                                        0xEE6B2800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x09, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xD09DC300, 
                                        0xD09DC300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xC4B20100, 
                                        0xC4B20100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xB8C63F00, 
                                        0xB8C63F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xACDA7D00, 
                                        0xACDA7D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0xA0EEBB00, 
                                        0xA0EEBB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0E, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x9502F900, 
                                        0x9502F900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0F, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x89173700, 
                                        0x89173700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x10, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x7D2B7500, 
                                        0x7D2B7500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x11, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x713FB300, 
                                        0x713FB300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x12, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x6553F100, 
                                        0x6553F100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x13, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x59682F00, 
                                        0x59682F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x14, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x4D7C6D00, 
                                        0x4D7C6D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x15, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x4190AB00, 
                                        0x4190AB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x16, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x35A4E900, 
                                        0x35A4E900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x17, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x29B92700, 
                                        0x29B92700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x18, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x19, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x17D78400, 
                                        0x17D78400
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x11E1A300, 
                                        0x11E1A300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0BEBC200, 
                                        0x0BEBC200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x05F5E100, 
                                        0x05F5E100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x20)
                        {
                            "PSTATE_SET", 
                            0x09, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000008D8F9FC00, 
                                        0x00000008D8F9FC00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000826299E00, 
                                        0x0000000826299E00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000684EE1800, 
                                        0x0000000684EE1800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x000000055AE82600, 
                                        0x000000055AE82600
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000004A817C800, 
                                        0x00000004A817C800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x05, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000003B9ACA000, 
                                        0x00000003B9ACA000
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x06, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0000000342770C00, 
                                        0x0000000342770C00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x07, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x00000002CB417800, 
                                        0x00000002CB417800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x08, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xEE6B2800, 
                                        0xEE6B2800
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x09, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xD09DC300, 
                                        0xD09DC300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xC4B20100, 
                                        0xC4B20100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xB8C63F00, 
                                        0xB8C63F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xACDA7D00, 
                                        0xACDA7D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0xA0EEBB00, 
                                        0xA0EEBB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0E, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x9502F900, 
                                        0x9502F900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x0F, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x89173700, 
                                        0x89173700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x10, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x7D2B7500, 
                                        0x7D2B7500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x11, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x713FB300, 
                                        0x713FB300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x12, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x6553F100, 
                                        0x6553F100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x13, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x59682F00, 
                                        0x59682F00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x14, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x4D7C6D00, 
                                        0x4D7C6D00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x15, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x4190AB00, 
                                        0x4190AB00
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x16, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x35A4E900, 
                                        0x35A4E900
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x17, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x29B92700, 
                                        0x29B92700
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x18, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x19, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x17D78400, 
                                        0x17D78400
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1A, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x11E1A300, 
                                        0x11E1A300
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1B, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0BEBC200, 
                                        0x0BEBC200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1C, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x05F5E100, 
                                        0x05F5E100
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x1D, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x08)
                        {
                            "PSTATE_SET", 
                            0x0A, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_camnoc_axi_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_camnoc_axi_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_camnoc_axi_clk", 
                                        0x03, 
                                        0x1312D000, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_camnoc_axi_clk", 
                                        0x03, 
                                        0x0FDAD680, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_camnoc_axi_clk", 
                                        0x03, 
                                        0x08F0D180, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x05, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_camnoc_axi_clk", 
                                        0x03, 
                                        0x0124F800, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        One, 
                        Package (0x08)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }
                        }, 

                        Package (0x08)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x02, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }
                }, 

                Package (0x04)
                {
                    "DEVICE", 
                    "\\_SB.CAMS", 
                    Package (0x11)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_mmcx", 
                                0x30
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_camera_xo_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_gdsc_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "titan_top_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_camnoc_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_cpas_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x1E, 
                                Zero, 
                                Zero, 
                                One, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x0B, 
                                Zero, 
                                Zero, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS8_C", 
                                0x02, 
                                0x0014A140, 
                                One, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO1_C", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x07)
                            {
                                "PPP_RESOURCE_ID_BUCK_BOOST1_C", 
                                0x0C, 
                                0x00328980, 
                                One, 
                                0x02, 
                                "HLOS_DRV", 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "cam_cc_mclk1_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x0B, 
                                One, 
                                Zero, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x1E, 
                                One, 
                                Zero, 
                                One, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x0A
                            }
                        }
                    }, 

                    Package (0x0F)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x0B, 
                                Zero, 
                                Zero, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x1E, 
                                Zero, 
                                Zero, 
                                One, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "cam_cc_mclk1_clk", 
                                0x0C, 
                                Zero, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x07)
                            {
                                "PPP_RESOURCE_ID_BUCK_BOOST1_C", 
                                0x0C, 
                                Zero, 
                                Zero, 
                                0x02, 
                                "HLOS_DRV", 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO1_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS8_C", 
                                0x02, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_cpas_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_camnoc_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "titan_top_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_gdsc_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_camera_xo_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_mmcx", 
                                Zero
                            }
                        }
                    }
                }, 

                Package (0x04)
                {
                    "DEVICE", 
                    "\\_SB.CAMF", 
                    Package (0x11)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_mmcx", 
                                0x30
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_camera_xo_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_gdsc_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "titan_top_gdsc", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_camnoc_axi_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_cpas_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x1E, 
                                Zero, 
                                Zero, 
                                One, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x0B, 
                                Zero, 
                                Zero, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS8_C", 
                                0x02, 
                                0x0014A140, 
                                One, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO1_C", 
                                One, 
                                0x001B7740, 
                                One, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x07)
                            {
                                "PPP_RESOURCE_ID_BUCK_BOOST1_C", 
                                0x0C, 
                                0x00328980, 
                                One, 
                                0x02, 
                                "HLOS_DRV", 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "cam_cc_mclk1_clk", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x0B, 
                                One, 
                                Zero, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x1E, 
                                One, 
                                Zero, 
                                One, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x0A
                            }
                        }
                    }, 

                    Package (0x0F)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x0B, 
                                Zero, 
                                Zero, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x1E, 
                                Zero, 
                                Zero, 
                                One, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "cam_cc_mclk1_clk", 
                                0x0C, 
                                Zero, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x07)
                            {
                                "PPP_RESOURCE_ID_BUCK_BOOST1_C", 
                                0x0C, 
                                Zero, 
                                Zero, 
                                0x02, 
                                "HLOS_DRV", 
                                "SUPPRESSIBLE"
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO1_C", 
                                One, 
                                Zero, 
                                Zero, 
                                0x07, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_SMPS8_C", 
                                0x02, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_cpas_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_camnoc_axi_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "FOOTSWITCH", 
                            Package (0x02)
                            {
                                "titan_top_gdsc", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "cam_cc_gdsc_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_camera_xo_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "NPARESOURCE", 
                            Package (0x03)
                            {
                                One, 
                                "/arc/client/rail_mmcx", 
                                Zero
                            }
                        }
                    }
                }
            })
        }

        Scope (\_SB.PEP0)
        {
            Method (C0MD, 0, NotSerialized)
            {
                Return (CPC0) /* \_SB_.PEP0.CPC0 */
            }

            Method (C1MD, 0, NotSerialized)
            {
                Return (CPC1) /* \_SB_.PEP0.CPC1 */
            }

            Method (C2MD, 0, NotSerialized)
            {
                Return (CPC2) /* \_SB_.PEP0.CPC2 */
            }

            Name (CPC0, Package (0x01)
            {
                Package (0x04)
                {
                    "DEVICE", 
                    "\\_SB.JPGE", 
                    Package (0x05)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x0A)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_jpeg_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }
                        }, 

                        Package (0x09)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_jpeg_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_jpeg_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_jpeg_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_jpeg_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_jpeg_clk", 
                                        0x03, 
                                        0x0BEBC200, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x05)
                    {
                        "COMPONENT", 
                        One, 
                        Package (0x0A)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_jpeg_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x03
                                }
                            }
                        }, 

                        Package (0x09)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_jpeg_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_jpeg_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_jpeg_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_jpeg_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_jpeg_clk", 
                                        0x03, 
                                        0x0BEBC200, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }
                }
            })
            Name (CPC1, Package (0x01)
            {
                Package (0x06)
                {
                    "DEVICE", 
                    "\\_SB.MPCS", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x0A)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_csi0phytimer_clk", 
                                    0x08, 
                                    0x11E1A300, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_csiphy0_clk", 
                                    0x08, 
                                    0x11E1A300, 
                                    0x03
                                }
                            }
                        }, 

                        Package (0x0A)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_csiphy0_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_csi0phytimer_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        One, 
                        Package (0x0A)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_csi1phytimer_clk", 
                                    0x08, 
                                    0x11E1A300, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_csiphy1_clk", 
                                    0x08, 
                                    0x11E1A300, 
                                    0x03
                                }
                            }
                        }, 

                        Package (0x0A)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_csiphy1_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_csi1phytimer_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x02, 
                        Package (0x0A)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_csi2phytimer_clk", 
                                    0x08, 
                                    0x11E1A300, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_csiphy2_clk", 
                                    0x08, 
                                    0x11E1A300, 
                                    0x03
                                }
                            }
                        }, 

                        Package (0x0A)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_csiphy2_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_csi2phytimer_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x03, 
                        Package (0x0A)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_csi3phytimer_clk", 
                                    0x08, 
                                    0x11E1A300, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_csiphy3_clk", 
                                    0x08, 
                                    0x11E1A300, 
                                    0x03
                                }
                            }
                        }, 

                        Package (0x0A)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_csiphy3_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_csi3phytimer_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }
                    }
                }
            })
            Name (CPC2, Package (0x01)
            {
                Package (0x0F)
                {
                    "DEVICE", 
                    "\\_SB.VFE0", 
                    Package (0x06)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x11)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ife_0_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_0_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_ife_0_cphy_rx_clk", 
                                    0x08, 
                                    0x17D78400, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_0_csid_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_0_dsp_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_0_axi_clk", 
                                    One
                                }
                            }
                        }, 

                        Package (0x11)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_0_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_0_dsp_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_0_csid_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_0_cphy_rx_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_0_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ife_0_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_0_clk", 
                                        0x03, 
                                        0x2D4CAE00, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_0_clk", 
                                        0x03, 
                                        0x25F7D940, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_0_clk", 
                                        0x03, 
                                        0x21426780, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_0_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_0_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_0_csid_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_0_csid_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_0_csid_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_0_csid_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        One, 
                        Package (0x11)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ife_1_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_1_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_ife_1_cphy_rx_clk", 
                                    0x08, 
                                    0x17D78400, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_1_csid_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_1_dsp_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_1_axi_clk", 
                                    One
                                }
                            }
                        }, 

                        Package (0x11)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_1_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_1_dsp_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_1_csid_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_1_cphy_rx_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_1_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ife_1_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_1_clk", 
                                        0x03, 
                                        0x2D4CAE00, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_1_clk", 
                                        0x03, 
                                        0x25F7D940, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_1_clk", 
                                        0x03, 
                                        0x21426780, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_1_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_1_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_1_csid_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_1_csid_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_1_csid_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_1_csid_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        0x02, 
                        Package (0x0B)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }
                        }, 

                        Package (0x0B)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x03
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x04
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x03
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        0x03, 
                        Package (0x0B)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }
                        }, 

                        Package (0x0B)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x03
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x04
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x03
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        0x04, 
                        Package (0x0F)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ife_0_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_0_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_ife_lite_0_cphy_rx_clk", 
                                    0x08, 
                                    0x17D78400, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_0_csid_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }
                        }, 

                        Package (0x0F)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_0_csid_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_0_cphy_rx_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_0_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ife_0_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_0_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_0_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_0_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_0_clk", 
                                        0x03, 
                                        0x1312D000, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_0_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_0_csid_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_0_csid_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_0_csid_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_0_csid_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        0x05, 
                        Package (0x0E)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_1_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "cam_cc_ife_lite_1_cphy_rx_clk", 
                                    0x08, 
                                    0x17D78400, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_1_csid_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }
                        }, 

                        Package (0x0E)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_1_csid_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_1_cphy_rx_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ife_lite_1_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_1_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_1_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_1_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_1_clk", 
                                        0x03, 
                                        0x1312D000, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_1_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_1_csid_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_1_csid_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_1_csid_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ife_lite_1_csid_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        0x06, 
                        Package (0x0B)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }
                        }, 

                        Package (0x0B)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x03
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x04
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x03
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        0x07, 
                        Package (0x0B)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }
                        }, 

                        Package (0x0B)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x03
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x04
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x02
                            }, 

                            Package (0x02)
                            {
                                "PSTATE", 
                                0x03
                            }
                        }
                    }, 

                    Package (0x0B)
                    {
                        "COMPONENT", 
                        0x08, 
                        Package (0x13)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x03, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x04, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x05, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x06, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_hf_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_sf_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_icp_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_icp_ahb_clk", 
                                    One
                                }
                            }
                        }, 

                        Package (0x13)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_icp_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_icp_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_sf_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_hf_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x03, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x04, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x05, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x06, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_icp_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_icp_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_icp_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x0BEBC200, 
                                        0x0BEBC200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x0BEBC200, 
                                        0x0BEBC200
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_SF", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x04, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF0", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x05, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1_UNCOMP", 
                                        "ICBID_SLAVE_CAMNOC_UNCOMP", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE_SET", 
                            0x06, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        0x1DCD6500, 
                                        0x1DCD6500
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "BUSARB", 
                                    Package (0x05)
                                    {
                                        0x03, 
                                        "ICBID_MASTER_CAMNOC_HF1", 
                                        "ICBID_SLAVE_EBI1", 
                                        Zero, 
                                        Zero
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x08)
                    {
                        "COMPONENT", 
                        0x09, 
                        Package (0x16)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ipe_0_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_0_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_0_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_0_areg_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_0_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ipe_1_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_1_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_1_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_1_areg_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x03, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_1_axi_clk", 
                                    One
                                }
                            }
                        }, 

                        Package (0x16)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_1_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x03, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_1_areg_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_1_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_1_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ipe_1_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_0_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    0x02, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_0_areg_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_0_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_ipe_0_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "ipe_0_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_clk", 
                                        0x03, 
                                        0x1EFE9200, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_clk", 
                                        0x03, 
                                        0x1C4FECC0, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_clk", 
                                        0x03, 
                                        0x165A0BC0, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_clk", 
                                        0x03, 
                                        0x1EFE9200, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_clk", 
                                        0x03, 
                                        0x1C4FECC0, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_clk", 
                                        0x03, 
                                        0x165A0BC0, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_areg_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_areg_clk", 
                                        0x03, 
                                        0x11E1A300, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_areg_clk", 
                                        0x03, 
                                        0x0BEBC200, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_areg_clk", 
                                        0x03, 
                                        0x05F5E100, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_0_areg_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_areg_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_areg_clk", 
                                        0x03, 
                                        0x11E1A300, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_areg_clk", 
                                        0x03, 
                                        0x0BEBC200, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_areg_clk", 
                                        0x03, 
                                        0x05F5E100, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_ipe_1_areg_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        0x0A, 
                        Package (0x0F)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "bps_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_bps_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_bps_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_bps_areg_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_bps_axi_clk", 
                                    One
                                }
                            }
                        }, 

                        Package (0x0F)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_bps_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_bps_areg_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_bps_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "bps_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_bps_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_clk", 
                                        0x03, 
                                        0x0BEBC200, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_areg_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_areg_clk", 
                                        0x03, 
                                        0x11E1A300, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_areg_clk", 
                                        0x03, 
                                        0x0BEBC200, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_areg_clk", 
                                        0x03, 
                                        0x05F5E100, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_bps_areg_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x05)
                    {
                        "COMPONENT", 
                        0x0B, 
                        Package (0x09)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_lrme_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x02
                                }
                            }
                        }, 

                        Package (0x09)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x04
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_lrme_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_lrme_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_lrme_clk", 
                                        0x03, 
                                        0x1312D000, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_lrme_clk", 
                                        0x03, 
                                        0x11E1A300, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_lrme_clk", 
                                        0x03, 
                                        0x0E4E1C00, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_lrme_clk", 
                                        0x03, 
                                        Zero, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        0x0C, 
                        Package (0x0D)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    0x30
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_fd_core_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_fd_core_uar_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    One
                                }
                            }
                        }, 

                        Package (0x0D)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    One, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "PSTATE_ADJUST", 
                                Package (0x02)
                                {
                                    Zero, 
                                    0x03
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_fd_core_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_fd_core_uar_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_dcd_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_camnoc_axi_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_cpas_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "FOOTSWITCH", 
                                Package (0x02)
                                {
                                    "titan_top_gdsc", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "cam_cc_gdsc_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_camera_xo_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "NPARESOURCE", 
                                Package (0x03)
                                {
                                    One, 
                                    "/arc/client/rail_mmcx", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_clk", 
                                        0x03, 
                                        0x0124F800, 
                                        0x03
                                    }
                                }
                            }
                        }, 

                        Package (0x07)
                        {
                            "PSTATE_SET", 
                            One, 
                            Package (0x03)
                            {
                                "PSTATE", 
                                Zero, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_uar_clk", 
                                        0x03, 
                                        0x23C34600, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                One, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_uar_clk", 
                                        0x03, 
                                        0x1C9C3800, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x02, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_uar_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x03, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_uar_clk", 
                                        0x03, 
                                        0x17D78400, 
                                        0x03
                                    }
                                }
                            }, 

                            Package (0x03)
                            {
                                "PSTATE", 
                                0x04, 
                                Package (0x02)
                                {
                                    "CLOCK", 
                                    Package (0x04)
                                    {
                                        "cam_cc_fd_core_uar_clk", 
                                        0x03, 
                                        0x0124F800, 
                                        0x03
                                    }
                                }
                            }
                        }
                    }
                }
            })
        }

        Scope (\_SB.PEP0)
        {
            Method (LPMX, 0, NotSerialized)
            {
                Return (LPXX) /* \_SB_.PEP0.LPXX */
            }

            Name (LPXX, Package (0x01)
            {
                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.GTCH", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x05)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                One, 
                                One, 
                                Zero, 
                                One, 
                                0x03, 
                                0x03
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x012C
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                Zero, 
                                One, 
                                Zero, 
                                One, 
                                0x03, 
                                0x03
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x05)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                Zero, 
                                Zero, 
                                Zero, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x0A
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                One, 
                                Zero, 
                                Zero, 
                                One, 
                                One, 
                                Zero
                            }
                        }
                    }
                }
            })
        }

        Scope (\_SB.PEP0)
        {
            Method (PMMX, 0, NotSerialized)
            {
                Return (PMXX) /* \_SB_.PEP0.PMXX */
            }

            Name (PMXX, Package (0x03)
            {
                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PA01", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_C", 
                                One, 
                                0x002DC6C0, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PA05", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_C", 
                                One, 
                                0x002DC6C0, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.PA07", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_C", 
                                One, 
                                0x002DC6C0, 
                                One, 
                                0x04, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "PMICVREGVOTE", 
                            Package (0x06)
                            {
                                "PPP_RESOURCE_ID_LDO10_C", 
                                One, 
                                Zero, 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }
                }
            })
        }

        Scope (\_SB.PEP0)
        {
            Method (FPMX, 0, NotSerialized)
            {
                Return (FPXX) /* \_SB_.PEP0.FPXX */
            }

            Name (FPXX, Package (0x01)
            {
                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.FPC1", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x08)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x5F, 
                                One, 
                                Zero, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x5F, 
                                Zero, 
                                Zero, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x05
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x5F, 
                                One, 
                                Zero, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "DELAY", 
                            Package (0x01)
                            {
                                0x05
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x03)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x5F, 
                                Zero, 
                                Zero, 
                                One, 
                                One, 
                                Zero
                            }
                        }
                    }
                }
            })
        }

        Device (BAM1)
        {
            Name (_HID, "QCOM040A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, One)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x01DC4000,         // Address Base
                        0x00024000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000130,
                    }
                })
                Return (RBUF) /* \_SB_.BAM1._CRS.RBUF */
            }
        }

        Device (BAM5)
        {
            Name (_HID, "QCOM040A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x05)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x17184000,         // Address Base
                        0x00032000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000C4,
                    }
                })
                Return (RBUF) /* \_SB_.BAM5._CRS.RBUF */
            }
        }

        Device (BAM6)
        {
            Name (_HID, "QCOM040A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x06)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x17204000,         // Address Base
                        0x00026000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000144,
                    }
                })
                Return (RBUF) /* \_SB_.BAM6._CRS.RBUF */
            }
        }

        Device (BAM7)
        {
            Name (_HID, "QCOM040A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x07)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x08884000,         // Address Base
                        0x00023000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000009A,
                    }
                })
                Return (RBUF) /* \_SB_.BAM7._CRS.RBUF */
            }
        }

        Device (BAMD)
        {
            Name (_HID, "QCOM040A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x0D)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0A904000,         // Address Base
                        0x00017000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000A9,
                    }
                })
                Return (RBUF) /* \_SB_.BAMD._CRS.RBUF */
            }
        }

        Device (BAME)
        {
            Name (_HID, "QCOM040A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x0E)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x06064000,         // Address Base
                        0x00015000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000C7,
                    }
                })
                Return (RBUF) /* \_SB_.BAME._CRS.RBUF */
            }
        }

        Device (BAMF)
        {
            Name (_HID, "QCOM040A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x0F)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0A704000,         // Address Base
                        0x00017000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000A4,
                    }
                })
                Return (RBUF) /* \_SB_.BAMF._CRS.RBUF */
            }
        }

        Device (BAMG)
        {
            Name (_HID, "QCOM040A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x10)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0A504000,         // Address Base
                        0x00017000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002B3,
                    }
                })
                Return (RBUF) /* \_SB_.BAMG._CRS.RBUF */
            }
        }

        Device (UARD)
        {
            Name (_HID, "QCOM0418")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x0D)  // _UID: Unique ID
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x00A90000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000185,
                    }
                    GpioInt (Edge, ActiveLow, Exclusive, PullDown, 0x0000,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0056
                        }
                })
                Return (RBUF) /* \_SB_.UARD._CRS.RBUF */
            }
        }

        Device (UR18)
        {
            Name (_HID, "QCOM0418")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x12)  // _UID: Unique ID
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x00C8C000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000269,
                    }
                    GpioInt (Edge, ActiveLow, Exclusive, PullDown, 0x0000,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x002E
                        }
                })
                Return (RBUF) /* \_SB_.UR18._CRS.RBUF */
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0B)
            }
        }

        Device (I2C2)
        {
            Name (_HID, "QCOM0411")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x02)  // _UID: Unique ID
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x00884000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000027A,
                    }
                })
                Return (RBUF) /* \_SB_.I2C2._CRS.RBUF */
            }
        }

        Device (I2C5)
        {
            Name (_HID, "QCOM0411")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x05)  // _UID: Unique ID
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x00890000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000027D,
                    }
                })
                Return (RBUF) /* \_SB_.I2C5._CRS.RBUF */
            }
        }

        Device (IC18)
        {
            Name (_HID, "QCOM0411")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x12)  // _UID: Unique ID
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x00C80000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000195,
                    }
                })
                Return (RBUF) /* \_SB_.IC18._CRS.RBUF */
            }
        }

        Device (IC20)
        {
            Name (_HID, "QCOM0411")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x14)  // _UID: Unique ID
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x00C88000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000268,
                    }
                })
                Return (RBUF) /* \_SB_.IC20._CRS.RBUF */
            }
        }

        Device (SPI4)
        {
            Name (_HID, "QCOM040F")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x04)  // _UID: Unique ID
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.QGP0, 
                \_SB.MMU0
            })
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0088C000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000027C,
                    }
                })
                Return (RBUF) /* \_SB_.SPI4._CRS.RBUF */
            }
        }

        Device (SPI8)
        {
            Name (_HID, "QCOM040F")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x08)  // _UID: Unique ID
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.QGP0, 
                \_SB.MMU0
            })
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0089C000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000280,
                    }
                })
                Return (RBUF) /* \_SB_.SPI8._CRS.RBUF */
            }
        }

        Scope (\_SB.PEP0)
        {
            Method (BSMD, 0, NotSerialized)
            {
                Return (BSRC) /* \_SB_.PEP0.BSRC */
            }

            Name (BSRC, Package (0x08)
            {
                Package (0x05)
                {
                    "DEVICE", 
                    0x02, 
                    "\\_SB.UARD", 
                    Package (0x12)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_QUP_1", 
                                    "ICBID_SLAVE_EBI1", 
                                    0x0927C000, 
                                    0x0682
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_QUP_1", 
                                    0x08D24D00, 
                                    0x02FAF080
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_qupv3_wrap_1_m_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    One
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_qupv3_wrap_1_m_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_QUP_1", 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_QUP_1", 
                                    "ICBID_SLAVE_EBI1", 
                                    Zero, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x55, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x56, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x04)
                        {
                            "PSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x55, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x56, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x02, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x00708000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x03, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x00E10000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x04, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x01C20000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x05, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x01E84800, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x06, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x02DC6C00, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x07, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x03D09000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x08, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x04C4B400, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x09, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x05B8D800, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x0A, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x061A8000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x0B, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x06ACFC00, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x0C, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x07080000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x0D, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap1_s4_clk", 
                                    0x03, 
                                    0x07A12000, 
                                    0x04
                                }
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        One, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }
                }, 

                Package (0x04)
                {
                    "DEVICE", 
                    "\\_SB.UR18", 
                    Package (0x12)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_QUP_2", 
                                    "ICBID_SLAVE_EBI1", 
                                    0x0927C000, 
                                    0x0682
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_QUP_2", 
                                    0x08D24D00, 
                                    0x02FAF080
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_qupv3_wrap_2_m_ahb_clk", 
                                    One
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    One
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x02)
                                {
                                    "gcc_qupv3_wrap_2_m_ahb_clk", 
                                    0x02
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_APPSS_PROC", 
                                    "ICBID_SLAVE_QUP_2", 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "BUSARB", 
                                Package (0x05)
                                {
                                    0x03, 
                                    "ICBID_MASTER_QUP_2", 
                                    "ICBID_SLAVE_EBI1", 
                                    Zero, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE", 
                            Zero, 
                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x2B, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x2C, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x2D, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x2E, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x06)
                        {
                            "PSTATE", 
                            One, 
                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x2B, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x2C, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x2D, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                }
                            }, 

                            Package (0x02)
                            {
                                "TLMMGPIO", 
                                Package (0x06)
                                {
                                    0x2E, 
                                    Zero, 
                                    One, 
                                    Zero, 
                                    One, 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x02, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x00708000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x03, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x00E10000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x04, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x01C20000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x05, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x01E84800, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x06, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x02DC6C00, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x07, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x03D09000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x08, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x04C4B400, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x09, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x05B8D800, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x0A, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x061A8000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x0B, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x06ACFC00, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x0C, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x07080000, 
                                    0x04
                                }
                            }
                        }, 

                        Package (0x03)
                        {
                            "PSTATE", 
                            0x0D, 
                            Package (0x02)
                            {
                                "CLOCK", 
                                Package (0x04)
                                {
                                    "gcc_qupv3_wrap2_s3_clk", 
                                    0x03, 
                                    0x07A12000, 
                                    0x04
                                }
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        One, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "FSTATE", 
                            One
                        }
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.I2C2", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x08)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x0927C000, 
                                0x0682
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_0", 
                                0x08D24D00, 
                                0x02FAF080
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_0_m_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_qupv3_wrap0_s1_clk", 
                                0x08, 
                                0x0124F800, 
                                0x04
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x72, 
                                One, 
                                One, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x73, 
                                One, 
                                One, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x08)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap0_s1_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_0_m_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x72, 
                                Zero, 
                                Zero, 
                                Zero, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x73, 
                                Zero, 
                                Zero, 
                                Zero, 
                                0x03, 
                                Zero
                            }
                        }
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.I2C5", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x08)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x0927C000, 
                                0x0682
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_0", 
                                0x08D24D00, 
                                0x02FAF080
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_0_m_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_qupv3_wrap0_s4_clk", 
                                0x08, 
                                0x0124F800, 
                                0x04
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x33, 
                                One, 
                                One, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x34, 
                                One, 
                                One, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x08)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap0_s4_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_0_m_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x33, 
                                Zero, 
                                Zero, 
                                Zero, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x34, 
                                Zero, 
                                Zero, 
                                Zero, 
                                0x03, 
                                Zero
                            }
                        }
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.IC18", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x08)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_2", 
                                "ICBID_SLAVE_EBI1", 
                                0x0927C000, 
                                0x0682
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_2", 
                                0x08D24D00, 
                                0x02FAF080
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_2_m_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_qupv3_wrap2_s0_clk", 
                                0x08, 
                                0x0124F800, 
                                0x04
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x37, 
                                One, 
                                One, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x38, 
                                One, 
                                One, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x08)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap2_s0_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_2_m_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_2", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x37, 
                                Zero, 
                                Zero, 
                                Zero, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x38, 
                                Zero, 
                                Zero, 
                                Zero, 
                                0x03, 
                                Zero
                            }
                        }
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.IC20", 
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }
                    }, 

                    Package (0x08)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_2", 
                                "ICBID_SLAVE_EBI1", 
                                0x0927C000, 
                                0x0682
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_2", 
                                0x08D24D00, 
                                0x02FAF080
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_2_m_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x04)
                            {
                                "gcc_qupv3_wrap2_s2_clk", 
                                0x08, 
                                0x0124F800, 
                                0x04
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x39, 
                                One, 
                                One, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x3A, 
                                One, 
                                One, 
                                One, 
                                0x03, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x08)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap2_s2_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_2_m_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_2", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_2", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x39, 
                                Zero, 
                                Zero, 
                                Zero, 
                                0x03, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x3A, 
                                Zero, 
                                Zero, 
                                Zero, 
                                0x03, 
                                Zero
                            }
                        }
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.SPI4", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            "DISCOVERABLE_PSTATE", 
                            "CLOCK", 
                            "gcc_qupv3_wrap0_s3_clk"
                        }
                    }, 

                    Package (0x0A)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x0927C000, 
                                0x0682
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_0", 
                                0x08D24D00, 
                                0x02FAF080
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_0_m_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap0_s3_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x90, 
                                One, 
                                0x02, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x91, 
                                One, 
                                0x02, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x92, 
                                One, 
                                0x02, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x93, 
                                One, 
                                0x02, 
                                One, 
                                One, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x0A)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap0_s3_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_0_m_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x90, 
                                Zero, 
                                0x02, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x91, 
                                Zero, 
                                0x02, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x92, 
                                Zero, 
                                0x02, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x93, 
                                Zero, 
                                0x02, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }
                    }
                }, 

                Package (0x07)
                {
                    "DEVICE", 
                    "\\_SB.SPI8", 
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x02)
                        {
                            "FSTATE", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            "DISCOVERABLE_PSTATE", 
                            "CLOCK", 
                            "gcc_qupv3_wrap0_s7_clk"
                        }
                    }, 

                    Package (0x0A)
                    {
                        "DSTATE", 
                        Zero, 
                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_0", 
                                "ICBID_SLAVE_EBI1", 
                                0x0927C000, 
                                0x0682
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_0", 
                                0x08D24D00, 
                                0x02FAF080
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_0_m_ahb_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap0_s7_clk", 
                                One
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x62, 
                                One, 
                                One, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x63, 
                                One, 
                                One, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x64, 
                                One, 
                                One, 
                                One, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x65, 
                                One, 
                                One, 
                                One, 
                                One, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DSTATE", 
                        0x02
                    }, 

                    Package (0x0A)
                    {
                        "DSTATE", 
                        0x03, 
                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap0_s7_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "CLOCK", 
                            Package (0x02)
                            {
                                "gcc_qupv3_wrap_0_m_ahb_clk", 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_APPSS_PROC", 
                                "ICBID_SLAVE_QUP_0", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "BUSARB", 
                            Package (0x05)
                            {
                                0x03, 
                                "ICBID_MASTER_QUP_0", 
                                "ICBID_SLAVE_EBI1", 
                                Zero, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x62, 
                                Zero, 
                                One, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x63, 
                                Zero, 
                                One, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x64, 
                                Zero, 
                                One, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }, 

                        Package (0x02)
                        {
                            "TLMMGPIO", 
                            Package (0x06)
                            {
                                0x65, 
                                Zero, 
                                One, 
                                Zero, 
                                One, 
                                Zero
                            }
                        }
                    }
                }
            })
        }

        Device (RPEN)
        {
            Name (_HID, "QCOM0433")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (PILC)
        {
            Name (_HID, "QCOM041B")  // _HID: Hardware ID
        }

        Device (CDI)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.PILC, 
                \_SB.RPEN
            })
            Name (_HID, "QCOM0432")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }
        }

        Device (SCSS)
        {
            Name (_DEP, Package (0x07)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.PILC, 
                \_SB.GLNK, 
                \_SB.IPC0, 
                \_SB.RPEN, 
                \_SB.SSDD, 
                \_SB.ARPC
            })
            Name (_HID, "QCOM0421")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000199,
                    }
                })
                Return (RBUF) /* \_SB_.SCSS._CRS.RBUF */
            }
        }

        Device (ADSP)
        {
            Name (_DEP, Package (0x07)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.PILC, 
                \_SB.GLNK, 
                \_SB.IPC0, 
                \_SB.RPEN, 
                \_SB.SSDD, 
                \_SB.ARPC
            })
            Name (_HID, "QCOM041D")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000C2,
                    }
                })
                Return (RBUF) /* \_SB_.ADSP._CRS.RBUF */
            }

            Device (SLM1)
            {
                Name (_ADR, Zero)  // _ADR: Address
                Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
                Method (_SUB, 0, NotSerialized)  // _SUB: Subsystem ID
                {
                    While (One)
                    {
                        Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                        _T_0 = ToInteger (BDID)
                        If ((_T_0 == 0x06))
                        {
                            Return ("MSDA8150")
                        }
                        ElseIf ((_T_0 == 0x09))
                        {
                            Return ("MSDA8150")
                        }
                        ElseIf ((_T_0 == 0x0B))
                        {
                            Return ("MSDA8150")
                        }
                        ElseIf ((_T_0 == 0x0D))
                        {
                            Return ("MSDA8150")
                        }
                        ElseIf ((_T_0 == 0x10))
                        {
                            Return ("MSDA8150")
                        }
                        ElseIf ((_T_0 == 0x07))
                        {
                            Return ("MSDB8150")
                        }
                        ElseIf ((_T_0 == 0x0A))
                        {
                            Return ("MSDB8150")
                        }
                        ElseIf ((_T_0 == 0x0C))
                        {
                            Return ("MSDB8150")
                        }
                        ElseIf ((_T_0 == 0x0E))
                        {
                            Return ("MSDB8150")
                        }
                        ElseIf ((_T_0 == 0x11))
                        {
                            Return ("MSDB8150")
                        }
                        ElseIf ((_T_0 == 0x08))
                        {
                            Return ("MSDC8150")
                        }
                        ElseIf ((_T_0 == 0x0F))
                        {
                            Return ("MSDC8150")
                        }
                        ElseIf ((_T_0 == 0x12))
                        {
                            Return ("MSDC8150")
                        }
                        Else
                        {
                            Return (\_SB.PSUB)
                        }

                        Break
                    }
                }

                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        Memory32Fixed (ReadWrite,
                            0x171C0000,         // Address Base
                            0x0002C000,         // Address Length
                            )
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000000C3,
                        }
                    })
                    Return (RBUF) /* \_SB_.ADSP.SLM1._CRS.RBUF */
                }

                Device (ADCM)
                {
                    Alias (\_SB.PSUB, _SUB)
                    Name (_ADR, Zero)  // _ADR: Address
                    Name (_DEP, Package (0x02)  // _DEP: Dependencies
                    {
                        \_SB.MMU0, 
                        \_SB.IMM0
                    })
                    Method (CHLD, 0, NotSerialized)
                    {
                        Return (Package (0x01)
                        {
                            "ADCM\\QCOM0425"
                        })
                    }

                    Device (AUDD)
                    {
                        Name (_ADR, Zero)  // _ADR: Address
                        Alias (\_SB.PSUB, _SUB)
                        Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                        {
                            Name (RBUF, ResourceTemplate ()
                            {
                                GpioIo (Exclusive, PullNone, 0x0000, 0x0640, IoRestrictionNone,
                                    "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                                    )
                                    {   // Pin list
                                        0x008F
                                    }
                                GpioInt (Edge, ActiveHigh, Exclusive, PullDown, 0x0000,
                                    "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                                    )
                                    {   // Pin list
                                        0x0085
                                    }
                                SpiSerialBusV2 (0x0000, PolarityLow, FourWireMode, 0x08,
                                    ControllerInitiated, 0x016E3600, ClockPolarityLow,
                                    ClockPhaseFirst, "\\_SB.SPI4",
                                    0x00, ResourceConsumer, , Exclusive,
                                    RawDataBuffer (0x07)  // Vendor Data
                                    {
                                        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
                                    })
                            })
                            Return (RBUF) /* \_SB_.ADSP.SLM1.ADCM.AUDD._CRS.RBUF */
                        }

                        Method (CHLD, 0, NotSerialized)
                        {
                            Name (CH, Package (0x02)
                            {
                                "AUDD\\QCOM0437", 
                                "AUDD\\QCOM042C"
                            })
                            Return (CH) /* \_SB_.ADSP.SLM1.ADCM.AUDD.CHLD.CH__ */
                        }

                        Device (MBHC)
                        {
                            Name (_ADR, Zero)  // _ADR: Address
                            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                            {
                                Name (RBUF, Buffer (0x02)
                                {
                                     0x79, 0x00                                       // y.
                                })
                                Return (RBUF) /* \_SB_.ADSP.SLM1.ADCM.AUDD.MBHC._CRS.RBUF */
                            }
                        }

                        Device (QCRT)
                        {
                            Name (_ADR, One)  // _ADR: Address
                        }
                    }
                }
            }

            Device (SLM2)
            {
                Name (_ADR, One)  // _ADR: Address
                Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        Memory32Fixed (ReadWrite,
                            0x17240000,         // Address Base
                            0x0002C000,         // Address Length
                            )
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x00000143,
                        }
                    })
                    Return (RBUF) /* \_SB_.ADSP.SLM2._CRS.RBUF */
                }
            }
        }

        Device (AMSS)
        {
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Name (_DEP, Package (0x05)  // _DEP: Dependencies
            {
                \_SB.GLNK, 
                \_SB.PILC, 
                \_SB.RFS0, 
                \_SB.RPEN, 
                \_SB.SSDD
            })
            Name (_HID, "QCOM041E")  // _HID: Hardware ID
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000012A,
                    }
                })
                Return (RBUF) /* \_SB_.AMSS._CRS.RBUF */
            }

            Device (QWLN)
            {
                Name (_ADR, Zero)  // _ADR: Address
                Name (_DEP, Package (0x02)  // _DEP: Dependencies
                {
                    \_SB.PEP0, 
                    \_SB.MMU0
                })
                Name (_PRW, Package (0x02)  // _PRW: Power Resources for Wake
                {
                    Zero, 
                    Zero
                })
                Name (_S0W, 0x02)  // _S0W: S0 Device Wake State
                Name (_S4W, 0x02)  // _S4W: S4 Device Wake State
                Name (_PRR, Package (One)  // _PRR: Power Resource for Reset
                {
                    \_SB.AMSS.QWLN.WRST
                })
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        Memory32Fixed (ReadWrite,
                            0x18800000,         // Address Base
                            0x00800000,         // Address Length
                            )
                        Memory32Fixed (ReadWrite,
                            0x0C250000,         // Address Base
                            0x00000010,         // Address Length
                            )
                        Memory32Fixed (ReadWrite,
                            0x8BC00000,         // Address Base
                            0x00180000,         // Address Length
                            )
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001BE,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001BF,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, ExclusiveAndWake, ,, )
                        {
                            0x000001C0,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001C1,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001C2,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001C3,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001C4,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001C5,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001C6,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001C7,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001C8,
                        }
                        Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                        {
                            0x000001C9,
                        }
                    })
                    Return (RBUF) /* \_SB_.AMSS.QWLN._CRS.RBUF */
                }

                PowerResource (WRST, 0x05, 0x0000)
                {
                    Method (_ON, 0, NotSerialized)  // _ON_: Power On
                    {
                    }

                    Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
                    {
                    }

                    Method (_RST, 0, NotSerialized)  // _RST: Device Reset
                    {
                    }
                }
            }

            Scope (\_SB)
            {
                Device (COEX)
                {
                    Name (_HID, "QCOM045F")  // _HID: Hardware ID
                    Alias (\_SB.PSUB, _SUB)
                }
            }

            Scope (\_SB.AMSS.QWLN.WRST)
            {
                Method (_STA, 0, NotSerialized)  // _STA: Status
                {
                    If (((\_SB.SOID == 0x0169) && (\_SB.PLST == One)))
                    {
                        Return (Zero)
                    }
                    ElseIf ((\_SB.PLST == 0x04))
                    {
                        Return (Zero)
                    }
                    Else
                    {
                        Return (0x0F)
                    }
                }
            }
        }

        Device (QSM)
        {
            Name (_HID, "QCOM0420")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_DEP, Package (0x04)  // _DEP: Dependencies
            {
                \_SB.GLNK, 
                \_SB.IPC0, 
                \_SB.PILC, 
                \_SB.RPEN
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x9A500000,         // Address Base
                        0x00600000,         // Address Length
                        )
                })
                Return (RBUF) /* \_SB_.QSM_._CRS.RBUF */
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }
        }

        Device (SSDD)
        {
            Name (_HID, "QCOM0422")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.GLNK, 
                \_SB.PDSR, 
                \_SB.TFTP
            })
        }

        Device (MPTM)
        {
            Name (_HID, "QCOM04AF")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.AMSS
            })
        }

        Device (PDSR)
        {
            Name (_HID, "QCOM047C")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.GLNK, 
                \_SB.IPC0
            })
        }

        Device (CDSP)
        {
            Name (_DEP, Package (0x07)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.PILC, 
                \_SB.GLNK, 
                \_SB.IPC0, 
                \_SB.RPEN, 
                \_SB.SSDD, 
                \_SB.ARPC
            })
            Name (_HID, "QCOM0423")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000262,
                    }
                })
                Return (RBUF) /* \_SB_.CDSP._CRS.RBUF */
            }
        }

        Device (SPSS)
        {
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.PILC, 
                \_SB.RPEN
            })
            Name (_HID, "QCOM0499")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000180,
                    }
                    Memory32Fixed (ReadWrite,
                        0x01881028,         // Address Base
                        0x00000004,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x01881024,         // Address Base
                        0x00000004,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0188101C,         // Address Base
                        0x00000004,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0188103C,         // Address Base
                        0x00000004,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0188200C,         // Address Base
                        0x00000004,         // Address Length
                        )
                })
                Return (RBUF) /* \_SB_.SPSS._CRS.RBUF */
            }
        }

        Device (TFTP)
        {
            Name (_HID, "QCOM048B")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.IPC0
            })
        }

        Scope (\_SB.PILC)
        {
            Method (_SUB, 0, NotSerialized)  // _SUB: Subsystem ID
            {
                If (((\_SB.SOID == 0x0169) && (\_SB.PLST == 0x02)))
                {
                    Return ("MTPB8150")
                }
                ElseIf (((\_SB.SOID == 0x0169) && (\_SB.PLST == One)))
                {
                    Return ("MTPC8150")
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return ("MTPD8150")
                }
                Else
                {
                    Return (\_SB.PSUB)
                }
            }
        }

        Scope (\_SB.AMSS)
        {
            Method (_SUB, 0, NotSerialized)  // _SUB: Subsystem ID
            {
                If ((\_SB.SOID == 0x0169))
                {
                    If ((\_SB.PLST == 0x02))
                    {
                        Return ("MTPB8150")
                    }
                    ElseIf ((\_SB.PLST == One))
                    {
                        Return ("MTPC8150")
                    }
                    ElseIf ((\_SB.PLST == 0x04))
                    {
                        Return ("MTPF8150")
                    }
                    Else
                    {
                        Return ("MTPA8150")
                    }
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return ("MTPD8150")
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x04)))
                {
                    Return ("MTPE8150")
                }
                Else
                {
                    Return (\_SB.PSUB)
                }
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }
        }

        Device (LLC)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_HID, "QCOM048C")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Alias (\_SB.SVMJ, _HRV)
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Return (ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x09600000,         // Address Base
                        0x00050000,         // Address Length
                        )
                    Memory32Fixed (ReadOnly,
                        0x01FC8020,         // Address Base
                        0x00000004,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000266,
                    }
                })
            }
        }

        Device (MMU0)
        {
            Name (_HID, "QCOM0409")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Alias (\_SB.SVMJ, _HRV)
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.MMU1
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Return (ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x15000000,         // Address Base
                        0x00100000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000081,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000082,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000083,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000084,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000085,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000086,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000087,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000088,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000089,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000008A,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000008B,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000008C,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000008D,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000008E,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000008F,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000090,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000091,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000092,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000093,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000094,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000095,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000096,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000D5,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000D6,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000D7,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000D8,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000D9,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000DA,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000DB,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000DC,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000DD,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000DE,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000DF,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000E0,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000015B,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000015C,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000015D,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000015E,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000015F,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000160,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000161,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000162,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000163,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000164,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000165,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000166,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000167,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000168,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000169,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000016A,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000016B,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000016C,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000016D,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000016E,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000016F,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000170,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000171,
                    }
                })
            }
        }

        Device (MMU1)
        {
            Name (_HID, "QCOM0409")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Alias (\_SB.SVMJ, _HRV)
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Return (ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x02CA0000,         // Address Base
                        0x00010000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002C8,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002C9,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002CA,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002CB,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002CC,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002CD,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002CE,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002CF,
                    }
                })
            }
        }

        Device (IMM0)
        {
            Name (_HID, "QCOM049B")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
        }

        Device (IMM1)
        {
            Name (_HID, "QCOM049B")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, One)  // _UID: Unique ID
        }

        Device (DISP)
        {
            Name (_HID, "MSHW1004")  // _HID: Hardware ID
        }

        Device (GPU0)
        {
            Name (_HID, "QCOM043A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Alias (\_SB.SIDT, _IDT)
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_CLS, 0x0003000000000000)  // _CLS: Class Code
            Device (MON0)
            {
                Method (_ADR, 0, NotSerialized)  // _ADR: Address
                {
                    Return (Zero)
                }

                Name (_PLD, Package (One)  // _PLD: Physical Location of Device
                {
                    Buffer (0x14)
                    {
                        /* 0000 */  0x02, 0xFF, 0x00, 0xFF, 0x7C, 0x0B, 0x94, 0x07,  // ....|...
                        /* 0008 */  0x41, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // A.......
                        /* 0010 */  0x1E, 0x00, 0x1E, 0x00                           // ....
                    }
                })
            }

            Device (MON1)
            {
                Method (_ADR, 0, NotSerialized)  // _ADR: Address
                {
                    Return (One)
                }

                Name (_PLD, Package (One)  // _PLD: Physical Location of Device
                {
                    Buffer (0x14)
                    {
                        /* 0000 */  0x02, 0xFF, 0x00, 0xFF, 0x7C, 0x0B, 0x94, 0x07,  // ....|...
                        /* 0008 */  0x61, 0x0D, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00,  // a.......
                        /* 0010 */  0x1E, 0x00, 0x1E, 0x00                           // ....
                    }
                })
            }

            Name (_DEP, Package (0x0B)  // _DEP: Dependencies
            {
                \_SB.MMU0, 
                \_SB.MMU1, 
                \_SB.IMM0, 
                \_SB.IMM1, 
                \_SB.PEP0, 
                \_SB.PMIC, 
                \_SB.PILC, 
                \_SB.RPEN, 
                \_SB.TREE, 
                \_SB.SCM0, 
                \_SB.DISP
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (ABUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0AE00000,         // Address Base
                        0x00140000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x088E0000,         // Address Base
                        0x000F4000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000073,
                    }
                    Memory32Fixed (ReadWrite,
                        0x02C00000,         // Address Base
                        0x0003F010,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x02C60000,         // Address Base
                        0x0003F000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000014C,
                    }
                    Memory32Fixed (ReadWrite,
                        0x0B280000,         // Address Base
                        0x0000FFFF,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0B480000,         // Address Base
                        0x00010000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x02C90000,         // Address Base
                        0x00009000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0C200000,         // Address Base
                        0x0000FFFF,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AA00000,         // Address Base
                        0x00200000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000CE,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000CF,
                    }
                    GpioIo (Exclusive, PullUp, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0005
                        }
                    GpioIo (Exclusive, PullUp, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0006
                        }
                })
                Name (BBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0AE00000,         // Address Base
                        0x00140000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x088E0000,         // Address Base
                        0x000F4000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000073,
                    }
                    Memory32Fixed (ReadWrite,
                        0x02C00000,         // Address Base
                        0x0003F010,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x02C60000,         // Address Base
                        0x0003F000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000014C,
                    }
                    Memory32Fixed (ReadWrite,
                        0x0B290000,         // Address Base
                        0x0000FFFF,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0B490000,         // Address Base
                        0x00010000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x02C90000,         // Address Base
                        0x00009000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0C200000,         // Address Base
                        0x0000FFFF,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AA00000,         // Address Base
                        0x00200000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000CE,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000CF,
                    }
                    GpioIo (Exclusive, PullUp, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0005
                        }
                    GpioIo (Exclusive, PullUp, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0006
                        }
                })
                If ((\_SB.SIDV < 0x00020000))
                {
                    Return (ABUF) /* \_SB_.GPU0._CRS.ABUF */
                }
                Else
                {
                    Return (BBUF) /* \_SB_.GPU0._CRS.BBUF */
                }
            }

            Method (RESI, 0, NotSerialized)
            {
                Name (AINF, Package (0x11)
                {
                    0x03, 
                    Zero, 
                    Package (0x03)
                    {
                        "RESOURCE", 
                        "MDP_REGS", 
                        "DISPLAY"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "DP_PHY_REGS", 
                        "DISPLAY"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "VSYNC_INTERRUPT", 
                        "DISPLAY"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GFX_REGS", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GFX_REG_CONT", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GFX_INTERRUPT", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GPU_PDC_SEQ_MEM", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GPU_PDC_REGS", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GPU_CC", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GPU_RPMH_CPRF", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "VIDEO_REGS", 
                        "VIDEO"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "VIDC_INTERRUPT", 
                        "VIDEO"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "VIDC_WD_INTERRUPT", 
                        "VIDEO"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "DSI_PANEL_RESET", 
                        "DISPLAY"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "DSI_PANEL2_RESET", 
                        "DISPLAY"
                    }
                })
                Name (BINF, Package (0x11)
                {
                    0x03, 
                    Zero, 
                    Package (0x03)
                    {
                        "RESOURCE", 
                        "MDP_REGS", 
                        "DISPLAY"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "DP_PHY_REGS", 
                        "DISPLAY"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "VSYNC_INTERRUPT", 
                        "DISPLAY"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GFX_REGS", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GFX_REG_CONT", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GFX_INTERRUPT", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GPU_PDC_SEQ_MEM", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GPU_PDC_REGS", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GPU_CC", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "GPU_RPMH_CPRF", 
                        "GRAPHICS"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "VIDEO_REGS", 
                        "VIDEO"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "VIDC_INTERRUPT", 
                        "VIDEO"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "VIDC_WD_INTERRUPT", 
                        "VIDEO"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "DSI_PANEL_RESET", 
                        "DISPLAY"
                    }, 

                    Package (0x03)
                    {
                        "RESOURCE", 
                        "DSI_PANEL2_RESET", 
                        "DISPLAY"
                    }
                })
                If ((\_SB.SIDV < 0x00020000))
                {
                    Return (AINF) /* \_SB_.GPU0.RESI.AINF */
                }
                Else
                {
                    Return (BINF) /* \_SB_.GPU0.RESI.BINF */
                }
            }

            Method (ENGS, 0, NotSerialized)
            {
                Name (EBUF, Package (0x06)
                {
                    0x03, 
                    0x02, 
                    0x0048002B, 
                    Package (0x07)
                    {
                        "ENGINES", 
                        0x05, 
                        Package (0x0A)
                        {
                            "ENGINE", 
                            "GRAPHICS", 
                            "Adreno6X", 
                            One, 
                            One, 
                            Zero, 
                            Package (0x0B)
                            {
                                "MMUINFO", 
                                "Miniport", 
                                "ArmSmmuV2", 
                                0x02, 
                                0x31, 
                                "V8L", 
                                "SMMUID", 
                                ToUUID ("9833c712-3292-4ffb-b0f4-2bd20e1f7f66") /* Unknown UUID */, 
                                "SMMUINTERFACEID", 
                                Buffer (0x10)
                                {
                                    /* 0000 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                                    /* 0008 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00   // ........
                                }, 

                                Package (0x0E)
                                {
                                    "PAGETABLEUSAGE", 
                                    0x04, 
                                    "GraphicsGlobalPT", 
                                    Zero, 
                                    0x03030000, 
                                    "GraphicsPerProcessPT", 
                                    Zero, 
                                    0x03030000, 
                                    "GraphicsSecurePT", 
                                    One, 
                                    0x030A0000, 
                                    "GraphicsGmuPT", 
                                    0x03, 
                                    0x03030008
                                }
                            }, 

                            Package (0x03)
                            {
                                "PERF_CONTROLS", 
                                Package (0x02)
                                {
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "LimitForPassiveCooling", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "LimitForPassiveCooling", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "THERMAL_DOMAINS", 
                                "GPU"
                            }, 

                            Package (0x05)
                            {
                                "PROPERTIES", 
                                0x03, 
                                Package (0x02)
                                {
                                    "GmemBaseAddr", 
                                    Zero
                                }, 

                                Package (0x02)
                                {
                                    "GmemSize", 
                                    0x00200000
                                }, 

                                Package (0x02)
                                {
                                    "SMMUCount", 
                                    One
                                }
                            }
                        }, 

                        Package (0x09)
                        {
                            "ENGINE", 
                            "MDPBLT", 
                            "MDP5.x", 
                            0x02, 
                            One, 
                            Zero, 
                            Package (0x02)
                            {
                                "SHAREDSMMU", 
                                "ROTATOR"
                            }, 

                            Package (0x03)
                            {
                                "PERF_CONTROLS", 
                                Package (0x02)
                                {
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "LimitForPassiveCooling", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "LimitForPassiveCooling", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "THERMAL_DOMAINS", 
                                "GPU"
                            }
                        }, 

                        Package (0x09)
                        {
                            "ENGINE", 
                            "ROTATOR", 
                            "MDP5.x", 
                            0x03, 
                            One, 
                            Zero, 
                            Package (0x0B)
                            {
                                "MMUINFO", 
                                "Miniport", 
                                "ArmSmmuV2", 
                                0x02, 
                                0x20, 
                                "V8L", 
                                "SMMUID", 
                                ToUUID ("36079ae4-78e8-452d-af50-0cff78b2f1ca") /* Unknown UUID */, 
                                "SMMUINTERFACEID", 
                                Buffer (0x10)
                                {
                                    /* 0000 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                                    /* 0008 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00   // ........
                                }, 

                                Package (0x04)
                                {
                                    "PAGETABLEUSAGE", 
                                    0x02, 
                                    "MdpNonSecurePT", 
                                    "MdpSecurePT"
                                }
                            }, 

                            Package (0x03)
                            {
                                "PERF_CONTROLS", 
                                Package (0x02)
                                {
                                    0x02, 
                                    Package (0x02)
                                    {
                                        "LimitForPassiveCooling", 
                                        One
                                    }
                                }, 

                                Package (0x02)
                                {
                                    0x03, 
                                    Package (0x02)
                                    {
                                        "LimitForPassiveCooling", 
                                        One
                                    }
                                }
                            }, 

                            Package (0x02)
                            {
                                "THERMAL_DOMAINS", 
                                "GPU"
                            }
                        }, 

                        Package (0x0A)
                        {
                            "ENGINE", 
                            "VIDEO", 
                            "Venus", 
                            0x04, 
                            One, 
                            Zero, 
                            Package (0x0B)
                            {
                                "MMUINFO", 
                                "Engine", 
                                "ArmSmmuV2", 
                                0x02, 
                                0x20, 
                                "V8L", 
                                "SMMUID", 
                                ToUUID ("665e0f8e-add3-49d1-91bc-5540c5f57fba") /* Unknown UUID */, 
                                "SMMUINTERFACEID", 
                                ToUUID ("1c3fc0e8-0b11-4ee0-be89-3e21420a865f") /* Unknown UUID */, 
                                Package (0x07)
                                {
                                    "PAGETABLEUSAGE", 
                                    0x05, 
                                    "VideoNonSecurePT", 
                                    "VideoSecurePT1", 
                                    "VideoSecurePT2", 
                                    "VideoSecurePT3", 
                                    "VideoSecurePT4"
                                }
                            }, 

                            Package (0x05)
                            {
                                "PERF_CONTROLS", 
                                Package (0x01)
                                {
                                    0x02
                                }, 

                                Package (0x01)
                                {
                                    0x03
                                }, 

                                Package (0x01)
                                {
                                    0x04
                                }, 

                                Package (0x01)
                                {
                                    0x05
                                }
                            }, 

                            Package (0x01)
                            {
                                "THERMAL_DOMAINS"
                            }, 

                            Package (0x03)
                            {
                                "PROPERTIES", 
                                One, 
                                Package (0x02)
                                {
                                    "DecMaxFps", 
                                    0x3C
                                }
                            }
                        }, 

                        Package (0x09)
                        {
                            "ENGINE", 
                            "CRYPTO", 
                            "Crypto1.0", 
                            0x05, 
                            One, 
                            Zero, 
                            Package (0x0B)
                            {
                                "MMUINFO", 
                                "Miniport", 
                                "ArmSmmuV2", 
                                0x02, 
                                0x20, 
                                "V8L", 
                                "SMMUID", 
                                ToUUID ("36079ae4-78e8-452d-af50-0cff78b2f1ca") /* Unknown UUID */, 
                                "SMMUINTERFACEID", 
                                Buffer (0x10)
                                {
                                    /* 0000 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                                    /* 0008 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00   // ........
                                }, 

                                Package (0x04)
                                {
                                    "PAGETABLEUSAGE", 
                                    0x02, 
                                    "CryptoNonSecurePT", 
                                    "CryptoSecurePT"
                                }
                            }, 

                            Package (0x02)
                            {
                                "PERF_CONTROLS", 
                                Package (0x01)
                                {
                                    0x02
                                }
                            }, 

                            Package (0x01)
                            {
                                "THERMAL_DOMAINS"
                            }
                        }
                    }, 

                    Package (0x09)
                    {
                        "DISPLAYS", 
                        "MDP5.x", 
                        0x03, 
                        Package (0x07)
                        {
                            "DISPLAY", 
                            "INTERNAL1", 
                            Zero, 
                            One, 
                            Zero, 
                            Package (0x05)
                            {
                                "PERF_CONTROLS", 
                                Package (0x01)
                                {
                                    0x02
                                }, 

                                Package (0x01)
                                {
                                    0x03
                                }, 

                                Package (0x01)
                                {
                                    0x04
                                }, 

                                Package (0x01)
                                {
                                    0x05
                                }
                            }, 

                            Package (0x01)
                            {
                                "THERMAL_DOMAINS"
                            }
                        }, 

                        Package (0x07)
                        {
                            "DISPLAY", 
                            "INTERNAL2", 
                            0x06, 
                            One, 
                            Zero, 
                            Package (0x05)
                            {
                                "PERF_CONTROLS", 
                                Package (0x01)
                                {
                                    0x02
                                }, 

                                Package (0x01)
                                {
                                    0x03
                                }, 

                                Package (0x01)
                                {
                                    0x04
                                }, 

                                Package (0x01)
                                {
                                    0x05
                                }
                            }, 

                            Package (0x01)
                            {
                                "THERMAL_DOMAINS"
                            }
                        }, 

                        Package (0x07)
                        {
                            "DISPLAY", 
                            "EXTERNAL3", 
                            0x07, 
                            One, 
                            Zero, 
                            Package (0x05)
                            {
                                "PERF_CONTROLS", 
                                Package (0x01)
                                {
                                    0x02
                                }, 

                                Package (0x01)
                                {
                                    0x03
                                }, 

                                Package (0x01)
                                {
                                    0x04
                                }, 

                                Package (0x01)
                                {
                                    0x05
                                }
                            }, 

                            Package (0x01)
                            {
                                "THERMAL_DOMAINS"
                            }
                        }, 

                        Package (0x02)
                        {
                            "RESOURCES", 
                            Package (0x0B)
                            {
                                "MMUINFO", 
                                "Miniport", 
                                "ArmSmmuV2", 
                                0x02, 
                                0x20, 
                                "V8L", 
                                "SMMUID", 
                                ToUUID ("36079ae4-78e8-452d-af50-0cff78b2f1ca") /* Unknown UUID */, 
                                "SMMUINTERFACEID", 
                                Buffer (0x10)
                                {
                                    /* 0000 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                                    /* 0008 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00   // ........
                                }, 

                                Package (0x04)
                                {
                                    "PAGETABLEUSAGE", 
                                    0x02, 
                                    "MdpNonSecurePT", 
                                    "MdpSecurePT"
                                }
                            }
                        }, 

                        Package (0x0C)
                        {
                            "PRIMARY_SOURCE_MODES", 
                            0x0A, 
                            Package (0x02)
                            {
                                0x01E0, 
                                0x0280
                            }, 

                            Package (0x02)
                            {
                                0x0234, 
                                0x02F0
                            }, 

                            Package (0x02)
                            {
                                0x0288, 
                                0x0360
                            }, 

                            Package (0x02)
                            {
                                0x02DC, 
                                0x03D0
                            }, 

                            Package (0x02)
                            {
                                0x0393, 
                                0x04C4
                            }, 

                            Package (0x02)
                            {
                                0x03BD, 
                                0x04FC
                            }, 

                            Package (0x02)
                            {
                                0x0411, 
                                0x056C
                            }, 

                            Package (0x02)
                            {
                                0x0465, 
                                0x05DC
                            }, 

                            Package (0x02)
                            {
                                0x04B9, 
                                0x064C
                            }, 

                            Package (0x02)
                            {
                                0x0546, 
                                0x0708
                            }
                        }, 

                        Package (0x0C)
                        {
                            "HDMI_SOURCE_MODES", 
                            0x0A, 
                            Package (0x02)
                            {
                                0x01E0, 
                                0x0280
                            }, 

                            Package (0x02)
                            {
                                0x0234, 
                                0x02F0
                            }, 

                            Package (0x02)
                            {
                                0x0288, 
                                0x0360
                            }, 

                            Package (0x02)
                            {
                                0x02DC, 
                                0x03D0
                            }, 

                            Package (0x02)
                            {
                                0x0393, 
                                0x04C4
                            }, 

                            Package (0x02)
                            {
                                0x03BD, 
                                0x04FC
                            }, 

                            Package (0x02)
                            {
                                0x0411, 
                                0x056C
                            }, 

                            Package (0x02)
                            {
                                0x0465, 
                                0x05DC
                            }, 

                            Package (0x02)
                            {
                                0x04B9, 
                                0x064C
                            }, 

                            Package (0x02)
                            {
                                0x0546, 
                                0x0708
                            }
                        }
                    }, 

                    Package (0x0F)
                    {
                        "PAGETABLES", 
                        0x0D, 
                        Package (0x07)
                        {
                            "GraphicsGlobalPT", 
                            One, 
                            Zero, 
                            One, 
                            One, 
                            0x0000008000000000, 
                            0x0000000800000000
                        }, 

                        Package (0x07)
                        {
                            "GraphicsPerProcessPT", 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero, 
                            0x00400000, 
                            0x0000007FFFC00000
                        }, 

                        Package (0x07)
                        {
                            "GraphicsSecurePT", 
                            Zero, 
                            One, 
                            One, 
                            One, 
                            0x0000008000000000, 
                            0x0000000A00000000
                        }, 

                        Package (0x07)
                        {
                            "GraphicsGmuPT", 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero, 
                            0x80000000
                        }, 

                        Package (0x07)
                        {
                            "MdpNonSecurePT", 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero, 
                            0x00100000, 
                            0xFFF00000
                        }, 

                        Package (0x07)
                        {
                            "MdpSecurePT", 
                            Zero, 
                            One, 
                            Zero, 
                            One, 
                            0x00100000, 
                            0xFFF00000
                        }, 

                        Package (0x09)
                        {
                            "VideoNonSecurePT", 
                            Zero, 
                            Zero, 
                            Zero, 
                            One, 
                            0x00100000, 
                            0xBFF00000, 
                            0x1B, 
                            Zero
                        }, 

                        Package (0x09)
                        {
                            "VideoSecurePT1", 
                            Zero, 
                            One, 
                            Zero, 
                            One, 
                            0xC0000000, 
                            0x10000000, 
                            0x09, 
                            One
                        }, 

                        Package (0x09)
                        {
                            "VideoSecurePT2", 
                            Zero, 
                            One, 
                            Zero, 
                            One, 
                            0xD0000000, 
                            0x10000000, 
                            0x07, 
                            0x02
                        }, 

                        Package (0x09)
                        {
                            "VideoSecurePT3", 
                            Zero, 
                            One, 
                            Zero, 
                            One, 
                            0xE0000000, 
                            0x10000000, 
                            0x02, 
                            0x03
                        }, 

                        Package (0x09)
                        {
                            "VideoSecurePT4", 
                            Zero, 
                            One, 
                            Zero, 
                            One, 
                            0xF0000000, 
                            0x10000000, 
                            0x2A, 
                            0x04
                        }, 

                        Package (0x07)
                        {
                            "CryptoNonSecurePT", 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero, 
                            0x00100000, 
                            0x7FF00000
                        }, 

                        Package (0x07)
                        {
                            "CryptoSecurePT", 
                            Zero, 
                            One, 
                            Zero, 
                            One, 
                            0x80000000, 
                            0x80000000
                        }
                    }
                })
                Return (EBUF) /* \_SB_.GPU0.ENGS.EBUF */
            }

            Method (TMDT, 0, NotSerialized)
            {
                Name (RBUF, Package (0x03)
                {
                    One, 
                    Zero, 
                    Package (0x03)
                    {
                        "THERMAL_DOMAINS", 
                        One, 
                        Package (0x03)
                        {
                            "GPU", 
                            "GPU0", 
                            Package (0x03)
                            {
                                "GRAPHICS", 
                                "MDPBLT", 
                                "ROTATOR"
                            }
                        }
                    }
                })
                Return (RBUF) /* \_SB_.GPU0.TMDT.RBUF */
            }

            Method (PMCL, 0, NotSerialized)
            {
                Name (RBUF, Package (0x0B)
                {
                    0x03, 
                    0x02, 
                    0x08, 
                    Package (0x10)
                    {
                        "COMPONENT", 
                        Zero, 
                        ToUUID ("2c135991-4391-4633-90b1-fa96f2e2cc04") /* Unknown UUID */, 
                        "PRIMDISPLAY_POWER_STATES", 
                        "HW_BLOCK_MDP", 
                        Package (0x02)
                        {
                            "DISPLAY", 
                            "INTERNAL1"
                        }, 

                        0x02, 
                        0x06, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            "ALL_ON", 
                            Zero, 
                            Zero, 
                            0x02
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            "PWR_OFF", 
                            One, 
                            One, 
                            One
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            "INTERNAL1_RESET", 
                            "*", 
                            "RESET", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            One, 
                            "INTERNAL1_FOOTSWITCH_OVERRIDE", 
                            "*", 
                            "FOOTSWITCH_OVERRIDE", 
                            0x02, 
                            0xFFFFFFFF, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0D)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            "INTERNAL1_SCAN_CONTROL", 
                            "*", 
                            "DISPLAY_SOURCE_SCAN_CTRL", 
                            0x05, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x04, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x03, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x02, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x12)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            "INTERNAL1_CORE_CLOCK_CONTROL", 
                            "*", 
                            "CORE_CLOCK", 
                            0x0A, 
                            One, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1B6B0B00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x14904840, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x11E1A300, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                0x0BEBC200, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                0x0A37CADB, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x05, 
                                0x08F0D180, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x06, 
                                0x05F5E100, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x07, 
                                0x051BD4B0, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x09, 
                                Zero, 
                                0x03
                            }
                        }, 

                        Package (0x3A)
                        {
                            "PSTATE_SET", 
                            0x04, 
                            "INTERNAL1_EBI_BANDWIDTH", 
                            "*", 
                            "BANDWIDTH", 
                            0x32, 
                            0x23, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x000000054EFC6400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x0000000396F76EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x000000037F1FEAA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                0x00000003674866A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                0x000000034F70E2A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x05, 
                                0x0000000337995EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x06, 
                                0x000000031FC1DAA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x07, 
                                0x0000000307EA56A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x08, 
                                0x00000002F012D2A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x09, 
                                0x00000002D83B4EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0A, 
                                0x00000002C063CAA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0B, 
                                0x00000002A88C46A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0C, 
                                0x0000000290B4C2A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0D, 
                                0x0000000278DD3EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0E, 
                                0x000000026105BAA0, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0F, 
                                0x000000025B8E7F80, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x10, 
                                0x000000023C346000, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x11, 
                                0x00000002245CDC00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x12, 
                                0x000000020C855800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x13, 
                                0x00000001F4ADD400, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x14, 
                                0x00000001DCD65000, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x15, 
                                0x00000001C4FECC00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x16, 
                                0x00000001AD274800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x17, 
                                0x00000001954FC400, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x18, 
                                0x000000017D784000, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x19, 
                                0x0000000165A0BC00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1A, 
                                0x000000014DC93800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1B, 
                                0x0000000135F1B400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1C, 
                                0x000000011E1A3000, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1D, 
                                0x000000010642AC00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1E, 
                                0xEE6B2800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1F, 
                                0xD693A400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x20, 
                                0xBEBC2000, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x21, 
                                0xA6E49C00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x22, 
                                0x8F0D1800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x23, 
                                0x77359400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x24, 
                                0x5F5E1000, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x25, 
                                0x59682F00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x26, 
                                0x53724E00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x27, 
                                0x4D7C6D00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x28, 
                                0x47868C00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x29, 
                                0x4190AB00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2A, 
                                0x3B9ACA00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2B, 
                                0x35A4E900, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2C, 
                                0x2FAF0800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2D, 
                                0x29B92700, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2E, 
                                0x23C34600, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2F, 
                                0x1DCD6500, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x30, 
                                0x17D78400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x31, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            0x05, 
                            "INTERNAL1_EBI_INSTANT_BANDWIDTH", 
                            "*", 
                            "BANDWIDTH", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x2FAF0800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }
                    }, 

                    Package (0x0E)
                    {
                        "COMPONENT", 
                        One, 
                        ToUUID ("30bdf1b5-28f7-4c0c-ac47-273dd1401e11") /* Unknown UUID */, 
                        "GRAPHICS_POWER_STATES", 
                        "HW_BLOCK_GRAPHICS", 
                        Package (0x02)
                        {
                            "ENGINE", 
                            "GRAPHICS"
                        }, 

                        0x02, 
                        0x04, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            "ALL_ON", 
                            Zero, 
                            Zero, 
                            0x02
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            "PWR_OFF", 
                            0x2711, 
                            0x0A, 
                            One
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            "GRAPHICS_RESET", 
                            "*", 
                            "RESET", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            One, 
                            "GRAPHICS_FOOTSWITCH_OVERRIDE", 
                            "*", 
                            "FOOTSWITCH_OVERRIDE", 
                            0x02, 
                            One, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x02)
                        {
                            "ENGINE_PSTATE_SET", 
                            0x02
                        }, 

                        Package (0x02)
                        {
                            "ENGINE_PSTATE_SET", 
                            0x03
                        }
                    }, 

                    Package (0x0F)
                    {
                        "COMPONENT", 
                        0x02, 
                        ToUUID ("07ca2add-df87-49e1-8583-08687dc81c8e") /* Unknown UUID */, 
                        "MDPBLT_POWER_STATES", 
                        "HW_BLOCK_MDP", 
                        Package (0x02)
                        {
                            "ENGINE", 
                            "MDPBLT"
                        }, 

                        0x03, 
                        0x04, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            "ALL_ON", 
                            Zero, 
                            Zero, 
                            0x03
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            "CLK_OFF", 
                            0x2710, 
                            Zero, 
                            0x02
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            0x02, 
                            "PWR_OFF", 
                            0x000186A0, 
                            Zero, 
                            One
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            "MDPBLT_RESET", 
                            "*", 
                            "RESET", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            One, 
                            "MDPBLT_FOOTSWITCH_OVERRIDE", 
                            "*", 
                            "FOOTSWITCH_OVERRIDE", 
                            0x02, 
                            0xFFFFFFFF, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x12)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            "MDPBLT_CORE_CLOCK_CONTROL", 
                            "*", 
                            "CORE_CLOCK", 
                            0x0A, 
                            0x02, 
                            Zero, 
                            Package (0x05)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1B6B0B00, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                One, 
                                0x14904840, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x42
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x02, 
                                0x11E1A300, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x42
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x03, 
                                0x0BEBC200, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x42
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x04, 
                                0x0A37CADB, 
                                0x03, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x21
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x05, 
                                0x08F0D180, 
                                0x03, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x21
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x06, 
                                0x05F5E100, 
                                0x03, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x21
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x07, 
                                0x051BD4B0, 
                                0x03, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x08, 
                                0x0124F800, 
                                0x03, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x09, 
                                Zero, 
                                0x03, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x40)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            "MDPBLT_AXI_BANDWIDTH_CONTROL", 
                            "*", 
                            "BANDWIDTH", 
                            0x38, 
                            0xFFFFFFFF, 
                            Zero, 
                            Package (0x05)
                            {
                                "PSTATE", 
                                Zero, 
                                0x000000054EFC6400, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                One, 
                                0x0000000396F76EA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x02, 
                                0x000000037F1FEAA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x03, 
                                0x00000003674866A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x04, 
                                0x000000034F70E2A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x05, 
                                0x0000000337995EA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x06, 
                                0x000000031FC1DAA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x07, 
                                0x0000000307EA56A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x08, 
                                0x00000002F012D2A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x09, 
                                0x00000002D83B4EA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0A, 
                                0x00000002C063CAA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0B, 
                                0x00000002A88C46A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0C, 
                                0x0000000290B4C2A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0D, 
                                0x0000000278DD3EA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0E, 
                                0x000000026105BAA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0F, 
                                0x00000002492E36A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x10, 
                                0x000000023156B2A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x11, 
                                0x00000002197F2EA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x12, 
                                0x0000000201A7AAA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x13, 
                                0x00000001E9D026A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x14, 
                                0x00000001D1F8A2A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x15, 
                                0x00000001BA211EA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x16, 
                                0x00000001A2499AA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x17, 
                                0x000000018A7216A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x18, 
                                0x00000001729A92A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x19, 
                                0x000000015AC30EA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1A, 
                                0x0000000142EB8AA0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1B, 
                                0x000000012B1406A0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1C, 
                                0x00000001133C82A0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1D, 
                                0xFB64FEA0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1E, 
                                0xE38D7AA0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1F, 
                                0xCBB5F6A0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x20, 
                                0xB3DE72A0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x21, 
                                0x9C06EEA0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x22, 
                                0x8F0D1800, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x23, 
                                0x89173700, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x24, 
                                0x83215600, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x25, 
                                0x7D2B7500, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x26, 
                                0x77359400, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x27, 
                                0x713FB300, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x28, 
                                0x6B49D200, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x29, 
                                0x6553F100, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2A, 
                                0x5F5E1000, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2B, 
                                0x59682F00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2C, 
                                0x53724E00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2D, 
                                0x4D7C6D00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2E, 
                                0x47868C00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2F, 
                                0x4190AB00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x30, 
                                0x3B9ACA00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x31, 
                                0x35A4E900, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x32, 
                                0x2FAF0800, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x33, 
                                0x29B92700, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x34, 
                                0x23C34600, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x35, 
                                0x1DCD6500, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x36, 
                                0x17D78400, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x37, 
                                Zero, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x0F)
                    {
                        "COMPONENT", 
                        0x03, 
                        ToUUID ("4d5ffbf5-d791-41cd-89cb-0154129ba607") /* Unknown UUID */, 
                        "ROTATOR_POWER_STATES", 
                        "HW_BLOCK_ROTATOR", 
                        Package (0x02)
                        {
                            "ENGINE", 
                            "ROTATOR"
                        }, 

                        0x03, 
                        0x04, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            "ALL_ON", 
                            Zero, 
                            Zero, 
                            0x03
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            "CLK_OFF", 
                            0x2710, 
                            Zero, 
                            0x02
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            0x02, 
                            "PWR_OFF", 
                            0x000186A0, 
                            Zero, 
                            One
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            "ROTATOR_RESET", 
                            "*", 
                            "RESET", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            One, 
                            "ROTATOR_FOOTSWITCH_OVERRIDE", 
                            "*", 
                            "FOOTSWITCH_OVERRIDE", 
                            0x02, 
                            0xFFFFFFFF, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0E)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            "ROTATOR_CORE_CLOCK_CONTROL", 
                            "*", 
                            "CORE_CLOCK", 
                            0x06, 
                            0x02, 
                            Zero, 
                            Package (0x05)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1B6B0B00, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                One, 
                                0x14904840, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x42
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x02, 
                                0x11E1A300, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x42
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x03, 
                                0x0A37CADB, 
                                0x03, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x21
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x04, 
                                0x0124F800, 
                                0x03, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x05, 
                                Zero, 
                                0x03, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }
                        }, 

                        Package (0x40)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            "ROTATOR_AXI_BANDWIDTH_CONTROL", 
                            "*", 
                            "BANDWIDTH", 
                            0x38, 
                            0xFFFFFFFF, 
                            Zero, 
                            Package (0x05)
                            {
                                "PSTATE", 
                                Zero, 
                                0x000000054EFC6400, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                One, 
                                0x0000000396F76EA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x02, 
                                0x000000037F1FEAA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x03, 
                                0x00000003674866A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x04, 
                                0x000000034F70E2A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x05, 
                                0x0000000337995EA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x06, 
                                0x000000031FC1DAA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x07, 
                                0x0000000307EA56A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x08, 
                                0x00000002F012D2A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x09, 
                                0x00000002D83B4EA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0A, 
                                0x00000002C063CAA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0B, 
                                0x00000002A88C46A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0C, 
                                0x0000000290B4C2A0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0D, 
                                0x0000000278DD3EA0, 
                                Zero, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0E, 
                                0x000000026105BAA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x64
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x0F, 
                                0x00000002492E36A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x10, 
                                0x000000023156B2A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x11, 
                                0x00000002197F2EA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x12, 
                                0x0000000201A7AAA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x13, 
                                0x00000001E9D026A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x14, 
                                0x00000001D1F8A2A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x15, 
                                0x00000001BA211EA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x16, 
                                0x00000001A2499AA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x4B
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x17, 
                                0x000000018A7216A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x18, 
                                0x00000001729A92A0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x19, 
                                0x000000015AC30EA0, 
                                One, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1A, 
                                0x0000000142EB8AA0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1B, 
                                0x000000012B1406A0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1C, 
                                0x00000001133C82A0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1D, 
                                0xFB64FEA0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x32
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1E, 
                                0xE38D7AA0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x1F, 
                                0xCBB5F6A0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x20, 
                                0xB3DE72A0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x21, 
                                0x9C06EEA0, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x22, 
                                0x8F0D1800, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x23, 
                                0x89173700, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x24, 
                                0x83215600, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x25, 
                                0x7D2B7500, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x26, 
                                0x77359400, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x27, 
                                0x713FB300, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x28, 
                                0x6B49D200, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x29, 
                                0x6553F100, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2A, 
                                0x5F5E1000, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2B, 
                                0x59682F00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2C, 
                                0x53724E00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2D, 
                                0x4D7C6D00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2E, 
                                0x47868C00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x2F, 
                                0x4190AB00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x30, 
                                0x3B9ACA00, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    0x19
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x31, 
                                0x35A4E900, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x32, 
                                0x2FAF0800, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x33, 
                                0x29B92700, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x34, 
                                0x23C34600, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x35, 
                                0x1DCD6500, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x36, 
                                0x17D78400, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }, 

                            Package (0x05)
                            {
                                "PSTATE", 
                                0x37, 
                                Zero, 
                                0x02, 
                                Package (0x02)
                                {
                                    "GPU", 
                                    Zero
                                }
                            }
                        }
                    }, 

                    Package (0x11)
                    {
                        "COMPONENT", 
                        0x04, 
                        ToUUID ("d0e1bb1a-703d-4be8-b450-64a4fbfca6a8") /* Unknown UUID */, 
                        "VIDEO_POWER_STATES", 
                        "HW_BLOCK_VIDEO", 
                        Package (0x02)
                        {
                            "ENGINE", 
                            "VIDEO"
                        }, 

                        0x03, 
                        0x06, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            "ALL_ON", 
                            Zero, 
                            Zero, 
                            0x03
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            "CLK_OFF", 
                            0x2710, 
                            Zero, 
                            0x02
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            0x02, 
                            "PWR_OFF", 
                            0x000186A0, 
                            Zero, 
                            One
                        }, 

                        Package (0x0B)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            "VIDEO_RESET", 
                            "*", 
                            "RESET", 
                            0x03, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x02, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0B)
                        {
                            "PSTATE_SET", 
                            One, 
                            "VIDEO_FOOTSWITCH_OVERRIDE", 
                            "*", 
                            "FOOTSWITCH_OVERRIDE", 
                            0x03, 
                            One, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x02, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0F)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            "VIDEO_CORE_CLOCK_CONTROL", 
                            "*", 
                            "CORE_CLOCK", 
                            0x07, 
                            0x05, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1FC4EF40, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x1A76E700, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x15C17540, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                0x14257880, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                0x0E4E1C00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x05, 
                                0x0BEBC200, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x06, 
                                Zero, 
                                0x03
                            }
                        }, 

                        Package (0x77)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            "VIDEO_AXI_PORT_BW", 
                            "*", 
                            "BANDWIDTH", 
                            0x6F, 
                            0x6C, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x000000051F4D5C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x0000000513619A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x000000050775D800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                0x00000004FB8A1600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                0x00000004EF9E5400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x05, 
                                0x00000004E3B29200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x06, 
                                0x00000004D7C6D000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x07, 
                                0x00000004CBDB0E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x08, 
                                0x00000004BFEF4C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x09, 
                                0x00000004B4038A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0A, 
                                0x00000004A817C800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0B, 
                                0x000000049C2C0600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0C, 
                                0x0000000490404400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0D, 
                                0x0000000484548200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0E, 
                                0x000000047868C000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0F, 
                                0x000000046C7CFE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x10, 
                                0x0000000460913C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x11, 
                                0x0000000454A57A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x12, 
                                0x0000000448B9B800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x13, 
                                0x000000043CCDF600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x14, 
                                0x0000000430E23400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x15, 
                                0x0000000424F67200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x16, 
                                0x00000004190AB000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x17, 
                                0x000000040D1EEE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x18, 
                                0x0000000401332C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x19, 
                                0x00000003F5476A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1A, 
                                0x00000003E95BA800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1B, 
                                0x00000003DD6FE600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1C, 
                                0x00000003D1842400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1D, 
                                0x00000003C5986200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1E, 
                                0x00000003B9ACA000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1F, 
                                0x00000003ADC0DE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x20, 
                                0x00000003A1D51C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x21, 
                                0x0000000395E95A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x22, 
                                0x0000000389FD9800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x23, 
                                0x000000037E11D600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x24, 
                                0x0000000372261400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x25, 
                                0x00000003663A5200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x26, 
                                0x000000035A4E9000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x27, 
                                0x000000034E62CE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x28, 
                                0x0000000342770C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x29, 
                                0x00000003368B4A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2A, 
                                0x000000032A9F8800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2B, 
                                0x000000031EB3C600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2C, 
                                0x0000000312C80400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2D, 
                                0x0000000306DC4200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2E, 
                                0x00000002FAF08000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2F, 
                                0x00000002EF04BE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x30, 
                                0x00000002E318FC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x31, 
                                0x00000002D72D3A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x32, 
                                0x00000002CB417800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x33, 
                                0x00000002BF55B600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x34, 
                                0x00000002B369F400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x35, 
                                0x00000002A77E3200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x36, 
                                0x000000029B927000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x37, 
                                0x000000028FA6AE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x38, 
                                0x0000000283BAEC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x39, 
                                0x0000000277CF2A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3A, 
                                0x000000026BE36800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3B, 
                                0x000000025FF7A600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3C, 
                                0x00000002540BE400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3D, 
                                0x0000000248202200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3E, 
                                0x000000023C346000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3F, 
                                0x0000000230489E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x40, 
                                0x00000002245CDC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x41, 
                                0x0000000218711A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x42, 
                                0x000000020C855800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x43, 
                                0x0000000200999600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x44, 
                                0x00000001F4ADD400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x45, 
                                0x00000001E8C21200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x46, 
                                0x00000001DCD65000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x47, 
                                0x00000001D0EA8E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x48, 
                                0x00000001C4FECC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x49, 
                                0x00000001B9130A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4A, 
                                0x00000001AD274800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4B, 
                                0x00000001A13B8600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4C, 
                                0x00000001954FC400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4D, 
                                0x0000000189640200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4E, 
                                0x000000017D784000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4F, 
                                0x00000001718C7E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x50, 
                                0x0000000165A0BC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x51, 
                                0x0000000159B4FA00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x52, 
                                0x000000014DC93800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x53, 
                                0x0000000141DD7600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x54, 
                                0x0000000135F1B400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x55, 
                                0x000000012A05F200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x56, 
                                0x000000011E1A3000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x57, 
                                0x00000001122E6E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x58, 
                                0x000000010642AC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x59, 
                                0xFA56EA00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5A, 
                                0xEE6B2800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5B, 
                                0xE27F6600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5C, 
                                0xD693A400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5D, 
                                0xCAA7E200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5E, 
                                0xBEBC2000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5F, 
                                0xB2D05E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x60, 
                                0xA6E49C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x61, 
                                0x9AF8DA00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x62, 
                                0x8F0D1800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x63, 
                                0x83215600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x64, 
                                0x77359400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x65, 
                                0x6B49D200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x66, 
                                0x5F5E1000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x67, 
                                0x53724E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x68, 
                                0x47868C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x69, 
                                0x3B9ACA00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6A, 
                                0x2FAF0800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6B, 
                                0x23C34600, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6C, 
                                0x17D78400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6D, 
                                0x0BEBC200, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6E, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x77)
                        {
                            "PSTATE_SET", 
                            0x04, 
                            "VIDEO_LLC_AXI_PORT_BW", 
                            "*", 
                            "BANDWIDTH", 
                            0x6F, 
                            0x6E, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x000000051F4D5C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x0000000513619A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x000000050775D800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                0x00000004FB8A1600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                0x00000004EF9E5400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x05, 
                                0x00000004E3B29200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x06, 
                                0x00000004D7C6D000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x07, 
                                0x00000004CBDB0E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x08, 
                                0x00000004BFEF4C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x09, 
                                0x00000004B4038A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0A, 
                                0x00000004A817C800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0B, 
                                0x000000049C2C0600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0C, 
                                0x0000000490404400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0D, 
                                0x0000000484548200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0E, 
                                0x000000047868C000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0F, 
                                0x000000046C7CFE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x10, 
                                0x0000000460913C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x11, 
                                0x0000000454A57A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x12, 
                                0x0000000448B9B800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x13, 
                                0x000000043CCDF600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x14, 
                                0x0000000430E23400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x15, 
                                0x0000000424F67200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x16, 
                                0x00000004190AB000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x17, 
                                0x000000040D1EEE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x18, 
                                0x0000000401332C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x19, 
                                0x00000003F5476A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1A, 
                                0x00000003E95BA800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1B, 
                                0x00000003DD6FE600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1C, 
                                0x00000003D1842400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1D, 
                                0x00000003C5986200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1E, 
                                0x00000003B9ACA000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1F, 
                                0x00000003ADC0DE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x20, 
                                0x00000003A1D51C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x21, 
                                0x0000000395E95A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x22, 
                                0x0000000389FD9800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x23, 
                                0x000000037E11D600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x24, 
                                0x0000000372261400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x25, 
                                0x00000003663A5200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x26, 
                                0x000000035A4E9000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x27, 
                                0x000000034E62CE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x28, 
                                0x0000000342770C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x29, 
                                0x00000003368B4A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2A, 
                                0x000000032A9F8800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2B, 
                                0x000000031EB3C600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2C, 
                                0x0000000312C80400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2D, 
                                0x0000000306DC4200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2E, 
                                0x00000002FAF08000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2F, 
                                0x00000002EF04BE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x30, 
                                0x00000002E318FC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x31, 
                                0x00000002D72D3A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x32, 
                                0x00000002CB417800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x33, 
                                0x00000002BF55B600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x34, 
                                0x00000002B369F400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x35, 
                                0x00000002A77E3200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x36, 
                                0x000000029B927000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x37, 
                                0x000000028FA6AE00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x38, 
                                0x0000000283BAEC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x39, 
                                0x0000000277CF2A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3A, 
                                0x000000026BE36800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3B, 
                                0x000000025FF7A600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3C, 
                                0x00000002540BE400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3D, 
                                0x0000000248202200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3E, 
                                0x000000023C346000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x3F, 
                                0x0000000230489E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x40, 
                                0x00000002245CDC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x41, 
                                0x0000000218711A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x42, 
                                0x000000020C855800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x43, 
                                0x0000000200999600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x44, 
                                0x00000001F4ADD400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x45, 
                                0x00000001E8C21200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x46, 
                                0x00000001DCD65000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x47, 
                                0x00000001D0EA8E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x48, 
                                0x00000001C4FECC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x49, 
                                0x00000001B9130A00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4A, 
                                0x00000001AD274800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4B, 
                                0x00000001A13B8600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4C, 
                                0x00000001954FC400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4D, 
                                0x0000000189640200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4E, 
                                0x000000017D784000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x4F, 
                                0x00000001718C7E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x50, 
                                0x0000000165A0BC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x51, 
                                0x0000000159B4FA00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x52, 
                                0x000000014DC93800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x53, 
                                0x0000000141DD7600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x54, 
                                0x0000000135F1B400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x55, 
                                0x000000012A05F200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x56, 
                                0x000000011E1A3000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x57, 
                                0x00000001122E6E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x58, 
                                0x000000010642AC00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x59, 
                                0xFA56EA00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5A, 
                                0xEE6B2800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5B, 
                                0xE27F6600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5C, 
                                0xD693A400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5D, 
                                0xCAA7E200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5E, 
                                0xBEBC2000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x5F, 
                                0xB2D05E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x60, 
                                0xA6E49C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x61, 
                                0x9AF8DA00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x62, 
                                0x8F0D1800, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x63, 
                                0x83215600, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x64, 
                                0x77359400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x65, 
                                0x6B49D200, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x66, 
                                0x5F5E1000, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x67, 
                                0x53724E00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x68, 
                                0x47868C00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x69, 
                                0x3B9ACA00, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6A, 
                                0x2FAF0800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6B, 
                                0x23C34600, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6C, 
                                0x17D78400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6D, 
                                0x0BEBC200, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x6E, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0C)
                        {
                            "PSTATE_SET", 
                            0x05, 
                            "VIDEO_CLOCK_DISABLE_ENABLE", 
                            "*", 
                            "INTERNAL", 
                            0x04, 
                            0x03, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x03, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x02, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                Zero, 
                                0x02
                            }
                        }
                    }, 

                    Package (0x0D)
                    {
                        "COMPONENT", 
                        0x05, 
                        ToUUID ("cc4d73fa-c3c2-4c7e-a217-d468f4611bbd") /* Unknown UUID */, 
                        "CRYPTO_POWER_STATES", 
                        "HW_BLOCK_NONE", 
                        Package (0x02)
                        {
                            "ENGINE", 
                            "CRYPTO"
                        }, 

                        0x02, 
                        0x03, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            "ALL_ON", 
                            Zero, 
                            Zero, 
                            0x03
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            "PWR_OFF", 
                            0x000186A0, 
                            Zero, 
                            One
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            "CRYPTO_RESET", 
                            "*", 
                            "RESET", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            One, 
                            "CRYPTO_FOOTSWITCH_OVERRIDE", 
                            "*", 
                            "FOOTSWITCH_OVERRIDE", 
                            0x02, 
                            One, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x09)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            "CRYPTO_CORE_CLOCK_CONTROL", 
                            "*", 
                            "CORE_CLOCK", 
                            One, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                Zero, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x10)
                    {
                        "COMPONENT", 
                        0x06, 
                        ToUUID ("c42be628-d6bc-4755-bfd5-5af776797228") /* Unknown UUID */, 
                        "SECDISPLAY_POWER_STATES", 
                        "HW_BLOCK_MDP", 
                        Package (0x02)
                        {
                            "DISPLAY", 
                            "INTERNAL2"
                        }, 

                        0x02, 
                        0x06, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            "ALL_ON", 
                            Zero, 
                            Zero, 
                            0x02
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            "PWR_OFF", 
                            One, 
                            One, 
                            One
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            "INTERNAL2_RESET", 
                            "*", 
                            "RESET", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            One, 
                            "INTERNAL2_FOOTSWITCH_OVERRIDE", 
                            "*", 
                            "FOOTSWITCH_OVERRIDE", 
                            0x02, 
                            0xFFFFFFFF, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0D)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            "INTERNAL2_SCAN_CONTROL", 
                            "*", 
                            "DISPLAY_SOURCE_SCAN_CTRL", 
                            0x05, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x04, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x03, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x02, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x12)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            "INTERNAL2_CORE_CLOCK_CONTROL", 
                            "*", 
                            "CORE_CLOCK", 
                            0x0A, 
                            One, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1B6B0B00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x14904840, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x11E1A300, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                0x0BEBC200, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                0x0A37CADB, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x05, 
                                0x08F0D180, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x06, 
                                0x05F5E100, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x07, 
                                0x051BD4B0, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x09, 
                                Zero, 
                                0x03
                            }
                        }, 

                        Package (0x3A)
                        {
                            "PSTATE_SET", 
                            0x04, 
                            "INTERNAL2_EBI_BANDWIDTH", 
                            "*", 
                            "BANDWIDTH", 
                            0x32, 
                            0x23, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x000000054EFC6400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x0000000396F76EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x000000037F1FEAA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                0x00000003674866A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                0x000000034F70E2A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x05, 
                                0x0000000337995EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x06, 
                                0x000000031FC1DAA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x07, 
                                0x0000000307EA56A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x08, 
                                0x00000002F012D2A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x09, 
                                0x00000002D83B4EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0A, 
                                0x00000002C063CAA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0B, 
                                0x00000002A88C46A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0C, 
                                0x0000000290B4C2A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0D, 
                                0x0000000278DD3EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0E, 
                                0x000000026105BAA0, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0F, 
                                0x000000025B8E7F80, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x10, 
                                0x000000023C346000, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x11, 
                                0x00000002245CDC00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x12, 
                                0x000000020C855800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x13, 
                                0x00000001F4ADD400, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x14, 
                                0x00000001DCD65000, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x15, 
                                0x00000001C4FECC00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x16, 
                                0x00000001AD274800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x17, 
                                0x00000001954FC400, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x18, 
                                0x000000017D784000, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x19, 
                                0x0000000165A0BC00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1A, 
                                0x000000014DC93800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1B, 
                                0x0000000135F1B400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1C, 
                                0x000000011E1A3000, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1D, 
                                0x000000010642AC00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1E, 
                                0xEE6B2800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1F, 
                                0xD693A400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x20, 
                                0xBEBC2000, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x21, 
                                0xA6E49C00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x22, 
                                0x8F0D1800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x23, 
                                0x77359400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x24, 
                                0x5F5E1000, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x25, 
                                0x59682F00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x26, 
                                0x53724E00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x27, 
                                0x4D7C6D00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x28, 
                                0x47868C00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x29, 
                                0x4190AB00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2A, 
                                0x3B9ACA00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2B, 
                                0x35A4E900, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2C, 
                                0x2FAF0800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2D, 
                                0x29B92700, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2E, 
                                0x23C34600, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2F, 
                                0x1DCD6500, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x30, 
                                0x17D78400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x31, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            0x05, 
                            "INTERNAL2_EBI_INSTANT_BANDWIDTH", 
                            "*", 
                            "BANDWIDTH", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x2FAF0800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }
                    }, 

                    Package (0x10)
                    {
                        "COMPONENT", 
                        0x07, 
                        ToUUID ("d8136865-c7c0-45c3-b777-3d58919fa3d0") /* Unknown UUID */, 
                        "EX3_POWER_STATES", 
                        "HW_BLOCK_MDP", 
                        Package (0x02)
                        {
                            "DISPLAY", 
                            "EXTERNAL3"
                        }, 

                        0x02, 
                        0x06, 
                        Package (0x06)
                        {
                            "FSTATE", 
                            Zero, 
                            "ALL_ON", 
                            Zero, 
                            Zero, 
                            0x02
                        }, 

                        Package (0x06)
                        {
                            "FSTATE", 
                            One, 
                            "PWR_OFF", 
                            One, 
                            One, 
                            One
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            "EXTERNAL3_RESET", 
                            "*", 
                            "RESET", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            One, 
                            "EXTERNAL3_FOOTSWITCH_OVERRIDE", 
                            "*", 
                            "FOOTSWITCH_OVERRIDE", 
                            0x02, 
                            0xFFFFFFFF, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x12)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            "EXTERNAL3_CORE_CLOCK_CONTROL", 
                            "*", 
                            "CORE_CLOCK", 
                            0x0A, 
                            One, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1B6B0B00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x14904840, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x11E1A300, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                0x0BEBC200, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                0x0A37CADB, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x05, 
                                0x08F0D180, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x06, 
                                0x05F5E100, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x07, 
                                0x051BD4B0, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x08, 
                                0x0124F800, 
                                0x03
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x09, 
                                Zero, 
                                0x03
                            }
                        }, 

                        Package (0x3A)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            "EXTERNAL3_EBI_BANDWIDTH", 
                            "*", 
                            "BANDWIDTH", 
                            0x32, 
                            0x23, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x000000054EFC6400, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x0000000396F76EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                0x000000037F1FEAA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                0x00000003674866A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x04, 
                                0x000000034F70E2A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x05, 
                                0x0000000337995EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x06, 
                                0x000000031FC1DAA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x07, 
                                0x0000000307EA56A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x08, 
                                0x00000002F012D2A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x09, 
                                0x00000002D83B4EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0A, 
                                0x00000002C063CAA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0B, 
                                0x00000002A88C46A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0C, 
                                0x0000000290B4C2A0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0D, 
                                0x0000000278DD3EA0, 
                                Zero
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0E, 
                                0x000000026105BAA0, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x0F, 
                                0x000000025B8E7F80, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x10, 
                                0x000000023C346000, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x11, 
                                0x00000002245CDC00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x12, 
                                0x000000020C855800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x13, 
                                0x00000001F4ADD400, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x14, 
                                0x00000001DCD65000, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x15, 
                                0x00000001C4FECC00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x16, 
                                0x00000001AD274800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x17, 
                                0x00000001954FC400, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x18, 
                                0x000000017D784000, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x19, 
                                0x0000000165A0BC00, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1A, 
                                0x000000014DC93800, 
                                One
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1B, 
                                0x0000000135F1B400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1C, 
                                0x000000011E1A3000, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1D, 
                                0x000000010642AC00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1E, 
                                0xEE6B2800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x1F, 
                                0xD693A400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x20, 
                                0xBEBC2000, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x21, 
                                0xA6E49C00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x22, 
                                0x8F0D1800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x23, 
                                0x77359400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x24, 
                                0x5F5E1000, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x25, 
                                0x59682F00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x26, 
                                0x53724E00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x27, 
                                0x4D7C6D00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x28, 
                                0x47868C00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x29, 
                                0x4190AB00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2A, 
                                0x3B9ACA00, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2B, 
                                0x35A4E900, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2C, 
                                0x2FAF0800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2D, 
                                0x29B92700, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2E, 
                                0x23C34600, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x2F, 
                                0x1DCD6500, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x30, 
                                0x17D78400, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x31, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0A)
                        {
                            "PSTATE_SET", 
                            0x04, 
                            "EXTERNAL3_EBI_INSTANT_BANDWIDTH", 
                            "*", 
                            "BANDWIDTH", 
                            0x02, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x2FAF0800, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                Zero, 
                                0x02
                            }
                        }, 

                        Package (0x0C)
                        {
                            "PSTATE_SET", 
                            0x05, 
                            "EXTERNAL3_SCAN_CONTROL", 
                            "*", 
                            "DISPLAY_SOURCE_SCAN_CTRL", 
                            0x04, 
                            Zero, 
                            Zero, 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x03, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                One, 
                                0x02, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x02, 
                                One, 
                                0x02
                            }, 

                            Package (0x04)
                            {
                                "PSTATE", 
                                0x03, 
                                Zero, 
                                0x02
                            }
                        }
                    }
                })
                Name (P001, Package (0x0E)
                {
                    "ENGINE_PSTATE_SET", 
                    0x02, 
                    "GRAPHICS_FREQ_CONTROL", 
                    "CORE_CLOCK", 
                    0x05, 
                    0x03, 
                    "TRUE", 
                    One, 
                    One, 
                    Package (0x06)
                    {
                        "PSTATE", 
                        Zero, 
                        0x175D7200, 
                        0x04, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x64
                        }, 

                        Package (0x03)
                        {
                            0xC0, 
                            0x802D5FFD, 
                            0x7D11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        One, 
                        0x12C684C0, 
                        0x05, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x50
                        }, 

                        Package (0x03)
                        {
                            0x80, 
                            0x802D5FFD, 
                            0x8C11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x02, 
                        0x0E01D0C0, 
                        0x06, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x3C
                        }, 

                        Package (0x03)
                        {
                            0x40, 
                            0xA02D5FFD, 
                            0xA511
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x03, 
                        0x094C5F00, 
                        0x07, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            0x30, 
                            0xA02D5FFD, 
                            0xD911
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x04, 
                        Zero, 
                        0x08, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            Zero, 
                            Zero
                        }
                    }
                })
                Name (P002, Package (0x0F)
                {
                    "ENGINE_PSTATE_SET", 
                    0x02, 
                    "GRAPHICS_FREQ_CONTROL", 
                    "CORE_CLOCK", 
                    0x06, 
                    0x03, 
                    "TRUE", 
                    0x02, 
                    0x02, 
                    Package (0x06)
                    {
                        "PSTATE", 
                        Zero, 
                        0x1F972880, 
                        0x03, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x64
                        }, 

                        Package (0x03)
                        {
                            0x0100, 
                            0xA02C5FFD, 
                            0x6711
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        One, 
                        0x175D7200, 
                        0x04, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x4A
                        }, 

                        Package (0x03)
                        {
                            0xC0, 
                            0x802D5FFD, 
                            0x7D11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x02, 
                        0x12C684C0, 
                        0x05, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x3B
                        }, 

                        Package (0x03)
                        {
                            0x80, 
                            0x802D5FFD, 
                            0x8C11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x03, 
                        0x0E01D0C0, 
                        0x06, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x2C
                        }, 

                        Package (0x03)
                        {
                            0x40, 
                            0xA02D5FFD, 
                            0xA511
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x04, 
                        0x094C5F00, 
                        0x07, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            0x30, 
                            0xA02D5FFD, 
                            0xD911
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x05, 
                        Zero, 
                        0x08, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            Zero, 
                            Zero
                        }
                    }
                })
                Name (P003, Package (0x13)
                {
                    "ENGINE_PSTATE_SET", 
                    0x02, 
                    "GRAPHICS_FREQ_CONTROL", 
                    "CORE_CLOCK", 
                    0x0A, 
                    0x03, 
                    "TRUE", 
                    0x06, 
                    0x06, 
                    Package (0x06)
                    {
                        "PSTATE", 
                        Zero, 
                        0x2ACBCF80, 
                        Zero, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x64
                        }, 

                        Package (0x03)
                        {
                            0x01B0, 
                            0x802C5FFD, 
                            0x6611
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        One, 
                        0x27EF6380, 
                        One, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x5D
                        }, 

                        Package (0x03)
                        {
                            0x01A0, 
                            0x802C5FFD, 
                            0x5A11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x02, 
                        0x2540BE40, 
                        0x02, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x57
                        }, 

                        Package (0x03)
                        {
                            0x0180, 
                            0x802C5FFD, 
                            0x5B11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x03, 
                        0x2376FAC0, 
                        0x03, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x53
                        }, 

                        Package (0x03)
                        {
                            0x0140, 
                            0xA02C5FFD, 
                            0x5F11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x04, 
                        0x1F972880, 
                        0x04, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x4A
                        }, 

                        Package (0x03)
                        {
                            0x0100, 
                            0xA02C5FFD, 
                            0x6711
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x05, 
                        0x175D7200, 
                        0x05, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x37
                        }, 

                        Package (0x03)
                        {
                            0xC0, 
                            0x802D5FFD, 
                            0x7D11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x06, 
                        0x12C684C0, 
                        0x06, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x2C
                        }, 

                        Package (0x03)
                        {
                            0x80, 
                            0x802D5FFD, 
                            0x8C11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x07, 
                        0x0E01D0C0, 
                        0x07, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x21
                        }, 

                        Package (0x03)
                        {
                            0x40, 
                            0xA02D5FFD, 
                            0xA511
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x08, 
                        0x094C5F00, 
                        0x08, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            0x30, 
                            0xA02D5FFD, 
                            0xD911
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x09, 
                        Zero, 
                        0x09, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            Zero, 
                            Zero
                        }
                    }
                })
                Name (P004, Package (0x12)
                {
                    "ENGINE_PSTATE_SET", 
                    0x02, 
                    "GRAPHICS_FREQ_CONTROL", 
                    "CORE_CLOCK", 
                    0x09, 
                    0x03, 
                    "TRUE", 
                    0x05, 
                    0x05, 
                    Package (0x06)
                    {
                        "PSTATE", 
                        Zero, 
                        0x27EF6380, 
                        Zero, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x64
                        }, 

                        Package (0x03)
                        {
                            0x01A0, 
                            0x802C5FFD, 
                            0x5A11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        One, 
                        0x2540BE40, 
                        One, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x5D
                        }, 

                        Package (0x03)
                        {
                            0x0180, 
                            0x802C5FFD, 
                            0x5B11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x02, 
                        0x2376FAC0, 
                        0x02, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x59
                        }, 

                        Package (0x03)
                        {
                            0x0140, 
                            0xA02C5FFD, 
                            0x5F11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x03, 
                        0x1F972880, 
                        0x03, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x4F
                        }, 

                        Package (0x03)
                        {
                            0x0100, 
                            0xA02C5FFD, 
                            0x6711
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x04, 
                        0x175D7200, 
                        0x04, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x3B
                        }, 

                        Package (0x03)
                        {
                            0xC0, 
                            0x802D5FFD, 
                            0x7D11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x05, 
                        0x12C684C0, 
                        0x05, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x2F
                        }, 

                        Package (0x03)
                        {
                            0x80, 
                            0x802D5FFD, 
                            0x8C11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x06, 
                        0x0E01D0C0, 
                        0x06, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x23
                        }, 

                        Package (0x03)
                        {
                            0x40, 
                            0xA02D5FFD, 
                            0xA511
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x07, 
                        0x094C5F00, 
                        0x07, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            0x30, 
                            0xA02D5FFD, 
                            0xD911
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x08, 
                        Zero, 
                        0x08, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            Zero, 
                            Zero
                        }
                    }
                })
                Name (P005, Package (0x12)
                {
                    "ENGINE_PSTATE_SET", 
                    0x02, 
                    "GRAPHICS_FREQ_CONTROL", 
                    "CORE_CLOCK", 
                    0x09, 
                    0x03, 
                    "TRUE", 
                    0x05, 
                    0x05, 
                    Package (0x06)
                    {
                        "PSTATE", 
                        Zero, 
                        0x1EA30480, 
                        Zero, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x64
                        }, 

                        Package (0x03)
                        {
                            0x01A0, 
                            0x802C5FFD, 
                            0x5A11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        One, 
                        0x1DCD6500, 
                        One, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x61
                        }, 

                        Package (0x03)
                        {
                            0x0180, 
                            0x802C5FFD, 
                            0x5B11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x02, 
                        0x1B7A4D40, 
                        0x02, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x5A
                        }, 

                        Package (0x03)
                        {
                            0x0140, 
                            0xA02C5FFD, 
                            0x5F11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x03, 
                        0x1823CF40, 
                        0x03, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x4F
                        }, 

                        Package (0x03)
                        {
                            0x0100, 
                            0xA02C5FFD, 
                            0x6711
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x04, 
                        0x12C684C0, 
                        0x04, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x3D
                        }, 

                        Package (0x03)
                        {
                            0xC0, 
                            0x802D5FFD, 
                            0x7D11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x05, 
                        0x0F424000, 
                        0x05, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x32
                        }, 

                        Package (0x03)
                        {
                            0x80, 
                            0x802D5FFD, 
                            0x8C11
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x06, 
                        0x0A8CCE40, 
                        0x06, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x22
                        }, 

                        Package (0x03)
                        {
                            0x40, 
                            0xA02D5FFD, 
                            0xA511
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x07, 
                        0x06EA0500, 
                        0x07, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            0x30, 
                            0xA02D5FFD, 
                            0xD911
                        }
                    }, 

                    Package (0x06)
                    {
                        "PSTATE", 
                        0x08, 
                        Zero, 
                        0x08, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            Zero, 
                            Zero
                        }
                    }
                })
                Name (P006, Package (0x13)
                {
                    "ENGINE_PSTATE_SET", 
                    0x03, 
                    "GRAPHICS_BW_CONTROL", 
                    "BANDWIDTH", 
                    0x0A, 
                    Zero, 
                    "TRUE", 
                    0x06, 
                    0x06, 
                    Package (0x05)
                    {
                        "PSTATE", 
                        Zero, 
                        0x00000001AE2AAE40, 
                        0x0180, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x64
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        One, 
                        0x00000001729F2680, 
                        0x0100, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x56
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x02, 
                        0x0000000142949100, 
                        0x0100, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x4A
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x03, 
                        0xF278C100, 
                        0xC0, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x38
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x04, 
                        0xB6FC7B80, 
                        0x80, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x2A
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x05, 
                        0xA25CF100, 
                        0x80, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x26
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x06, 
                        0x824BB680, 
                        0x80, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x1E
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x07, 
                        0x6B685680, 
                        0x40, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x19
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x08, 
                        0x47680780, 
                        0x30, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x09, 
                        Zero, 
                        Zero, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }
                    }
                })
                Name (P007, Package (0x14)
                {
                    "ENGINE_PSTATE_SET", 
                    0x03, 
                    "GRAPHICS_BW_CONTROL", 
                    "BANDWIDTH", 
                    0x0B, 
                    Zero, 
                    "TRUE", 
                    0x07, 
                    0x07, 
                    Package (0x05)
                    {
                        "PSTATE", 
                        Zero, 
                        0x00000001F2D4CE40, 
                        0x01A0, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x64
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        One, 
                        0x00000001AE2AAE40, 
                        0x0180, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x56
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x02, 
                        0x00000001729F2680, 
                        0x0100, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x4A
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x03, 
                        0x0000000142949100, 
                        0x0100, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x41
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x04, 
                        0xF278C100, 
                        0xC0, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x31
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x05, 
                        0xB6FC7B80, 
                        0x80, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x25
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x06, 
                        0xA25CF100, 
                        0x80, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x21
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x07, 
                        0x824BB680, 
                        0x80, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x1A
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x08, 
                        0x6B685680, 
                        0x40, 
                        Package (0x02)
                        {
                            "GPU", 
                            0x16
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x09, 
                        0x47680780, 
                        0x30, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }
                    }, 

                    Package (0x05)
                    {
                        "PSTATE", 
                        0x0A, 
                        Zero, 
                        Zero, 
                        Package (0x02)
                        {
                            "GPU", 
                            Zero
                        }
                    }
                })
                If (((((\_SB.SOID == 0x0153) && (\_SB.SIDV >= 0x00020001)) && (
                    \_SB.SIDT == 0x03)) || (((\_SB.SOID == 0x0169) && (\_SB.SIDV >= 0x00020001)) && (\_SB.SIDT == 
                    0x02))))
                {
                    DerefOf (RBUF [0x04]) [0x0C] = P001 /* \_SB_.GPU0.PMCL.P001 */
                }
                ElseIf ((((((\_SB.SOID == 0x0153) && (\_SB.SIDV == 0x00020000)) && 
                    (\_SB.SIDT == 0x05)) || (((\_SB.SOID == 0x0153) && (\_SB.SIDV >= 0x00020001)) && (
                    \_SB.SIDT == 0x02))) || (((\_SB.SOID == 0x0169) && (\_SB.SIDV >= 0x00020000)) && (\_SB.SIDT == 
                    One))))
                {
                    DerefOf (RBUF [0x04]) [0x0C] = P002 /* \_SB_.GPU0.PMCL.P002 */
                }
                ElseIf (((((\_SB.SOID == 0x0153) && (\_SB.SIDV >= 0x00020001)) && 
                    (\_SB.SIDT == 0x05)) || (((\_SB.SOID == 0x0169) && (\_SB.SIDV >= 0x00020001)) && (
                    \_SB.SIDT == 0x03))))
                {
                    DerefOf (RBUF [0x04]) [0x0C] = P003 /* \_SB_.GPU0.PMCL.P003 */
                }
                ElseIf ((\_SB.SIDV >= 0x00020000))
                {
                    DerefOf (RBUF [0x04]) [0x0C] = P004 /* \_SB_.GPU0.PMCL.P004 */
                }
                Else
                {
                    DerefOf (RBUF [0x04]) [0x0C] = P005 /* \_SB_.GPU0.PMCL.P005 */
                }

                If ((((((\_SB.SOID == 0x0153) && (\_SB.SIDV == 0x00020000)) && (
                    \_SB.SIDT == 0x05)) || (((\_SB.SOID == 0x0153) && (\_SB.SIDV >= 0x00020001)) && (\_SB.SIDT == 
                    0x02))) || (((\_SB.SOID == 0x0169) && (\_SB.SIDV >= 0x00020000)) && (\_SB.SIDT == One))))
                {
                    DerefOf (RBUF [0x04]) [0x0D] = P006 /* \_SB_.GPU0.PMCL.P006 */
                }
                Else
                {
                    DerefOf (RBUF [0x04]) [0x0D] = P007 /* \_SB_.GPU0.PMCL.P007 */
                }

                Return (RBUF) /* \_SB_.GPU0.PMCL.RBUF */
            }

            Method (_ROM, 3, NotSerialized)  // _ROM: Read-Only Memory
            {
                Name (PCFG, Buffer (0x1667)
                {
                    /* 0000 */  0x3C, 0x3F, 0x78, 0x6D, 0x6C, 0x20, 0x76, 0x65,  // <?xml ve
                    /* 0008 */  0x72, 0x73, 0x69, 0x6F, 0x6E, 0x3D, 0x27, 0x31,  // rsion='1
                    /* 0010 */  0x2E, 0x30, 0x27, 0x20, 0x65, 0x6E, 0x63, 0x6F,  // .0' enco
                    /* 0018 */  0x64, 0x69, 0x6E, 0x67, 0x3D, 0x27, 0x75, 0x74,  // ding='ut
                    /* 0020 */  0x66, 0x2D, 0x38, 0x27, 0x3F, 0x3E, 0x0A, 0x3C,  // f-8'?>.<
                    /* 0028 */  0x50, 0x61, 0x6E, 0x65, 0x6C, 0x4E, 0x61, 0x6D,  // PanelNam
                    /* 0030 */  0x65, 0x3E, 0x4C, 0x47, 0x5F, 0x51, 0x48, 0x44,  // e>LG_QHD
                    /* 0038 */  0x3C, 0x2F, 0x50, 0x61, 0x6E, 0x65, 0x6C, 0x4E,  // </PanelN
                    /* 0040 */  0x61, 0x6D, 0x65, 0x3E, 0x0A, 0x3C, 0x50, 0x61,  // ame>.<Pa
                    /* 0048 */  0x6E, 0x65, 0x6C, 0x44, 0x65, 0x73, 0x63, 0x72,  // nelDescr
                    /* 0050 */  0x69, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x3E, 0x4C,  // iption>L
                    /* 0058 */  0x47, 0x20, 0x51, 0x48, 0x44, 0x20, 0x44, 0x53,  // G QHD DS
                    /* 0060 */  0x49, 0x20, 0x43, 0x6F, 0x6D, 0x6D, 0x61, 0x6E,  // I Comman
                    /* 0068 */  0x64, 0x20, 0x4D, 0x6F, 0x64, 0x65, 0x20, 0x44,  // d Mode D
                    /* 0070 */  0x53, 0x43, 0x20, 0x50, 0x61, 0x6E, 0x65, 0x6C,  // SC Panel
                    /* 0078 */  0x20, 0x28, 0x31, 0x33, 0x35, 0x30, 0x78, 0x31,  //  (1350x1
                    /* 0080 */  0x38, 0x30, 0x30, 0x20, 0x32, 0x34, 0x62, 0x70,  // 800 24bp
                    /* 0088 */  0x70, 0x29, 0x3C, 0x2F, 0x50, 0x61, 0x6E, 0x65,  // p)</Pane
                    /* 0090 */  0x6C, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,  // lDescrip
                    /* 0098 */  0x74, 0x69, 0x6F, 0x6E, 0x3E, 0x0A, 0x3C, 0x47,  // tion>.<G
                    /* 00A0 */  0x72, 0x6F, 0x75, 0x70, 0x20, 0x69, 0x64, 0x3D,  // roup id=
                    /* 00A8 */  0x27, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x20,  // 'Active 
                    /* 00B0 */  0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x27, 0x3E,  // Timing'>
                    /* 00B8 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x4D, 0x61,  // .    <Ma
                    /* 00C0 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 00C8 */  0x65, 0x49, 0x44, 0x3E, 0x30, 0x78, 0x45, 0x34,  // eID>0xE4
                    /* 00D0 */  0x33, 0x30, 0x3C, 0x2F, 0x4D, 0x61, 0x6E, 0x75,  // 30</Manu
                    /* 00D8 */  0x66, 0x61, 0x63, 0x74, 0x75, 0x72, 0x65, 0x49,  // factureI
                    /* 00E0 */  0x44, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // D>.    <
                    /* 00E8 */  0x50, 0x72, 0x6F, 0x64, 0x75, 0x63, 0x74, 0x43,  // ProductC
                    /* 00F0 */  0x6F, 0x64, 0x65, 0x3E, 0x30, 0x78, 0x41, 0x39,  // ode>0xA9
                    /* 00F8 */  0x39, 0x30, 0x3C, 0x2F, 0x50, 0x72, 0x6F, 0x64,  // 90</Prod
                    /* 0100 */  0x75, 0x63, 0x74, 0x43, 0x6F, 0x64, 0x65, 0x3E,  // uctCode>
                    /* 0108 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x65,  // .    <Se
                    /* 0110 */  0x72, 0x69, 0x61, 0x6C, 0x4E, 0x75, 0x6D, 0x62,  // rialNumb
                    /* 0118 */  0x65, 0x72, 0x3E, 0x30, 0x78, 0x30, 0x30, 0x30,  // er>0x000
                    /* 0120 */  0x30, 0x30, 0x31, 0x3C, 0x2F, 0x53, 0x65, 0x72,  // 001</Ser
                    /* 0128 */  0x69, 0x61, 0x6C, 0x4E, 0x75, 0x6D, 0x62, 0x65,  // ialNumbe
                    /* 0130 */  0x72, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // r>.    <
                    /* 0138 */  0x57, 0x65, 0x65, 0x6B, 0x6F, 0x66, 0x4D, 0x61,  // WeekofMa
                    /* 0140 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 0148 */  0x65, 0x3E, 0x30, 0x78, 0x30, 0x31, 0x3C, 0x2F,  // e>0x01</
                    /* 0150 */  0x57, 0x65, 0x65, 0x6B, 0x6F, 0x66, 0x4D, 0x61,  // WeekofMa
                    /* 0158 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 0160 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // e>.    <
                    /* 0168 */  0x59, 0x65, 0x61, 0x72, 0x6F, 0x66, 0x4D, 0x61,  // YearofMa
                    /* 0170 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 0178 */  0x65, 0x3E, 0x30, 0x78, 0x31, 0x45, 0x3C, 0x2F,  // e>0x1E</
                    /* 0180 */  0x59, 0x65, 0x61, 0x72, 0x6F, 0x66, 0x4D, 0x61,  // YearofMa
                    /* 0188 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 0190 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // e>.    <
                    /* 0198 */  0x45, 0x44, 0x49, 0x44, 0x56, 0x65, 0x72, 0x73,  // EDIDVers
                    /* 01A0 */  0x69, 0x6F, 0x6E, 0x3E, 0x31, 0x3C, 0x2F, 0x45,  // ion>1</E
                    /* 01A8 */  0x44, 0x49, 0x44, 0x56, 0x65, 0x72, 0x73, 0x69,  // DIDVersi
                    /* 01B0 */  0x6F, 0x6E, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // on>.    
                    /* 01B8 */  0x3C, 0x45, 0x44, 0x49, 0x44, 0x52, 0x65, 0x76,  // <EDIDRev
                    /* 01C0 */  0x69, 0x73, 0x69, 0x6F, 0x6E, 0x3E, 0x34, 0x3C,  // ision>4<
                    /* 01C8 */  0x2F, 0x45, 0x44, 0x49, 0x44, 0x52, 0x65, 0x76,  // /EDIDRev
                    /* 01D0 */  0x69, 0x73, 0x69, 0x6F, 0x6E, 0x3E, 0x0A, 0x20,  // ision>. 
                    /* 01D8 */  0x20, 0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72, 0x69,  //    <Hori
                    /* 01E0 */  0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x53, 0x63,  // zontalSc
                    /* 01E8 */  0x72, 0x65, 0x65, 0x6E, 0x53, 0x69, 0x7A, 0x65,  // reenSize
                    /* 01F0 */  0x3E, 0x30, 0x78, 0x30, 0x38, 0x3C, 0x2F, 0x48,  // >0x08</H
                    /* 01F8 */  0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61,  // orizonta
                    /* 0200 */  0x6C, 0x53, 0x63, 0x72, 0x65, 0x65, 0x6E, 0x53,  // lScreenS
                    /* 0208 */  0x69, 0x7A, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // ize>.   
                    /* 0210 */  0x20, 0x3C, 0x56, 0x65, 0x72, 0x74, 0x69, 0x63,  //  <Vertic
                    /* 0218 */  0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65, 0x6E,  // alScreen
                    /* 0220 */  0x53, 0x69, 0x7A, 0x65, 0x3E, 0x30, 0x78, 0x30,  // Size>0x0
                    /* 0228 */  0x42, 0x3C, 0x2F, 0x56, 0x65, 0x72, 0x74, 0x69,  // B</Verti
                    /* 0230 */  0x63, 0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65,  // calScree
                    /* 0238 */  0x6E, 0x53, 0x69, 0x7A, 0x65, 0x3E, 0x0A, 0x20,  // nSize>. 
                    /* 0240 */  0x20, 0x20, 0x20, 0x3C, 0x44, 0x69, 0x73, 0x70,  //    <Disp
                    /* 0248 */  0x6C, 0x61, 0x79, 0x54, 0x72, 0x61, 0x6E, 0x73,  // layTrans
                    /* 0250 */  0x66, 0x65, 0x72, 0x43, 0x68, 0x61, 0x72, 0x61,  // ferChara
                    /* 0258 */  0x63, 0x74, 0x65, 0x72, 0x69, 0x73, 0x74, 0x69,  // cteristi
                    /* 0260 */  0x63, 0x73, 0x3E, 0x30, 0x78, 0x37, 0x38, 0x3C,  // cs>0x78<
                    /* 0268 */  0x2F, 0x44, 0x69, 0x73, 0x70, 0x6C, 0x61, 0x79,  // /Display
                    /* 0270 */  0x54, 0x72, 0x61, 0x6E, 0x73, 0x66, 0x65, 0x72,  // Transfer
                    /* 0278 */  0x43, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65,  // Characte
                    /* 0280 */  0x72, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x3E,  // ristics>
                    /* 0288 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x46, 0x65,  // .    <Fe
                    /* 0290 */  0x61, 0x74, 0x75, 0x72, 0x65, 0x53, 0x75, 0x70,  // atureSup
                    /* 0298 */  0x70, 0x6F, 0x72, 0x74, 0x3E, 0x30, 0x78, 0x32,  // port>0x2
                    /* 02A0 */  0x3C, 0x2F, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72,  // </Featur
                    /* 02A8 */  0x65, 0x53, 0x75, 0x70, 0x70, 0x6F, 0x72, 0x74,  // eSupport
                    /* 02B0 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x52,  // >.    <R
                    /* 02B8 */  0x65, 0x64, 0x2E, 0x47, 0x72, 0x65, 0x65, 0x6E,  // ed.Green
                    /* 02C0 */  0x42, 0x69, 0x74, 0x73, 0x3E, 0x30, 0x78, 0x41,  // Bits>0xA
                    /* 02C8 */  0x34, 0x3C, 0x2F, 0x52, 0x65, 0x64, 0x2E, 0x47,  // 4</Red.G
                    /* 02D0 */  0x72, 0x65, 0x65, 0x6E, 0x42, 0x69, 0x74, 0x73,  // reenBits
                    /* 02D8 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x42,  // >.    <B
                    /* 02E0 */  0x6C, 0x75, 0x65, 0x2E, 0x57, 0x68, 0x69, 0x74,  // lue.Whit
                    /* 02E8 */  0x65, 0x42, 0x69, 0x74, 0x73, 0x3E, 0x30, 0x78,  // eBits>0x
                    /* 02F0 */  0x31, 0x35, 0x3C, 0x2F, 0x42, 0x6C, 0x75, 0x65,  // 15</Blue
                    /* 02F8 */  0x2E, 0x57, 0x68, 0x69, 0x74, 0x65, 0x42, 0x69,  // .WhiteBi
                    /* 0300 */  0x74, 0x73, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // ts>.    
                    /* 0308 */  0x3C, 0x52, 0x65, 0x64, 0x58, 0x3E, 0x30, 0x78,  // <RedX>0x
                    /* 0310 */  0x39, 0x45, 0x3C, 0x2F, 0x52, 0x65, 0x64, 0x58,  // 9E</RedX
                    /* 0318 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x52,  // >.    <R
                    /* 0320 */  0x65, 0x64, 0x59, 0x3E, 0x30, 0x78, 0x35, 0x35,  // edY>0x55
                    /* 0328 */  0x3C, 0x2F, 0x52, 0x65, 0x64, 0x59, 0x3E, 0x0A,  // </RedY>.
                    /* 0330 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x47, 0x72, 0x65,  //     <Gre
                    /* 0338 */  0x65, 0x6E, 0x58, 0x3E, 0x30, 0x78, 0x34, 0x45,  // enX>0x4E
                    /* 0340 */  0x3C, 0x2F, 0x47, 0x72, 0x65, 0x65, 0x6E, 0x58,  // </GreenX
                    /* 0348 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x47,  // >.    <G
                    /* 0350 */  0x72, 0x65, 0x65, 0x6E, 0x59, 0x3E, 0x30, 0x78,  // reenY>0x
                    /* 0358 */  0x39, 0x42, 0x3C, 0x2F, 0x47, 0x72, 0x65, 0x65,  // 9B</Gree
                    /* 0360 */  0x6E, 0x59, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // nY>.    
                    /* 0368 */  0x3C, 0x42, 0x6C, 0x75, 0x65, 0x58, 0x3E, 0x30,  // <BlueX>0
                    /* 0370 */  0x78, 0x32, 0x36, 0x3C, 0x2F, 0x42, 0x6C, 0x75,  // x26</Blu
                    /* 0378 */  0x65, 0x58, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // eX>.    
                    /* 0380 */  0x3C, 0x42, 0x6C, 0x75, 0x65, 0x59, 0x3E, 0x30,  // <BlueY>0
                    /* 0388 */  0x78, 0x30, 0x46, 0x3C, 0x2F, 0x42, 0x6C, 0x75,  // x0F</Blu
                    /* 0390 */  0x65, 0x59, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // eY>.    
                    /* 0398 */  0x3C, 0x57, 0x68, 0x69, 0x74, 0x65, 0x58, 0x3E,  // <WhiteX>
                    /* 03A0 */  0x30, 0x78, 0x35, 0x30, 0x3C, 0x2F, 0x57, 0x68,  // 0x50</Wh
                    /* 03A8 */  0x69, 0x74, 0x65, 0x58, 0x3E, 0x0A, 0x20, 0x20,  // iteX>.  
                    /* 03B0 */  0x20, 0x20, 0x3C, 0x57, 0x68, 0x69, 0x74, 0x65,  //   <White
                    /* 03B8 */  0x59, 0x3E, 0x30, 0x78, 0x35, 0x34, 0x3C, 0x2F,  // Y>0x54</
                    /* 03C0 */  0x57, 0x68, 0x69, 0x74, 0x65, 0x59, 0x3E, 0x0A,  // WhiteY>.
                    /* 03C8 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x45, 0x73, 0x74,  //     <Est
                    /* 03D0 */  0x61, 0x62, 0x6C, 0x69, 0x73, 0x68, 0x65, 0x64,  // ablished
                    /* 03D8 */  0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x73, 0x49,  // TimingsI
                    /* 03E0 */  0x3E, 0x30, 0x78, 0x30, 0x3C, 0x2F, 0x45, 0x73,  // >0x0</Es
                    /* 03E8 */  0x74, 0x61, 0x62, 0x6C, 0x69, 0x73, 0x68, 0x65,  // tablishe
                    /* 03F0 */  0x64, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x73,  // dTimings
                    /* 03F8 */  0x49, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // I>.    <
                    /* 0400 */  0x45, 0x73, 0x74, 0x61, 0x62, 0x6C, 0x69, 0x73,  // Establis
                    /* 0408 */  0x68, 0x65, 0x64, 0x54, 0x69, 0x6D, 0x69, 0x6E,  // hedTimin
                    /* 0410 */  0x67, 0x73, 0x49, 0x49, 0x3E, 0x30, 0x78, 0x30,  // gsII>0x0
                    /* 0418 */  0x3C, 0x2F, 0x45, 0x73, 0x74, 0x61, 0x62, 0x6C,  // </Establ
                    /* 0420 */  0x69, 0x73, 0x68, 0x65, 0x64, 0x54, 0x69, 0x6D,  // ishedTim
                    /* 0428 */  0x69, 0x6E, 0x67, 0x73, 0x49, 0x49, 0x3E, 0x0A,  // ingsII>.
                    /* 0430 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x4D, 0x61, 0x6E,  //     <Man
                    /* 0438 */  0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72, 0x65,  // ufacture
                    /* 0440 */  0x73, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x3E,  // sTiming>
                    /* 0448 */  0x30, 0x78, 0x30, 0x3C, 0x2F, 0x4D, 0x61, 0x6E,  // 0x0</Man
                    /* 0450 */  0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72, 0x65,  // ufacture
                    /* 0458 */  0x73, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x3E,  // sTiming>
                    /* 0460 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 0468 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 0470 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x31, 0x2F, 0x3E,  // mings1/>
                    /* 0478 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 0480 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 0488 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x32, 0x2F, 0x3E,  // mings2/>
                    /* 0490 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 0498 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 04A0 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x33, 0x2F, 0x3E,  // mings3/>
                    /* 04A8 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 04B0 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 04B8 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x34, 0x2F, 0x3E,  // mings4/>
                    /* 04C0 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 04C8 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 04D0 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x35, 0x2F, 0x3E,  // mings5/>
                    /* 04D8 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 04E0 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 04E8 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x36, 0x2F, 0x3E,  // mings6/>
                    /* 04F0 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 04F8 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 0500 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x37, 0x2F, 0x3E,  // mings7/>
                    /* 0508 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x69,  // .    <Si
                    /* 0510 */  0x67, 0x6E, 0x61, 0x6C, 0x54, 0x69, 0x6D, 0x69,  // gnalTimi
                    /* 0518 */  0x6E, 0x67, 0x49, 0x6E, 0x74, 0x65, 0x72, 0x66,  // ngInterf
                    /* 0520 */  0x61, 0x63, 0x65, 0x2F, 0x3E, 0x0A, 0x3C, 0x2F,  // ace/>.</
                    /* 0528 */  0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E, 0x0A, 0x3C,  // Group>.<
                    /* 0530 */  0x47, 0x72, 0x6F, 0x75, 0x70, 0x20, 0x69, 0x64,  // Group id
                    /* 0538 */  0x3D, 0x27, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6C,  // ='Detail
                    /* 0540 */  0x65, 0x64, 0x20, 0x54, 0x69, 0x6D, 0x69, 0x6E,  // ed Timin
                    /* 0548 */  0x67, 0x27, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // g'>.    
                    /* 0550 */  0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E,  // <Horizon
                    /* 0558 */  0x74, 0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65,  // talScree
                    /* 0560 */  0x6E, 0x53, 0x69, 0x7A, 0x65, 0x4D, 0x4D, 0x3E,  // nSizeMM>
                    /* 0568 */  0x30, 0x78, 0x35, 0x35, 0x3C, 0x2F, 0x48, 0x6F,  // 0x55</Ho
                    /* 0570 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 0578 */  0x53, 0x63, 0x72, 0x65, 0x65, 0x6E, 0x53, 0x69,  // ScreenSi
                    /* 0580 */  0x7A, 0x65, 0x4D, 0x4D, 0x3E, 0x0A, 0x20, 0x20,  // zeMM>.  
                    /* 0588 */  0x20, 0x20, 0x3C, 0x56, 0x65, 0x72, 0x74, 0x69,  //   <Verti
                    /* 0590 */  0x63, 0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65,  // calScree
                    /* 0598 */  0x6E, 0x53, 0x69, 0x7A, 0x65, 0x4D, 0x4D, 0x3E,  // nSizeMM>
                    /* 05A0 */  0x30, 0x78, 0x37, 0x33, 0x3C, 0x2F, 0x56, 0x65,  // 0x73</Ve
                    /* 05A8 */  0x72, 0x74, 0x69, 0x63, 0x61, 0x6C, 0x53, 0x63,  // rticalSc
                    /* 05B0 */  0x72, 0x65, 0x65, 0x6E, 0x53, 0x69, 0x7A, 0x65,  // reenSize
                    /* 05B8 */  0x4D, 0x4D, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // MM>.    
                    /* 05C0 */  0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E,  // <Horizon
                    /* 05C8 */  0x74, 0x61, 0x6C, 0x56, 0x65, 0x72, 0x74, 0x69,  // talVerti
                    /* 05D0 */  0x63, 0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65,  // calScree
                    /* 05D8 */  0x6E, 0x53, 0x69, 0x7A, 0x65, 0x4D, 0x4D, 0x3E,  // nSizeMM>
                    /* 05E0 */  0x30, 0x78, 0x30, 0x30, 0x3C, 0x2F, 0x48, 0x6F,  // 0x00</Ho
                    /* 05E8 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 05F0 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 05F8 */  0x53, 0x63, 0x72, 0x65, 0x65, 0x6E, 0x53, 0x69,  // ScreenSi
                    /* 0600 */  0x7A, 0x65, 0x4D, 0x4D, 0x3E, 0x0A, 0x3C, 0x2F,  // zeMM>.</
                    /* 0608 */  0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E, 0x0A, 0x3C,  // Group>.<
                    /* 0610 */  0x47, 0x72, 0x6F, 0x75, 0x70, 0x20, 0x69, 0x64,  // Group id
                    /* 0618 */  0x3D, 0x27, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65,  // ='Active
                    /* 0620 */  0x20, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x27,  //  Timing'
                    /* 0628 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x48,  // >.    <H
                    /* 0630 */  0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61,  // orizonta
                    /* 0638 */  0x6C, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x3E,  // lActive>
                    /* 0640 */  0x31, 0x33, 0x35, 0x30, 0x3C, 0x2F, 0x48, 0x6F,  // 1350</Ho
                    /* 0648 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 0650 */  0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x3E, 0x0A,  // Active>.
                    /* 0658 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72,  //     <Hor
                    /* 0660 */  0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x46,  // izontalF
                    /* 0668 */  0x72, 0x6F, 0x6E, 0x74, 0x50, 0x6F, 0x72, 0x63,  // rontPorc
                    /* 0670 */  0x68, 0x3E, 0x32, 0x30, 0x3C, 0x2F, 0x48, 0x6F,  // h>20</Ho
                    /* 0678 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 0680 */  0x46, 0x72, 0x6F, 0x6E, 0x74, 0x50, 0x6F, 0x72,  // FrontPor
                    /* 0688 */  0x63, 0x68, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // ch>.    
                    /* 0690 */  0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E,  // <Horizon
                    /* 0698 */  0x74, 0x61, 0x6C, 0x42, 0x61, 0x63, 0x6B, 0x50,  // talBackP
                    /* 06A0 */  0x6F, 0x72, 0x63, 0x68, 0x3E, 0x32, 0x30, 0x3C,  // orch>20<
                    /* 06A8 */  0x2F, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E,  // /Horizon
                    /* 06B0 */  0x74, 0x61, 0x6C, 0x42, 0x61, 0x63, 0x6B, 0x50,  // talBackP
                    /* 06B8 */  0x6F, 0x72, 0x63, 0x68, 0x3E, 0x0A, 0x20, 0x20,  // orch>.  
                    /* 06C0 */  0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A,  //   <Horiz
                    /* 06C8 */  0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x53, 0x79, 0x6E,  // ontalSyn
                    /* 06D0 */  0x63, 0x50, 0x75, 0x6C, 0x73, 0x65, 0x3E, 0x30,  // cPulse>0
                    /* 06D8 */  0x3C, 0x2F, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F,  // </Horizo
                    /* 06E0 */  0x6E, 0x74, 0x61, 0x6C, 0x53, 0x79, 0x6E, 0x63,  // ntalSync
                    /* 06E8 */  0x50, 0x75, 0x6C, 0x73, 0x65, 0x3E, 0x0A, 0x20,  // Pulse>. 
                    /* 06F0 */  0x20, 0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72, 0x69,  //    <Hori
                    /* 06F8 */  0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x53, 0x79,  // zontalSy
                    /* 0700 */  0x6E, 0x63, 0x53, 0x6B, 0x65, 0x77, 0x3E, 0x30,  // ncSkew>0
                    /* 0708 */  0x3C, 0x2F, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F,  // </Horizo
                    /* 0710 */  0x6E, 0x74, 0x61, 0x6C, 0x53, 0x79, 0x6E, 0x63,  // ntalSync
                    /* 0718 */  0x53, 0x6B, 0x65, 0x77, 0x3E, 0x0A, 0x20, 0x20,  // Skew>.  
                    /* 0720 */  0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A,  //   <Horiz
                    /* 0728 */  0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x4C, 0x65, 0x66,  // ontalLef
                    /* 0730 */  0x74, 0x42, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x3E,  // tBorder>
                    /* 0738 */  0x30, 0x3C, 0x2F, 0x48, 0x6F, 0x72, 0x69, 0x7A,  // 0</Horiz
                    /* 0740 */  0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x4C, 0x65, 0x66,  // ontalLef
                    /* 0748 */  0x74, 0x42, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x3E,  // tBorder>
                    /* 0750 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x48, 0x6F,  // .    <Ho
                    /* 0758 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 0760 */  0x52, 0x69, 0x67, 0x68, 0x74, 0x42, 0x6F, 0x72,  // RightBor
                    /* 0768 */  0x64, 0x65, 0x72, 0x3E, 0x30, 0x3C, 0x2F, 0x48,  // der>0</H
                    /* 0770 */  0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61,  // orizonta
                    /* 0778 */  0x6C, 0x52, 0x69, 0x67, 0x68, 0x74, 0x42, 0x6F,  // lRightBo
                    /* 0780 */  0x72, 0x64, 0x65, 0x72, 0x3E, 0x0A, 0x20, 0x20,  // rder>.  
                    /* 0788 */  0x20, 0x20, 0x3C, 0x56, 0x65, 0x72, 0x74, 0x69,  //   <Verti
                    /* 0790 */  0x63, 0x61, 0x6C, 0x41, 0x63, 0x74, 0x69, 0x76,  // calActiv
                    /* 0798 */  0x65, 0x3E, 0x31, 0x38, 0x30, 0x30, 0x3C, 0x2F,  // e>1800</
                    /* 07A0 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 07A8 */  0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x3E, 0x0A,  // Active>.
                    /* 07B0 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x56, 0x65, 0x72,  //     <Ver
                    /* 07B8 */  0x74, 0x69, 0x63, 0x61, 0x6C, 0x46, 0x72, 0x6F,  // ticalFro
                    /* 07C0 */  0x6E, 0x74, 0x50, 0x6F, 0x72, 0x63, 0x68, 0x3E,  // ntPorch>
                    /* 07C8 */  0x32, 0x30, 0x3C, 0x2F, 0x56, 0x65, 0x72, 0x74,  // 20</Vert
                    /* 07D0 */  0x69, 0x63, 0x61, 0x6C, 0x46, 0x72, 0x6F, 0x6E,  // icalFron
                    /* 07D8 */  0x74, 0x50, 0x6F, 0x72, 0x63, 0x68, 0x3E, 0x0A,  // tPorch>.
                    /* 07E0 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x56, 0x65, 0x72,  //     <Ver
                    /* 07E8 */  0x74, 0x69, 0x63, 0x61, 0x6C, 0x42, 0x61, 0x63,  // ticalBac
                    /* 07F0 */  0x6B, 0x50, 0x6F, 0x72, 0x63, 0x68, 0x3E, 0x32,  // kPorch>2
                    /* 07F8 */  0x30, 0x3C, 0x2F, 0x56, 0x65, 0x72, 0x74, 0x69,  // 0</Verti
                    /* 0800 */  0x63, 0x61, 0x6C, 0x42, 0x61, 0x63, 0x6B, 0x50,  // calBackP
                    /* 0808 */  0x6F, 0x72, 0x63, 0x68, 0x3E, 0x0A, 0x20, 0x20,  // orch>.  
                    /* 0810 */  0x20, 0x20, 0x3C, 0x56, 0x65, 0x72, 0x74, 0x69,  //   <Verti
                    /* 0818 */  0x63, 0x61, 0x6C, 0x54, 0x6F, 0x70, 0x42, 0x6F,  // calTopBo
                    /* 0820 */  0x72, 0x64, 0x65, 0x72, 0x3E, 0x30, 0x3C, 0x2F,  // rder>0</
                    /* 0828 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 0830 */  0x54, 0x6F, 0x70, 0x42, 0x6F, 0x72, 0x64, 0x65,  // TopBorde
                    /* 0838 */  0x72, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // r>.    <
                    /* 0840 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 0848 */  0x42, 0x6F, 0x74, 0x74, 0x6F, 0x6D, 0x42, 0x6F,  // BottomBo
                    /* 0850 */  0x72, 0x64, 0x65, 0x72, 0x3E, 0x30, 0x3C, 0x2F,  // rder>0</
                    /* 0858 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 0860 */  0x42, 0x6F, 0x74, 0x74, 0x6F, 0x6D, 0x42, 0x6F,  // BottomBo
                    /* 0868 */  0x72, 0x64, 0x65, 0x72, 0x3E, 0x0A, 0x20, 0x20,  // rder>.  
                    /* 0870 */  0x20, 0x20, 0x3C, 0x49, 0x6E, 0x76, 0x65, 0x72,  //   <Inver
                    /* 0878 */  0x74, 0x44, 0x61, 0x74, 0x61, 0x50, 0x6F, 0x6C,  // tDataPol
                    /* 0880 */  0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x46, 0x61,  // arity>Fa
                    /* 0888 */  0x6C, 0x73, 0x65, 0x3C, 0x2F, 0x49, 0x6E, 0x76,  // lse</Inv
                    /* 0890 */  0x65, 0x72, 0x74, 0x44, 0x61, 0x74, 0x61, 0x50,  // ertDataP
                    /* 0898 */  0x6F, 0x6C, 0x61, 0x72, 0x69, 0x74, 0x79, 0x3E,  // olarity>
                    /* 08A0 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x49, 0x6E,  // .    <In
                    /* 08A8 */  0x76, 0x65, 0x72, 0x74, 0x56, 0x73, 0x79, 0x6E,  // vertVsyn
                    /* 08B0 */  0x63, 0x50, 0x6F, 0x6C, 0x61, 0x69, 0x72, 0x74,  // cPolairt
                    /* 08B8 */  0x79, 0x3E, 0x46, 0x61, 0x6C, 0x73, 0x65, 0x3C,  // y>False<
                    /* 08C0 */  0x2F, 0x49, 0x6E, 0x76, 0x65, 0x72, 0x74, 0x56,  // /InvertV
                    /* 08C8 */  0x73, 0x79, 0x6E, 0x63, 0x50, 0x6F, 0x6C, 0x61,  // syncPola
                    /* 08D0 */  0x69, 0x72, 0x74, 0x79, 0x3E, 0x0A, 0x20, 0x20,  // irty>.  
                    /* 08D8 */  0x20, 0x20, 0x3C, 0x49, 0x6E, 0x76, 0x65, 0x72,  //   <Inver
                    /* 08E0 */  0x74, 0x48, 0x73, 0x79, 0x6E, 0x63, 0x50, 0x6F,  // tHsyncPo
                    /* 08E8 */  0x6C, 0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x46,  // larity>F
                    /* 08F0 */  0x61, 0x6C, 0x73, 0x65, 0x3C, 0x2F, 0x49, 0x6E,  // alse</In
                    /* 08F8 */  0x76, 0x65, 0x72, 0x74, 0x48, 0x73, 0x79, 0x6E,  // vertHsyn
                    /* 0900 */  0x63, 0x50, 0x6F, 0x6C, 0x61, 0x72, 0x69, 0x74,  // cPolarit
                    /* 0908 */  0x79, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // y>.    <
                    /* 0910 */  0x42, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x43, 0x6F,  // BorderCo
                    /* 0918 */  0x6C, 0x6F, 0x72, 0x3E, 0x30, 0x78, 0x30, 0x3C,  // lor>0x0<
                    /* 0920 */  0x2F, 0x42, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x43,  // /BorderC
                    /* 0928 */  0x6F, 0x6C, 0x6F, 0x72, 0x3E, 0x0A, 0x20, 0x20,  // olor>.  
                    /* 0930 */  0x20, 0x20, 0x3C, 0x55, 0x6E, 0x64, 0x65, 0x72,  //   <Under
                    /* 0938 */  0x66, 0x6C, 0x6F, 0x77, 0x43, 0x6F, 0x6C, 0x6F,  // flowColo
                    /* 0940 */  0x72, 0x3E, 0x30, 0x78, 0x46, 0x46, 0x3C, 0x2F,  // r>0xFF</
                    /* 0948 */  0x55, 0x6E, 0x64, 0x65, 0x72, 0x66, 0x6C, 0x6F,  // Underflo
                    /* 0950 */  0x77, 0x43, 0x6F, 0x6C, 0x6F, 0x72, 0x3E, 0x0A,  // wColor>.
                    /* 0958 */  0x3C, 0x2F, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E,  // </Group>
                    /* 0960 */  0x0A, 0x3C, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x20,  // .<Group 
                    /* 0968 */  0x69, 0x64, 0x3D, 0x27, 0x44, 0x69, 0x73, 0x70,  // id='Disp
                    /* 0970 */  0x6C, 0x61, 0x79, 0x20, 0x49, 0x6E, 0x74, 0x65,  // lay Inte
                    /* 0978 */  0x72, 0x66, 0x61, 0x63, 0x65, 0x27, 0x3E, 0x0A,  // rface'>.
                    /* 0980 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x49, 0x6E, 0x74,  //     <Int
                    /* 0988 */  0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x54, 0x79,  // erfaceTy
                    /* 0990 */  0x70, 0x65, 0x3E, 0x39, 0x3C, 0x2F, 0x49, 0x6E,  // pe>9</In
                    /* 0998 */  0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x54,  // terfaceT
                    /* 09A0 */  0x79, 0x70, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // ype>.   
                    /* 09A8 */  0x20, 0x3C, 0x50, 0x61, 0x6E, 0x65, 0x6C, 0x4F,  //  <PanelO
                    /* 09B0 */  0x72, 0x69, 0x65, 0x6E, 0x74, 0x61, 0x74, 0x69,  // rientati
                    /* 09B8 */  0x6F, 0x6E, 0x3E, 0x30, 0x3C, 0x2F, 0x50, 0x61,  // on>0</Pa
                    /* 09C0 */  0x6E, 0x65, 0x6C, 0x4F, 0x72, 0x69, 0x65, 0x6E,  // nelOrien
                    /* 09C8 */  0x74, 0x61, 0x74, 0x69, 0x6F, 0x6E, 0x3E, 0x0A,  // tation>.
                    /* 09D0 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x49, 0x6E, 0x74,  //     <Int
                    /* 09D8 */  0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x43, 0x6F,  // erfaceCo
                    /* 09E0 */  0x6C, 0x6F, 0x72, 0x46, 0x6F, 0x72, 0x6D, 0x61,  // lorForma
                    /* 09E8 */  0x74, 0x3E, 0x33, 0x3C, 0x2F, 0x49, 0x6E, 0x74,  // t>3</Int
                    /* 09F0 */  0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x43, 0x6F,  // erfaceCo
                    /* 09F8 */  0x6C, 0x6F, 0x72, 0x46, 0x6F, 0x72, 0x6D, 0x61,  // lorForma
                    /* 0A00 */  0x74, 0x3E, 0x0A, 0x3C, 0x2F, 0x47, 0x72, 0x6F,  // t>.</Gro
                    /* 0A08 */  0x75, 0x70, 0x3E, 0x0A, 0x3C, 0x47, 0x72, 0x6F,  // up>.<Gro
                    /* 0A10 */  0x75, 0x70, 0x20, 0x69, 0x64, 0x3D, 0x27, 0x44,  // up id='D
                    /* 0A18 */  0x53, 0x49, 0x20, 0x49, 0x6E, 0x74, 0x65, 0x72,  // SI Inter
                    /* 0A20 */  0x66, 0x61, 0x63, 0x65, 0x27, 0x3E, 0x0A, 0x20,  // face'>. 
                    /* 0A28 */  0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x43,  //    <DSIC
                    /* 0A30 */  0x68, 0x61, 0x6E, 0x6E, 0x65, 0x6C, 0x49, 0x64,  // hannelId
                    /* 0A38 */  0x3E, 0x32, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x43,  // >2</DSIC
                    /* 0A40 */  0x68, 0x61, 0x6E, 0x6E, 0x65, 0x6C, 0x49, 0x64,  // hannelId
                    /* 0A48 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44,  // >.    <D
                    /* 0A50 */  0x53, 0x49, 0x56, 0x69, 0x72, 0x74, 0x75, 0x61,  // SIVirtua
                    /* 0A58 */  0x6C, 0x49, 0x64, 0x3E, 0x30, 0x3C, 0x2F, 0x44,  // lId>0</D
                    /* 0A60 */  0x53, 0x49, 0x56, 0x69, 0x72, 0x74, 0x75, 0x61,  // SIVirtua
                    /* 0A68 */  0x6C, 0x49, 0x64, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // lId>.   
                    /* 0A70 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x43, 0x6F, 0x6C,  //  <DSICol
                    /* 0A78 */  0x6F, 0x72, 0x46, 0x6F, 0x72, 0x6D, 0x61, 0x74,  // orFormat
                    /* 0A80 */  0x3E, 0x33, 0x36, 0x3C, 0x2F, 0x44, 0x53, 0x49,  // >36</DSI
                    /* 0A88 */  0x43, 0x6F, 0x6C, 0x6F, 0x72, 0x46, 0x6F, 0x72,  // ColorFor
                    /* 0A90 */  0x6D, 0x61, 0x74, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // mat>.   
                    /* 0A98 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x54, 0x72, 0x61,  //  <DSITra
                    /* 0AA0 */  0x66, 0x66, 0x69, 0x63, 0x4D, 0x6F, 0x64, 0x65,  // fficMode
                    /* 0AA8 */  0x3E, 0x31, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x54,  // >1</DSIT
                    /* 0AB0 */  0x72, 0x61, 0x66, 0x66, 0x69, 0x63, 0x4D, 0x6F,  // rafficMo
                    /* 0AB8 */  0x64, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // de>.    
                    /* 0AC0 */  0x3C, 0x44, 0x53, 0x49, 0x4C, 0x61, 0x6E, 0x65,  // <DSILane
                    /* 0AC8 */  0x73, 0x3E, 0x34, 0x3C, 0x2F, 0x44, 0x53, 0x49,  // s>4</DSI
                    /* 0AD0 */  0x4C, 0x61, 0x6E, 0x65, 0x73, 0x3E, 0x0A, 0x20,  // Lanes>. 
                    /* 0AD8 */  0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x48,  //    <DSIH
                    /* 0AE0 */  0x73, 0x61, 0x48, 0x73, 0x65, 0x41, 0x66, 0x74,  // saHseAft
                    /* 0AE8 */  0x65, 0x72, 0x56, 0x73, 0x56, 0x65, 0x3E, 0x46,  // erVsVe>F
                    /* 0AF0 */  0x61, 0x6C, 0x73, 0x65, 0x3C, 0x2F, 0x44, 0x53,  // alse</DS
                    /* 0AF8 */  0x49, 0x48, 0x73, 0x61, 0x48, 0x73, 0x65, 0x41,  // IHsaHseA
                    /* 0B00 */  0x66, 0x74, 0x65, 0x72, 0x56, 0x73, 0x56, 0x65,  // fterVsVe
                    /* 0B08 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44,  // >.    <D
                    /* 0B10 */  0x53, 0x49, 0x4C, 0x6F, 0x77, 0x50, 0x6F, 0x77,  // SILowPow
                    /* 0B18 */  0x65, 0x72, 0x4D, 0x6F, 0x64, 0x65, 0x49, 0x6E,  // erModeIn
                    /* 0B20 */  0x48, 0x46, 0x50, 0x3E, 0x46, 0x61, 0x6C, 0x73,  // HFP>Fals
                    /* 0B28 */  0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x4C, 0x6F,  // e</DSILo
                    /* 0B30 */  0x77, 0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F,  // wPowerMo
                    /* 0B38 */  0x64, 0x65, 0x49, 0x6E, 0x48, 0x46, 0x50, 0x3E,  // deInHFP>
                    /* 0B40 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53,  // .    <DS
                    /* 0B48 */  0x49, 0x4C, 0x6F, 0x77, 0x50, 0x6F, 0x77, 0x65,  // ILowPowe
                    /* 0B50 */  0x72, 0x4D, 0x6F, 0x64, 0x65, 0x49, 0x6E, 0x48,  // rModeInH
                    /* 0B58 */  0x42, 0x50, 0x3E, 0x46, 0x61, 0x6C, 0x73, 0x65,  // BP>False
                    /* 0B60 */  0x3C, 0x2F, 0x44, 0x53, 0x49, 0x4C, 0x6F, 0x77,  // </DSILow
                    /* 0B68 */  0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F, 0x64,  // PowerMod
                    /* 0B70 */  0x65, 0x49, 0x6E, 0x48, 0x42, 0x50, 0x3E, 0x0A,  // eInHBP>.
                    /* 0B78 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0B80 */  0x4C, 0x6F, 0x77, 0x50, 0x6F, 0x77, 0x65, 0x72,  // LowPower
                    /* 0B88 */  0x4D, 0x6F, 0x64, 0x65, 0x49, 0x6E, 0x48, 0x53,  // ModeInHS
                    /* 0B90 */  0x41, 0x3E, 0x46, 0x61, 0x6C, 0x73, 0x65, 0x3C,  // A>False<
                    /* 0B98 */  0x2F, 0x44, 0x53, 0x49, 0x4C, 0x6F, 0x77, 0x50,  // /DSILowP
                    /* 0BA0 */  0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F, 0x64, 0x65,  // owerMode
                    /* 0BA8 */  0x49, 0x6E, 0x48, 0x53, 0x41, 0x3E, 0x0A, 0x20,  // InHSA>. 
                    /* 0BB0 */  0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x4C,  //    <DSIL
                    /* 0BB8 */  0x6F, 0x77, 0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D,  // owPowerM
                    /* 0BC0 */  0x6F, 0x64, 0x65, 0x49, 0x6E, 0x42, 0x4C, 0x4C,  // odeInBLL
                    /* 0BC8 */  0x50, 0x45, 0x4F, 0x46, 0x3E, 0x54, 0x72, 0x75,  // PEOF>Tru
                    /* 0BD0 */  0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x4C, 0x6F,  // e</DSILo
                    /* 0BD8 */  0x77, 0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F,  // wPowerMo
                    /* 0BE0 */  0x64, 0x65, 0x49, 0x6E, 0x42, 0x4C, 0x4C, 0x50,  // deInBLLP
                    /* 0BE8 */  0x45, 0x4F, 0x46, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // EOF>.   
                    /* 0BF0 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x4C, 0x6F, 0x77,  //  <DSILow
                    /* 0BF8 */  0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F, 0x64,  // PowerMod
                    /* 0C00 */  0x65, 0x49, 0x6E, 0x42, 0x4C, 0x4C, 0x50, 0x3E,  // eInBLLP>
                    /* 0C08 */  0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F, 0x44, 0x53,  // True</DS
                    /* 0C10 */  0x49, 0x4C, 0x6F, 0x77, 0x50, 0x6F, 0x77, 0x65,  // ILowPowe
                    /* 0C18 */  0x72, 0x4D, 0x6F, 0x64, 0x65, 0x49, 0x6E, 0x42,  // rModeInB
                    /* 0C20 */  0x4C, 0x4C, 0x50, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // LLP>.   
                    /* 0C28 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x52, 0x65, 0x66,  //  <DSIRef
                    /* 0C30 */  0x72, 0x65, 0x73, 0x68, 0x52, 0x61, 0x74, 0x65,  // reshRate
                    /* 0C38 */  0x3E, 0x30, 0x78, 0x33, 0x43, 0x30, 0x30, 0x30,  // >0x3C000
                    /* 0C40 */  0x30, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x52, 0x65,  // 0</DSIRe
                    /* 0C48 */  0x66, 0x72, 0x65, 0x73, 0x68, 0x52, 0x61, 0x74,  // freshRat
                    /* 0C50 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // e>.    <
                    /* 0C58 */  0x44, 0x53, 0x49, 0x45, 0x6E, 0x61, 0x62, 0x6C,  // DSIEnabl
                    /* 0C60 */  0x65, 0x41, 0x75, 0x74, 0x6F, 0x52, 0x65, 0x66,  // eAutoRef
                    /* 0C68 */  0x72, 0x65, 0x73, 0x68, 0x3E, 0x54, 0x72, 0x75,  // resh>Tru
                    /* 0C70 */  0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x45, 0x6E,  // e</DSIEn
                    /* 0C78 */  0x61, 0x62, 0x6C, 0x65, 0x41, 0x75, 0x74, 0x6F,  // ableAuto
                    /* 0C80 */  0x52, 0x65, 0x66, 0x72, 0x65, 0x73, 0x68, 0x3E,  // Refresh>
                    /* 0C88 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53,  // .    <DS
                    /* 0C90 */  0x49, 0x50, 0x68, 0x79, 0x44, 0x43, 0x44, 0x43,  // IPhyDCDC
                    /* 0C98 */  0x4D, 0x6F, 0x64, 0x65, 0x3E, 0x46, 0x61, 0x6C,  // Mode>Fal
                    /* 0CA0 */  0x73, 0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x50,  // se</DSIP
                    /* 0CA8 */  0x68, 0x79, 0x44, 0x43, 0x44, 0x43, 0x4D, 0x6F,  // hyDCDCMo
                    /* 0CB0 */  0x64, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // de>.    
                    /* 0CB8 */  0x3C, 0x44, 0x53, 0x49, 0x50, 0x61, 0x63, 0x6B,  // <DSIPack
                    /* 0CC0 */  0x65, 0x74, 0x54, 0x72, 0x61, 0x6E, 0x73, 0x66,  // etTransf
                    /* 0CC8 */  0x65, 0x72, 0x48, 0x53, 0x3E, 0x46, 0x61, 0x6C,  // erHS>Fal
                    /* 0CD0 */  0x73, 0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x50,  // se</DSIP
                    /* 0CD8 */  0x61, 0x63, 0x6B, 0x65, 0x74, 0x54, 0x72, 0x61,  // acketTra
                    /* 0CE0 */  0x6E, 0x73, 0x66, 0x65, 0x72, 0x48, 0x53, 0x3E,  // nsferHS>
                    /* 0CE8 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53,  // .    <DS
                    /* 0CF0 */  0x49, 0x43, 0x6C, 0x6F, 0x63, 0x6B, 0x48, 0x53,  // IClockHS
                    /* 0CF8 */  0x46, 0x6F, 0x72, 0x63, 0x65, 0x52, 0x65, 0x71,  // ForceReq
                    /* 0D00 */  0x75, 0x65, 0x73, 0x74, 0x3E, 0x31, 0x3C, 0x2F,  // uest>1</
                    /* 0D08 */  0x44, 0x53, 0x49, 0x43, 0x6C, 0x6F, 0x63, 0x6B,  // DSIClock
                    /* 0D10 */  0x48, 0x53, 0x46, 0x6F, 0x72, 0x63, 0x65, 0x52,  // HSForceR
                    /* 0D18 */  0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x3E, 0x0A,  // equest>.
                    /* 0D20 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0D28 */  0x4C, 0x50, 0x31, 0x31, 0x41, 0x74, 0x49, 0x6E,  // LP11AtIn
                    /* 0D30 */  0x69, 0x74, 0x3E, 0x54, 0x72, 0x75, 0x65, 0x3C,  // it>True<
                    /* 0D38 */  0x2F, 0x44, 0x53, 0x49, 0x4C, 0x50, 0x31, 0x31,  // /DSILP11
                    /* 0D40 */  0x41, 0x74, 0x49, 0x6E, 0x69, 0x74, 0x3E, 0x0A,  // AtInit>.
                    /* 0D48 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0D50 */  0x46, 0x6F, 0x72, 0x63, 0x65, 0x43, 0x6D, 0x64,  // ForceCmd
                    /* 0D58 */  0x49, 0x6E, 0x56, 0x69, 0x64, 0x65, 0x6F, 0x48,  // InVideoH
                    /* 0D60 */  0x53, 0x3E, 0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F,  // S>True</
                    /* 0D68 */  0x44, 0x53, 0x49, 0x46, 0x6F, 0x72, 0x63, 0x65,  // DSIForce
                    /* 0D70 */  0x43, 0x6D, 0x64, 0x49, 0x6E, 0x56, 0x69, 0x64,  // CmdInVid
                    /* 0D78 */  0x65, 0x6F, 0x48, 0x53, 0x3E, 0x0A, 0x20, 0x20,  // eoHS>.  
                    /* 0D80 */  0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x44, 0x53,  //   <DSIDS
                    /* 0D88 */  0x43, 0x45, 0x6E, 0x61, 0x62, 0x6C, 0x65, 0x3E,  // CEnable>
                    /* 0D90 */  0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F, 0x44, 0x53,  // True</DS
                    /* 0D98 */  0x49, 0x44, 0x53, 0x43, 0x45, 0x6E, 0x61, 0x62,  // IDSCEnab
                    /* 0DA0 */  0x6C, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // le>.    
                    /* 0DA8 */  0x3C, 0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x4D,  // <DSIDSCM
                    /* 0DB0 */  0x61, 0x6A, 0x6F, 0x72, 0x3E, 0x31, 0x3C, 0x2F,  // ajor>1</
                    /* 0DB8 */  0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x4D, 0x61,  // DSIDSCMa
                    /* 0DC0 */  0x6A, 0x6F, 0x72, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // jor>.   
                    /* 0DC8 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x44, 0x53, 0x43,  //  <DSIDSC
                    /* 0DD0 */  0x4D, 0x69, 0x6E, 0x6F, 0x72, 0x3E, 0x31, 0x3C,  // Minor>1<
                    /* 0DD8 */  0x2F, 0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x4D,  // /DSIDSCM
                    /* 0DE0 */  0x69, 0x6E, 0x6F, 0x72, 0x3E, 0x0A, 0x20, 0x20,  // inor>.  
                    /* 0DE8 */  0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x44, 0x53,  //   <DSIDS
                    /* 0DF0 */  0x43, 0x53, 0x63, 0x72, 0x3E, 0x30, 0x3C, 0x2F,  // CScr>0</
                    /* 0DF8 */  0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x53, 0x63,  // DSIDSCSc
                    /* 0E00 */  0x72, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // r>.    <
                    /* 0E08 */  0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x50, 0x72,  // DSIDSCPr
                    /* 0E10 */  0x6F, 0x66, 0x69, 0x6C, 0x65, 0x49, 0x44, 0x3E,  // ofileID>
                    /* 0E18 */  0x36, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x44, 0x53,  // 6</DSIDS
                    /* 0E20 */  0x43, 0x50, 0x72, 0x6F, 0x66, 0x69, 0x6C, 0x65,  // CProfile
                    /* 0E28 */  0x49, 0x44, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // ID>.    
                    /* 0E30 */  0x3C, 0x44, 0x53, 0x49, 0x54, 0x45, 0x43, 0x68,  // <DSITECh
                    /* 0E38 */  0x65, 0x63, 0x6B, 0x45, 0x6E, 0x61, 0x62, 0x6C,  // eckEnabl
                    /* 0E40 */  0x65, 0x3E, 0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F,  // e>True</
                    /* 0E48 */  0x44, 0x53, 0x49, 0x54, 0x45, 0x43, 0x68, 0x65,  // DSITEChe
                    /* 0E50 */  0x63, 0x6B, 0x45, 0x6E, 0x61, 0x62, 0x6C, 0x65,  // ckEnable
                    /* 0E58 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44,  // >.    <D
                    /* 0E60 */  0x53, 0x49, 0x54, 0x45, 0x55, 0x73, 0x69, 0x6E,  // SITEUsin
                    /* 0E68 */  0x67, 0x44, 0x65, 0x64, 0x69, 0x63, 0x61, 0x74,  // gDedicat
                    /* 0E70 */  0x65, 0x64, 0x54, 0x45, 0x50, 0x69, 0x6E, 0x3E,  // edTEPin>
                    /* 0E78 */  0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F, 0x44, 0x53,  // True</DS
                    /* 0E80 */  0x49, 0x54, 0x45, 0x55, 0x73, 0x69, 0x6E, 0x67,  // ITEUsing
                    /* 0E88 */  0x44, 0x65, 0x64, 0x69, 0x63, 0x61, 0x74, 0x65,  // Dedicate
                    /* 0E90 */  0x64, 0x54, 0x45, 0x50, 0x69, 0x6E, 0x3E, 0x0A,  // dTEPin>.
                    /* 0E98 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0EA0 */  0x54, 0x45, 0x76, 0x53, 0x79, 0x6E, 0x63, 0x53,  // TEvSyncS
                    /* 0EA8 */  0x65, 0x6C, 0x65, 0x63, 0x74, 0x3E, 0x30, 0x3C,  // elect>0<
                    /* 0EB0 */  0x2F, 0x44, 0x53, 0x49, 0x54, 0x45, 0x76, 0x53,  // /DSITEvS
                    /* 0EB8 */  0x79, 0x6E, 0x63, 0x53, 0x65, 0x6C, 0x65, 0x63,  // yncSelec
                    /* 0EC0 */  0x74, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // t>.    <
                    /* 0EC8 */  0x44, 0x53, 0x49, 0x54, 0x45, 0x76, 0x53, 0x79,  // DSITEvSy
                    /* 0ED0 */  0x6E, 0x63, 0x53, 0x74, 0x61, 0x72, 0x74, 0x50,  // ncStartP
                    /* 0ED8 */  0x6F, 0x73, 0x3E, 0x31, 0x38, 0x30, 0x30, 0x3C,  // os>1800<
                    /* 0EE0 */  0x2F, 0x44, 0x53, 0x49, 0x54, 0x45, 0x76, 0x53,  // /DSITEvS
                    /* 0EE8 */  0x79, 0x6E, 0x63, 0x53, 0x74, 0x61, 0x72, 0x74,  // yncStart
                    /* 0EF0 */  0x50, 0x6F, 0x73, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // Pos>.   
                    /* 0EF8 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x54, 0x45, 0x76,  //  <DSITEv
                    /* 0F00 */  0x53, 0x79, 0x6E, 0x63, 0x49, 0x6E, 0x69, 0x74,  // SyncInit
                    /* 0F08 */  0x56, 0x61, 0x6C, 0x3E, 0x31, 0x38, 0x30, 0x30,  // Val>1800
                    /* 0F10 */  0x3C, 0x2F, 0x44, 0x53, 0x49, 0x54, 0x45, 0x76,  // </DSITEv
                    /* 0F18 */  0x53, 0x79, 0x6E, 0x63, 0x49, 0x6E, 0x69, 0x74,  // SyncInit
                    /* 0F20 */  0x56, 0x61, 0x6C, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // Val>.   
                    /* 0F28 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x44, 0x53, 0x43,  //  <DSIDSC
                    /* 0F30 */  0x53, 0x6C, 0x69, 0x63, 0x65, 0x57, 0x69, 0x64,  // SliceWid
                    /* 0F38 */  0x74, 0x68, 0x3E, 0x36, 0x37, 0x35, 0x3C, 0x2F,  // th>675</
                    /* 0F40 */  0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x53, 0x6C,  // DSIDSCSl
                    /* 0F48 */  0x69, 0x63, 0x65, 0x57, 0x69, 0x64, 0x74, 0x68,  // iceWidth
                    /* 0F50 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44,  // >.    <D
                    /* 0F58 */  0x53, 0x49, 0x44, 0x53, 0x43, 0x53, 0x6C, 0x69,  // SIDSCSli
                    /* 0F60 */  0x63, 0x65, 0x48, 0x65, 0x69, 0x67, 0x68, 0x74,  // ceHeight
                    /* 0F68 */  0x3E, 0x39, 0x30, 0x30, 0x3C, 0x2F, 0x44, 0x53,  // >900</DS
                    /* 0F70 */  0x49, 0x44, 0x53, 0x43, 0x53, 0x6C, 0x69, 0x63,  // IDSCSlic
                    /* 0F78 */  0x65, 0x48, 0x65, 0x69, 0x67, 0x68, 0x74, 0x3E,  // eHeight>
                    /* 0F80 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53,  // .    <DS
                    /* 0F88 */  0x49, 0x42, 0x69, 0x74, 0x43, 0x6C, 0x6F, 0x63,  // IBitCloc
                    /* 0F90 */  0x6B, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6E,  // kFrequen
                    /* 0F98 */  0x63, 0x79, 0x3E, 0x37, 0x30, 0x30, 0x30, 0x30,  // cy>70000
                    /* 0FA0 */  0x30, 0x30, 0x30, 0x30, 0x3C, 0x2F, 0x44, 0x53,  // 0000</DS
                    /* 0FA8 */  0x49, 0x42, 0x69, 0x74, 0x43, 0x6C, 0x6F, 0x63,  // IBitCloc
                    /* 0FB0 */  0x6B, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6E,  // kFrequen
                    /* 0FB8 */  0x63, 0x79, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // cy>.    
                    /* 0FC0 */  0x3C, 0x44, 0x53, 0x49, 0x46, 0x6C, 0x61, 0x67,  // <DSIFlag
                    /* 0FC8 */  0x73, 0x3E, 0x30, 0x78, 0x30, 0x30, 0x30, 0x30,  // s>0x0000
                    /* 0FD0 */  0x30, 0x30, 0x30, 0x32, 0x3C, 0x2F, 0x44, 0x53,  // 0002</DS
                    /* 0FD8 */  0x49, 0x46, 0x6C, 0x61, 0x67, 0x73, 0x3E, 0x0A,  // IFlags>.
                    /* 0FE0 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0FE8 */  0x43, 0x6D, 0x64, 0x4D, 0x6F, 0x64, 0x65, 0x49,  // CmdModeI
                    /* 0FF0 */  0x64, 0x6C, 0x65, 0x54, 0x69, 0x6D, 0x65, 0x3E,  // dleTime>
                    /* 0FF8 */  0x31, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x43, 0x6D,  // 1</DSICm
                    /* 1000 */  0x64, 0x4D, 0x6F, 0x64, 0x65, 0x49, 0x64, 0x6C,  // dModeIdl
                    /* 1008 */  0x65, 0x54, 0x69, 0x6D, 0x65, 0x3E, 0x0A, 0x3C,  // eTime>.<
                    /* 1010 */  0x2F, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E, 0x0A,  // /Group>.
                    /* 1018 */  0x3C, 0x44, 0x53, 0x49, 0x43, 0x6F, 0x6E, 0x74,  // <DSICont
                    /* 1020 */  0x72, 0x6F, 0x6C, 0x6C, 0x65, 0x72, 0x4D, 0x61,  // rollerMa
                    /* 1028 */  0x70, 0x70, 0x69, 0x6E, 0x67, 0x3E, 0x0A, 0x20,  // pping>. 
                    /* 1030 */  0x20, 0x20, 0x20, 0x30, 0x30, 0x0A, 0x3C, 0x2F,  //    00.</
                    /* 1038 */  0x44, 0x53, 0x49, 0x43, 0x6F, 0x6E, 0x74, 0x72,  // DSIContr
                    /* 1040 */  0x6F, 0x6C, 0x6C, 0x65, 0x72, 0x4D, 0x61, 0x70,  // ollerMap
                    /* 1048 */  0x70, 0x69, 0x6E, 0x67, 0x3E, 0x0A, 0x3C, 0x44,  // ping>.<D
                    /* 1050 */  0x53, 0x49, 0x49, 0x6E, 0x69, 0x74, 0x53, 0x65,  // SIInitSe
                    /* 1058 */  0x71, 0x75, 0x65, 0x6E, 0x63, 0x65, 0x3E, 0x0A,  // quence>.
                    /* 1060 */  0x20, 0x20, 0x20, 0x20, 0x30, 0x37, 0x20, 0x31,  //     07 1
                    /* 1068 */  0x31, 0x20, 0x30, 0x30, 0x0A, 0x20, 0x20, 0x20,  // 1 00.   
                    /* 1070 */  0x20, 0x30, 0x41, 0x20, 0x31, 0x31, 0x20, 0x30,  //  0A 11 0
                    /* 1078 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x38, 0x39, 0x20,  // 0 00 89 
                    /* 1080 */  0x33, 0x30, 0x20, 0x38, 0x30, 0x20, 0x30, 0x37,  // 30 80 07
                    /* 1088 */  0x20, 0x30, 0x38, 0x20, 0x30, 0x35, 0x20, 0x34,  //  08 05 4
                    /* 1090 */  0x36, 0x20, 0x30, 0x33, 0x20, 0x38, 0x34, 0x20,  // 6 03 84 
                    /* 1098 */  0x30, 0x32, 0x20, 0x41, 0x33, 0x20, 0x30, 0x32,  // 02 A3 02
                    /* 10A0 */  0x20, 0x41, 0x33, 0x20, 0x30, 0x32, 0x20, 0x30,  //  A3 02 0
                    /* 10A8 */  0x30, 0x20, 0x30, 0x32, 0x20, 0x35, 0x31, 0x20,  // 0 02 51 
                    /* 10B0 */  0x30, 0x30, 0x20, 0x32, 0x30, 0x20, 0x35, 0x46,  // 00 20 5F
                    /* 10B8 */  0x20, 0x34, 0x42, 0x20, 0x30, 0x30, 0x20, 0x30,  //  4B 00 0
                    /* 10C0 */  0x39, 0x20, 0x30, 0x30, 0x20, 0x30, 0x43, 0x20,  // 9 00 0C 
                    /* 10C8 */  0x30, 0x30, 0x20, 0x31, 0x43, 0x20, 0x30, 0x30,  // 00 1C 00
                    /* 10D0 */  0x20, 0x31, 0x38, 0x20, 0x31, 0x38, 0x20, 0x30,  //  18 18 0
                    /* 10D8 */  0x30, 0x20, 0x31, 0x30, 0x20, 0x46, 0x30, 0x20,  // 0 10 F0 
                    /* 10E0 */  0x30, 0x33, 0x20, 0x30, 0x43, 0x20, 0x32, 0x30,  // 03 0C 20
                    /* 10E8 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x36, 0x20, 0x30,  //  00 06 0
                    /* 10F0 */  0x42, 0x20, 0x30, 0x42, 0x20, 0x33, 0x33, 0x20,  // B 0B 33 
                    /* 10F8 */  0x30, 0x45, 0x20, 0x31, 0x43, 0x20, 0x32, 0x41,  // 0E 1C 2A
                    /* 1100 */  0x20, 0x33, 0x38, 0x20, 0x34, 0x36, 0x20, 0x35,  //  38 46 5
                    /* 1108 */  0x34, 0x20, 0x36, 0x32, 0x20, 0x36, 0x39, 0x20,  // 4 62 69 
                    /* 1110 */  0x37, 0x30, 0x20, 0x37, 0x37, 0x20, 0x37, 0x39,  // 70 77 79
                    /* 1118 */  0x20, 0x37, 0x42, 0x20, 0x37, 0x44, 0x20, 0x37,  //  7B 7D 7
                    /* 1120 */  0x45, 0x20, 0x30, 0x31, 0x20, 0x30, 0x32, 0x20,  // E 01 02 
                    /* 1128 */  0x30, 0x31, 0x20, 0x30, 0x30, 0x20, 0x30, 0x39,  // 01 00 09
                    /* 1130 */  0x20, 0x34, 0x30, 0x20, 0x30, 0x39, 0x20, 0x42,  //  40 09 B
                    /* 1138 */  0x45, 0x20, 0x31, 0x39, 0x20, 0x46, 0x43, 0x20,  // E 19 FC 
                    /* 1140 */  0x31, 0x39, 0x20, 0x46, 0x41, 0x20, 0x31, 0x39,  // 19 FA 19
                    /* 1148 */  0x20, 0x46, 0x38, 0x20, 0x31, 0x41, 0x20, 0x33,  //  F8 1A 3
                    /* 1150 */  0x38, 0x20, 0x31, 0x41, 0x20, 0x37, 0x38, 0x20,  // 8 1A 78 
                    /* 1158 */  0x31, 0x41, 0x20, 0x42, 0x36, 0x20, 0x32, 0x41,  // 1A B6 2A
                    /* 1160 */  0x20, 0x46, 0x36, 0x20, 0x32, 0x42, 0x20, 0x33,  //  F6 2B 3
                    /* 1168 */  0x34, 0x20, 0x32, 0x42, 0x20, 0x37, 0x34, 0x20,  // 4 2B 74 
                    /* 1170 */  0x33, 0x42, 0x20, 0x37, 0x34, 0x20, 0x36, 0x42,  // 3B 74 6B
                    /* 1178 */  0x20, 0x46, 0x34, 0x20, 0x30, 0x30, 0x20, 0x30,  //  F4 00 0
                    /* 1180 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 1188 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 1190 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 1198 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 11A0 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 11A8 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 11B0 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 11B8 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 11C0 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 11C8 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 11D0 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 11D8 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 11E0 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 11E8 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 11F0 */  0x20, 0x30, 0x30, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  00.    
                    /* 11F8 */  0x31, 0x35, 0x20, 0x42, 0x30, 0x20, 0x41, 0x43,  // 15 B0 AC
                    /* 1200 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x33, 0x39, 0x20,  // .    39 
                    /* 1208 */  0x32, 0x41, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 2A 00 00
                    /* 1210 */  0x20, 0x30, 0x35, 0x20, 0x34, 0x35, 0x0A, 0x20,  //  05 45. 
                    /* 1218 */  0x20, 0x20, 0x20, 0x33, 0x39, 0x20, 0x32, 0x42,  //    39 2B
                    /* 1220 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 1228 */  0x37, 0x20, 0x30, 0x37, 0x0A, 0x20, 0x20, 0x20,  // 7 07.   
                    /* 1230 */  0x20, 0x31, 0x35, 0x20, 0x32, 0x36, 0x20, 0x30,  //  15 26 0
                    /* 1238 */  0x32, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x33, 0x39,  // 2.    39
                    /* 1240 */  0x20, 0x34, 0x34, 0x20, 0x30, 0x33, 0x20, 0x38,  //  44 03 8
                    /* 1248 */  0x34, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x30, 0x35,  // 4.    05
                    /* 1250 */  0x20, 0x33, 0x35, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  35.    
                    /* 1258 */  0x33, 0x39, 0x20, 0x35, 0x31, 0x20, 0x30, 0x31,  // 39 51 01
                    /* 1260 */  0x20, 0x34, 0x37, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  47.    
                    /* 1268 */  0x33, 0x39, 0x20, 0x35, 0x33, 0x20, 0x30, 0x43,  // 39 53 0C
                    /* 1270 */  0x20, 0x33, 0x30, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  30.    
                    /* 1278 */  0x33, 0x39, 0x20, 0x35, 0x35, 0x20, 0x30, 0x34,  // 39 55 04
                    /* 1280 */  0x20, 0x37, 0x30, 0x20, 0x44, 0x42, 0x20, 0x30,  //  70 DB 0
                    /* 1288 */  0x30, 0x20, 0x37, 0x38, 0x20, 0x44, 0x42, 0x0A,  // 0 78 DB.
                    /* 1290 */  0x20, 0x20, 0x20, 0x20, 0x31, 0x35, 0x20, 0x45,  //     15 E
                    /* 1298 */  0x45, 0x20, 0x32, 0x34, 0x0A, 0x20, 0x20, 0x20,  // E 24.   
                    /* 12A0 */  0x20, 0x31, 0x35, 0x20, 0x46, 0x42, 0x20, 0x41,  //  15 FB A
                    /* 12A8 */  0x43, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x31, 0x35,  // C.    15
                    /* 12B0 */  0x20, 0x42, 0x30, 0x20, 0x43, 0x41, 0x0A, 0x20,  //  B0 CA. 
                    /* 12B8 */  0x20, 0x20, 0x20, 0x30, 0x35, 0x20, 0x31, 0x31,  //    05 11
                    /* 12C0 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x46, 0x46, 0x20,  // .    FF 
                    /* 12C8 */  0x35, 0x41, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x30,  // 5A.    0
                    /* 12D0 */  0x35, 0x20, 0x32, 0x39, 0x0A, 0x20, 0x20, 0x20,  // 5 29.   
                    /* 12D8 */  0x20, 0x46, 0x46, 0x20, 0x33, 0x32, 0x0A, 0x20,  //  FF 32. 
                    /* 12E0 */  0x20, 0x20, 0x20, 0x31, 0x35, 0x20, 0x42, 0x30,  //    15 B0
                    /* 12E8 */  0x20, 0x41, 0x43, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  AC.    
                    /* 12F0 */  0x33, 0x39, 0x20, 0x45, 0x39, 0x20, 0x33, 0x32,  // 39 E9 32
                    /* 12F8 */  0x20, 0x33, 0x32, 0x20, 0x35, 0x35, 0x20, 0x30,  //  32 55 0
                    /* 1300 */  0x36, 0x20, 0x30, 0x30, 0x20, 0x31, 0x43, 0x20,  // 6 00 1C 
                    /* 1308 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x35, 0x35,  // 00 00 55
                    /* 1310 */  0x20, 0x35, 0x30, 0x20, 0x34, 0x42, 0x0A, 0x20,  //  50 4B. 
                    /* 1318 */  0x20, 0x20, 0x20, 0x33, 0x39, 0x20, 0x44, 0x30,  //    39 D0
                    /* 1320 */  0x20, 0x38, 0x30, 0x20, 0x31, 0x30, 0x20, 0x38,  //  80 10 8
                    /* 1328 */  0x31, 0x20, 0x30, 0x32, 0x20, 0x30, 0x42, 0x20,  // 1 02 0B 
                    /* 1330 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 1338 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 1340 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x31, 0x20,  // 0 00 01 
                    /* 1348 */  0x30, 0x43, 0x20, 0x30, 0x30, 0x20, 0x44, 0x34,  // 0C 00 D4
                    /* 1350 */  0x20, 0x30, 0x42, 0x20, 0x30, 0x30, 0x20, 0x31,  //  0B 00 1
                    /* 1358 */  0x31, 0x20, 0x30, 0x30, 0x20, 0x31, 0x43, 0x0A,  // 1 00 1C.
                    /* 1360 */  0x20, 0x20, 0x20, 0x20, 0x31, 0x35, 0x20, 0x42,  //     15 B
                    /* 1368 */  0x30, 0x20, 0x43, 0x41, 0x0A, 0x20, 0x20, 0x20,  // 0 CA.   
                    /* 1370 */  0x20, 0x33, 0x39, 0x20, 0x35, 0x33, 0x20, 0x30,  //  39 53 0
                    /* 1378 */  0x44, 0x20, 0x33, 0x30, 0x0A, 0x3C, 0x2F, 0x44,  // D 30.</D
                    /* 1380 */  0x53, 0x49, 0x49, 0x6E, 0x69, 0x74, 0x53, 0x65,  // SIInitSe
                    /* 1388 */  0x71, 0x75, 0x65, 0x6E, 0x63, 0x65, 0x3E, 0x0A,  // quence>.
                    /* 1390 */  0x3C, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x20, 0x69,  // <Group i
                    /* 1398 */  0x64, 0x3D, 0x27, 0x44, 0x53, 0x49, 0x20, 0x54,  // d='DSI T
                    /* 13A0 */  0x69, 0x6D, 0x69, 0x6E, 0x67, 0x20, 0x70, 0x61,  // iming pa
                    /* 13A8 */  0x72, 0x61, 0x6D, 0x65, 0x74, 0x65, 0x72, 0x73,  // rameters
                    /* 13B0 */  0x27, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // '>.    <
                    /* 13B8 */  0x44, 0x53, 0x49, 0x54, 0x69, 0x6D, 0x69, 0x6E,  // DSITimin
                    /* 13C0 */  0x67, 0x48, 0x53, 0x50, 0x72, 0x65, 0x70, 0x61,  // gHSPrepa
                    /* 13C8 */  0x72, 0x65, 0x4F, 0x76, 0x65, 0x72, 0x72, 0x69,  // reOverri
                    /* 13D0 */  0x64, 0x65, 0x3E, 0x46, 0x61, 0x6C, 0x73, 0x65,  // de>False
                    /* 13D8 */  0x3C, 0x2F, 0x44, 0x53, 0x49, 0x54, 0x69, 0x6D,  // </DSITim
                    /* 13E0 */  0x69, 0x6E, 0x67, 0x48, 0x53, 0x50, 0x72, 0x65,  // ingHSPre
                    /* 13E8 */  0x70, 0x61, 0x72, 0x65, 0x4F, 0x76, 0x65, 0x72,  // pareOver
                    /* 13F0 */  0x72, 0x69, 0x64, 0x65, 0x3E, 0x0A, 0x20, 0x20,  // ride>.  
                    /* 13F8 */  0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x54, 0x69,  //   <DSITi
                    /* 1400 */  0x6D, 0x69, 0x6E, 0x67, 0x48, 0x53, 0x50, 0x72,  // mingHSPr
                    /* 1408 */  0x65, 0x70, 0x61, 0x72, 0x65, 0x56, 0x61, 0x6C,  // epareVal
                    /* 1410 */  0x75, 0x65, 0x3E, 0x32, 0x31, 0x3C, 0x2F, 0x44,  // ue>21</D
                    /* 1418 */  0x53, 0x49, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67,  // SITiming
                    /* 1420 */  0x48, 0x53, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72,  // HSPrepar
                    /* 1428 */  0x65, 0x56, 0x61, 0x6C, 0x75, 0x65, 0x3E, 0x0A,  // eValue>.
                    /* 1430 */  0x3C, 0x2F, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E,  // </Group>
                    /* 1438 */  0x0A, 0x3C, 0x44, 0x53, 0x49, 0x54, 0x65, 0x72,  // .<DSITer
                    /* 1440 */  0x6D, 0x53, 0x65, 0x71, 0x75, 0x65, 0x6E, 0x63,  // mSequenc
                    /* 1448 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x30,  // e>.    0
                    /* 1450 */  0x35, 0x20, 0x32, 0x38, 0x0A, 0x20, 0x20, 0x20,  // 5 28.   
                    /* 1458 */  0x20, 0x46, 0x46, 0x20, 0x30, 0x31, 0x0A, 0x20,  //  FF 01. 
                    /* 1460 */  0x20, 0x20, 0x20, 0x30, 0x35, 0x20, 0x31, 0x30,  //    05 10
                    /* 1468 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x46, 0x46, 0x20,  // .    FF 
                    /* 1470 */  0x37, 0x38, 0x0A, 0x3C, 0x2F, 0x44, 0x53, 0x49,  // 78.</DSI
                    /* 1478 */  0x54, 0x65, 0x72, 0x6D, 0x53, 0x65, 0x71, 0x75,  // TermSequ
                    /* 1480 */  0x65, 0x6E, 0x63, 0x65, 0x3E, 0x0A, 0x3C, 0x47,  // ence>.<G
                    /* 1488 */  0x72, 0x6F, 0x75, 0x70, 0x20, 0x69, 0x64, 0x3D,  // roup id=
                    /* 1490 */  0x27, 0x43, 0x6F, 0x6E, 0x6E, 0x65, 0x63, 0x74,  // 'Connect
                    /* 1498 */  0x69, 0x6F, 0x6E, 0x20, 0x43, 0x6F, 0x6E, 0x66,  // ion Conf
                    /* 14A0 */  0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6F,  // iguratio
                    /* 14A8 */  0x6E, 0x27, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // n'>.    
                    /* 14B0 */  0x3C, 0x44, 0x69, 0x73, 0x70, 0x6C, 0x61, 0x79,  // <Display
                    /* 14B8 */  0x31, 0x52, 0x65, 0x73, 0x65, 0x74, 0x31, 0x49,  // 1Reset1I
                    /* 14C0 */  0x6E, 0x66, 0x6F, 0x3E, 0x44, 0x53, 0x49, 0x5F,  // nfo>DSI_
                    /* 14C8 */  0x50, 0x41, 0x4E, 0x45, 0x4C, 0x5F, 0x52, 0x45,  // PANEL_RE
                    /* 14D0 */  0x53, 0x45, 0x54, 0x2C, 0x20, 0x30, 0x2C, 0x20,  // SET, 0, 
                    /* 14D8 */  0x34, 0x30, 0x3C, 0x2F, 0x44, 0x69, 0x73, 0x70,  // 40</Disp
                    /* 14E0 */  0x6C, 0x61, 0x79, 0x31, 0x52, 0x65, 0x73, 0x65,  // lay1Rese
                    /* 14E8 */  0x74, 0x31, 0x49, 0x6E, 0x66, 0x6F, 0x3E, 0x0A,  // t1Info>.
                    /* 14F0 */  0x3C, 0x2F, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E,  // </Group>
                    /* 14F8 */  0x0A, 0x3C, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x20,  // .<Group 
                    /* 1500 */  0x69, 0x64, 0x3D, 0x27, 0x42, 0x61, 0x63, 0x6B,  // id='Back
                    /* 1508 */  0x6C, 0x69, 0x67, 0x68, 0x74, 0x20, 0x43, 0x6F,  // light Co
                    /* 1510 */  0x6E, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74,  // nfigurat
                    /* 1518 */  0x69, 0x6F, 0x6E, 0x27, 0x3E, 0x0A, 0x20, 0x20,  // ion'>.  
                    /* 1520 */  0x20, 0x20, 0x3C, 0x42, 0x61, 0x63, 0x6B, 0x6C,  //   <Backl
                    /* 1528 */  0x69, 0x67, 0x68, 0x74, 0x54, 0x79, 0x70, 0x65,  // ightType
                    /* 1530 */  0x3E, 0x33, 0x3C, 0x2F, 0x42, 0x61, 0x63, 0x6B,  // >3</Back
                    /* 1538 */  0x6C, 0x69, 0x67, 0x68, 0x74, 0x54, 0x79, 0x70,  // lightTyp
                    /* 1540 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // e>.    <
                    /* 1548 */  0x42, 0x61, 0x63, 0x6B, 0x6C, 0x69, 0x67, 0x68,  // Backligh
                    /* 1550 */  0x74, 0x53, 0x74, 0x65, 0x70, 0x73, 0x3E, 0x31,  // tSteps>1
                    /* 1558 */  0x30, 0x30, 0x3C, 0x2F, 0x42, 0x61, 0x63, 0x6B,  // 00</Back
                    /* 1560 */  0x6C, 0x69, 0x67, 0x68, 0x74, 0x53, 0x74, 0x65,  // lightSte
                    /* 1568 */  0x70, 0x73, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // ps>.    
                    /* 1570 */  0x3C, 0x42, 0x72, 0x69, 0x67, 0x68, 0x74, 0x6E,  // <Brightn
                    /* 1578 */  0x65, 0x73, 0x73, 0x4D, 0x69, 0x6E, 0x4C, 0x75,  // essMinLu
                    /* 1580 */  0x6D, 0x69, 0x6E, 0x61, 0x6E, 0x63, 0x65, 0x3E,  // minance>
                    /* 1588 */  0x30, 0x3C, 0x2F, 0x42, 0x72, 0x69, 0x67, 0x68,  // 0</Brigh
                    /* 1590 */  0x74, 0x6E, 0x65, 0x73, 0x73, 0x4D, 0x69, 0x6E,  // tnessMin
                    /* 1598 */  0x4C, 0x75, 0x6D, 0x69, 0x6E, 0x61, 0x6E, 0x63,  // Luminanc
                    /* 15A0 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // e>.    <
                    /* 15A8 */  0x42, 0x72, 0x69, 0x67, 0x68, 0x74, 0x6E, 0x65,  // Brightne
                    /* 15B0 */  0x73, 0x73, 0x4D, 0x61, 0x78, 0x4C, 0x75, 0x6D,  // ssMaxLum
                    /* 15B8 */  0x69, 0x6E, 0x61, 0x6E, 0x63, 0x65, 0x3E, 0x31,  // inance>1
                    /* 15C0 */  0x30, 0x30, 0x30, 0x30, 0x30, 0x3C, 0x2F, 0x42,  // 00000</B
                    /* 15C8 */  0x72, 0x69, 0x67, 0x68, 0x74, 0x6E, 0x65, 0x73,  // rightnes
                    /* 15D0 */  0x73, 0x4D, 0x61, 0x78, 0x4C, 0x75, 0x6D, 0x69,  // sMaxLumi
                    /* 15D8 */  0x6E, 0x61, 0x6E, 0x63, 0x65, 0x3E, 0x0A, 0x20,  // nance>. 
                    /* 15E0 */  0x20, 0x20, 0x20, 0x3C, 0x42, 0x72, 0x69, 0x67,  //    <Brig
                    /* 15E8 */  0x68, 0x74, 0x6E, 0x65, 0x73, 0x73, 0x52, 0x61,  // htnessRa
                    /* 15F0 */  0x6E, 0x67, 0x65, 0x4C, 0x65, 0x76, 0x65, 0x6C,  // ngeLevel
                    /* 15F8 */  0x30, 0x3E, 0x30, 0x20, 0x31, 0x30, 0x30, 0x30,  // 0>0 1000
                    /* 1600 */  0x30, 0x30, 0x20, 0x31, 0x30, 0x30, 0x20, 0x30,  // 00 100 0
                    /* 1608 */  0x3C, 0x2F, 0x42, 0x72, 0x69, 0x67, 0x68, 0x74,  // </Bright
                    /* 1610 */  0x6E, 0x65, 0x73, 0x73, 0x52, 0x61, 0x6E, 0x67,  // nessRang
                    /* 1618 */  0x65, 0x4C, 0x65, 0x76, 0x65, 0x6C, 0x30, 0x3E,  // eLevel0>
                    /* 1620 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x41, 0x64,  // .    <Ad
                    /* 1628 */  0x61, 0x70, 0x74, 0x69, 0x76, 0x65, 0x42, 0x72,  // aptiveBr
                    /* 1630 */  0x69, 0x67, 0x68, 0x74, 0x6E, 0x65, 0x73, 0x73,  // ightness
                    /* 1638 */  0x46, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x3E,  // Feature>
                    /* 1640 */  0x31, 0x3C, 0x2F, 0x41, 0x64, 0x61, 0x70, 0x74,  // 1</Adapt
                    /* 1648 */  0x69, 0x76, 0x65, 0x42, 0x72, 0x69, 0x67, 0x68,  // iveBrigh
                    /* 1650 */  0x74, 0x6E, 0x65, 0x73, 0x73, 0x46, 0x65, 0x61,  // tnessFea
                    /* 1658 */  0x74, 0x75, 0x72, 0x65, 0x3E, 0x0A, 0x3C, 0x2F,  // ture>.</
                    /* 1660 */  0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E, 0x00         // Group>.
                })
                While (One)
                {
                    Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                    _T_0 = ToInteger (Arg2)
                    If ((_T_0 == 0x8056))
                    {
                        Local2 = PCFG /* \_SB_.GPU0._ROM.PCFG */
                    }
                    ElseIf ((_T_0 == 0x8000))
                    {
                        Local2 = PCF1 /* External reference */
                    }
                    ElseIf ((_T_0 == 0x8010))
                    {
                        Local2 = PCF2 /* External reference */
                    }
                    ElseIf ((_T_0 == 0x8011))
                    {
                        Local2 = PCF3 /* External reference */
                    }
                    ElseIf ((_T_0 == 0x8012))
                    {
                        Local2 = PCF4 /* External reference */
                    }
                    ElseIf ((_T_0 == 0x8013))
                    {
                        Local2 = PCF5 /* External reference */
                    }
                    Else
                    {
                        Local2 = PCFG /* \_SB_.GPU0._ROM.PCFG */
                    }

                    Break
                }

                If ((Arg0 >= SizeOf (Local2)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (Local2)))
                {
                    Local1 = (SizeOf (Local2) - Local0)
                }

                CreateField (Local2, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0._ROM.RBUF */
            }

            Method (PIGC, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.PIGC.RBUF */
            }

            Method (PPCC, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.PPCC.RBUF */
            }

            Method (PGCT, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.PGCT.RBUF */
            }

            Method (PLGC, 3, NotSerialized)
            {
                Name (TBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                If ((Arg1 >= SizeOf (TBUF)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local1 = Arg1
                }

                If ((Arg2 > 0x1000))
                {
                    Local2 = 0x1000
                }
                Else
                {
                    Local2 = Arg2
                }

                If (((Local1 + Local2) > SizeOf (TBUF)))
                {
                    Local2 = (SizeOf (TBUF) - Local1)
                }

                CreateField (TBUF, (0x08 * Local1), (0x08 * Local2), RBUF)
                Return (RBUF) /* \_SB_.GPU0.PLGC.RBUF */
            }

            Method (HSIC, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.HSIC.RBUF */
            }

            Method (PGMT, 2, NotSerialized)
            {
                Name (TBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                If ((Arg0 >= SizeOf (TBUF)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (TBUF)))
                {
                    Local1 = (SizeOf (TBUF) - Local0)
                }

                CreateField (TBUF, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.PGMT.RBUF */
            }

            Method (PWGM, 2, NotSerialized)
            {
                Name (TBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                If ((Arg0 >= SizeOf (TBUF)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (TBUF)))
                {
                    Local1 = (SizeOf (TBUF) - Local0)
                }

                CreateField (TBUF, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.PWGM.RBUF */
            }

            Method (PGRT, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.PGRT.RBUF */
            }

            Method (PBRT, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.PBRT.RBUF */
            }

            Method (DITH, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.DITH.RBUF */
            }

            Method (BLCP, 2, NotSerialized)
            {
                Name (RBUF, Buffer (0x0100){})
                Return (RBUF) /* \_SB_.GPU0.BLCP.RBUF */
            }

            Method (ROM2, 3, NotSerialized)
            {
                Name (PCFG, Buffer (0x1668)
                {
                    /* 0000 */  0x3C, 0x3F, 0x78, 0x6D, 0x6C, 0x20, 0x76, 0x65,  // <?xml ve
                    /* 0008 */  0x72, 0x73, 0x69, 0x6F, 0x6E, 0x3D, 0x27, 0x31,  // rsion='1
                    /* 0010 */  0x2E, 0x30, 0x27, 0x20, 0x65, 0x6E, 0x63, 0x6F,  // .0' enco
                    /* 0018 */  0x64, 0x69, 0x6E, 0x67, 0x3D, 0x27, 0x75, 0x74,  // ding='ut
                    /* 0020 */  0x66, 0x2D, 0x38, 0x27, 0x3F, 0x3E, 0x0A, 0x3C,  // f-8'?>.<
                    /* 0028 */  0x50, 0x61, 0x6E, 0x65, 0x6C, 0x4E, 0x61, 0x6D,  // PanelNam
                    /* 0030 */  0x65, 0x3E, 0x4C, 0x47, 0x5F, 0x51, 0x48, 0x44,  // e>LG_QHD
                    /* 0038 */  0x3C, 0x2F, 0x50, 0x61, 0x6E, 0x65, 0x6C, 0x4E,  // </PanelN
                    /* 0040 */  0x61, 0x6D, 0x65, 0x3E, 0x0A, 0x3C, 0x50, 0x61,  // ame>.<Pa
                    /* 0048 */  0x6E, 0x65, 0x6C, 0x44, 0x65, 0x73, 0x63, 0x72,  // nelDescr
                    /* 0050 */  0x69, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x3E, 0x4C,  // iption>L
                    /* 0058 */  0x47, 0x20, 0x51, 0x48, 0x44, 0x20, 0x44, 0x53,  // G QHD DS
                    /* 0060 */  0x49, 0x20, 0x43, 0x6F, 0x6D, 0x6D, 0x61, 0x6E,  // I Comman
                    /* 0068 */  0x64, 0x20, 0x4D, 0x6F, 0x64, 0x65, 0x20, 0x44,  // d Mode D
                    /* 0070 */  0x53, 0x43, 0x20, 0x50, 0x61, 0x6E, 0x65, 0x6C,  // SC Panel
                    /* 0078 */  0x20, 0x28, 0x31, 0x33, 0x35, 0x30, 0x78, 0x31,  //  (1350x1
                    /* 0080 */  0x38, 0x30, 0x30, 0x20, 0x32, 0x34, 0x62, 0x70,  // 800 24bp
                    /* 0088 */  0x70, 0x29, 0x3C, 0x2F, 0x50, 0x61, 0x6E, 0x65,  // p)</Pane
                    /* 0090 */  0x6C, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,  // lDescrip
                    /* 0098 */  0x74, 0x69, 0x6F, 0x6E, 0x3E, 0x0A, 0x3C, 0x47,  // tion>.<G
                    /* 00A0 */  0x72, 0x6F, 0x75, 0x70, 0x20, 0x69, 0x64, 0x3D,  // roup id=
                    /* 00A8 */  0x27, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x20,  // 'Active 
                    /* 00B0 */  0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x27, 0x3E,  // Timing'>
                    /* 00B8 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x4D, 0x61,  // .    <Ma
                    /* 00C0 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 00C8 */  0x65, 0x49, 0x44, 0x3E, 0x30, 0x78, 0x45, 0x34,  // eID>0xE4
                    /* 00D0 */  0x33, 0x30, 0x3C, 0x2F, 0x4D, 0x61, 0x6E, 0x75,  // 30</Manu
                    /* 00D8 */  0x66, 0x61, 0x63, 0x74, 0x75, 0x72, 0x65, 0x49,  // factureI
                    /* 00E0 */  0x44, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // D>.    <
                    /* 00E8 */  0x50, 0x72, 0x6F, 0x64, 0x75, 0x63, 0x74, 0x43,  // ProductC
                    /* 00F0 */  0x6F, 0x64, 0x65, 0x3E, 0x30, 0x78, 0x41, 0x39,  // ode>0xA9
                    /* 00F8 */  0x39, 0x30, 0x3C, 0x2F, 0x50, 0x72, 0x6F, 0x64,  // 90</Prod
                    /* 0100 */  0x75, 0x63, 0x74, 0x43, 0x6F, 0x64, 0x65, 0x3E,  // uctCode>
                    /* 0108 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x65,  // .    <Se
                    /* 0110 */  0x72, 0x69, 0x61, 0x6C, 0x4E, 0x75, 0x6D, 0x62,  // rialNumb
                    /* 0118 */  0x65, 0x72, 0x3E, 0x30, 0x78, 0x30, 0x30, 0x30,  // er>0x000
                    /* 0120 */  0x30, 0x30, 0x31, 0x3C, 0x2F, 0x53, 0x65, 0x72,  // 001</Ser
                    /* 0128 */  0x69, 0x61, 0x6C, 0x4E, 0x75, 0x6D, 0x62, 0x65,  // ialNumbe
                    /* 0130 */  0x72, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // r>.    <
                    /* 0138 */  0x57, 0x65, 0x65, 0x6B, 0x6F, 0x66, 0x4D, 0x61,  // WeekofMa
                    /* 0140 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 0148 */  0x65, 0x3E, 0x30, 0x78, 0x30, 0x31, 0x3C, 0x2F,  // e>0x01</
                    /* 0150 */  0x57, 0x65, 0x65, 0x6B, 0x6F, 0x66, 0x4D, 0x61,  // WeekofMa
                    /* 0158 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 0160 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // e>.    <
                    /* 0168 */  0x59, 0x65, 0x61, 0x72, 0x6F, 0x66, 0x4D, 0x61,  // YearofMa
                    /* 0170 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 0178 */  0x65, 0x3E, 0x30, 0x78, 0x31, 0x45, 0x3C, 0x2F,  // e>0x1E</
                    /* 0180 */  0x59, 0x65, 0x61, 0x72, 0x6F, 0x66, 0x4D, 0x61,  // YearofMa
                    /* 0188 */  0x6E, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,  // nufactur
                    /* 0190 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // e>.    <
                    /* 0198 */  0x45, 0x44, 0x49, 0x44, 0x56, 0x65, 0x72, 0x73,  // EDIDVers
                    /* 01A0 */  0x69, 0x6F, 0x6E, 0x3E, 0x31, 0x3C, 0x2F, 0x45,  // ion>1</E
                    /* 01A8 */  0x44, 0x49, 0x44, 0x56, 0x65, 0x72, 0x73, 0x69,  // DIDVersi
                    /* 01B0 */  0x6F, 0x6E, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // on>.    
                    /* 01B8 */  0x3C, 0x45, 0x44, 0x49, 0x44, 0x52, 0x65, 0x76,  // <EDIDRev
                    /* 01C0 */  0x69, 0x73, 0x69, 0x6F, 0x6E, 0x3E, 0x34, 0x3C,  // ision>4<
                    /* 01C8 */  0x2F, 0x45, 0x44, 0x49, 0x44, 0x52, 0x65, 0x76,  // /EDIDRev
                    /* 01D0 */  0x69, 0x73, 0x69, 0x6F, 0x6E, 0x3E, 0x0A, 0x20,  // ision>. 
                    /* 01D8 */  0x20, 0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72, 0x69,  //    <Hori
                    /* 01E0 */  0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x53, 0x63,  // zontalSc
                    /* 01E8 */  0x72, 0x65, 0x65, 0x6E, 0x53, 0x69, 0x7A, 0x65,  // reenSize
                    /* 01F0 */  0x3E, 0x30, 0x78, 0x30, 0x38, 0x3C, 0x2F, 0x48,  // >0x08</H
                    /* 01F8 */  0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61,  // orizonta
                    /* 0200 */  0x6C, 0x53, 0x63, 0x72, 0x65, 0x65, 0x6E, 0x53,  // lScreenS
                    /* 0208 */  0x69, 0x7A, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // ize>.   
                    /* 0210 */  0x20, 0x3C, 0x56, 0x65, 0x72, 0x74, 0x69, 0x63,  //  <Vertic
                    /* 0218 */  0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65, 0x6E,  // alScreen
                    /* 0220 */  0x53, 0x69, 0x7A, 0x65, 0x3E, 0x30, 0x78, 0x30,  // Size>0x0
                    /* 0228 */  0x42, 0x3C, 0x2F, 0x56, 0x65, 0x72, 0x74, 0x69,  // B</Verti
                    /* 0230 */  0x63, 0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65,  // calScree
                    /* 0238 */  0x6E, 0x53, 0x69, 0x7A, 0x65, 0x3E, 0x0A, 0x20,  // nSize>. 
                    /* 0240 */  0x20, 0x20, 0x20, 0x3C, 0x44, 0x69, 0x73, 0x70,  //    <Disp
                    /* 0248 */  0x6C, 0x61, 0x79, 0x54, 0x72, 0x61, 0x6E, 0x73,  // layTrans
                    /* 0250 */  0x66, 0x65, 0x72, 0x43, 0x68, 0x61, 0x72, 0x61,  // ferChara
                    /* 0258 */  0x63, 0x74, 0x65, 0x72, 0x69, 0x73, 0x74, 0x69,  // cteristi
                    /* 0260 */  0x63, 0x73, 0x3E, 0x30, 0x78, 0x37, 0x38, 0x3C,  // cs>0x78<
                    /* 0268 */  0x2F, 0x44, 0x69, 0x73, 0x70, 0x6C, 0x61, 0x79,  // /Display
                    /* 0270 */  0x54, 0x72, 0x61, 0x6E, 0x73, 0x66, 0x65, 0x72,  // Transfer
                    /* 0278 */  0x43, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65,  // Characte
                    /* 0280 */  0x72, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x3E,  // ristics>
                    /* 0288 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x46, 0x65,  // .    <Fe
                    /* 0290 */  0x61, 0x74, 0x75, 0x72, 0x65, 0x53, 0x75, 0x70,  // atureSup
                    /* 0298 */  0x70, 0x6F, 0x72, 0x74, 0x3E, 0x30, 0x78, 0x32,  // port>0x2
                    /* 02A0 */  0x3C, 0x2F, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72,  // </Featur
                    /* 02A8 */  0x65, 0x53, 0x75, 0x70, 0x70, 0x6F, 0x72, 0x74,  // eSupport
                    /* 02B0 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x52,  // >.    <R
                    /* 02B8 */  0x65, 0x64, 0x2E, 0x47, 0x72, 0x65, 0x65, 0x6E,  // ed.Green
                    /* 02C0 */  0x42, 0x69, 0x74, 0x73, 0x3E, 0x30, 0x78, 0x41,  // Bits>0xA
                    /* 02C8 */  0x34, 0x3C, 0x2F, 0x52, 0x65, 0x64, 0x2E, 0x47,  // 4</Red.G
                    /* 02D0 */  0x72, 0x65, 0x65, 0x6E, 0x42, 0x69, 0x74, 0x73,  // reenBits
                    /* 02D8 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x42,  // >.    <B
                    /* 02E0 */  0x6C, 0x75, 0x65, 0x2E, 0x57, 0x68, 0x69, 0x74,  // lue.Whit
                    /* 02E8 */  0x65, 0x42, 0x69, 0x74, 0x73, 0x3E, 0x30, 0x78,  // eBits>0x
                    /* 02F0 */  0x31, 0x35, 0x3C, 0x2F, 0x42, 0x6C, 0x75, 0x65,  // 15</Blue
                    /* 02F8 */  0x2E, 0x57, 0x68, 0x69, 0x74, 0x65, 0x42, 0x69,  // .WhiteBi
                    /* 0300 */  0x74, 0x73, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // ts>.    
                    /* 0308 */  0x3C, 0x52, 0x65, 0x64, 0x58, 0x3E, 0x30, 0x78,  // <RedX>0x
                    /* 0310 */  0x39, 0x45, 0x3C, 0x2F, 0x52, 0x65, 0x64, 0x58,  // 9E</RedX
                    /* 0318 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x52,  // >.    <R
                    /* 0320 */  0x65, 0x64, 0x59, 0x3E, 0x30, 0x78, 0x35, 0x35,  // edY>0x55
                    /* 0328 */  0x3C, 0x2F, 0x52, 0x65, 0x64, 0x59, 0x3E, 0x0A,  // </RedY>.
                    /* 0330 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x47, 0x72, 0x65,  //     <Gre
                    /* 0338 */  0x65, 0x6E, 0x58, 0x3E, 0x30, 0x78, 0x34, 0x45,  // enX>0x4E
                    /* 0340 */  0x3C, 0x2F, 0x47, 0x72, 0x65, 0x65, 0x6E, 0x58,  // </GreenX
                    /* 0348 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x47,  // >.    <G
                    /* 0350 */  0x72, 0x65, 0x65, 0x6E, 0x59, 0x3E, 0x30, 0x78,  // reenY>0x
                    /* 0358 */  0x39, 0x42, 0x3C, 0x2F, 0x47, 0x72, 0x65, 0x65,  // 9B</Gree
                    /* 0360 */  0x6E, 0x59, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // nY>.    
                    /* 0368 */  0x3C, 0x42, 0x6C, 0x75, 0x65, 0x58, 0x3E, 0x30,  // <BlueX>0
                    /* 0370 */  0x78, 0x32, 0x36, 0x3C, 0x2F, 0x42, 0x6C, 0x75,  // x26</Blu
                    /* 0378 */  0x65, 0x58, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // eX>.    
                    /* 0380 */  0x3C, 0x42, 0x6C, 0x75, 0x65, 0x59, 0x3E, 0x30,  // <BlueY>0
                    /* 0388 */  0x78, 0x30, 0x46, 0x3C, 0x2F, 0x42, 0x6C, 0x75,  // x0F</Blu
                    /* 0390 */  0x65, 0x59, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // eY>.    
                    /* 0398 */  0x3C, 0x57, 0x68, 0x69, 0x74, 0x65, 0x58, 0x3E,  // <WhiteX>
                    /* 03A0 */  0x30, 0x78, 0x35, 0x30, 0x3C, 0x2F, 0x57, 0x68,  // 0x50</Wh
                    /* 03A8 */  0x69, 0x74, 0x65, 0x58, 0x3E, 0x0A, 0x20, 0x20,  // iteX>.  
                    /* 03B0 */  0x20, 0x20, 0x3C, 0x57, 0x68, 0x69, 0x74, 0x65,  //   <White
                    /* 03B8 */  0x59, 0x3E, 0x30, 0x78, 0x35, 0x34, 0x3C, 0x2F,  // Y>0x54</
                    /* 03C0 */  0x57, 0x68, 0x69, 0x74, 0x65, 0x59, 0x3E, 0x0A,  // WhiteY>.
                    /* 03C8 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x45, 0x73, 0x74,  //     <Est
                    /* 03D0 */  0x61, 0x62, 0x6C, 0x69, 0x73, 0x68, 0x65, 0x64,  // ablished
                    /* 03D8 */  0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x73, 0x49,  // TimingsI
                    /* 03E0 */  0x3E, 0x30, 0x78, 0x30, 0x3C, 0x2F, 0x45, 0x73,  // >0x0</Es
                    /* 03E8 */  0x74, 0x61, 0x62, 0x6C, 0x69, 0x73, 0x68, 0x65,  // tablishe
                    /* 03F0 */  0x64, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x73,  // dTimings
                    /* 03F8 */  0x49, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // I>.    <
                    /* 0400 */  0x45, 0x73, 0x74, 0x61, 0x62, 0x6C, 0x69, 0x73,  // Establis
                    /* 0408 */  0x68, 0x65, 0x64, 0x54, 0x69, 0x6D, 0x69, 0x6E,  // hedTimin
                    /* 0410 */  0x67, 0x73, 0x49, 0x49, 0x3E, 0x30, 0x78, 0x30,  // gsII>0x0
                    /* 0418 */  0x3C, 0x2F, 0x45, 0x73, 0x74, 0x61, 0x62, 0x6C,  // </Establ
                    /* 0420 */  0x69, 0x73, 0x68, 0x65, 0x64, 0x54, 0x69, 0x6D,  // ishedTim
                    /* 0428 */  0x69, 0x6E, 0x67, 0x73, 0x49, 0x49, 0x3E, 0x0A,  // ingsII>.
                    /* 0430 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x4D, 0x61, 0x6E,  //     <Man
                    /* 0438 */  0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72, 0x65,  // ufacture
                    /* 0440 */  0x73, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x3E,  // sTiming>
                    /* 0448 */  0x30, 0x78, 0x30, 0x3C, 0x2F, 0x4D, 0x61, 0x6E,  // 0x0</Man
                    /* 0450 */  0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72, 0x65,  // ufacture
                    /* 0458 */  0x73, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x3E,  // sTiming>
                    /* 0460 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 0468 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 0470 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x31, 0x2F, 0x3E,  // mings1/>
                    /* 0478 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 0480 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 0488 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x32, 0x2F, 0x3E,  // mings2/>
                    /* 0490 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 0498 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 04A0 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x33, 0x2F, 0x3E,  // mings3/>
                    /* 04A8 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 04B0 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 04B8 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x34, 0x2F, 0x3E,  // mings4/>
                    /* 04C0 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 04C8 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 04D0 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x35, 0x2F, 0x3E,  // mings5/>
                    /* 04D8 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 04E0 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 04E8 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x36, 0x2F, 0x3E,  // mings6/>
                    /* 04F0 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x74,  // .    <St
                    /* 04F8 */  0x61, 0x6E, 0x64, 0x61, 0x72, 0x64, 0x54, 0x69,  // andardTi
                    /* 0500 */  0x6D, 0x69, 0x6E, 0x67, 0x73, 0x37, 0x2F, 0x3E,  // mings7/>
                    /* 0508 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x53, 0x69,  // .    <Si
                    /* 0510 */  0x67, 0x6E, 0x61, 0x6C, 0x54, 0x69, 0x6D, 0x69,  // gnalTimi
                    /* 0518 */  0x6E, 0x67, 0x49, 0x6E, 0x74, 0x65, 0x72, 0x66,  // ngInterf
                    /* 0520 */  0x61, 0x63, 0x65, 0x2F, 0x3E, 0x0A, 0x3C, 0x2F,  // ace/>.</
                    /* 0528 */  0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E, 0x0A, 0x3C,  // Group>.<
                    /* 0530 */  0x47, 0x72, 0x6F, 0x75, 0x70, 0x20, 0x69, 0x64,  // Group id
                    /* 0538 */  0x3D, 0x27, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6C,  // ='Detail
                    /* 0540 */  0x65, 0x64, 0x20, 0x54, 0x69, 0x6D, 0x69, 0x6E,  // ed Timin
                    /* 0548 */  0x67, 0x27, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // g'>.    
                    /* 0550 */  0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E,  // <Horizon
                    /* 0558 */  0x74, 0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65,  // talScree
                    /* 0560 */  0x6E, 0x53, 0x69, 0x7A, 0x65, 0x4D, 0x4D, 0x3E,  // nSizeMM>
                    /* 0568 */  0x30, 0x78, 0x35, 0x35, 0x3C, 0x2F, 0x48, 0x6F,  // 0x55</Ho
                    /* 0570 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 0578 */  0x53, 0x63, 0x72, 0x65, 0x65, 0x6E, 0x53, 0x69,  // ScreenSi
                    /* 0580 */  0x7A, 0x65, 0x4D, 0x4D, 0x3E, 0x0A, 0x20, 0x20,  // zeMM>.  
                    /* 0588 */  0x20, 0x20, 0x3C, 0x56, 0x65, 0x72, 0x74, 0x69,  //   <Verti
                    /* 0590 */  0x63, 0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65,  // calScree
                    /* 0598 */  0x6E, 0x53, 0x69, 0x7A, 0x65, 0x4D, 0x4D, 0x3E,  // nSizeMM>
                    /* 05A0 */  0x30, 0x78, 0x37, 0x33, 0x3C, 0x2F, 0x56, 0x65,  // 0x73</Ve
                    /* 05A8 */  0x72, 0x74, 0x69, 0x63, 0x61, 0x6C, 0x53, 0x63,  // rticalSc
                    /* 05B0 */  0x72, 0x65, 0x65, 0x6E, 0x53, 0x69, 0x7A, 0x65,  // reenSize
                    /* 05B8 */  0x4D, 0x4D, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // MM>.    
                    /* 05C0 */  0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E,  // <Horizon
                    /* 05C8 */  0x74, 0x61, 0x6C, 0x56, 0x65, 0x72, 0x74, 0x69,  // talVerti
                    /* 05D0 */  0x63, 0x61, 0x6C, 0x53, 0x63, 0x72, 0x65, 0x65,  // calScree
                    /* 05D8 */  0x6E, 0x53, 0x69, 0x7A, 0x65, 0x4D, 0x4D, 0x3E,  // nSizeMM>
                    /* 05E0 */  0x30, 0x78, 0x30, 0x30, 0x3C, 0x2F, 0x48, 0x6F,  // 0x00</Ho
                    /* 05E8 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 05F0 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 05F8 */  0x53, 0x63, 0x72, 0x65, 0x65, 0x6E, 0x53, 0x69,  // ScreenSi
                    /* 0600 */  0x7A, 0x65, 0x4D, 0x4D, 0x3E, 0x0A, 0x3C, 0x2F,  // zeMM>.</
                    /* 0608 */  0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E, 0x0A, 0x3C,  // Group>.<
                    /* 0610 */  0x47, 0x72, 0x6F, 0x75, 0x70, 0x20, 0x69, 0x64,  // Group id
                    /* 0618 */  0x3D, 0x27, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65,  // ='Active
                    /* 0620 */  0x20, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67, 0x27,  //  Timing'
                    /* 0628 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x48,  // >.    <H
                    /* 0630 */  0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61,  // orizonta
                    /* 0638 */  0x6C, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x3E,  // lActive>
                    /* 0640 */  0x31, 0x33, 0x35, 0x30, 0x3C, 0x2F, 0x48, 0x6F,  // 1350</Ho
                    /* 0648 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 0650 */  0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x3E, 0x0A,  // Active>.
                    /* 0658 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72,  //     <Hor
                    /* 0660 */  0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x46,  // izontalF
                    /* 0668 */  0x72, 0x6F, 0x6E, 0x74, 0x50, 0x6F, 0x72, 0x63,  // rontPorc
                    /* 0670 */  0x68, 0x3E, 0x32, 0x30, 0x3C, 0x2F, 0x48, 0x6F,  // h>20</Ho
                    /* 0678 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 0680 */  0x46, 0x72, 0x6F, 0x6E, 0x74, 0x50, 0x6F, 0x72,  // FrontPor
                    /* 0688 */  0x63, 0x68, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // ch>.    
                    /* 0690 */  0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E,  // <Horizon
                    /* 0698 */  0x74, 0x61, 0x6C, 0x42, 0x61, 0x63, 0x6B, 0x50,  // talBackP
                    /* 06A0 */  0x6F, 0x72, 0x63, 0x68, 0x3E, 0x32, 0x30, 0x3C,  // orch>20<
                    /* 06A8 */  0x2F, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E,  // /Horizon
                    /* 06B0 */  0x74, 0x61, 0x6C, 0x42, 0x61, 0x63, 0x6B, 0x50,  // talBackP
                    /* 06B8 */  0x6F, 0x72, 0x63, 0x68, 0x3E, 0x0A, 0x20, 0x20,  // orch>.  
                    /* 06C0 */  0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A,  //   <Horiz
                    /* 06C8 */  0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x53, 0x79, 0x6E,  // ontalSyn
                    /* 06D0 */  0x63, 0x50, 0x75, 0x6C, 0x73, 0x65, 0x3E, 0x30,  // cPulse>0
                    /* 06D8 */  0x3C, 0x2F, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F,  // </Horizo
                    /* 06E0 */  0x6E, 0x74, 0x61, 0x6C, 0x53, 0x79, 0x6E, 0x63,  // ntalSync
                    /* 06E8 */  0x50, 0x75, 0x6C, 0x73, 0x65, 0x3E, 0x0A, 0x20,  // Pulse>. 
                    /* 06F0 */  0x20, 0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72, 0x69,  //    <Hori
                    /* 06F8 */  0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x53, 0x79,  // zontalSy
                    /* 0700 */  0x6E, 0x63, 0x53, 0x6B, 0x65, 0x77, 0x3E, 0x30,  // ncSkew>0
                    /* 0708 */  0x3C, 0x2F, 0x48, 0x6F, 0x72, 0x69, 0x7A, 0x6F,  // </Horizo
                    /* 0710 */  0x6E, 0x74, 0x61, 0x6C, 0x53, 0x79, 0x6E, 0x63,  // ntalSync
                    /* 0718 */  0x53, 0x6B, 0x65, 0x77, 0x3E, 0x0A, 0x20, 0x20,  // Skew>.  
                    /* 0720 */  0x20, 0x20, 0x3C, 0x48, 0x6F, 0x72, 0x69, 0x7A,  //   <Horiz
                    /* 0728 */  0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x4C, 0x65, 0x66,  // ontalLef
                    /* 0730 */  0x74, 0x42, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x3E,  // tBorder>
                    /* 0738 */  0x30, 0x3C, 0x2F, 0x48, 0x6F, 0x72, 0x69, 0x7A,  // 0</Horiz
                    /* 0740 */  0x6F, 0x6E, 0x74, 0x61, 0x6C, 0x4C, 0x65, 0x66,  // ontalLef
                    /* 0748 */  0x74, 0x42, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x3E,  // tBorder>
                    /* 0750 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x48, 0x6F,  // .    <Ho
                    /* 0758 */  0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61, 0x6C,  // rizontal
                    /* 0760 */  0x52, 0x69, 0x67, 0x68, 0x74, 0x42, 0x6F, 0x72,  // RightBor
                    /* 0768 */  0x64, 0x65, 0x72, 0x3E, 0x30, 0x3C, 0x2F, 0x48,  // der>0</H
                    /* 0770 */  0x6F, 0x72, 0x69, 0x7A, 0x6F, 0x6E, 0x74, 0x61,  // orizonta
                    /* 0778 */  0x6C, 0x52, 0x69, 0x67, 0x68, 0x74, 0x42, 0x6F,  // lRightBo
                    /* 0780 */  0x72, 0x64, 0x65, 0x72, 0x3E, 0x0A, 0x20, 0x20,  // rder>.  
                    /* 0788 */  0x20, 0x20, 0x3C, 0x56, 0x65, 0x72, 0x74, 0x69,  //   <Verti
                    /* 0790 */  0x63, 0x61, 0x6C, 0x41, 0x63, 0x74, 0x69, 0x76,  // calActiv
                    /* 0798 */  0x65, 0x3E, 0x31, 0x38, 0x30, 0x30, 0x3C, 0x2F,  // e>1800</
                    /* 07A0 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 07A8 */  0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x3E, 0x0A,  // Active>.
                    /* 07B0 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x56, 0x65, 0x72,  //     <Ver
                    /* 07B8 */  0x74, 0x69, 0x63, 0x61, 0x6C, 0x46, 0x72, 0x6F,  // ticalFro
                    /* 07C0 */  0x6E, 0x74, 0x50, 0x6F, 0x72, 0x63, 0x68, 0x3E,  // ntPorch>
                    /* 07C8 */  0x32, 0x30, 0x3C, 0x2F, 0x56, 0x65, 0x72, 0x74,  // 20</Vert
                    /* 07D0 */  0x69, 0x63, 0x61, 0x6C, 0x46, 0x72, 0x6F, 0x6E,  // icalFron
                    /* 07D8 */  0x74, 0x50, 0x6F, 0x72, 0x63, 0x68, 0x3E, 0x0A,  // tPorch>.
                    /* 07E0 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x56, 0x65, 0x72,  //     <Ver
                    /* 07E8 */  0x74, 0x69, 0x63, 0x61, 0x6C, 0x42, 0x61, 0x63,  // ticalBac
                    /* 07F0 */  0x6B, 0x50, 0x6F, 0x72, 0x63, 0x68, 0x3E, 0x32,  // kPorch>2
                    /* 07F8 */  0x30, 0x3C, 0x2F, 0x56, 0x65, 0x72, 0x74, 0x69,  // 0</Verti
                    /* 0800 */  0x63, 0x61, 0x6C, 0x42, 0x61, 0x63, 0x6B, 0x50,  // calBackP
                    /* 0808 */  0x6F, 0x72, 0x63, 0x68, 0x3E, 0x0A, 0x20, 0x20,  // orch>.  
                    /* 0810 */  0x20, 0x20, 0x3C, 0x56, 0x65, 0x72, 0x74, 0x69,  //   <Verti
                    /* 0818 */  0x63, 0x61, 0x6C, 0x54, 0x6F, 0x70, 0x42, 0x6F,  // calTopBo
                    /* 0820 */  0x72, 0x64, 0x65, 0x72, 0x3E, 0x30, 0x3C, 0x2F,  // rder>0</
                    /* 0828 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 0830 */  0x54, 0x6F, 0x70, 0x42, 0x6F, 0x72, 0x64, 0x65,  // TopBorde
                    /* 0838 */  0x72, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // r>.    <
                    /* 0840 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 0848 */  0x42, 0x6F, 0x74, 0x74, 0x6F, 0x6D, 0x42, 0x6F,  // BottomBo
                    /* 0850 */  0x72, 0x64, 0x65, 0x72, 0x3E, 0x30, 0x3C, 0x2F,  // rder>0</
                    /* 0858 */  0x56, 0x65, 0x72, 0x74, 0x69, 0x63, 0x61, 0x6C,  // Vertical
                    /* 0860 */  0x42, 0x6F, 0x74, 0x74, 0x6F, 0x6D, 0x42, 0x6F,  // BottomBo
                    /* 0868 */  0x72, 0x64, 0x65, 0x72, 0x3E, 0x0A, 0x20, 0x20,  // rder>.  
                    /* 0870 */  0x20, 0x20, 0x3C, 0x49, 0x6E, 0x76, 0x65, 0x72,  //   <Inver
                    /* 0878 */  0x74, 0x44, 0x61, 0x74, 0x61, 0x50, 0x6F, 0x6C,  // tDataPol
                    /* 0880 */  0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x46, 0x61,  // arity>Fa
                    /* 0888 */  0x6C, 0x73, 0x65, 0x3C, 0x2F, 0x49, 0x6E, 0x76,  // lse</Inv
                    /* 0890 */  0x65, 0x72, 0x74, 0x44, 0x61, 0x74, 0x61, 0x50,  // ertDataP
                    /* 0898 */  0x6F, 0x6C, 0x61, 0x72, 0x69, 0x74, 0x79, 0x3E,  // olarity>
                    /* 08A0 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x49, 0x6E,  // .    <In
                    /* 08A8 */  0x76, 0x65, 0x72, 0x74, 0x56, 0x73, 0x79, 0x6E,  // vertVsyn
                    /* 08B0 */  0x63, 0x50, 0x6F, 0x6C, 0x61, 0x69, 0x72, 0x74,  // cPolairt
                    /* 08B8 */  0x79, 0x3E, 0x46, 0x61, 0x6C, 0x73, 0x65, 0x3C,  // y>False<
                    /* 08C0 */  0x2F, 0x49, 0x6E, 0x76, 0x65, 0x72, 0x74, 0x56,  // /InvertV
                    /* 08C8 */  0x73, 0x79, 0x6E, 0x63, 0x50, 0x6F, 0x6C, 0x61,  // syncPola
                    /* 08D0 */  0x69, 0x72, 0x74, 0x79, 0x3E, 0x0A, 0x20, 0x20,  // irty>.  
                    /* 08D8 */  0x20, 0x20, 0x3C, 0x49, 0x6E, 0x76, 0x65, 0x72,  //   <Inver
                    /* 08E0 */  0x74, 0x48, 0x73, 0x79, 0x6E, 0x63, 0x50, 0x6F,  // tHsyncPo
                    /* 08E8 */  0x6C, 0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x46,  // larity>F
                    /* 08F0 */  0x61, 0x6C, 0x73, 0x65, 0x3C, 0x2F, 0x49, 0x6E,  // alse</In
                    /* 08F8 */  0x76, 0x65, 0x72, 0x74, 0x48, 0x73, 0x79, 0x6E,  // vertHsyn
                    /* 0900 */  0x63, 0x50, 0x6F, 0x6C, 0x61, 0x72, 0x69, 0x74,  // cPolarit
                    /* 0908 */  0x79, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // y>.    <
                    /* 0910 */  0x42, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x43, 0x6F,  // BorderCo
                    /* 0918 */  0x6C, 0x6F, 0x72, 0x3E, 0x30, 0x78, 0x30, 0x3C,  // lor>0x0<
                    /* 0920 */  0x2F, 0x42, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x43,  // /BorderC
                    /* 0928 */  0x6F, 0x6C, 0x6F, 0x72, 0x3E, 0x0A, 0x20, 0x20,  // olor>.  
                    /* 0930 */  0x20, 0x20, 0x3C, 0x55, 0x6E, 0x64, 0x65, 0x72,  //   <Under
                    /* 0938 */  0x66, 0x6C, 0x6F, 0x77, 0x43, 0x6F, 0x6C, 0x6F,  // flowColo
                    /* 0940 */  0x72, 0x3E, 0x30, 0x78, 0x46, 0x46, 0x3C, 0x2F,  // r>0xFF</
                    /* 0948 */  0x55, 0x6E, 0x64, 0x65, 0x72, 0x66, 0x6C, 0x6F,  // Underflo
                    /* 0950 */  0x77, 0x43, 0x6F, 0x6C, 0x6F, 0x72, 0x3E, 0x0A,  // wColor>.
                    /* 0958 */  0x3C, 0x2F, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E,  // </Group>
                    /* 0960 */  0x0A, 0x3C, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x20,  // .<Group 
                    /* 0968 */  0x69, 0x64, 0x3D, 0x27, 0x44, 0x69, 0x73, 0x70,  // id='Disp
                    /* 0970 */  0x6C, 0x61, 0x79, 0x20, 0x49, 0x6E, 0x74, 0x65,  // lay Inte
                    /* 0978 */  0x72, 0x66, 0x61, 0x63, 0x65, 0x27, 0x3E, 0x0A,  // rface'>.
                    /* 0980 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x49, 0x6E, 0x74,  //     <Int
                    /* 0988 */  0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x54, 0x79,  // erfaceTy
                    /* 0990 */  0x70, 0x65, 0x3E, 0x39, 0x3C, 0x2F, 0x49, 0x6E,  // pe>9</In
                    /* 0998 */  0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x54,  // terfaceT
                    /* 09A0 */  0x79, 0x70, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // ype>.   
                    /* 09A8 */  0x20, 0x3C, 0x50, 0x61, 0x6E, 0x65, 0x6C, 0x4F,  //  <PanelO
                    /* 09B0 */  0x72, 0x69, 0x65, 0x6E, 0x74, 0x61, 0x74, 0x69,  // rientati
                    /* 09B8 */  0x6F, 0x6E, 0x3E, 0x30, 0x3C, 0x2F, 0x50, 0x61,  // on>0</Pa
                    /* 09C0 */  0x6E, 0x65, 0x6C, 0x4F, 0x72, 0x69, 0x65, 0x6E,  // nelOrien
                    /* 09C8 */  0x74, 0x61, 0x74, 0x69, 0x6F, 0x6E, 0x3E, 0x0A,  // tation>.
                    /* 09D0 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x49, 0x6E, 0x74,  //     <Int
                    /* 09D8 */  0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x43, 0x6F,  // erfaceCo
                    /* 09E0 */  0x6C, 0x6F, 0x72, 0x46, 0x6F, 0x72, 0x6D, 0x61,  // lorForma
                    /* 09E8 */  0x74, 0x3E, 0x33, 0x3C, 0x2F, 0x49, 0x6E, 0x74,  // t>3</Int
                    /* 09F0 */  0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x43, 0x6F,  // erfaceCo
                    /* 09F8 */  0x6C, 0x6F, 0x72, 0x46, 0x6F, 0x72, 0x6D, 0x61,  // lorForma
                    /* 0A00 */  0x74, 0x3E, 0x0A, 0x3C, 0x2F, 0x47, 0x72, 0x6F,  // t>.</Gro
                    /* 0A08 */  0x75, 0x70, 0x3E, 0x0A, 0x3C, 0x47, 0x72, 0x6F,  // up>.<Gro
                    /* 0A10 */  0x75, 0x70, 0x20, 0x69, 0x64, 0x3D, 0x27, 0x44,  // up id='D
                    /* 0A18 */  0x53, 0x49, 0x20, 0x49, 0x6E, 0x74, 0x65, 0x72,  // SI Inter
                    /* 0A20 */  0x66, 0x61, 0x63, 0x65, 0x27, 0x3E, 0x0A, 0x20,  // face'>. 
                    /* 0A28 */  0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x43,  //    <DSIC
                    /* 0A30 */  0x68, 0x61, 0x6E, 0x6E, 0x65, 0x6C, 0x49, 0x64,  // hannelId
                    /* 0A38 */  0x3E, 0x32, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x43,  // >2</DSIC
                    /* 0A40 */  0x68, 0x61, 0x6E, 0x6E, 0x65, 0x6C, 0x49, 0x64,  // hannelId
                    /* 0A48 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44,  // >.    <D
                    /* 0A50 */  0x53, 0x49, 0x56, 0x69, 0x72, 0x74, 0x75, 0x61,  // SIVirtua
                    /* 0A58 */  0x6C, 0x49, 0x64, 0x3E, 0x30, 0x3C, 0x2F, 0x44,  // lId>0</D
                    /* 0A60 */  0x53, 0x49, 0x56, 0x69, 0x72, 0x74, 0x75, 0x61,  // SIVirtua
                    /* 0A68 */  0x6C, 0x49, 0x64, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // lId>.   
                    /* 0A70 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x43, 0x6F, 0x6C,  //  <DSICol
                    /* 0A78 */  0x6F, 0x72, 0x46, 0x6F, 0x72, 0x6D, 0x61, 0x74,  // orFormat
                    /* 0A80 */  0x3E, 0x33, 0x36, 0x3C, 0x2F, 0x44, 0x53, 0x49,  // >36</DSI
                    /* 0A88 */  0x43, 0x6F, 0x6C, 0x6F, 0x72, 0x46, 0x6F, 0x72,  // ColorFor
                    /* 0A90 */  0x6D, 0x61, 0x74, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // mat>.   
                    /* 0A98 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x54, 0x72, 0x61,  //  <DSITra
                    /* 0AA0 */  0x66, 0x66, 0x69, 0x63, 0x4D, 0x6F, 0x64, 0x65,  // fficMode
                    /* 0AA8 */  0x3E, 0x31, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x54,  // >1</DSIT
                    /* 0AB0 */  0x72, 0x61, 0x66, 0x66, 0x69, 0x63, 0x4D, 0x6F,  // rafficMo
                    /* 0AB8 */  0x64, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // de>.    
                    /* 0AC0 */  0x3C, 0x44, 0x53, 0x49, 0x4C, 0x61, 0x6E, 0x65,  // <DSILane
                    /* 0AC8 */  0x73, 0x3E, 0x34, 0x3C, 0x2F, 0x44, 0x53, 0x49,  // s>4</DSI
                    /* 0AD0 */  0x4C, 0x61, 0x6E, 0x65, 0x73, 0x3E, 0x0A, 0x20,  // Lanes>. 
                    /* 0AD8 */  0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x48,  //    <DSIH
                    /* 0AE0 */  0x73, 0x61, 0x48, 0x73, 0x65, 0x41, 0x66, 0x74,  // saHseAft
                    /* 0AE8 */  0x65, 0x72, 0x56, 0x73, 0x56, 0x65, 0x3E, 0x46,  // erVsVe>F
                    /* 0AF0 */  0x61, 0x6C, 0x73, 0x65, 0x3C, 0x2F, 0x44, 0x53,  // alse</DS
                    /* 0AF8 */  0x49, 0x48, 0x73, 0x61, 0x48, 0x73, 0x65, 0x41,  // IHsaHseA
                    /* 0B00 */  0x66, 0x74, 0x65, 0x72, 0x56, 0x73, 0x56, 0x65,  // fterVsVe
                    /* 0B08 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44,  // >.    <D
                    /* 0B10 */  0x53, 0x49, 0x4C, 0x6F, 0x77, 0x50, 0x6F, 0x77,  // SILowPow
                    /* 0B18 */  0x65, 0x72, 0x4D, 0x6F, 0x64, 0x65, 0x49, 0x6E,  // erModeIn
                    /* 0B20 */  0x48, 0x46, 0x50, 0x3E, 0x46, 0x61, 0x6C, 0x73,  // HFP>Fals
                    /* 0B28 */  0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x4C, 0x6F,  // e</DSILo
                    /* 0B30 */  0x77, 0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F,  // wPowerMo
                    /* 0B38 */  0x64, 0x65, 0x49, 0x6E, 0x48, 0x46, 0x50, 0x3E,  // deInHFP>
                    /* 0B40 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53,  // .    <DS
                    /* 0B48 */  0x49, 0x4C, 0x6F, 0x77, 0x50, 0x6F, 0x77, 0x65,  // ILowPowe
                    /* 0B50 */  0x72, 0x4D, 0x6F, 0x64, 0x65, 0x49, 0x6E, 0x48,  // rModeInH
                    /* 0B58 */  0x42, 0x50, 0x3E, 0x46, 0x61, 0x6C, 0x73, 0x65,  // BP>False
                    /* 0B60 */  0x3C, 0x2F, 0x44, 0x53, 0x49, 0x4C, 0x6F, 0x77,  // </DSILow
                    /* 0B68 */  0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F, 0x64,  // PowerMod
                    /* 0B70 */  0x65, 0x49, 0x6E, 0x48, 0x42, 0x50, 0x3E, 0x0A,  // eInHBP>.
                    /* 0B78 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0B80 */  0x4C, 0x6F, 0x77, 0x50, 0x6F, 0x77, 0x65, 0x72,  // LowPower
                    /* 0B88 */  0x4D, 0x6F, 0x64, 0x65, 0x49, 0x6E, 0x48, 0x53,  // ModeInHS
                    /* 0B90 */  0x41, 0x3E, 0x46, 0x61, 0x6C, 0x73, 0x65, 0x3C,  // A>False<
                    /* 0B98 */  0x2F, 0x44, 0x53, 0x49, 0x4C, 0x6F, 0x77, 0x50,  // /DSILowP
                    /* 0BA0 */  0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F, 0x64, 0x65,  // owerMode
                    /* 0BA8 */  0x49, 0x6E, 0x48, 0x53, 0x41, 0x3E, 0x0A, 0x20,  // InHSA>. 
                    /* 0BB0 */  0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x4C,  //    <DSIL
                    /* 0BB8 */  0x6F, 0x77, 0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D,  // owPowerM
                    /* 0BC0 */  0x6F, 0x64, 0x65, 0x49, 0x6E, 0x42, 0x4C, 0x4C,  // odeInBLL
                    /* 0BC8 */  0x50, 0x45, 0x4F, 0x46, 0x3E, 0x54, 0x72, 0x75,  // PEOF>Tru
                    /* 0BD0 */  0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x4C, 0x6F,  // e</DSILo
                    /* 0BD8 */  0x77, 0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F,  // wPowerMo
                    /* 0BE0 */  0x64, 0x65, 0x49, 0x6E, 0x42, 0x4C, 0x4C, 0x50,  // deInBLLP
                    /* 0BE8 */  0x45, 0x4F, 0x46, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // EOF>.   
                    /* 0BF0 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x4C, 0x6F, 0x77,  //  <DSILow
                    /* 0BF8 */  0x50, 0x6F, 0x77, 0x65, 0x72, 0x4D, 0x6F, 0x64,  // PowerMod
                    /* 0C00 */  0x65, 0x49, 0x6E, 0x42, 0x4C, 0x4C, 0x50, 0x3E,  // eInBLLP>
                    /* 0C08 */  0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F, 0x44, 0x53,  // True</DS
                    /* 0C10 */  0x49, 0x4C, 0x6F, 0x77, 0x50, 0x6F, 0x77, 0x65,  // ILowPowe
                    /* 0C18 */  0x72, 0x4D, 0x6F, 0x64, 0x65, 0x49, 0x6E, 0x42,  // rModeInB
                    /* 0C20 */  0x4C, 0x4C, 0x50, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // LLP>.   
                    /* 0C28 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x52, 0x65, 0x66,  //  <DSIRef
                    /* 0C30 */  0x72, 0x65, 0x73, 0x68, 0x52, 0x61, 0x74, 0x65,  // reshRate
                    /* 0C38 */  0x3E, 0x30, 0x78, 0x33, 0x43, 0x30, 0x30, 0x30,  // >0x3C000
                    /* 0C40 */  0x30, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x52, 0x65,  // 0</DSIRe
                    /* 0C48 */  0x66, 0x72, 0x65, 0x73, 0x68, 0x52, 0x61, 0x74,  // freshRat
                    /* 0C50 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // e>.    <
                    /* 0C58 */  0x44, 0x53, 0x49, 0x45, 0x6E, 0x61, 0x62, 0x6C,  // DSIEnabl
                    /* 0C60 */  0x65, 0x41, 0x75, 0x74, 0x6F, 0x52, 0x65, 0x66,  // eAutoRef
                    /* 0C68 */  0x72, 0x65, 0x73, 0x68, 0x3E, 0x54, 0x72, 0x75,  // resh>Tru
                    /* 0C70 */  0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x45, 0x6E,  // e</DSIEn
                    /* 0C78 */  0x61, 0x62, 0x6C, 0x65, 0x41, 0x75, 0x74, 0x6F,  // ableAuto
                    /* 0C80 */  0x52, 0x65, 0x66, 0x72, 0x65, 0x73, 0x68, 0x3E,  // Refresh>
                    /* 0C88 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53,  // .    <DS
                    /* 0C90 */  0x49, 0x50, 0x68, 0x79, 0x44, 0x43, 0x44, 0x43,  // IPhyDCDC
                    /* 0C98 */  0x4D, 0x6F, 0x64, 0x65, 0x3E, 0x46, 0x61, 0x6C,  // Mode>Fal
                    /* 0CA0 */  0x73, 0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x50,  // se</DSIP
                    /* 0CA8 */  0x68, 0x79, 0x44, 0x43, 0x44, 0x43, 0x4D, 0x6F,  // hyDCDCMo
                    /* 0CB0 */  0x64, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // de>.    
                    /* 0CB8 */  0x3C, 0x44, 0x53, 0x49, 0x50, 0x61, 0x63, 0x6B,  // <DSIPack
                    /* 0CC0 */  0x65, 0x74, 0x54, 0x72, 0x61, 0x6E, 0x73, 0x66,  // etTransf
                    /* 0CC8 */  0x65, 0x72, 0x48, 0x53, 0x3E, 0x46, 0x61, 0x6C,  // erHS>Fal
                    /* 0CD0 */  0x73, 0x65, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x50,  // se</DSIP
                    /* 0CD8 */  0x61, 0x63, 0x6B, 0x65, 0x74, 0x54, 0x72, 0x61,  // acketTra
                    /* 0CE0 */  0x6E, 0x73, 0x66, 0x65, 0x72, 0x48, 0x53, 0x3E,  // nsferHS>
                    /* 0CE8 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53,  // .    <DS
                    /* 0CF0 */  0x49, 0x43, 0x6C, 0x6F, 0x63, 0x6B, 0x48, 0x53,  // IClockHS
                    /* 0CF8 */  0x46, 0x6F, 0x72, 0x63, 0x65, 0x52, 0x65, 0x71,  // ForceReq
                    /* 0D00 */  0x75, 0x65, 0x73, 0x74, 0x3E, 0x31, 0x3C, 0x2F,  // uest>1</
                    /* 0D08 */  0x44, 0x53, 0x49, 0x43, 0x6C, 0x6F, 0x63, 0x6B,  // DSIClock
                    /* 0D10 */  0x48, 0x53, 0x46, 0x6F, 0x72, 0x63, 0x65, 0x52,  // HSForceR
                    /* 0D18 */  0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x3E, 0x0A,  // equest>.
                    /* 0D20 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0D28 */  0x4C, 0x50, 0x31, 0x31, 0x41, 0x74, 0x49, 0x6E,  // LP11AtIn
                    /* 0D30 */  0x69, 0x74, 0x3E, 0x54, 0x72, 0x75, 0x65, 0x3C,  // it>True<
                    /* 0D38 */  0x2F, 0x44, 0x53, 0x49, 0x4C, 0x50, 0x31, 0x31,  // /DSILP11
                    /* 0D40 */  0x41, 0x74, 0x49, 0x6E, 0x69, 0x74, 0x3E, 0x0A,  // AtInit>.
                    /* 0D48 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0D50 */  0x46, 0x6F, 0x72, 0x63, 0x65, 0x43, 0x6D, 0x64,  // ForceCmd
                    /* 0D58 */  0x49, 0x6E, 0x56, 0x69, 0x64, 0x65, 0x6F, 0x48,  // InVideoH
                    /* 0D60 */  0x53, 0x3E, 0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F,  // S>True</
                    /* 0D68 */  0x44, 0x53, 0x49, 0x46, 0x6F, 0x72, 0x63, 0x65,  // DSIForce
                    /* 0D70 */  0x43, 0x6D, 0x64, 0x49, 0x6E, 0x56, 0x69, 0x64,  // CmdInVid
                    /* 0D78 */  0x65, 0x6F, 0x48, 0x53, 0x3E, 0x0A, 0x20, 0x20,  // eoHS>.  
                    /* 0D80 */  0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x44, 0x53,  //   <DSIDS
                    /* 0D88 */  0x43, 0x45, 0x6E, 0x61, 0x62, 0x6C, 0x65, 0x3E,  // CEnable>
                    /* 0D90 */  0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F, 0x44, 0x53,  // True</DS
                    /* 0D98 */  0x49, 0x44, 0x53, 0x43, 0x45, 0x6E, 0x61, 0x62,  // IDSCEnab
                    /* 0DA0 */  0x6C, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // le>.    
                    /* 0DA8 */  0x3C, 0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x4D,  // <DSIDSCM
                    /* 0DB0 */  0x61, 0x6A, 0x6F, 0x72, 0x3E, 0x31, 0x3C, 0x2F,  // ajor>1</
                    /* 0DB8 */  0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x4D, 0x61,  // DSIDSCMa
                    /* 0DC0 */  0x6A, 0x6F, 0x72, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // jor>.   
                    /* 0DC8 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x44, 0x53, 0x43,  //  <DSIDSC
                    /* 0DD0 */  0x4D, 0x69, 0x6E, 0x6F, 0x72, 0x3E, 0x31, 0x3C,  // Minor>1<
                    /* 0DD8 */  0x2F, 0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x4D,  // /DSIDSCM
                    /* 0DE0 */  0x69, 0x6E, 0x6F, 0x72, 0x3E, 0x0A, 0x20, 0x20,  // inor>.  
                    /* 0DE8 */  0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x44, 0x53,  //   <DSIDS
                    /* 0DF0 */  0x43, 0x53, 0x63, 0x72, 0x3E, 0x30, 0x3C, 0x2F,  // CScr>0</
                    /* 0DF8 */  0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x53, 0x63,  // DSIDSCSc
                    /* 0E00 */  0x72, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // r>.    <
                    /* 0E08 */  0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x50, 0x72,  // DSIDSCPr
                    /* 0E10 */  0x6F, 0x66, 0x69, 0x6C, 0x65, 0x49, 0x44, 0x3E,  // ofileID>
                    /* 0E18 */  0x36, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x44, 0x53,  // 6</DSIDS
                    /* 0E20 */  0x43, 0x50, 0x72, 0x6F, 0x66, 0x69, 0x6C, 0x65,  // CProfile
                    /* 0E28 */  0x49, 0x44, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // ID>.    
                    /* 0E30 */  0x3C, 0x44, 0x53, 0x49, 0x54, 0x45, 0x43, 0x68,  // <DSITECh
                    /* 0E38 */  0x65, 0x63, 0x6B, 0x45, 0x6E, 0x61, 0x62, 0x6C,  // eckEnabl
                    /* 0E40 */  0x65, 0x3E, 0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F,  // e>True</
                    /* 0E48 */  0x44, 0x53, 0x49, 0x54, 0x45, 0x43, 0x68, 0x65,  // DSITEChe
                    /* 0E50 */  0x63, 0x6B, 0x45, 0x6E, 0x61, 0x62, 0x6C, 0x65,  // ckEnable
                    /* 0E58 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44,  // >.    <D
                    /* 0E60 */  0x53, 0x49, 0x54, 0x45, 0x55, 0x73, 0x69, 0x6E,  // SITEUsin
                    /* 0E68 */  0x67, 0x44, 0x65, 0x64, 0x69, 0x63, 0x61, 0x74,  // gDedicat
                    /* 0E70 */  0x65, 0x64, 0x54, 0x45, 0x50, 0x69, 0x6E, 0x3E,  // edTEPin>
                    /* 0E78 */  0x54, 0x72, 0x75, 0x65, 0x3C, 0x2F, 0x44, 0x53,  // True</DS
                    /* 0E80 */  0x49, 0x54, 0x45, 0x55, 0x73, 0x69, 0x6E, 0x67,  // ITEUsing
                    /* 0E88 */  0x44, 0x65, 0x64, 0x69, 0x63, 0x61, 0x74, 0x65,  // Dedicate
                    /* 0E90 */  0x64, 0x54, 0x45, 0x50, 0x69, 0x6E, 0x3E, 0x0A,  // dTEPin>.
                    /* 0E98 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0EA0 */  0x54, 0x45, 0x76, 0x53, 0x79, 0x6E, 0x63, 0x53,  // TEvSyncS
                    /* 0EA8 */  0x65, 0x6C, 0x65, 0x63, 0x74, 0x3E, 0x31, 0x3C,  // elect>1<
                    /* 0EB0 */  0x2F, 0x44, 0x53, 0x49, 0x54, 0x45, 0x76, 0x53,  // /DSITEvS
                    /* 0EB8 */  0x79, 0x6E, 0x63, 0x53, 0x65, 0x6C, 0x65, 0x63,  // yncSelec
                    /* 0EC0 */  0x74, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // t>.    <
                    /* 0EC8 */  0x44, 0x53, 0x49, 0x54, 0x45, 0x76, 0x53, 0x79,  // DSITEvSy
                    /* 0ED0 */  0x6E, 0x63, 0x53, 0x74, 0x61, 0x72, 0x74, 0x50,  // ncStartP
                    /* 0ED8 */  0x6F, 0x73, 0x3E, 0x31, 0x38, 0x30, 0x30, 0x3C,  // os>1800<
                    /* 0EE0 */  0x2F, 0x44, 0x53, 0x49, 0x54, 0x45, 0x76, 0x53,  // /DSITEvS
                    /* 0EE8 */  0x79, 0x6E, 0x63, 0x53, 0x74, 0x61, 0x72, 0x74,  // yncStart
                    /* 0EF0 */  0x50, 0x6F, 0x73, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // Pos>.   
                    /* 0EF8 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x54, 0x45, 0x76,  //  <DSITEv
                    /* 0F00 */  0x53, 0x79, 0x6E, 0x63, 0x49, 0x6E, 0x69, 0x74,  // SyncInit
                    /* 0F08 */  0x56, 0x61, 0x6C, 0x3E, 0x31, 0x38, 0x30, 0x30,  // Val>1800
                    /* 0F10 */  0x3C, 0x2F, 0x44, 0x53, 0x49, 0x54, 0x45, 0x76,  // </DSITEv
                    /* 0F18 */  0x53, 0x79, 0x6E, 0x63, 0x49, 0x6E, 0x69, 0x74,  // SyncInit
                    /* 0F20 */  0x56, 0x61, 0x6C, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // Val>.   
                    /* 0F28 */  0x20, 0x3C, 0x44, 0x53, 0x49, 0x44, 0x53, 0x43,  //  <DSIDSC
                    /* 0F30 */  0x53, 0x6C, 0x69, 0x63, 0x65, 0x57, 0x69, 0x64,  // SliceWid
                    /* 0F38 */  0x74, 0x68, 0x3E, 0x36, 0x37, 0x35, 0x3C, 0x2F,  // th>675</
                    /* 0F40 */  0x44, 0x53, 0x49, 0x44, 0x53, 0x43, 0x53, 0x6C,  // DSIDSCSl
                    /* 0F48 */  0x69, 0x63, 0x65, 0x57, 0x69, 0x64, 0x74, 0x68,  // iceWidth
                    /* 0F50 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44,  // >.    <D
                    /* 0F58 */  0x53, 0x49, 0x44, 0x53, 0x43, 0x53, 0x6C, 0x69,  // SIDSCSli
                    /* 0F60 */  0x63, 0x65, 0x48, 0x65, 0x69, 0x67, 0x68, 0x74,  // ceHeight
                    /* 0F68 */  0x3E, 0x39, 0x30, 0x30, 0x3C, 0x2F, 0x44, 0x53,  // >900</DS
                    /* 0F70 */  0x49, 0x44, 0x53, 0x43, 0x53, 0x6C, 0x69, 0x63,  // IDSCSlic
                    /* 0F78 */  0x65, 0x48, 0x65, 0x69, 0x67, 0x68, 0x74, 0x3E,  // eHeight>
                    /* 0F80 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53,  // .    <DS
                    /* 0F88 */  0x49, 0x42, 0x69, 0x74, 0x43, 0x6C, 0x6F, 0x63,  // IBitCloc
                    /* 0F90 */  0x6B, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6E,  // kFrequen
                    /* 0F98 */  0x63, 0x79, 0x3E, 0x37, 0x30, 0x30, 0x30, 0x30,  // cy>70000
                    /* 0FA0 */  0x30, 0x30, 0x30, 0x30, 0x3C, 0x2F, 0x44, 0x53,  // 0000</DS
                    /* 0FA8 */  0x49, 0x42, 0x69, 0x74, 0x43, 0x6C, 0x6F, 0x63,  // IBitCloc
                    /* 0FB0 */  0x6B, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6E,  // kFrequen
                    /* 0FB8 */  0x63, 0x79, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // cy>.    
                    /* 0FC0 */  0x3C, 0x44, 0x53, 0x49, 0x46, 0x6C, 0x61, 0x67,  // <DSIFlag
                    /* 0FC8 */  0x73, 0x3E, 0x30, 0x78, 0x30, 0x30, 0x30, 0x30,  // s>0x0000
                    /* 0FD0 */  0x30, 0x30, 0x30, 0x32, 0x3C, 0x2F, 0x44, 0x53,  // 0002</DS
                    /* 0FD8 */  0x49, 0x46, 0x6C, 0x61, 0x67, 0x73, 0x3E, 0x0A,  // IFlags>.
                    /* 0FE0 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x44, 0x53, 0x49,  //     <DSI
                    /* 0FE8 */  0x43, 0x6D, 0x64, 0x4D, 0x6F, 0x64, 0x65, 0x49,  // CmdModeI
                    /* 0FF0 */  0x64, 0x6C, 0x65, 0x54, 0x69, 0x6D, 0x65, 0x3E,  // dleTime>
                    /* 0FF8 */  0x31, 0x3C, 0x2F, 0x44, 0x53, 0x49, 0x43, 0x6D,  // 1</DSICm
                    /* 1000 */  0x64, 0x4D, 0x6F, 0x64, 0x65, 0x49, 0x64, 0x6C,  // dModeIdl
                    /* 1008 */  0x65, 0x54, 0x69, 0x6D, 0x65, 0x3E, 0x0A, 0x3C,  // eTime>.<
                    /* 1010 */  0x2F, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E, 0x0A,  // /Group>.
                    /* 1018 */  0x3C, 0x44, 0x53, 0x49, 0x43, 0x6F, 0x6E, 0x74,  // <DSICont
                    /* 1020 */  0x72, 0x6F, 0x6C, 0x6C, 0x65, 0x72, 0x4D, 0x61,  // rollerMa
                    /* 1028 */  0x70, 0x70, 0x69, 0x6E, 0x67, 0x3E, 0x0A, 0x20,  // pping>. 
                    /* 1030 */  0x20, 0x20, 0x20, 0x30, 0x31, 0x0A, 0x3C, 0x2F,  //    01.</
                    /* 1038 */  0x44, 0x53, 0x49, 0x43, 0x6F, 0x6E, 0x74, 0x72,  // DSIContr
                    /* 1040 */  0x6F, 0x6C, 0x6C, 0x65, 0x72, 0x4D, 0x61, 0x70,  // ollerMap
                    /* 1048 */  0x70, 0x69, 0x6E, 0x67, 0x3E, 0x0A, 0x3C, 0x44,  // ping>.<D
                    /* 1050 */  0x53, 0x49, 0x49, 0x6E, 0x69, 0x74, 0x53, 0x65,  // SIInitSe
                    /* 1058 */  0x71, 0x75, 0x65, 0x6E, 0x63, 0x65, 0x3E, 0x0A,  // quence>.
                    /* 1060 */  0x20, 0x20, 0x20, 0x20, 0x30, 0x37, 0x20, 0x31,  //     07 1
                    /* 1068 */  0x31, 0x20, 0x30, 0x30, 0x0A, 0x20, 0x20, 0x20,  // 1 00.   
                    /* 1070 */  0x20, 0x30, 0x41, 0x20, 0x31, 0x31, 0x20, 0x30,  //  0A 11 0
                    /* 1078 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x38, 0x39, 0x20,  // 0 00 89 
                    /* 1080 */  0x33, 0x30, 0x20, 0x38, 0x30, 0x20, 0x30, 0x37,  // 30 80 07
                    /* 1088 */  0x20, 0x30, 0x38, 0x20, 0x30, 0x35, 0x20, 0x34,  //  08 05 4
                    /* 1090 */  0x36, 0x20, 0x30, 0x33, 0x20, 0x38, 0x34, 0x20,  // 6 03 84 
                    /* 1098 */  0x30, 0x32, 0x20, 0x41, 0x33, 0x20, 0x30, 0x32,  // 02 A3 02
                    /* 10A0 */  0x20, 0x41, 0x33, 0x20, 0x30, 0x32, 0x20, 0x30,  //  A3 02 0
                    /* 10A8 */  0x30, 0x20, 0x30, 0x32, 0x20, 0x35, 0x31, 0x20,  // 0 02 51 
                    /* 10B0 */  0x30, 0x30, 0x20, 0x32, 0x30, 0x20, 0x35, 0x46,  // 00 20 5F
                    /* 10B8 */  0x20, 0x34, 0x42, 0x20, 0x30, 0x30, 0x20, 0x30,  //  4B 00 0
                    /* 10C0 */  0x39, 0x20, 0x30, 0x30, 0x20, 0x30, 0x43, 0x20,  // 9 00 0C 
                    /* 10C8 */  0x30, 0x30, 0x20, 0x31, 0x43, 0x20, 0x30, 0x30,  // 00 1C 00
                    /* 10D0 */  0x20, 0x31, 0x38, 0x20, 0x31, 0x38, 0x20, 0x30,  //  18 18 0
                    /* 10D8 */  0x30, 0x20, 0x31, 0x30, 0x20, 0x46, 0x30, 0x20,  // 0 10 F0 
                    /* 10E0 */  0x30, 0x33, 0x20, 0x30, 0x43, 0x20, 0x32, 0x30,  // 03 0C 20
                    /* 10E8 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x36, 0x20, 0x30,  //  00 06 0
                    /* 10F0 */  0x42, 0x20, 0x30, 0x42, 0x20, 0x33, 0x33, 0x20,  // B 0B 33 
                    /* 10F8 */  0x30, 0x45, 0x20, 0x31, 0x43, 0x20, 0x32, 0x41,  // 0E 1C 2A
                    /* 1100 */  0x20, 0x33, 0x38, 0x20, 0x34, 0x36, 0x20, 0x35,  //  38 46 5
                    /* 1108 */  0x34, 0x20, 0x36, 0x32, 0x20, 0x36, 0x39, 0x20,  // 4 62 69 
                    /* 1110 */  0x37, 0x30, 0x20, 0x37, 0x37, 0x20, 0x37, 0x39,  // 70 77 79
                    /* 1118 */  0x20, 0x37, 0x42, 0x20, 0x37, 0x44, 0x20, 0x37,  //  7B 7D 7
                    /* 1120 */  0x45, 0x20, 0x30, 0x31, 0x20, 0x30, 0x32, 0x20,  // E 01 02 
                    /* 1128 */  0x30, 0x31, 0x20, 0x30, 0x30, 0x20, 0x30, 0x39,  // 01 00 09
                    /* 1130 */  0x20, 0x34, 0x30, 0x20, 0x30, 0x39, 0x20, 0x42,  //  40 09 B
                    /* 1138 */  0x45, 0x20, 0x31, 0x39, 0x20, 0x46, 0x43, 0x20,  // E 19 FC 
                    /* 1140 */  0x31, 0x39, 0x20, 0x46, 0x41, 0x20, 0x31, 0x39,  // 19 FA 19
                    /* 1148 */  0x20, 0x46, 0x38, 0x20, 0x31, 0x41, 0x20, 0x33,  //  F8 1A 3
                    /* 1150 */  0x38, 0x20, 0x31, 0x41, 0x20, 0x37, 0x38, 0x20,  // 8 1A 78 
                    /* 1158 */  0x31, 0x41, 0x20, 0x42, 0x36, 0x20, 0x32, 0x41,  // 1A B6 2A
                    /* 1160 */  0x20, 0x46, 0x36, 0x20, 0x32, 0x42, 0x20, 0x33,  //  F6 2B 3
                    /* 1168 */  0x34, 0x20, 0x32, 0x42, 0x20, 0x37, 0x34, 0x20,  // 4 2B 74 
                    /* 1170 */  0x33, 0x42, 0x20, 0x37, 0x34, 0x20, 0x36, 0x42,  // 3B 74 6B
                    /* 1178 */  0x20, 0x46, 0x34, 0x20, 0x30, 0x30, 0x20, 0x30,  //  F4 00 0
                    /* 1180 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 1188 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 1190 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 1198 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 11A0 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 11A8 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 11B0 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 11B8 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 11C0 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 11C8 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 11D0 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 11D8 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 11E0 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20,  // 0 00 00 
                    /* 11E8 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 11F0 */  0x20, 0x30, 0x30, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  00.    
                    /* 11F8 */  0x31, 0x35, 0x20, 0x42, 0x30, 0x20, 0x41, 0x43,  // 15 B0 AC
                    /* 1200 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x33, 0x39, 0x20,  // .    39 
                    /* 1208 */  0x32, 0x41, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 2A 00 00
                    /* 1210 */  0x20, 0x30, 0x35, 0x20, 0x34, 0x35, 0x0A, 0x20,  //  05 45. 
                    /* 1218 */  0x20, 0x20, 0x20, 0x33, 0x39, 0x20, 0x32, 0x42,  //    39 2B
                    /* 1220 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 1228 */  0x37, 0x20, 0x30, 0x37, 0x0A, 0x20, 0x20, 0x20,  // 7 07.   
                    /* 1230 */  0x20, 0x31, 0x35, 0x20, 0x32, 0x36, 0x20, 0x30,  //  15 26 0
                    /* 1238 */  0x32, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x33, 0x39,  // 2.    39
                    /* 1240 */  0x20, 0x34, 0x34, 0x20, 0x30, 0x33, 0x20, 0x38,  //  44 03 8
                    /* 1248 */  0x34, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x30, 0x35,  // 4.    05
                    /* 1250 */  0x20, 0x33, 0x35, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  35.    
                    /* 1258 */  0x33, 0x39, 0x20, 0x35, 0x31, 0x20, 0x30, 0x31,  // 39 51 01
                    /* 1260 */  0x20, 0x34, 0x37, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  47.    
                    /* 1268 */  0x33, 0x39, 0x20, 0x35, 0x33, 0x20, 0x30, 0x43,  // 39 53 0C
                    /* 1270 */  0x20, 0x33, 0x30, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  30.    
                    /* 1278 */  0x33, 0x39, 0x20, 0x35, 0x35, 0x20, 0x30, 0x34,  // 39 55 04
                    /* 1280 */  0x20, 0x37, 0x30, 0x20, 0x44, 0x42, 0x20, 0x30,  //  70 DB 0
                    /* 1288 */  0x30, 0x20, 0x37, 0x38, 0x20, 0x44, 0x42, 0x0A,  // 0 78 DB.
                    /* 1290 */  0x20, 0x20, 0x20, 0x20, 0x31, 0x35, 0x20, 0x45,  //     15 E
                    /* 1298 */  0x45, 0x20, 0x32, 0x34, 0x0A, 0x20, 0x20, 0x20,  // E 24.   
                    /* 12A0 */  0x20, 0x31, 0x35, 0x20, 0x46, 0x42, 0x20, 0x41,  //  15 FB A
                    /* 12A8 */  0x43, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x31, 0x35,  // C.    15
                    /* 12B0 */  0x20, 0x42, 0x30, 0x20, 0x43, 0x41, 0x0A, 0x20,  //  B0 CA. 
                    /* 12B8 */  0x20, 0x20, 0x20, 0x30, 0x35, 0x20, 0x31, 0x31,  //    05 11
                    /* 12C0 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x46, 0x46, 0x20,  // .    FF 
                    /* 12C8 */  0x35, 0x41, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x30,  // 5A.    0
                    /* 12D0 */  0x35, 0x20, 0x32, 0x39, 0x0A, 0x20, 0x20, 0x20,  // 5 29.   
                    /* 12D8 */  0x20, 0x46, 0x46, 0x20, 0x33, 0x32, 0x0A, 0x20,  //  FF 32. 
                    /* 12E0 */  0x20, 0x20, 0x20, 0x31, 0x35, 0x20, 0x42, 0x30,  //    15 B0
                    /* 12E8 */  0x20, 0x41, 0x43, 0x0A, 0x20, 0x20, 0x20, 0x20,  //  AC.    
                    /* 12F0 */  0x33, 0x39, 0x20, 0x45, 0x39, 0x20, 0x33, 0x32,  // 39 E9 32
                    /* 12F8 */  0x20, 0x33, 0x32, 0x20, 0x35, 0x35, 0x20, 0x30,  //  32 55 0
                    /* 1300 */  0x36, 0x20, 0x30, 0x30, 0x20, 0x31, 0x43, 0x20,  // 6 00 1C 
                    /* 1308 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x35, 0x35,  // 00 00 55
                    /* 1310 */  0x20, 0x35, 0x30, 0x20, 0x34, 0x42, 0x0A, 0x20,  //  50 4B. 
                    /* 1318 */  0x20, 0x20, 0x20, 0x33, 0x39, 0x20, 0x44, 0x30,  //    39 D0
                    /* 1320 */  0x20, 0x38, 0x30, 0x20, 0x31, 0x30, 0x20, 0x38,  //  80 10 8
                    /* 1328 */  0x31, 0x20, 0x30, 0x32, 0x20, 0x30, 0x42, 0x20,  // 1 02 0B 
                    /* 1330 */  0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x30,  // 00 00 00
                    /* 1338 */  0x20, 0x30, 0x30, 0x20, 0x30, 0x30, 0x20, 0x30,  //  00 00 0
                    /* 1340 */  0x30, 0x20, 0x30, 0x30, 0x20, 0x30, 0x31, 0x20,  // 0 00 01 
                    /* 1348 */  0x30, 0x43, 0x20, 0x30, 0x30, 0x20, 0x44, 0x34,  // 0C 00 D4
                    /* 1350 */  0x20, 0x30, 0x42, 0x20, 0x30, 0x30, 0x20, 0x31,  //  0B 00 1
                    /* 1358 */  0x31, 0x20, 0x30, 0x30, 0x20, 0x31, 0x43, 0x0A,  // 1 00 1C.
                    /* 1360 */  0x20, 0x20, 0x20, 0x20, 0x31, 0x35, 0x20, 0x42,  //     15 B
                    /* 1368 */  0x30, 0x20, 0x43, 0x41, 0x0A, 0x20, 0x20, 0x20,  // 0 CA.   
                    /* 1370 */  0x20, 0x33, 0x39, 0x20, 0x35, 0x33, 0x20, 0x30,  //  39 53 0
                    /* 1378 */  0x44, 0x20, 0x33, 0x30, 0x0A, 0x3C, 0x2F, 0x44,  // D 30.</D
                    /* 1380 */  0x53, 0x49, 0x49, 0x6E, 0x69, 0x74, 0x53, 0x65,  // SIInitSe
                    /* 1388 */  0x71, 0x75, 0x65, 0x6E, 0x63, 0x65, 0x3E, 0x0A,  // quence>.
                    /* 1390 */  0x3C, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x20, 0x69,  // <Group i
                    /* 1398 */  0x64, 0x3D, 0x27, 0x44, 0x53, 0x49, 0x20, 0x54,  // d='DSI T
                    /* 13A0 */  0x69, 0x6D, 0x69, 0x6E, 0x67, 0x20, 0x70, 0x61,  // iming pa
                    /* 13A8 */  0x72, 0x61, 0x6D, 0x65, 0x74, 0x65, 0x72, 0x73,  // rameters
                    /* 13B0 */  0x27, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C,  // '>.    <
                    /* 13B8 */  0x44, 0x53, 0x49, 0x54, 0x69, 0x6D, 0x69, 0x6E,  // DSITimin
                    /* 13C0 */  0x67, 0x48, 0x53, 0x50, 0x72, 0x65, 0x70, 0x61,  // gHSPrepa
                    /* 13C8 */  0x72, 0x65, 0x4F, 0x76, 0x65, 0x72, 0x72, 0x69,  // reOverri
                    /* 13D0 */  0x64, 0x65, 0x3E, 0x46, 0x61, 0x6C, 0x73, 0x65,  // de>False
                    /* 13D8 */  0x3C, 0x2F, 0x44, 0x53, 0x49, 0x54, 0x69, 0x6D,  // </DSITim
                    /* 13E0 */  0x69, 0x6E, 0x67, 0x48, 0x53, 0x50, 0x72, 0x65,  // ingHSPre
                    /* 13E8 */  0x70, 0x61, 0x72, 0x65, 0x4F, 0x76, 0x65, 0x72,  // pareOver
                    /* 13F0 */  0x72, 0x69, 0x64, 0x65, 0x3E, 0x0A, 0x20, 0x20,  // ride>.  
                    /* 13F8 */  0x20, 0x20, 0x3C, 0x44, 0x53, 0x49, 0x54, 0x69,  //   <DSITi
                    /* 1400 */  0x6D, 0x69, 0x6E, 0x67, 0x48, 0x53, 0x50, 0x72,  // mingHSPr
                    /* 1408 */  0x65, 0x70, 0x61, 0x72, 0x65, 0x56, 0x61, 0x6C,  // epareVal
                    /* 1410 */  0x75, 0x65, 0x3E, 0x32, 0x31, 0x3C, 0x2F, 0x44,  // ue>21</D
                    /* 1418 */  0x53, 0x49, 0x54, 0x69, 0x6D, 0x69, 0x6E, 0x67,  // SITiming
                    /* 1420 */  0x48, 0x53, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72,  // HSPrepar
                    /* 1428 */  0x65, 0x56, 0x61, 0x6C, 0x75, 0x65, 0x3E, 0x0A,  // eValue>.
                    /* 1430 */  0x3C, 0x2F, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E,  // </Group>
                    /* 1438 */  0x0A, 0x3C, 0x44, 0x53, 0x49, 0x54, 0x65, 0x72,  // .<DSITer
                    /* 1440 */  0x6D, 0x53, 0x65, 0x71, 0x75, 0x65, 0x6E, 0x63,  // mSequenc
                    /* 1448 */  0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x30,  // e>.    0
                    /* 1450 */  0x35, 0x20, 0x32, 0x38, 0x0A, 0x20, 0x20, 0x20,  // 5 28.   
                    /* 1458 */  0x20, 0x46, 0x46, 0x20, 0x30, 0x31, 0x0A, 0x20,  //  FF 01. 
                    /* 1460 */  0x20, 0x20, 0x20, 0x30, 0x35, 0x20, 0x31, 0x30,  //    05 10
                    /* 1468 */  0x0A, 0x20, 0x20, 0x20, 0x20, 0x46, 0x46, 0x20,  // .    FF 
                    /* 1470 */  0x37, 0x38, 0x0A, 0x3C, 0x2F, 0x44, 0x53, 0x49,  // 78.</DSI
                    /* 1478 */  0x54, 0x65, 0x72, 0x6D, 0x53, 0x65, 0x71, 0x75,  // TermSequ
                    /* 1480 */  0x65, 0x6E, 0x63, 0x65, 0x3E, 0x0A, 0x3C, 0x47,  // ence>.<G
                    /* 1488 */  0x72, 0x6F, 0x75, 0x70, 0x20, 0x69, 0x64, 0x3D,  // roup id=
                    /* 1490 */  0x27, 0x43, 0x6F, 0x6E, 0x6E, 0x65, 0x63, 0x74,  // 'Connect
                    /* 1498 */  0x69, 0x6F, 0x6E, 0x20, 0x43, 0x6F, 0x6E, 0x66,  // ion Conf
                    /* 14A0 */  0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6F,  // iguratio
                    /* 14A8 */  0x6E, 0x27, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // n'>.    
                    /* 14B0 */  0x3C, 0x44, 0x69, 0x73, 0x70, 0x6C, 0x61, 0x79,  // <Display
                    /* 14B8 */  0x31, 0x52, 0x65, 0x73, 0x65, 0x74, 0x31, 0x49,  // 1Reset1I
                    /* 14C0 */  0x6E, 0x66, 0x6F, 0x3E, 0x44, 0x53, 0x49, 0x5F,  // nfo>DSI_
                    /* 14C8 */  0x50, 0x41, 0x4E, 0x45, 0x4C, 0x32, 0x5F, 0x52,  // PANEL2_R
                    /* 14D0 */  0x45, 0x53, 0x45, 0x54, 0x2C, 0x20, 0x30, 0x2C,  // ESET, 0,
                    /* 14D8 */  0x20, 0x34, 0x30, 0x3C, 0x2F, 0x44, 0x69, 0x73,  //  40</Dis
                    /* 14E0 */  0x70, 0x6C, 0x61, 0x79, 0x31, 0x52, 0x65, 0x73,  // play1Res
                    /* 14E8 */  0x65, 0x74, 0x31, 0x49, 0x6E, 0x66, 0x6F, 0x3E,  // et1Info>
                    /* 14F0 */  0x0A, 0x3C, 0x2F, 0x47, 0x72, 0x6F, 0x75, 0x70,  // .</Group
                    /* 14F8 */  0x3E, 0x0A, 0x3C, 0x47, 0x72, 0x6F, 0x75, 0x70,  // >.<Group
                    /* 1500 */  0x20, 0x69, 0x64, 0x3D, 0x27, 0x42, 0x61, 0x63,  //  id='Bac
                    /* 1508 */  0x6B, 0x6C, 0x69, 0x67, 0x68, 0x74, 0x20, 0x43,  // klight C
                    /* 1510 */  0x6F, 0x6E, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61,  // onfigura
                    /* 1518 */  0x74, 0x69, 0x6F, 0x6E, 0x27, 0x3E, 0x0A, 0x20,  // tion'>. 
                    /* 1520 */  0x20, 0x20, 0x20, 0x3C, 0x42, 0x61, 0x63, 0x6B,  //    <Back
                    /* 1528 */  0x6C, 0x69, 0x67, 0x68, 0x74, 0x54, 0x79, 0x70,  // lightTyp
                    /* 1530 */  0x65, 0x3E, 0x33, 0x3C, 0x2F, 0x42, 0x61, 0x63,  // e>3</Bac
                    /* 1538 */  0x6B, 0x6C, 0x69, 0x67, 0x68, 0x74, 0x54, 0x79,  // klightTy
                    /* 1540 */  0x70, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // pe>.    
                    /* 1548 */  0x3C, 0x42, 0x61, 0x63, 0x6B, 0x6C, 0x69, 0x67,  // <Backlig
                    /* 1550 */  0x68, 0x74, 0x53, 0x74, 0x65, 0x70, 0x73, 0x3E,  // htSteps>
                    /* 1558 */  0x31, 0x30, 0x30, 0x3C, 0x2F, 0x42, 0x61, 0x63,  // 100</Bac
                    /* 1560 */  0x6B, 0x6C, 0x69, 0x67, 0x68, 0x74, 0x53, 0x74,  // klightSt
                    /* 1568 */  0x65, 0x70, 0x73, 0x3E, 0x0A, 0x20, 0x20, 0x20,  // eps>.   
                    /* 1570 */  0x20, 0x3C, 0x42, 0x72, 0x69, 0x67, 0x68, 0x74,  //  <Bright
                    /* 1578 */  0x6E, 0x65, 0x73, 0x73, 0x4D, 0x69, 0x6E, 0x4C,  // nessMinL
                    /* 1580 */  0x75, 0x6D, 0x69, 0x6E, 0x61, 0x6E, 0x63, 0x65,  // uminance
                    /* 1588 */  0x3E, 0x30, 0x3C, 0x2F, 0x42, 0x72, 0x69, 0x67,  // >0</Brig
                    /* 1590 */  0x68, 0x74, 0x6E, 0x65, 0x73, 0x73, 0x4D, 0x69,  // htnessMi
                    /* 1598 */  0x6E, 0x4C, 0x75, 0x6D, 0x69, 0x6E, 0x61, 0x6E,  // nLuminan
                    /* 15A0 */  0x63, 0x65, 0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20,  // ce>.    
                    /* 15A8 */  0x3C, 0x42, 0x72, 0x69, 0x67, 0x68, 0x74, 0x6E,  // <Brightn
                    /* 15B0 */  0x65, 0x73, 0x73, 0x4D, 0x61, 0x78, 0x4C, 0x75,  // essMaxLu
                    /* 15B8 */  0x6D, 0x69, 0x6E, 0x61, 0x6E, 0x63, 0x65, 0x3E,  // minance>
                    /* 15C0 */  0x31, 0x30, 0x30, 0x30, 0x30, 0x30, 0x3C, 0x2F,  // 100000</
                    /* 15C8 */  0x42, 0x72, 0x69, 0x67, 0x68, 0x74, 0x6E, 0x65,  // Brightne
                    /* 15D0 */  0x73, 0x73, 0x4D, 0x61, 0x78, 0x4C, 0x75, 0x6D,  // ssMaxLum
                    /* 15D8 */  0x69, 0x6E, 0x61, 0x6E, 0x63, 0x65, 0x3E, 0x0A,  // inance>.
                    /* 15E0 */  0x20, 0x20, 0x20, 0x20, 0x3C, 0x42, 0x72, 0x69,  //     <Bri
                    /* 15E8 */  0x67, 0x68, 0x74, 0x6E, 0x65, 0x73, 0x73, 0x52,  // ghtnessR
                    /* 15F0 */  0x61, 0x6E, 0x67, 0x65, 0x4C, 0x65, 0x76, 0x65,  // angeLeve
                    /* 15F8 */  0x6C, 0x30, 0x3E, 0x30, 0x20, 0x31, 0x30, 0x30,  // l0>0 100
                    /* 1600 */  0x30, 0x30, 0x30, 0x20, 0x31, 0x30, 0x30, 0x20,  // 000 100 
                    /* 1608 */  0x30, 0x3C, 0x2F, 0x42, 0x72, 0x69, 0x67, 0x68,  // 0</Brigh
                    /* 1610 */  0x74, 0x6E, 0x65, 0x73, 0x73, 0x52, 0x61, 0x6E,  // tnessRan
                    /* 1618 */  0x67, 0x65, 0x4C, 0x65, 0x76, 0x65, 0x6C, 0x30,  // geLevel0
                    /* 1620 */  0x3E, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x41,  // >.    <A
                    /* 1628 */  0x64, 0x61, 0x70, 0x74, 0x69, 0x76, 0x65, 0x42,  // daptiveB
                    /* 1630 */  0x72, 0x69, 0x67, 0x68, 0x74, 0x6E, 0x65, 0x73,  // rightnes
                    /* 1638 */  0x73, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65,  // sFeature
                    /* 1640 */  0x3E, 0x31, 0x3C, 0x2F, 0x41, 0x64, 0x61, 0x70,  // >1</Adap
                    /* 1648 */  0x74, 0x69, 0x76, 0x65, 0x42, 0x72, 0x69, 0x67,  // tiveBrig
                    /* 1650 */  0x68, 0x74, 0x6E, 0x65, 0x73, 0x73, 0x46, 0x65,  // htnessFe
                    /* 1658 */  0x61, 0x74, 0x75, 0x72, 0x65, 0x3E, 0x0A, 0x3C,  // ature>.<
                    /* 1660 */  0x2F, 0x47, 0x72, 0x6F, 0x75, 0x70, 0x3E, 0x00   // /Group>.
                })
                While (One)
                {
                    If (One)
                    {
                        Local2 = PCFG /* \_SB_.GPU0.ROM2.PCFG */
                    }

                    Break
                }

                If ((Arg0 >= SizeOf (Local2)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (Local2)))
                {
                    Local1 = (SizeOf (Local2) - Local0)
                }

                CreateField (Local2, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.ROM2.RBUF */
            }

            Method (IGC2, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.IGC2.RBUF */
            }

            Method (PCC2, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.PCC2.RBUF */
            }

            Method (GCT2, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.GCT2.RBUF */
            }

            Method (LGC2, 3, NotSerialized)
            {
                Name (TBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                If ((Arg1 >= SizeOf (TBUF)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local1 = Arg1
                }

                If ((Arg2 > 0x1000))
                {
                    Local2 = 0x1000
                }
                Else
                {
                    Local2 = Arg2
                }

                If (((Local1 + Local2) > SizeOf (TBUF)))
                {
                    Local2 = (SizeOf (TBUF) - Local1)
                }

                CreateField (TBUF, (0x08 * Local1), (0x08 * Local2), RBUF)
                Return (RBUF) /* \_SB_.GPU0.LGC2.RBUF */
            }

            Method (HSI2, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.HSI2.RBUF */
            }

            Method (GMT2, 2, NotSerialized)
            {
                Name (TBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                If ((Arg0 >= SizeOf (TBUF)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (TBUF)))
                {
                    Local1 = (SizeOf (TBUF) - Local0)
                }

                CreateField (TBUF, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.GMT2.RBUF */
            }

            Method (WGM2, 2, NotSerialized)
            {
                Name (TBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                If ((Arg0 >= SizeOf (TBUF)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (TBUF)))
                {
                    Local1 = (SizeOf (TBUF) - Local0)
                }

                CreateField (TBUF, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.WGM2.RBUF */
            }

            Method (GRT2, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.GRT2.RBUF */
            }

            Method (BRT2, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.BRT2.RBUF */
            }

            Method (DIT2, 2, NotSerialized)
            {
                Name (RBUF, Buffer (One)
                {
                     0x00                                             // .
                })
                Return (RBUF) /* \_SB_.GPU0.DIT2.RBUF */
            }

            Method (BLC2, 2, NotSerialized)
            {
                Name (RBUF, Buffer (0x0100){})
                Return (RBUF) /* \_SB_.GPU0.BLC2.RBUF */
            }

            Method (ROE1, 3, NotSerialized)
            {
                Name (PCFG, Buffer (One)
                {
                     0x00                                             // .
                })
                Local2 = PCFG /* \_SB_.GPU0.ROE1.PCFG */
                If ((Arg0 >= SizeOf (Local2)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (Local2)))
                {
                    Local1 = (SizeOf (Local2) - Local0)
                }

                CreateField (Local2, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.ROE1.RBUF */
            }

            Method (ROE2, 3, NotSerialized)
            {
                Name (PCFG, Buffer (One)
                {
                     0x00                                             // .
                })
                Local2 = PCFG /* \_SB_.GPU0.ROE2.PCFG */
                If ((Arg0 >= SizeOf (Local2)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (Local2)))
                {
                    Local1 = (SizeOf (Local2) - Local0)
                }

                CreateField (Local2, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.ROE2.RBUF */
            }

            Method (ROE3, 3, NotSerialized)
            {
                Name (PCFG, Buffer (0x49)
                {
                    /* 0000 */  0x3C, 0x3F, 0x78, 0x6D, 0x6C, 0x20, 0x76, 0x65,  // <?xml ve
                    /* 0008 */  0x72, 0x73, 0x69, 0x6F, 0x6E, 0x3D, 0x27, 0x31,  // rsion='1
                    /* 0010 */  0x2E, 0x30, 0x27, 0x20, 0x65, 0x6E, 0x63, 0x6F,  // .0' enco
                    /* 0018 */  0x64, 0x69, 0x6E, 0x67, 0x3D, 0x27, 0x75, 0x74,  // ding='ut
                    /* 0020 */  0x66, 0x2D, 0x38, 0x27, 0x3F, 0x3E, 0x0A, 0x3C,  // f-8'?>.<
                    /* 0028 */  0x44, 0x50, 0x41, 0x55, 0x58, 0x50, 0x6F, 0x6C,  // DPAUXPol
                    /* 0030 */  0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x30, 0x3C,  // arity>0<
                    /* 0038 */  0x2F, 0x44, 0x50, 0x41, 0x55, 0x58, 0x50, 0x6F,  // /DPAUXPo
                    /* 0040 */  0x6C, 0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x0A,  // larity>.
                    /* 0048 */  0x00                                             // .
                })
                Local2 = PCFG /* \_SB_.GPU0.ROE3.PCFG */
                If ((Arg0 >= SizeOf (Local2)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (Local2)))
                {
                    Local1 = (SizeOf (Local2) - Local0)
                }

                CreateField (Local2, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.ROE3.RBUF */
            }

            Method (ROE4, 3, NotSerialized)
            {
                Name (PCFG, Buffer (0x49)
                {
                    /* 0000 */  0x3C, 0x3F, 0x78, 0x6D, 0x6C, 0x20, 0x76, 0x65,  // <?xml ve
                    /* 0008 */  0x72, 0x73, 0x69, 0x6F, 0x6E, 0x3D, 0x27, 0x31,  // rsion='1
                    /* 0010 */  0x2E, 0x30, 0x27, 0x20, 0x65, 0x6E, 0x63, 0x6F,  // .0' enco
                    /* 0018 */  0x64, 0x69, 0x6E, 0x67, 0x3D, 0x27, 0x75, 0x74,  // ding='ut
                    /* 0020 */  0x66, 0x2D, 0x38, 0x27, 0x3F, 0x3E, 0x0A, 0x3C,  // f-8'?>.<
                    /* 0028 */  0x44, 0x50, 0x41, 0x55, 0x58, 0x50, 0x6F, 0x6C,  // DPAUXPol
                    /* 0030 */  0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x30, 0x3C,  // arity>0<
                    /* 0038 */  0x2F, 0x44, 0x50, 0x41, 0x55, 0x58, 0x50, 0x6F,  // /DPAUXPo
                    /* 0040 */  0x6C, 0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x0A,  // larity>.
                    /* 0048 */  0x00                                             // .
                })
                Local2 = PCFG /* \_SB_.GPU0.ROE4.PCFG */
                If ((Arg0 >= SizeOf (Local2)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (Local2)))
                {
                    Local1 = (SizeOf (Local2) - Local0)
                }

                CreateField (Local2, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.ROE4.RBUF */
            }

            Method (ROE5, 3, NotSerialized)
            {
                Name (PCFG, Buffer (0x49)
                {
                    /* 0000 */  0x3C, 0x3F, 0x78, 0x6D, 0x6C, 0x20, 0x76, 0x65,  // <?xml ve
                    /* 0008 */  0x72, 0x73, 0x69, 0x6F, 0x6E, 0x3D, 0x27, 0x31,  // rsion='1
                    /* 0010 */  0x2E, 0x30, 0x27, 0x20, 0x65, 0x6E, 0x63, 0x6F,  // .0' enco
                    /* 0018 */  0x64, 0x69, 0x6E, 0x67, 0x3D, 0x27, 0x75, 0x74,  // ding='ut
                    /* 0020 */  0x66, 0x2D, 0x38, 0x27, 0x3F, 0x3E, 0x0A, 0x3C,  // f-8'?>.<
                    /* 0028 */  0x44, 0x50, 0x41, 0x55, 0x58, 0x50, 0x6F, 0x6C,  // DPAUXPol
                    /* 0030 */  0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x30, 0x3C,  // arity>0<
                    /* 0038 */  0x2F, 0x44, 0x50, 0x41, 0x55, 0x58, 0x50, 0x6F,  // /DPAUXPo
                    /* 0040 */  0x6C, 0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x0A,  // larity>.
                    /* 0048 */  0x00                                             // .
                })
                Local2 = PCFG /* \_SB_.GPU0.ROE5.PCFG */
                If ((Arg0 >= SizeOf (Local2)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (Local2)))
                {
                    Local1 = (SizeOf (Local2) - Local0)
                }

                CreateField (Local2, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.ROE5.RBUF */
            }

            Method (ROE6, 3, NotSerialized)
            {
                Name (PCFG, Buffer (0x49)
                {
                    /* 0000 */  0x3C, 0x3F, 0x78, 0x6D, 0x6C, 0x20, 0x76, 0x65,  // <?xml ve
                    /* 0008 */  0x72, 0x73, 0x69, 0x6F, 0x6E, 0x3D, 0x27, 0x31,  // rsion='1
                    /* 0010 */  0x2E, 0x30, 0x27, 0x20, 0x65, 0x6E, 0x63, 0x6F,  // .0' enco
                    /* 0018 */  0x64, 0x69, 0x6E, 0x67, 0x3D, 0x27, 0x75, 0x74,  // ding='ut
                    /* 0020 */  0x66, 0x2D, 0x38, 0x27, 0x3F, 0x3E, 0x0A, 0x3C,  // f-8'?>.<
                    /* 0028 */  0x44, 0x50, 0x41, 0x55, 0x58, 0x50, 0x6F, 0x6C,  // DPAUXPol
                    /* 0030 */  0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x30, 0x3C,  // arity>0<
                    /* 0038 */  0x2F, 0x44, 0x50, 0x41, 0x55, 0x58, 0x50, 0x6F,  // /DPAUXPo
                    /* 0040 */  0x6C, 0x61, 0x72, 0x69, 0x74, 0x79, 0x3E, 0x0A,  // larity>.
                    /* 0048 */  0x00                                             // .
                })
                Local2 = PCFG /* \_SB_.GPU0.ROE6.PCFG */
                If ((Arg0 >= SizeOf (Local2)))
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
                Else
                {
                    Local0 = Arg0
                }

                If ((Arg1 > 0x1000))
                {
                    Local1 = 0x1000
                }
                Else
                {
                    Local1 = Arg1
                }

                If (((Local0 + Local1) > SizeOf (Local2)))
                {
                    Local1 = (SizeOf (Local2) - Local0)
                }

                CreateField (Local2, (0x08 * Local0), (0x08 * Local1), RBUF)
                Return (RBUF) /* \_SB_.GPU0.ROE6.RBUF */
            }

            Name (_DOD, Package (0x01)  // _DOD: Display Output Devices
            {
                0x00024321
            })
            Device (AVS0)
            {
                Name (_ADR, 0x00024321)  // _ADR: Address
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, Buffer (0x02)
                    {
                         0x79, 0x00                                       // y.
                    })
                    Return (RBUF) /* \_SB_.GPU0.AVS0._CRS.RBUF */
                }

                Name (_DEP, Package (0x03)  // _DEP: Dependencies
                {
                    \_SB.MMU0, 
                    \_SB.IMM0, 
                    \_SB.VFE0
                })
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }

            Method (_HRV, 0, NotSerialized)  // _HRV: Hardware Revision
            {
                Name (RESU, Zero)
                Name (TIER, Zero)
                Name (MINO, Zero)
                Name (MAJO, Zero)
                Name (TYPE, Zero)
                Name (FAMI, Zero)
                TIER = (\_SB.SIDT & 0x0F)
                MINO = (\_SB.SIDV & 0x07)
                MINO <<= 0x04
                MAJO = ((\_SB.SIDV >> 0x10) & 0x07)
                MAJO <<= 0x07
                If ((\_SB.SOID == 0x0153))
                {
                    TYPE = (One << 0x0A)
                }

                If ((\_SB.SDFE == 0x56))
                {
                    FAMI = (One << 0x0B)
                }
                ElseIf ((\_SB.SDFE == 0x66))
                {
                    FAMI = (0x02 << 0x0B)
                }

                RESU |= TIER /* \_SB_.GPU0._HRV.RESU */
                RESU |= MINO /* \_SB_.GPU0._HRV.RESU */
                RESU |= MAJO /* \_SB_.GPU0._HRV.RESU */
                RESU |= TYPE /* \_SB_.GPU0._HRV.RESU */
                RESU |= FAMI /* \_SB_.GPU0._HRV.RESU */
                Return (RESU) /* \_SB_.GPU0._HRV.RESU */
            }

            Method (CHDV, 0, NotSerialized)
            {
                Name (CHIF, Package (0x02)
                {
                    One, 
                    Package (0x07)
                    {
                        "CHILDDEV", 
                        Zero, 
                        0x00024321, 
                        "QCOM_AVStream_8150", 
                        Zero, 
                        "Qualcomm Camera AVStream Mini Driver", 
                        Package (0x04)
                        {
                            "COMPATIBLEIDS", 
                            0x02, 
                            "VEN_QCOM&DEV__AVSTREAM", 
                            "QCOM_AVSTREAM"
                        }
                    }
                })
                Return (CHIF) /* \_SB_.GPU0.CHDV.CHIF */
            }

            Method (DPCC, 2, NotSerialized)
            {
                Return (\_SB.CCST)
            }

            Method (DPIN, 2, NotSerialized)
            {
                Return (\_SB.PINA)
            }

            Method (REGR, 0, NotSerialized)
            {
                Name (RBUF, Package (0x1A)
                {
                    Package (0x02)
                    {
                        "ForceMaxPerf", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "ForceStablePowerSettings", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "ForceActive", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DeferForceActive", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "PreventPowerCollapse", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "DisableThermalMitigation", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "OPMApiVersion", 
                        0x02
                    }, 

                    Package (0x02)
                    {
                        "DisableTzMDSSRestore", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "UseLowPTForGfxPerProcess", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "DisableCDI", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "GPU64bAddrEnabled", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "MaxPreemptionOffsets", 
                        0x80
                    }, 

                    Package (0x02)
                    {
                        "MaxRequiredDmaQueueEntry", 
                        0x08
                    }, 

                    Package (0x02)
                    {
                        "SupportsSecureInAperture", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "ZeroFlagSupportInPTE", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "SupportsCacheCoherency", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "SupportsSHMBridge", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "SecureCarveoutSize", 
                        0x00200000
                    }, 

                    Package (0x02)
                    {
                        "allowDrmAbove1080p", 
                        One
                    }, 

                    Package (0x02)
                    {
                        "ZeroPageLowAddr", 
                        0x85F40000
                    }, 

                    Package (0x02)
                    {
                        "ZeroPageHighAddr", 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        "KeepUefiBuffer", 
                        One
                    }, 

                    Package (0x05)
                    {
                        "GRAPHICS", 
                        Package (0x02)
                        {
                            "EnableSystemCache", 
                            One
                        }, 

                        Package (0x02)
                        {
                            "EnableSysCacheForGpuhtw", 
                            One
                        }, 

                        Package (0x0A)
                        {
                            "DCVS", 
                            Package (0x02)
                            {
                                "Enable", 
                                One
                            }, 

                            Package (0x02)
                            {
                                "IncreaseFilterBw", 
                                0x00020000
                            }, 

                            Package (0x02)
                            {
                                "DecreaseFilterBw", 
                                0x3333
                            }, 

                            Package (0x02)
                            {
                                "TargetBusyPct", 
                                0x55
                            }, 

                            Package (0x02)
                            {
                                "SampleRate", 
                                0x3C
                            }, 

                            Package (0x02)
                            {
                                "TargetBusyPctOffscreen", 
                                0x4B
                            }, 

                            Package (0x02)
                            {
                                "SampleRateOffscreen", 
                                0x14
                            }, 

                            Package (0x02)
                            {
                                "GpuResetValue", 
                                0x11490C80
                            }, 

                            Package (0x02)
                            {
                                "BusResetValue", 
                                0x04B0
                            }
                        }, 

                        Package (0x06)
                        {
                            "A6x", 
                            Package (0x02)
                            {
                                "DisableICG", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "DisableGmuCG", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "DisableGmuACD", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "EnableFallbackToDisableSecureMode", 
                                Zero
                            }, 

                            Package (0x02)
                            {
                                "DisableCPCrashDump", 
                                Zero
                            }
                        }
                    }, 

                    Package (0x02)
                    {
                        "VIDEO", 
                        Package (0x02)
                        {
                            "EnableSystemCache", 
                            One
                        }
                    }, 

                    Package (0x02)
                    {
                        "CRYPTO", 
                        Package (0x02)
                        {
                            "EnableCryptoVA", 
                            One
                        }
                    }, 

                    Package (0x07)
                    {
                        "DISPLAY", 
                        Package (0x02)
                        {
                            "DisableMiracast", 
                            One
                        }, 

                        Package (0x02)
                        {
                            "EnableOEMDriverDependency", 
                            One
                        }, 

                        Package (0x02)
                        {
                            "EnableBridgeDriverDependency", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "DisableRotator", 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            "DisableMDPBLT", 
                            One
                        }, 

                        Package (0x02)
                        {
                            "DisableExternal", 
                            0x3B
                        }
                    }
                })
                Return (RBUF) /* \_SB_.GPU0.REGR.RBUF */
            }
        }

        Device (SCM0)
        {
            Name (_HID, "QCOM040B")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
        }

        Device (TREE)
        {
            Name (_HID, "QCOM0476")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveLow, Exclusive, PullUp, 0x0000,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0009
                        }
                    Memory32Fixed (ReadWrite,
                        0xDEADBEEF,         // Address Base
                        0xBEEFDEAD,         // Address Length
                        _Y00)
                })
                CreateDWordField (RBUF, \_SB.TREE._CRS._Y00._BAS, TGCA)  // _BAS: Base Address
                CreateDWordField (RBUF, \_SB.TREE._CRS._Y00._LEN, TGCL)  // _LEN: Length
                TGCA = \_SB.TCMA
                TGCL = \_SB.TCML
                Return (RBUF) /* \_SB_.TREE._CRS.RBUF */
            }
        }

        Device (SPMI)
        {
            Name (_HID, "QCOM040C")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_CID, "PNP0CA2")  // _CID: Compatible ID
            Name (_UID, One)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0C400000,         // Address Base
                        0x02800000,         // Address Length
                        )
                })
                Return (RBUF) /* \_SB_.SPMI._CRS.RBUF */
            }

            Method (CONF, 0, NotSerialized)
            {
                Name (XBUF, Buffer (0x1A)
                {
                    /* 0000 */  0x00, 0x01, 0x01, 0x01, 0xFF, 0x00, 0x02, 0x00,  // ........
                    /* 0008 */  0x0A, 0x07, 0x04, 0x07, 0x01, 0xFF, 0x10, 0x01,  // ........
                    /* 0010 */  0x00, 0x01, 0x0C, 0x40, 0x00, 0x00, 0x02, 0x80,  // ...@....
                    /* 0018 */  0x00, 0x00                                       // ..
                })
                Return (XBUF) /* \_SB_.SPMI.CONF.XBUF */
            }
        }

        Device (GIO0)
        {
            Name (_HID, "QCOM040D")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            OperationRegion (GPOR, GeneralPurposeIo, Zero, One)
            Field (\_SB.GIO0.GPOR, ByteAcc, NoLock, Preserve)
            {
                Connection (
                    GpioIo (Shared, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0079
                        }
                ), 
                LIDR,   1
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x03000000,         // Address Base
                        0x00DDC000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Shared, ,, )
                    {
                        0x000000F0,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Shared, ,, )
                    {
                        0x000000F0,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Shared, ,, )
                    {
                        0x000000F0,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Shared, ,, )
                    {
                        0x00000249,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Shared, ,, )
                    {
                        0x0000025B,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Shared, ,, )
                    {
                        0x00000259,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000022C,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000024E,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000292,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000239,
                    }
                })
                Return (RBUF) /* \_SB_.GIO0._CRS.RBUF */
            }

            Method (OFNI, 0, NotSerialized)
            {
                Name (RBUF, Buffer (0x02)
                {
                     0xAF, 0x00                                       // ..
                })
                Return (RBUF) /* \_SB_.GIO0.OFNI.RBUF */
            }

            Name (GABL, Zero)
            Method (_REG, 2, NotSerialized)  // _REG: Region Availability
            {
                If ((Arg0 == 0x08))
                {
                    GABL = Arg1
                }
            }

            Method (_AEI, 0, NotSerialized)  // _AEI: ACPI Event Interrupts
            {
                If ((\_SB.PLST == One))
                {
                    Name (RBFC, ResourceTemplate ()
                    {
                        GpioInt (Edge, ActiveBoth, SharedAndWake, PullNone, 0x0000,
                            "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                            )
                            {   // Pin list
                                0x0140
                            }
                    })
                    Return (RBFC) /* \_SB_.GIO0._AEI.RBFC */
                }
                Else
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        GpioInt (Edge, ActiveHigh, Exclusive, PullDown, 0x01F4,
                            "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                            )
                            {   // Pin list
                                0x00BD
                            }
                        GpioInt (Edge, ActiveBoth, SharedAndWake, PullNone, 0x0000,
                            "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                            )
                            {   // Pin list
                                0x0140
                            }
                    })
                    Return (RBUF) /* \_SB_.GIO0._AEI.RBUF */
                }
            }

            Method (_EBD, 0, NotSerialized)  // _Exx: Edge-Triggered GPE, xx=0x00-0xFF
            {
                If ((\_SB.PLST != One))
                {
                    Notify (\_SB.GPU0, 0x92) // Device-Specific
                }
            }

            Method (_EVT, 1, NotSerialized)  // _EVT: Event
            {
                While (One)
                {
                    Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                    _T_0 = Arg0
                    If ((_T_0 == 0x0140))
                    {
                        \_SB.LID0.LIDB = \_SB.GIO0.LIDR
                        Notify (\_SB.LID0, 0x80) // Status Change
                    }

                    Break
                }
            }
        }

        Device (PCI0)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.QPPX
            })
            Name (_HID, EisaId ("PNP0A08") /* PCI Express Bus */)  // _HID: Hardware ID
            Name (_CID, EisaId ("PNP0A03") /* PCI Bus */)  // _CID: Compatible ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_SEG, Zero)  // _SEG: PCI Segment
            Name (_BBN, Zero)  // _BBN: BIOS Bus Number
            Name (_PRT, Package (0x04)  // _PRT: PCI Routing Table
            {
                Package (0x04)
                {
                    0xFFFF, 
                    Zero, 
                    Zero, 
                    0xB5
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    One, 
                    Zero, 
                    0xB6
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    0x02, 
                    Zero, 
                    0xB7
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    0x03, 
                    Zero, 
                    0xB8
                }
            })
            Method (_CCA, 0, NotSerialized)  // _CCA: Cache Coherency Attribute
            {
                Return (One)
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((PRP0 == One))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }

            Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
            {
                Return (Zero)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x60200000,         // Address Base
                        0x01DF0000,         // Address Length
                        )
                    WordBusNumber (ResourceProducer, MinFixed, MaxFixed, PosDecode,
                        0x0000,             // Granularity
                        0x0000,             // Range Minimum
                        0x0001,             // Range Maximum
                        0x0000,             // Translation Offset
                        0x0002,             // Length
                        ,, )
                })
                Return (RBUF) /* \_SB_.PCI0._CRS.RBUF */
            }

            Name (SUPP, Zero)
            Name (CTRL, Zero)
            Method (_DSW, 3, NotSerialized)  // _DSW: Device Sleep Wake
            {
            }

            Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
            {
                If ((Arg0 == ToUUID ("33db4d5b-1ff7-401c-9657-7441c03dd766") /* PCI Host Bridge Device */))
                {
                    CreateDWordField (Arg3, Zero, CDW1)
                    CreateDWordField (Arg3, 0x04, CDW2)
                    CreateDWordField (Arg3, 0x08, CDW3)
                    SUPP = CDW2 /* \_SB_.PCI0._OSC.CDW2 */
                    CTRL = CDW3 /* \_SB_.PCI0._OSC.CDW3 */
                    If (((SUPP & 0x16) != 0x16))
                    {
                        CTRL &= 0x1E
                    }

                    CTRL &= 0x15
                    If ((Arg1 != One))
                    {
                        CDW1 |= 0x08
                    }

                    If ((CDW3 != CTRL))
                    {
                        CDW1 |= 0x10
                    }

                    CDW3 = CTRL /* \_SB_.PCI0.CTRL */
                    Return (Arg3)
                }
                Else
                {
                    CDW1 |= 0x04
                    Return (Arg3)
                }
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                If ((Arg0 == ToUUID ("e5c937d0-3553-4d7a-9117-ea4d19c3434d") /* Device Labeling Interface */))
                {
                    While (One)
                    {
                        Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                        _T_0 = ToInteger (Arg2)
                        If ((_T_0 == Zero))
                        {
                            Return (Buffer (0x02)
                            {
                                 0xFF, 0x03                                       // ..
                            })
                        }
                        ElseIf ((_T_0 == One))
                        {
                            Return (Package (0x02)
                            {
                                Package (One)
                                {
                                    One
                                }, 

                                Package (0x03)
                                {
                                    Zero, 
                                    One, 
                                    One
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x02))
                        {
                            Return (Package (One)
                            {
                                Package (0x04)
                                {
                                    One, 
                                    0x03, 
                                    Zero, 
                                    0x07
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x03))
                        {
                            Return (Package (One)
                            {
                                Zero
                            })
                        }
                        ElseIf ((_T_0 == 0x04))
                        {
                            Return (Package (0x02)
                            {
                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (0x04)
                                {
                                    One, 
                                    0x03, 
                                    Zero, 
                                    0x07
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x05))
                        {
                            Return (Package (One)
                            {
                                One
                            })
                        }
                        ElseIf ((_T_0 == 0x06))
                        {
                            Return (Package (0x04)
                            {
                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x07))
                        {
                            Return (Package (One)
                            {
                                One
                            })
                        }
                        ElseIf ((_T_0 == 0x08))
                        {
                            Return (Package (One)
                            {
                                One
                            })
                        }
                        ElseIf ((_T_0 == 0x09))
                        {
                            Return (Package (0x05)
                            {
                                0xFFFFFFFF, 
                                0xFFFFFFFF, 
                                0xFFFFFFFF, 
                                Zero, 
                                0xFFFFFFFF
                            })
                        }
                        Else
                        {
                        }

                        Break
                    }
                }
            }

            Name (_S0W, 0x04)  // _S0W: S0 Device Wake State
            Name (_PR0, Package (0x01)  // _PR0: Power Resources for D0
            {
                \_SB.P0RR
            })
            Name (_PR3, Package (0x01)  // _PR3: Power Resources for D3hot
            {
                \_SB.P0RR
            })
            Device (RP1)
            {
                Method (_ADR, 0, Serialized)  // _ADR: Address
                {
                    Return (Zero)
                }

                Name (_PR0, Package (0x01)  // _PR0: Power Resources for D0
                {
                    \_SB.R0RR
                })
                Name (_PR3, Package (0x01)  // _PR3: Power Resources for D3hot
                {
                    \_SB.R0RR
                })
                Name (_PRR, Package (0x01)  // _PRR: Power Resource for Reset
                {
                    \_SB.R0RR
                })
                Name (_S0W, 0x04)  // _S0W: S0 Device Wake State
                Name (_DSD, Package (0x02)  // _DSD: Device-Specific Data
                {
                    ToUUID ("6211e2c0-58a3-4af3-90e1-927a4e0c55a4") /* Unknown UUID */, 
                    Package (0x01)
                    {
                        Package (0x02)
                        {
                            "HotPlugSupportInD3", 
                            One
                        }
                    }
                })
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    If ((PSUB == "CLS08150"))
                    {
                        Name (RBF0, Buffer (0x02)
                        {
                             0x79, 0x00                                       // y.
                        })
                        Return (RBF0) /* \_SB_.PCI0.RP1_._CRS.RBF0 */
                    }
                    Else
                    {
                        Name (RBF1, ResourceTemplate ()
                        {
                            GpioInt (Edge, ActiveLow, ExclusiveAndWake, PullUp, 0x0000,
                                "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                                )
                                {   // Pin list
                                    0x0180
                                }
                        })
                        Return (RBF1) /* \_SB_.PCI0.RP1_._CRS.RBF1 */
                    }
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg0 == ToUUID ("e5c937d0-3553-4d7a-9117-ea4d19c3434d") /* Device Labeling Interface */))
                    {
                        While (One)
                        {
                            Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_0 = ToInteger (Arg2)
                            If ((_T_0 == Zero))
                            {
                                Return (Buffer (0x02)
                                {
                                     0x01, 0x03                                       // ..
                                })
                            }
                            ElseIf ((_T_0 == 0x08))
                            {
                                Return (Package (One)
                                {
                                    One
                                })
                            }
                            ElseIf ((_T_0 == 0x09))
                            {
                                Return (Package (0x05)
                                {
                                    0xFFFFFFFF, 
                                    0xFFFFFFFF, 
                                    0xFFFFFFFF, 
                                    Zero, 
                                    0xFFFFFFFF
                                })
                            }
                            Else
                            {
                            }

                            Break
                        }
                    }
                }
            }
        }

        PowerResource (P0RR, 0x05, 0x0000)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_ON, 0, NotSerialized)  // _ON_: Power On
            {
            }

            Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
            {
            }
        }

        PowerResource (R0RR, 0x05, 0x0000)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_ON, 0, NotSerialized)  // _ON_: Power On
            {
            }

            Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
            {
            }

            Method (_RST, 0, NotSerialized)  // _RST: Device Reset
            {
            }
        }

        Device (QPPX)
        {
            Name (_HID, "QCOM04A2")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }

            Method (_CRS, 0, Serialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x01FEC004,         // Address Base
                        0x00000004,         // Address Length
                        )
                    GpioIo (Shared, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x01
                        })
                        {   // Pin list
                            0x0023
                        }
                    GpioIo (Shared, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x01, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x01
                        })
                        {   // Pin list
                            0x00AF
                        }
                    GpioIo (Shared, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x02, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x01
                        })
                        {   // Pin list
                            0x0066
                        }
                    GpioIo (Shared, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x03, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x01
                        })
                        {   // Pin list
                            0x00B2
                        }
                })
                Return (RBUF) /* \_SB_.QPPX._CRS.RBUF */
            }

            Method (_QPG, 0, Serialized)
            {
                If ((\_SB.PSUB == "CLS08150"))
                {
                    Return (Package (0x04)
                    {
                        Zero, 
                        One, 
                        One, 
                        One
                    })
                }
                Else
                {
                    Return (Package (0x04)
                    {
                        One, 
                        One, 
                        One, 
                        One
                    })
                }
            }

            Name (GWLE, ResourceTemplate ()
            {
                GpioIo (Exclusive, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                    "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                    )
                    {   // Pin list
                        0x00A9
                    }
            })
            Name (GMDM, ResourceTemplate ()
            {
                GpioIo (Exclusive, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                    "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                    )
                    {   // Pin list
                        0x00B9
                    }
            })
            Name (GMDR, ResourceTemplate ()
            {
                GpioIo (Exclusive, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                    "\\_SB.PM01", 0x00, ResourceConsumer, ,
                    )
                    {   // Pin list
                        0x0210
                    }
            })
            Name (GMDS, ResourceTemplate ()
            {
                GpioIo (Exclusive, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                    "\\_SB.PM01", 0x00, ResourceConsumer, ,
                    )
                    {   // Pin list
                        0x02A5
                    }
            })
            Scope (\_SB.GIO0)
            {
                OperationRegion (WLEN, GeneralPurposeIo, Zero, One)
                OperationRegion (MPON, GeneralPurposeIo, Zero, One)
            }

            Scope (\_SB.PM01)
            {
                OperationRegion (PMDR, GeneralPurposeIo, Zero, One)
                OperationRegion (PMON, GeneralPurposeIo, Zero, One)
            }

            Field (\_SB.GIO0.WLEN, ByteAcc, NoLock, Preserve)
            {
                Connection (\_SB.QPPX.GWLE), 
                WLEN,   1
            }

            Field (\_SB.GIO0.MPON, ByteAcc, NoLock, Preserve)
            {
                Connection (\_SB.QPPX.GMDM), 
                MPON,   1
            }

            Field (\_SB.PM01.PMDR, ByteAcc, NoLock, Preserve)
            {
                Connection (\_SB.QPPX.GMDR), 
                PMDR,   1
            }

            Field (\_SB.PM01.PMON, ByteAcc, NoLock, Preserve)
            {
                Connection (\_SB.QPPX.GMDS), 
                PMON,   1
            }

            Method (_RST, 1, Serialized)  // _RST: Device Reset
            {
                While (One)
                {
                    Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                    _T_0 = ToInteger (Arg0)
                    If ((_T_0 == Zero))
                    {
                        If ((\_SB.PSUB == "MTP08150"))
                        {
                            If (((\_SB.PLST == One) || (\_SB.PLST == 0x04)))
                            {
                                \_SB.QPPX.WLEN = Zero
                                Sleep (0x05)
                                \_SB.QPPX.WLEN = One
                            }
                        }
                        ElseIf ((\_SB.PSUB == "CLS08150"))
                        {
                            If (((\_SB.SOID == 0x0169) && ((BSID == 0x02) || (BSID == 0x03))))
                            {
                                \_SB.QPPX.WLEN = Zero
                                Sleep (0x05)
                                \_SB.QPPX.WLEN = One
                            }
                        }
                    }
                    ElseIf ((_T_0 == One)){}
                    ElseIf ((_T_0 == 0x02)){}
                    ElseIf ((_T_0 == 0x03))
                    {
                        If ((\_SB.PSUB == "CLS08150"))
                        {
                            If ((BREV == Zero))
                            {
                                \_SB.QPPX.PMON = Zero
                                \_SB.QPPX.PMDR = Zero
                                \_SB.QPPX.MPON = Zero
                                Sleep (0x0190)
                                \_SB.QPPX.MPON = One
                                \_SB.QPPX.PMDR = One
                                Sleep (0x64)
                                \_SB.QPPX.PMON = One
                                Sleep (0x1E)
                            }
                        }
                    }
                    Else
                    {
                        Debug = "Invalid PCIe port number passed to QPPX reset helper"
                    }

                    Break
                }
            }
        }

        Device (PCI1)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.QPPX
            })
            Name (_HID, EisaId ("PNP0A08") /* PCI Express Bus */)  // _HID: Hardware ID
            Name (_CID, EisaId ("PNP0A03") /* PCI Bus */)  // _CID: Compatible ID
            Name (_UID, One)  // _UID: Unique ID
            Name (_SEG, One)  // _SEG: PCI Segment
            Name (_BBN, Zero)  // _BBN: BIOS Bus Number
            Name (_PRT, Package (0x04)  // _PRT: PCI Routing Table
            {
                Package (0x04)
                {
                    0xFFFF, 
                    Zero, 
                    Zero, 
                    0x030B
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    One, 
                    Zero, 
                    0x030A
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    0x02, 
                    Zero, 
                    0x0309
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    0x03, 
                    Zero, 
                    0x0308
                }
            })
            Method (_CCA, 0, NotSerialized)  // _CCA: Cache Coherency Attribute
            {
                Return (One)
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((PRP1 == One))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }

            Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
            {
                Return (Zero)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x68200000,         // Address Base
                        0x01DF0000,         // Address Length
                        )
                    WordBusNumber (ResourceProducer, MinFixed, MaxFixed, PosDecode,
                        0x0000,             // Granularity
                        0x0000,             // Range Minimum
                        0x0001,             // Range Maximum
                        0x0000,             // Translation Offset
                        0x0002,             // Length
                        ,, )
                })
                Return (RBUF) /* \_SB_.PCI1._CRS.RBUF */
            }

            Name (SUPP, Zero)
            Name (CTRL, Zero)
            Method (_DSW, 3, NotSerialized)  // _DSW: Device Sleep Wake
            {
            }

            Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
            {
                If ((Arg0 == ToUUID ("33db4d5b-1ff7-401c-9657-7441c03dd766") /* PCI Host Bridge Device */))
                {
                    CreateDWordField (Arg3, Zero, CDW1)
                    CreateDWordField (Arg3, 0x04, CDW2)
                    CreateDWordField (Arg3, 0x08, CDW3)
                    SUPP = CDW2 /* \_SB_.PCI1._OSC.CDW2 */
                    CTRL = CDW3 /* \_SB_.PCI1._OSC.CDW3 */
                    If (((SUPP & 0x16) != 0x16))
                    {
                        CTRL &= 0x1E
                    }

                    CTRL &= 0x15
                    If ((Arg1 != One))
                    {
                        CDW1 |= 0x08
                    }

                    If ((CDW3 != CTRL))
                    {
                        CDW1 |= 0x10
                    }

                    CDW3 = CTRL /* \_SB_.PCI1.CTRL */
                    Return (Arg3)
                }
                Else
                {
                    CDW1 |= 0x04
                    Return (Arg3)
                }
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                If ((Arg0 == ToUUID ("e5c937d0-3553-4d7a-9117-ea4d19c3434d") /* Device Labeling Interface */))
                {
                    While (One)
                    {
                        Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                        _T_0 = ToInteger (Arg2)
                        If ((_T_0 == Zero))
                        {
                            Return (Buffer (0x02)
                            {
                                 0xFF, 0x03                                       // ..
                            })
                        }
                        ElseIf ((_T_0 == One))
                        {
                            Return (Package (0x02)
                            {
                                Package (One)
                                {
                                    One
                                }, 

                                Package (0x03)
                                {
                                    Zero, 
                                    One, 
                                    One
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x02))
                        {
                            Return (Package (One)
                            {
                                Package (0x04)
                                {
                                    One, 
                                    0x03, 
                                    Zero, 
                                    0x07
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x03))
                        {
                            Return (Package (One)
                            {
                                Zero
                            })
                        }
                        ElseIf ((_T_0 == 0x04))
                        {
                            Return (Package (0x02)
                            {
                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (0x04)
                                {
                                    One, 
                                    0x03, 
                                    Zero, 
                                    0x07
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x05))
                        {
                            Return (Package (One)
                            {
                                One
                            })
                        }
                        ElseIf ((_T_0 == 0x06))
                        {
                            Return (Package (0x04)
                            {
                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x07))
                        {
                            Return (Package (One)
                            {
                                0x02
                            })
                        }
                        ElseIf ((_T_0 == 0x08))
                        {
                            Return (Package (One)
                            {
                                One
                            })
                        }
                        ElseIf ((_T_0 == 0x09))
                        {
                            Return (Package (0x05)
                            {
                                0xFFFFFFFF, 
                                0xFFFFFFFF, 
                                0xFFFFFFFF, 
                                Zero, 
                                0xFFFFFFFF
                            })
                        }
                        Else
                        {
                        }

                        Break
                    }
                }
            }

            Name (_S0W, 0x04)  // _S0W: S0 Device Wake State
            Name (_PR0, Package (0x01)  // _PR0: Power Resources for D0
            {
                \_SB.P1RR
            })
            Name (_PR3, Package (0x01)  // _PR3: Power Resources for D3hot
            {
                \_SB.P1RR
            })
            Device (RP1)
            {
                Method (_ADR, 0, Serialized)  // _ADR: Address
                {
                    Return (Zero)
                }

                Name (_PR0, Package (0x01)  // _PR0: Power Resources for D0
                {
                    \_SB.R1RR
                })
                Name (_PR3, Package (0x01)  // _PR3: Power Resources for D3hot
                {
                    \_SB.R1RR
                })
                Name (_PRR, Package (0x01)  // _PRR: Power Resource for Reset
                {
                    \_SB.R1RR
                })
                Name (_S0W, 0x04)  // _S0W: S0 Device Wake State
                Name (_DSD, Package (0x02)  // _DSD: Device-Specific Data
                {
                    ToUUID ("6211e2c0-58a3-4af3-90e1-927a4e0c55a4") /* Unknown UUID */, 
                    Package (0x01)
                    {
                        Package (0x02)
                        {
                            "HotPlugSupportInD3", 
                            One
                        }
                    }
                })
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        GpioInt (Edge, ActiveLow, ExclusiveAndWake, PullUp, 0x0000,
                            "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                            )
                            {   // Pin list
                                0x01C0
                            }
                    })
                    Return (RBUF) /* \_SB_.PCI1.RP1_._CRS.RBUF */
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg0 == ToUUID ("e5c937d0-3553-4d7a-9117-ea4d19c3434d") /* Device Labeling Interface */))
                    {
                        While (One)
                        {
                            Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_0 = ToInteger (Arg2)
                            If ((_T_0 == Zero))
                            {
                                Return (Buffer (0x02)
                                {
                                     0x01, 0x03                                       // ..
                                })
                            }
                            ElseIf ((_T_0 == 0x08))
                            {
                                Return (Package (One)
                                {
                                    One
                                })
                            }
                            ElseIf ((_T_0 == 0x09))
                            {
                                Return (Package (0x05)
                                {
                                    0xFFFFFFFF, 
                                    0xFFFFFFFF, 
                                    0xFFFFFFFF, 
                                    Zero, 
                                    0xFFFFFFFF
                                })
                            }
                            Else
                            {
                            }

                            Break
                        }
                    }
                }
            }
        }

        PowerResource (P1RR, 0x05, 0x0000)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_ON, 0, NotSerialized)  // _ON_: Power On
            {
            }

            Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
            {
            }
        }

        PowerResource (R1RR, 0x05, 0x0000)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_ON, 0, NotSerialized)  // _ON_: Power On
            {
            }

            Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
            {
            }

            Method (_RST, 0, NotSerialized)  // _RST: Device Reset
            {
            }
        }

        Device (PCI2)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.QPPX
            })
            Name (_HID, EisaId ("PNP0A08") /* PCI Express Bus */)  // _HID: Hardware ID
            Name (_CID, EisaId ("PNP0A03") /* PCI Bus */)  // _CID: Compatible ID
            Name (_UID, 0x02)  // _UID: Unique ID
            Name (_SEG, 0x02)  // _SEG: PCI Segment
            Name (_BBN, Zero)  // _BBN: BIOS Bus Number
            Name (_PRT, Package (0x04)  // _PRT: PCI Routing Table
            {
                Package (0x04)
                {
                    0xFFFF, 
                    Zero, 
                    Zero, 
                    0x02B7
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    One, 
                    Zero, 
                    0x02B6
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    0x02, 
                    Zero, 
                    0x02B5
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    0x03, 
                    Zero, 
                    0x02B4
                }
            })
            Method (_CCA, 0, NotSerialized)  // _CCA: Cache Coherency Attribute
            {
                Return (One)
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((PRP2 == One))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }

            Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
            {
                Return (Zero)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x70200000,         // Address Base
                        0x01DF0000,         // Address Length
                        )
                    WordBusNumber (ResourceProducer, MinFixed, MaxFixed, PosDecode,
                        0x0000,             // Granularity
                        0x0000,             // Range Minimum
                        0x0001,             // Range Maximum
                        0x0000,             // Translation Offset
                        0x0002,             // Length
                        ,, )
                })
                Return (RBUF) /* \_SB_.PCI2._CRS.RBUF */
            }

            Name (SUPP, Zero)
            Name (CTRL, Zero)
            Method (_DSW, 3, NotSerialized)  // _DSW: Device Sleep Wake
            {
            }

            Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
            {
                If ((Arg0 == ToUUID ("33db4d5b-1ff7-401c-9657-7441c03dd766") /* PCI Host Bridge Device */))
                {
                    CreateDWordField (Arg3, Zero, CDW1)
                    CreateDWordField (Arg3, 0x04, CDW2)
                    CreateDWordField (Arg3, 0x08, CDW3)
                    SUPP = CDW2 /* \_SB_.PCI2._OSC.CDW2 */
                    CTRL = CDW3 /* \_SB_.PCI2._OSC.CDW3 */
                    If (((SUPP & 0x16) != 0x16))
                    {
                        CTRL &= 0x1E
                    }

                    CTRL &= 0x15
                    If ((Arg1 != One))
                    {
                        CDW1 |= 0x08
                    }

                    If ((CDW3 != CTRL))
                    {
                        CDW1 |= 0x10
                    }

                    CDW3 = CTRL /* \_SB_.PCI2.CTRL */
                    Return (Arg3)
                }
                Else
                {
                    CDW1 |= 0x04
                    Return (Arg3)
                }
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                If ((Arg0 == ToUUID ("e5c937d0-3553-4d7a-9117-ea4d19c3434d") /* Device Labeling Interface */))
                {
                    While (One)
                    {
                        Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                        _T_0 = ToInteger (Arg2)
                        If ((_T_0 == Zero))
                        {
                            Return (Buffer (0x02)
                            {
                                 0xFF, 0x03                                       // ..
                            })
                        }
                        ElseIf ((_T_0 == One))
                        {
                            Return (Package (0x02)
                            {
                                Package (One)
                                {
                                    One
                                }, 

                                Package (0x03)
                                {
                                    Zero, 
                                    One, 
                                    One
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x02))
                        {
                            Return (Package (One)
                            {
                                Package (0x04)
                                {
                                    One, 
                                    0x03, 
                                    Zero, 
                                    0x07
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x03))
                        {
                            Return (Package (One)
                            {
                                Zero
                            })
                        }
                        ElseIf ((_T_0 == 0x04))
                        {
                            Return (Package (0x02)
                            {
                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (0x04)
                                {
                                    One, 
                                    0x03, 
                                    Zero, 
                                    0x07
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x05))
                        {
                            Return (Package (One)
                            {
                                One
                            })
                        }
                        ElseIf ((_T_0 == 0x06))
                        {
                            Return (Package (0x04)
                            {
                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x07))
                        {
                            Return (Package (One)
                            {
                                0x03
                            })
                        }
                        ElseIf ((_T_0 == 0x08))
                        {
                            Return (Package (One)
                            {
                                One
                            })
                        }
                        ElseIf ((_T_0 == 0x09))
                        {
                            Return (Package (0x05)
                            {
                                0xFFFFFFFF, 
                                0xFFFFFFFF, 
                                0xFFFFFFFF, 
                                Zero, 
                                0xFFFFFFFF
                            })
                        }
                        Else
                        {
                        }

                        Break
                    }
                }
            }

            Name (_S0W, 0x04)  // _S0W: S0 Device Wake State
            Name (_PR0, Package (0x01)  // _PR0: Power Resources for D0
            {
                \_SB.P2RR
            })
            Name (_PR3, Package (0x01)  // _PR3: Power Resources for D3hot
            {
                \_SB.P2RR
            })
            Device (RP1)
            {
                Method (_ADR, 0, Serialized)  // _ADR: Address
                {
                    Return (Zero)
                }

                Name (_PR0, Package (0x01)  // _PR0: Power Resources for D0
                {
                    \_SB.R2RR
                })
                Name (_PR3, Package (0x01)  // _PR3: Power Resources for D3hot
                {
                    \_SB.R2RR
                })
                Name (_PRR, Package (0x01)  // _PRR: Power Resource for Reset
                {
                    \_SB.R2RR
                })
                Name (_S0W, 0x04)  // _S0W: S0 Device Wake State
                Name (_DSD, Package (0x02)  // _DSD: Device-Specific Data
                {
                    ToUUID ("6211e2c0-58a3-4af3-90e1-927a4e0c55a4") /* Unknown UUID */, 
                    Package (0x01)
                    {
                        Package (0x02)
                        {
                            "HotPlugSupportInD3", 
                            One
                        }
                    }
                })
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        GpioInt (Edge, ActiveLow, ExclusiveAndWake, PullUp, 0x0000,
                            "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                            )
                            {   // Pin list
                                0x0200
                            }
                    })
                    Return (RBUF) /* \_SB_.PCI2.RP1_._CRS.RBUF */
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg0 == ToUUID ("e5c937d0-3553-4d7a-9117-ea4d19c3434d") /* Device Labeling Interface */))
                    {
                        While (One)
                        {
                            Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_0 = ToInteger (Arg2)
                            If ((_T_0 == Zero))
                            {
                                Return (Buffer (0x02)
                                {
                                     0x01, 0x03                                       // ..
                                })
                            }
                            ElseIf ((_T_0 == 0x08))
                            {
                                Return (Package (One)
                                {
                                    One
                                })
                            }
                            ElseIf ((_T_0 == 0x09))
                            {
                                Return (Package (0x05)
                                {
                                    0xFFFFFFFF, 
                                    0xFFFFFFFF, 
                                    0xFFFFFFFF, 
                                    Zero, 
                                    0xFFFFFFFF
                                })
                            }
                            Else
                            {
                            }

                            Break
                        }
                    }
                }
            }
        }

        PowerResource (P2RR, 0x05, 0x0000)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_ON, 0, NotSerialized)  // _ON_: Power On
            {
            }

            Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
            {
            }
        }

        PowerResource (R2RR, 0x05, 0x0000)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_ON, 0, NotSerialized)  // _ON_: Power On
            {
            }

            Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
            {
            }

            Method (_RST, 0, NotSerialized)  // _RST: Device Reset
            {
            }
        }

        Device (PCI3)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.QPPX
            })
            Name (_HID, EisaId ("PNP0A08") /* PCI Express Bus */)  // _HID: Hardware ID
            Name (_CID, EisaId ("PNP0A03") /* PCI Bus */)  // _CID: Compatible ID
            Name (_UID, 0x03)  // _UID: Unique ID
            Name (_SEG, 0x03)  // _SEG: PCI Segment
            Name (_BBN, Zero)  // _BBN: BIOS Bus Number
            Name (_PRT, Package (0x04)  // _PRT: PCI Routing Table
            {
                Package (0x04)
                {
                    0xFFFF, 
                    Zero, 
                    Zero, 
                    0x01D2
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    One, 
                    Zero, 
                    0x01D3
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    0x02, 
                    Zero, 
                    0x01D6
                }, 

                Package (0x04)
                {
                    0xFFFF, 
                    0x03, 
                    Zero, 
                    0x01D7
                }
            })
            Method (_CCA, 0, NotSerialized)  // _CCA: Cache Coherency Attribute
            {
                Return (One)
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((PRP3 == One))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }

            Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
            {
                Return (Zero)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x40200000,         // Address Base
                        0x01DF0000,         // Address Length
                        )
                    WordBusNumber (ResourceProducer, MinFixed, MaxFixed, PosDecode,
                        0x0000,             // Granularity
                        0x0000,             // Range Minimum
                        0x0001,             // Range Maximum
                        0x0000,             // Translation Offset
                        0x0002,             // Length
                        ,, )
                })
                Return (RBUF) /* \_SB_.PCI3._CRS.RBUF */
            }

            Name (SUPP, Zero)
            Name (CTRL, Zero)
            Method (_DSW, 3, NotSerialized)  // _DSW: Device Sleep Wake
            {
            }

            Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
            {
                If ((Arg0 == ToUUID ("33db4d5b-1ff7-401c-9657-7441c03dd766") /* PCI Host Bridge Device */))
                {
                    CreateDWordField (Arg3, Zero, CDW1)
                    CreateDWordField (Arg3, 0x04, CDW2)
                    CreateDWordField (Arg3, 0x08, CDW3)
                    SUPP = CDW2 /* \_SB_.PCI3._OSC.CDW2 */
                    CTRL = CDW3 /* \_SB_.PCI3._OSC.CDW3 */
                    If (((SUPP & 0x16) != 0x16))
                    {
                        CTRL &= 0x1E
                    }

                    CTRL &= 0x15
                    If ((Arg1 != One))
                    {
                        CDW1 |= 0x08
                    }

                    If ((CDW3 != CTRL))
                    {
                        CDW1 |= 0x10
                    }

                    CDW3 = CTRL /* \_SB_.PCI3.CTRL */
                    Return (Arg3)
                }
                Else
                {
                    CDW1 |= 0x04
                    Return (Arg3)
                }
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                If ((Arg0 == ToUUID ("e5c937d0-3553-4d7a-9117-ea4d19c3434d") /* Device Labeling Interface */))
                {
                    While (One)
                    {
                        Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                        _T_0 = ToInteger (Arg2)
                        If ((_T_0 == Zero))
                        {
                            Return (Buffer (0x02)
                            {
                                 0xFF, 0x03                                       // ..
                            })
                        }
                        ElseIf ((_T_0 == One))
                        {
                            Return (Package (0x02)
                            {
                                Package (One)
                                {
                                    One
                                }, 

                                Package (0x03)
                                {
                                    Zero, 
                                    One, 
                                    One
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x02))
                        {
                            Return (Package (One)
                            {
                                Package (0x04)
                                {
                                    One, 
                                    0x03, 
                                    Zero, 
                                    0x07
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x03))
                        {
                            Return (Package (One)
                            {
                                Zero
                            })
                        }
                        ElseIf ((_T_0 == 0x04))
                        {
                            Return (Package (0x02)
                            {
                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (0x04)
                                {
                                    One, 
                                    0x03, 
                                    Zero, 
                                    0x07
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x05))
                        {
                            Return (Package (One)
                            {
                                One
                            })
                        }
                        ElseIf ((_T_0 == 0x06))
                        {
                            Return (Package (0x04)
                            {
                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }, 

                                Package (One)
                                {
                                    Zero
                                }
                            })
                        }
                        ElseIf ((_T_0 == 0x07))
                        {
                            Return (Package (One)
                            {
                                0x04
                            })
                        }
                        ElseIf ((_T_0 == 0x08))
                        {
                            Return (Package (One)
                            {
                                One
                            })
                        }
                        ElseIf ((_T_0 == 0x09))
                        {
                            Return (Package (0x05)
                            {
                                0xFFFFFFFF, 
                                0xFFFFFFFF, 
                                0xFFFFFFFF, 
                                Zero, 
                                0xFFFFFFFF
                            })
                        }
                        Else
                        {
                        }

                        Break
                    }
                }
            }

            Name (_S0W, 0x04)  // _S0W: S0 Device Wake State
            Name (_PR0, Package (0x01)  // _PR0: Power Resources for D0
            {
                \_SB.P3RR
            })
            Name (_PR3, Package (0x01)  // _PR3: Power Resources for D3hot
            {
                \_SB.P3RR
            })
            Device (RP1)
            {
                Method (_ADR, 0, Serialized)  // _ADR: Address
                {
                    Return (Zero)
                }

                Name (_PR0, Package (0x01)  // _PR0: Power Resources for D0
                {
                    \_SB.R3RR
                })
                Name (_PR3, Package (0x01)  // _PR3: Power Resources for D3hot
                {
                    \_SB.R3RR
                })
                Name (_PRR, Package (0x01)  // _PRR: Power Resource for Reset
                {
                    \_SB.R3RR
                })
                Name (_S0W, 0x04)  // _S0W: S0 Device Wake State
                Name (_DSD, Package (0x02)  // _DSD: Device-Specific Data
                {
                    ToUUID ("6211e2c0-58a3-4af3-90e1-927a4e0c55a4") /* Unknown UUID */, 
                    Package (0x01)
                    {
                        Package (0x02)
                        {
                            "HotPlugSupportInD3", 
                            One
                        }
                    }
                })
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        GpioInt (Edge, ActiveLow, ExclusiveAndWake, PullUp, 0x0000,
                            "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                            )
                            {   // Pin list
                                0x0240
                            }
                    })
                    Return (RBUF) /* \_SB_.PCI3.RP1_._CRS.RBUF */
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg0 == ToUUID ("e5c937d0-3553-4d7a-9117-ea4d19c3434d") /* Device Labeling Interface */))
                    {
                        While (One)
                        {
                            Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_0 = ToInteger (Arg2)
                            If ((_T_0 == Zero))
                            {
                                Return (Buffer (0x02)
                                {
                                     0x01, 0x03                                       // ..
                                })
                            }
                            ElseIf ((_T_0 == 0x08))
                            {
                                Return (Package (One)
                                {
                                    One
                                })
                            }
                            ElseIf ((_T_0 == 0x09))
                            {
                                Return (Package (0x05)
                                {
                                    0xFFFFFFFF, 
                                    0xFFFFFFFF, 
                                    0xFFFFFFFF, 
                                    Zero, 
                                    0xFFFFFFFF
                                })
                            }
                            Else
                            {
                            }

                            Break
                        }
                    }
                }
            }
        }

        PowerResource (P3RR, 0x05, 0x0000)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_ON, 0, NotSerialized)  // _ON_: Power On
            {
            }

            Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
            {
            }
        }

        PowerResource (R3RR, 0x05, 0x0000)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_ON, 0, NotSerialized)  // _ON_: Power On
            {
            }

            Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
            {
            }

            Method (_RST, 0, NotSerialized)  // _RST: Device Reset
            {
            }
        }

        Device (IPC0)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.GLNK
            })
            Name (_HID, "QCOM040E")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (GLNK)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.RPEN
            })
            Name (_HID, "QCOM048D")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001E3,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000BE,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000CC,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000260,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001E1,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000BC,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000000CA,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000025E,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000017C,
                    }
                })
                Return (RBUF) /* \_SB_.GLNK._CRS.RBUF */
            }
        }

        Device (ARPC)
        {
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.MMU0, 
                \_SB.GLNK, 
                \_SB.SCM0
            })
            Name (_HID, "QCOM0460")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (ARPD)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.ADSP, 
                \_SB.ARPC
            })
            Name (_HID, "QCOM048A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (RFS0)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.IPC0
            })
            Name (_HID, "QCOM0417")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x88888888,         // Address Base
                        0x99999999,         // Address Length
                        _Y01)
                    Memory32Fixed (ReadWrite,
                        0x11111111,         // Address Base
                        0x22222222,         // Address Length
                        _Y02)
                    Memory32Fixed (ReadWrite,
                        0x33333333,         // Address Base
                        0x44444444,         // Address Length
                        _Y03)
                })
                CreateDWordField (RBUF, \_SB.RFS0._CRS._Y01._BAS, RMTA)  // _BAS: Base Address
                CreateDWordField (RBUF, \_SB.RFS0._CRS._Y01._LEN, RMTL)  // _LEN: Length
                CreateDWordField (RBUF, \_SB.RFS0._CRS._Y02._BAS, RFMA)  // _BAS: Base Address
                CreateDWordField (RBUF, \_SB.RFS0._CRS._Y02._LEN, RFML)  // _LEN: Length
                CreateDWordField (RBUF, \_SB.RFS0._CRS._Y03._BAS, RFAA)  // _BAS: Base Address
                CreateDWordField (RBUF, \_SB.RFS0._CRS._Y03._LEN, RFAL)  // _LEN: Length
                RMTA = \_SB.RMTB
                RMTL = \_SB.RMTX
                RFMA = \_SB.RFMB
                RFML = \_SB.RFMS
                RFAA = \_SB.RFAB
                RFAL = \_SB.RFAS
                Return (RBUF) /* \_SB_.RFS0._CRS.RBUF */
            }
        }

        Scope (\_SB.RFS0)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0B)
            }
        }

        Device (IPA)
        {
            Name (_DEP, Package (0x06)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.RPEN, 
                \_SB.TREE, 
                \_SB.MMU0, 
                \_SB.GSI, 
                \_SB.GLNK
            })
            Name (_HID, "QCOM0470")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Return (ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x01E40000,         // Address Base
                        0x0001FFFF,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000157,
                    }
                })
            }
        }

        Scope (\_SB.IPA)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.SOID == 0x0169))
                {
                    Return (Zero)
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }
        }

        Device (GSI)
        {
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_HID, "QCOM0483")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x01E00000,         // Address Base
                        0x00030000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001D0,
                    }
                })
                Return (RBUF) /* \_SB_.GSI_._CRS.RBUF */
            }
        }

        Scope (\_SB.GSI)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.SOID == 0x0169))
                {
                    Return (Zero)
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }
        }

        Device (QDIG)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.GLNK
            })
            Name (_HID, "QCOM0414")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (SSM)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.GLNK, 
                \_SB.TREE
            })
            Name (_HID, "QCOM0415")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }
        }

        Device (SYSM)
        {
            Name (_HID, "ACPI0010" /* Processor Container Device */)  // _HID: Hardware ID
            Name (_UID, 0x00100000)  // _UID: Unique ID
            Name (_LPI, Package (0x04)  // _LPI: Low Power Idle States
            {
                Zero, 
                0x01000000, 
                One, 
                Package (0x0A)
                {
                    0x251C, 
                    0x1770, 
                    One, 
                    0x20, 
                    Zero, 
                    Zero, 
                    0xA300, 
                    ResourceTemplate ()
                    {
                        Register (SystemMemory, 
                            0x00,               // Bit Width
                            0x00,               // Bit Offset
                            0x0000000000000000, // Address
                            ,)
                    }, 

                    ResourceTemplate ()
                    {
                        Register (SystemMemory, 
                            0x00,               // Bit Width
                            0x00,               // Bit Offset
                            0x0000000000000000, // Address
                            ,)
                    }, 

                    "platform.DRIPS"
                }
            })
            Device (CLUS)
            {
                Name (_HID, "ACPI0010" /* Processor Container Device */)  // _HID: Hardware ID
                Name (_UID, 0x10)  // _UID: Unique ID
                Name (_LPI, Package (0x05)  // _LPI: Low Power Idle States
                {
                    Zero, 
                    0x01000000, 
                    0x02, 
                    Package (0x0A)
                    {
                        0x170C, 
                        0x0BB8, 
                        Zero, 
                        Zero, 
                        Zero, 
                        Zero, 
                        0x20, 
                        ResourceTemplate ()
                        {
                            Register (SystemMemory, 
                                0x00,               // Bit Width
                                0x00,               // Bit Offset
                                0x0000000000000000, // Address
                                ,)
                        }, 

                        ResourceTemplate ()
                        {
                            Register (SystemMemory, 
                                0x00,               // Bit Width
                                0x00,               // Bit Offset
                                0x0000000000000000, // Address
                                ,)
                        }, 

                        "L3Cluster.D2"
                    }, 

                    Package (0x0A)
                    {
                        0x1770, 
                        0x0CE4, 
                        One, 
                        Zero, 
                        Zero, 
                        One, 
                        0x40, 
                        ResourceTemplate ()
                        {
                            Register (SystemMemory, 
                                0x00,               // Bit Width
                                0x00,               // Bit Offset
                                0x0000000000000000, // Address
                                ,)
                        }, 

                        ResourceTemplate ()
                        {
                            Register (SystemMemory, 
                                0x00,               // Bit Width
                                0x00,               // Bit Offset
                                0x0000000000000000, // Address
                                ,)
                        }, 

                        "L3Cluster.D4"
                    }
                })
                Device (CPU0)
                {
                    Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                    Name (_UID, Zero)  // _UID: Unique ID
                    Method (_STA, 0, NotSerialized)  // _STA: Status
                    {
                        Return (0x0F)
                    }

                    Name (_LPI, Package (0x07)  // _LPI: Low Power Idle States
                    {
                        Zero, 
                        Zero, 
                        0x04, 
                        Package (0x0A)
                        {
                            Zero, 
                            Zero, 
                            One, 
                            Zero, 
                            Zero, 
                            Zero, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x00000000FFFFFFFF, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver0.C1"
                        }, 

                        Package (0x0A)
                        {
                            0x0190, 
                            0x64, 
                            Zero, 
                            Zero, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000002, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver0.C2"
                        }, 

                        Package (0x0A)
                        {
                            0x0F0A, 
                            0x035C, 
                            One, 
                            One, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000003, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver0.C3"
                        }, 

                        Package (0x0A)
                        {
                            0x0F6E, 
                            0x038E, 
                            One, 
                            One, 
                            Zero, 
                            0x02, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000004, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver0.C4"
                        }
                    })
                }

                Device (CPU1)
                {
                    Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                    Name (_UID, One)  // _UID: Unique ID
                    Method (_STA, 0, NotSerialized)  // _STA: Status
                    {
                        Return (0x0F)
                    }

                    Name (_LPI, Package (0x07)  // _LPI: Low Power Idle States
                    {
                        Zero, 
                        Zero, 
                        0x04, 
                        Package (0x0A)
                        {
                            Zero, 
                            Zero, 
                            One, 
                            Zero, 
                            Zero, 
                            Zero, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x00000000FFFFFFFF, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver1.C1"
                        }, 

                        Package (0x0A)
                        {
                            0x0190, 
                            0x64, 
                            Zero, 
                            Zero, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000002, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver1.C2"
                        }, 

                        Package (0x0A)
                        {
                            0x0F0A, 
                            0x035C, 
                            One, 
                            One, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000003, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver1.C3"
                        }, 

                        Package (0x0A)
                        {
                            0x0F6E, 
                            0x038E, 
                            One, 
                            One, 
                            Zero, 
                            0x02, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000004, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver1.C4"
                        }
                    })
                }

                Device (CPU2)
                {
                    Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                    Name (_UID, 0x02)  // _UID: Unique ID
                    Method (_STA, 0, NotSerialized)  // _STA: Status
                    {
                        Return (0x0F)
                    }

                    Name (_LPI, Package (0x07)  // _LPI: Low Power Idle States
                    {
                        Zero, 
                        Zero, 
                        0x04, 
                        Package (0x0A)
                        {
                            Zero, 
                            Zero, 
                            One, 
                            Zero, 
                            Zero, 
                            Zero, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x00000000FFFFFFFF, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver2.C1"
                        }, 

                        Package (0x0A)
                        {
                            0x0190, 
                            0x64, 
                            Zero, 
                            Zero, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000002, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver2.C2"
                        }, 

                        Package (0x0A)
                        {
                            0x0F0A, 
                            0x035C, 
                            One, 
                            One, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000003, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver2.C3"
                        }, 

                        Package (0x0A)
                        {
                            0x0F6E, 
                            0x038E, 
                            One, 
                            One, 
                            Zero, 
                            0x02, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000004, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver2.C4"
                        }
                    })
                }

                Device (CPU3)
                {
                    Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                    Name (_UID, 0x03)  // _UID: Unique ID
                    Method (_STA, 0, NotSerialized)  // _STA: Status
                    {
                        Return (0x0F)
                    }

                    Name (_LPI, Package (0x07)  // _LPI: Low Power Idle States
                    {
                        Zero, 
                        Zero, 
                        0x04, 
                        Package (0x0A)
                        {
                            Zero, 
                            Zero, 
                            One, 
                            Zero, 
                            Zero, 
                            Zero, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x00000000FFFFFFFF, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver3.C1"
                        }, 

                        Package (0x0A)
                        {
                            0x0190, 
                            0x64, 
                            Zero, 
                            Zero, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000002, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver3.C2"
                        }, 

                        Package (0x0A)
                        {
                            0x0F0A, 
                            0x035C, 
                            One, 
                            One, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000003, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver3.C3"
                        }, 

                        Package (0x0A)
                        {
                            0x0F6E, 
                            0x038E, 
                            One, 
                            One, 
                            Zero, 
                            0x02, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000004, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoSilver3.C4"
                        }
                    })
                }

                Device (CPU4)
                {
                    Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                    Name (_UID, 0x04)  // _UID: Unique ID
                    Method (_STA, 0, NotSerialized)  // _STA: Status
                    {
                        Return (0x0F)
                    }

                    Name (_LPI, Package (0x07)  // _LPI: Low Power Idle States
                    {
                        Zero, 
                        Zero, 
                        0x04, 
                        Package (0x0A)
                        {
                            Zero, 
                            Zero, 
                            One, 
                            Zero, 
                            Zero, 
                            Zero, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x00000000FFFFFFFF, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold0.C1"
                        }, 

                        Package (0x0A)
                        {
                            0x0190, 
                            0x64, 
                            Zero, 
                            Zero, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000002, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold0.C2"
                        }, 

                        Package (0x0A)
                        {
                            0x0F96, 
                            0x03E8, 
                            One, 
                            One, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000003, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold0.C3"
                        }, 

                        Package (0x0A)
                        {
                            0x118A, 
                            0x05DC, 
                            One, 
                            One, 
                            Zero, 
                            0x02, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000004, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold0.C4"
                        }
                    })
                }

                Device (CPU5)
                {
                    Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                    Name (_UID, 0x05)  // _UID: Unique ID
                    Method (_STA, 0, NotSerialized)  // _STA: Status
                    {
                        Return (0x0F)
                    }

                    Name (_LPI, Package (0x07)  // _LPI: Low Power Idle States
                    {
                        Zero, 
                        Zero, 
                        0x04, 
                        Package (0x0A)
                        {
                            Zero, 
                            Zero, 
                            One, 
                            Zero, 
                            Zero, 
                            Zero, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x00000000FFFFFFFF, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold1.C1"
                        }, 

                        Package (0x0A)
                        {
                            0x0190, 
                            0x64, 
                            Zero, 
                            Zero, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000002, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold1.C2"
                        }, 

                        Package (0x0A)
                        {
                            0x0F96, 
                            0x03E8, 
                            One, 
                            One, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000003, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold1.C3"
                        }, 

                        Package (0x0A)
                        {
                            0x118A, 
                            0x05DC, 
                            One, 
                            One, 
                            Zero, 
                            0x02, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000004, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold1.C4"
                        }
                    })
                }

                Device (CPU6)
                {
                    Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                    Name (_UID, 0x06)  // _UID: Unique ID
                    Method (_STA, 0, NotSerialized)  // _STA: Status
                    {
                        Return (0x0F)
                    }

                    Name (_LPI, Package (0x07)  // _LPI: Low Power Idle States
                    {
                        Zero, 
                        Zero, 
                        0x04, 
                        Package (0x0A)
                        {
                            Zero, 
                            Zero, 
                            One, 
                            Zero, 
                            Zero, 
                            Zero, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x00000000FFFFFFFF, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold2.C1"
                        }, 

                        Package (0x0A)
                        {
                            0x0190, 
                            0x64, 
                            Zero, 
                            Zero, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000002, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold2.C2"
                        }, 

                        Package (0x0A)
                        {
                            0x0F96, 
                            0x03E8, 
                            One, 
                            One, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000003, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold2.C3"
                        }, 

                        Package (0x0A)
                        {
                            0x118A, 
                            0x05DC, 
                            One, 
                            One, 
                            Zero, 
                            0x02, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000004, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold2.C4"
                        }
                    })
                }

                Device (CPU7)
                {
                    Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                    Name (_UID, 0x07)  // _UID: Unique ID
                    Method (_STA, 0, NotSerialized)  // _STA: Status
                    {
                        Return (0x0F)
                    }

                    Name (_LPI, Package (0x07)  // _LPI: Low Power Idle States
                    {
                        Zero, 
                        Zero, 
                        0x04, 
                        Package (0x0A)
                        {
                            Zero, 
                            Zero, 
                            One, 
                            Zero, 
                            Zero, 
                            Zero, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x00000000FFFFFFFF, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold3.C1"
                        }, 

                        Package (0x0A)
                        {
                            0x0190, 
                            0x64, 
                            Zero, 
                            Zero, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000002, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold3.C2"
                        }, 

                        Package (0x0A)
                        {
                            0x0F96, 
                            0x03E8, 
                            One, 
                            One, 
                            Zero, 
                            One, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000003, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold3.C3"
                        }, 

                        Package (0x0A)
                        {
                            0x118A, 
                            0x05DC, 
                            One, 
                            One, 
                            Zero, 
                            0x02, 
                            ResourceTemplate ()
                            {
                                Register (FFixedHW, 
                                    0x20,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000040000004, // Address
                                    0x03,               // Access Size
                                    )
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            ResourceTemplate ()
                            {
                                Register (SystemMemory, 
                                    0x00,               // Bit Width
                                    0x00,               // Bit Offset
                                    0x0000000000000000, // Address
                                    ,)
                            }, 

                            "KryoGold3.C4"
                        }
                    })
                }
            }
        }

        Device (GPS)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.GLNK
            })
            Name (_HID, "QCOM0472")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
        }

        Scope (\_SB.GPS)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If (((\_SB.SOID == 0x0169) && ((\_SB.PLST == One) || (\_SB.PLST == 0x02))))
                {
                    Return (Zero)
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }
        }

        Device (QGP0)
        {
            Name (_HID, "QCOM0493")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, Serialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x00804000,         // Address Base
                        0x00050000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000115,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000117,
                    }
                })
                Return (RBUF) /* \_SB_.QGP0._CRS.RBUF */
            }
        }

        Device (QGP1)
        {
            Name (_HID, "QCOM0493")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, One)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, Serialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x00A04000,         // Address Base
                        0x00050000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000138,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000013A,
                    }
                })
                Return (RBUF) /* \_SB_.QGP1._CRS.RBUF */
            }
        }

        Device (QGP2)
        {
            Name (_HID, "QCOM0493")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, 0x02)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Method (_CRS, 0, Serialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x00C04000,         // Address Base
                        0x00050000,         // Address Length
                        )
                })
                Return (RBUF) /* \_SB_.QGP2._CRS.RBUF */
            }
        }

        Device (CSEC)
        {
            Name (_HID, "QCOM04AE")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
        }

        Device (QWPP)
        {
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_HID, "QCOM0481")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0B)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Return (ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x09200000,         // Address Base
                        0x00400000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x09680000,         // Address Base
                        0x00070000,         // Address Length
                        )
                })
            }
        }

        Device (SARM)
        {
            Name (_HID, "QCOM04B0")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (SOCP)
        {
            Name (_HID, "QCOM04AA")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Alias (\_SB.STOR, STOR)
        }

        Device (QDSS)
        {
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_HID, "QCOM045A")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0B)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Return (ResourceTemplate ()
                {
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000012E,
                    }
                    Memory32Fixed (ReadWrite,
                        0x06000000,         // Address Base
                        0x0004B000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x16000000,         // Address Base
                        0x01000000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x07000000,         // Address Base
                        0x00901000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000043,
                    }
                })
            }
        }

        Device (QCSP)
        {
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.GLNK, 
                \_SB.TREE, 
                \_SB.SPSS
            })
            Name (_HID, "QCOM0492")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (QCDB)
        {
            Name (_HID, "QCOM0461")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (SERB)
        {
            Name (_HID, "QCOM04B2")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (RMNT)
        {
            Name (_HID, "QCOM04A1")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (MBRG)
        {
            Name (_HID, "QCOM0407")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (RMAT)
        {
            Name (_HID, "QCOM0408")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (DPLB)
        {
            Name (_HID, "QCOM0477")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Scope (\_SB.SERB)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (0x0F)
                }
                ElseIf (((\_SB.SOID == 0x0169) && ((\_SB.PLST == One) || (\_SB.PLST == 
                    0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Scope (\_SB.RMNT)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.SOID == 0x0169))
                {
                    Return (Zero)
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }
        }

        Scope (\_SB.MBRG)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.SOID == 0x0169))
                {
                    Return (Zero)
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }
        }

        Scope (\_SB.RMAT)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.SOID == 0x0169))
                {
                    Return (Zero)
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }
        }

        Scope (\_SB.DPLB)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.SOID == 0x0169))
                {
                    Return (Zero)
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }
        }

        Device (SSVC)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.IPC0, 
                \_SB.QDIG
            })
            Name (_HID, "QCOM0491")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_CID, "ACPIQCOM0491")  // _CID: Compatible ID
            Name (_UID, Zero)  // _UID: Unique ID
        }

        Device (CAMP)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.PMIC
            })
            Name (_HID, "QCOM0435")  // _HID: Hardware ID
            Name (_UID, 0x1B)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                OperationRegion (USBC, SystemMemory, 0x9FF90080, One)
                Field (USBC, ByteAcc, NoLock, Preserve)
                {
                    UCAM,   8
                }

                If (((UCAM == Zero) && (\_SB.PLST == One)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0AC40000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC42000,         // Address Base
                        0x00005000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC4A000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC4B000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC4C000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC4D000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001EC,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000012F,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002AB,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000002AA,
                    }
                })
                Return (RBUF) /* \_SB_.CAMP._CRS.RBUF */
            }

            Method (PCFG, 0, Serialized)
            {
                If ((\_SB.PLST == One))
                {
                    Return (Package (0x01)
                    {
                        Package (0x09)
                        {
                            0x03, 
                            0x00110100, 
                            0x00110010, 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero
                        }
                    })
                }
                Else
                {
                    Return (Package (0x01)
                    {
                        Package (0x09)
                        {
                            0x03, 
                            0x00110100, 
                            0x00110010, 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero, 
                            Zero
                        }
                    })
                }
            }

            Method (PERF, 0, NotSerialized)
            {
                Name (EBUF, Package (0x01)
                {
                    Package (0x0D)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "CAMP_CLK0", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x0124F800, 
                                0x023C3460
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "CAMP_CLK1", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x0124F800, 
                                0x023C3460
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Zero, 
                            "CAMP_CLK2", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x0124F800, 
                                0x023C3460
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            Zero, 
                            "CAMP_CLK3", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x0124F800, 
                                0x023C3460
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x04, 
                            One, 
                            "NRT_UNCOMP_BANDWIDTH", 
                            Package (0x28)
                            {
                                "PSTATE", 
                                Zero, 
                                0x00000002CB417800, 
                                0x00000002AD741300, 
                                0x000000028FA6AE00, 
                                0x0000000271D94900, 
                                0x00000002540BE400, 
                                0x00000002363E7F00, 
                                0x0000000218711A00, 
                                0x00000001FAA3B500, 
                                0x00000001DCD65000, 
                                0x00000001BF08EB00, 
                                0x00000001A13B8600, 
                                0x00000001836E2100, 
                                0x0000000165A0BC00, 
                                0x0000000147D35700, 
                                0x000000012A05F200, 
                                0x000000010C388D00, 
                                0xEE6B2800, 
                                0xD09DC300, 
                                0xC4B20100, 
                                0xB8C63F00, 
                                0xACDA7D00, 
                                0xA0EEBB00, 
                                0x9502F900, 
                                0x89173700, 
                                0x7D2B7500, 
                                0x713FB300, 
                                0x6553F100, 
                                0x59682F00, 
                                0x4D7C6D00, 
                                0x4190AB00, 
                                0x35A4E900, 
                                0x29B92700, 
                                0x1DCD6500, 
                                0x17D78400, 
                                0x11E1A300, 
                                0x0BEBC200, 
                                0x05F5E100, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x05, 
                            One, 
                            "NRT_BANDWIDTH", 
                            Package (0x28)
                            {
                                "PSTATE", 
                                Zero, 
                                0x00000002CB417800, 
                                0x00000002AD741300, 
                                0x000000028FA6AE00, 
                                0x0000000271D94900, 
                                0x00000002540BE400, 
                                0x00000002363E7F00, 
                                0x0000000218711A00, 
                                0x00000001FAA3B500, 
                                0x00000001DCD65000, 
                                0x00000001BF08EB00, 
                                0x00000001A13B8600, 
                                0x00000001836E2100, 
                                0x0000000165A0BC00, 
                                0x0000000147D35700, 
                                0x000000012A05F200, 
                                0x000000010C388D00, 
                                0xEE6B2800, 
                                0xD09DC300, 
                                0xC4B20100, 
                                0xB8C63F00, 
                                0xACDA7D00, 
                                0xA0EEBB00, 
                                0x9502F900, 
                                0x89173700, 
                                0x7D2B7500, 
                                0x713FB300, 
                                0x6553F100, 
                                0x59682F00, 
                                0x4D7C6D00, 
                                0x4190AB00, 
                                0x35A4E900, 
                                0x29B92700, 
                                0x1DCD6500, 
                                0x17D78400, 
                                0x11E1A300, 
                                0x0BEBC200, 
                                0x05F5E100, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x06, 
                            One, 
                            "RT_UNCOMP_BANDWIDTH", 
                            Package (0x20)
                            {
                                "PSTATE", 
                                Zero, 
                                0x00000008D8F9FC00, 
                                0x0000000826299E00, 
                                0x0000000684EE1800, 
                                0x000000055AE82600, 
                                0x00000004A817C800, 
                                0x00000003B9ACA000, 
                                0x0000000342770C00, 
                                0x00000002CB417800, 
                                0xEE6B2800, 
                                0xD09DC300, 
                                0xC4B20100, 
                                0xB8C63F00, 
                                0xACDA7D00, 
                                0xA0EEBB00, 
                                0x9502F900, 
                                0x89173700, 
                                0x7D2B7500, 
                                0x713FB300, 
                                0x6553F100, 
                                0x59682F00, 
                                0x4D7C6D00, 
                                0x4190AB00, 
                                0x35A4E900, 
                                0x29B92700, 
                                0x1DCD6500, 
                                0x17D78400, 
                                0x11E1A300, 
                                0x0BEBC200, 
                                0x05F5E100, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x07, 
                            One, 
                            "RT_COMP_BANDWIDTH", 
                            Package (0x20)
                            {
                                "PSTATE", 
                                Zero, 
                                0x00000008D8F9FC00, 
                                0x0000000826299E00, 
                                0x0000000684EE1800, 
                                0x000000055AE82600, 
                                0x00000004A817C800, 
                                0x00000003B9ACA000, 
                                0x0000000342770C00, 
                                0x00000002CB417800, 
                                0xEE6B2800, 
                                0xD09DC300, 
                                0xC4B20100, 
                                0xB8C63F00, 
                                0xACDA7D00, 
                                0xA0EEBB00, 
                                0x9502F900, 
                                0x89173700, 
                                0x7D2B7500, 
                                0x713FB300, 
                                0x6553F100, 
                                0x59682F00, 
                                0x4D7C6D00, 
                                0x4190AB00, 
                                0x35A4E900, 
                                0x29B92700, 
                                0x1DCD6500, 
                                0x17D78400, 
                                0x11E1A300, 
                                0x0BEBC200, 
                                0x05F5E100, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x08, 
                            One, 
                            "RT1_UNCOMP_BANDWIDTH", 
                            Package (0x20)
                            {
                                "PSTATE", 
                                Zero, 
                                0x00000008D8F9FC00, 
                                0x0000000826299E00, 
                                0x0000000684EE1800, 
                                0x000000055AE82600, 
                                0x00000004A817C800, 
                                0x00000003B9ACA000, 
                                0x0000000342770C00, 
                                0x00000002CB417800, 
                                0xEE6B2800, 
                                0xD09DC300, 
                                0xC4B20100, 
                                0xB8C63F00, 
                                0xACDA7D00, 
                                0xA0EEBB00, 
                                0x9502F900, 
                                0x89173700, 
                                0x7D2B7500, 
                                0x713FB300, 
                                0x6553F100, 
                                0x59682F00, 
                                0x4D7C6D00, 
                                0x4190AB00, 
                                0x35A4E900, 
                                0x29B92700, 
                                0x1DCD6500, 
                                0x17D78400, 
                                0x11E1A300, 
                                0x0BEBC200, 
                                0x05F5E100, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x09, 
                            One, 
                            "RT1_COMP_BANDWIDTH", 
                            Package (0x20)
                            {
                                "PSTATE", 
                                Zero, 
                                0x00000008D8F9FC00, 
                                0x0000000826299E00, 
                                0x0000000684EE1800, 
                                0x000000055AE82600, 
                                0x00000004A817C800, 
                                0x00000003B9ACA000, 
                                0x0000000342770C00, 
                                0x00000002CB417800, 
                                0xEE6B2800, 
                                0xD09DC300, 
                                0xC4B20100, 
                                0xB8C63F00, 
                                0xACDA7D00, 
                                0xA0EEBB00, 
                                0x9502F900, 
                                0x89173700, 
                                0x7D2B7500, 
                                0x713FB300, 
                                0x6553F100, 
                                0x59682F00, 
                                0x4D7C6D00, 
                                0x4190AB00, 
                                0x35A4E900, 
                                0x29B92700, 
                                0x1DCD6500, 
                                0x17D78400, 
                                0x11E1A300, 
                                0x0BEBC200, 
                                0x05F5E100, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x0A, 
                            Zero, 
                            "CAMNOC_AXI_CLK", 
                            Package (0x08)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x1312D000, 
                                0x0FDAD680, 
                                0x08F0D180, 
                                0x0124F800
                            }
                        }
                    }
                })
                Return (EBUF) /* \_SB_.CAMP.PERF.EBUF */
            }
        }

        Device (CAMS)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.MPCS
            })
            Name (_HID, "QCOM0429")  // _HID: Hardware ID
            Name (_UID, 0x15)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.PLST == One))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }

            Method (SCFG, 0, Serialized)
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        "com.qti.sensormodule.sony_imx351.bin", 
                        "com.qti.tuned.sony_imx351.bin", 
                        0x00150034, 
                        0x03510016, 
                        Zero
                    }
                })
            }

            Name (PGID, Buffer (0x0A)
            {
                "\\_SB.CAMS"
            })
            Name (DBUF, Buffer (DBFL){})
            CreateByteField (DBUF, Zero, STAT)
            CreateByteField (DBUF, 0x02, DVAL)
            CreateField (DBUF, 0x18, 0xA0, DEID)
            Method (_S1D, 0, NotSerialized)  // _S1D: S1 Device State
            {
                Return (0x03)
            }

            Method (_S2D, 0, NotSerialized)  // _S2D: S2 Device State
            {
                Return (0x03)
            }

            Method (_S3D, 0, NotSerialized)  // _S3D: S3 Device State
            {
                Return (0x03)
            }

            Method (_PS0, 0, NotSerialized)  // _PS0: Power State 0
            {
                DEID = Buffer (ESNL){}
                DVAL = Zero
                DEID = PGID /* \_SB_.CAMS.PGID */
                If (\_SB.ABD.AVBL)
                {
                    \_SB.PEP0.FLD0 = DBUF /* \_SB_.CAMS.DBUF */
                }
            }

            Method (_PS3, 0, NotSerialized)  // _PS3: Power State 3
            {
                DEID = Buffer (ESNL){}
                DVAL = 0x03
                DEID = PGID /* \_SB_.CAMS.PGID */
                If (\_SB.ABD.AVBL)
                {
                    \_SB.PEP0.FLD0 = DBUF /* \_SB_.CAMS.DBUF */
                }
            }
        }

        Device (CAMF)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.MPCS
            })
            Name (_HID, "QCOM0406")  // _HID: Hardware ID
            Name (_UID, 0x1A)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                OperationRegion (USBC, SystemMemory, 0x9FF90080, One)
                Field (USBC, ByteAcc, NoLock, Preserve)
                {
                    UCAM,   8
                }

                If (((\_SB.PLST == One) && (UCAM == One)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }

            Method (SCFG, 0, Serialized)
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        "com.qti.sensormodule.sony_front_imx351.bin", 
                        "com.qti.tuned.sony_front_imx351.bin", 
                        0x00150034, 
                        0x03510016, 
                        Zero
                    }
                })
            }

            Name (PGID, Buffer (0x0A)
            {
                "\\_SB.CAMF"
            })
            Name (DBUF, Buffer (DBFL){})
            CreateByteField (DBUF, Zero, STAT)
            CreateByteField (DBUF, 0x02, DVAL)
            CreateField (DBUF, 0x18, 0xA0, DEID)
            Method (_S1D, 0, NotSerialized)  // _S1D: S1 Device State
            {
                Return (0x03)
            }

            Method (_S2D, 0, NotSerialized)  // _S2D: S2 Device State
            {
                Return (0x03)
            }

            Method (_S3D, 0, NotSerialized)  // _S3D: S3 Device State
            {
                Return (0x03)
            }

            Method (_PS0, 0, NotSerialized)  // _PS0: Power State 0
            {
                DEID = Buffer (ESNL){}
                DVAL = Zero
                DEID = PGID /* \_SB_.CAMF.PGID */
                If (\_SB.ABD.AVBL)
                {
                    \_SB.PEP0.FLD0 = DBUF /* \_SB_.CAMF.DBUF */
                }
            }

            Method (_PS3, 0, NotSerialized)  // _PS3: Power State 3
            {
                DEID = Buffer (ESNL){}
                DVAL = 0x03
                DEID = PGID /* \_SB_.CAMF.PGID */
                If (\_SB.ABD.AVBL)
                {
                    \_SB.PEP0.FLD0 = DBUF /* \_SB_.CAMF.DBUF */
                }
            }
        }

        Device (FLSH)
        {
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.CAMP, 
                \_SB.CAMS, 
                \_SB.PMAP
            })
            Name (_HID, "QCOM042A")  // _HID: Hardware ID
            Name (_UID, 0x19)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, Buffer (0x02)
                {
                     0x79, 0x00                                       // y.
                })
                Return (RBUF) /* \_SB_.FLSH._CRS.RBUF */
            }
        }

        Device (MPCS)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.CAMP
            })
            Name (_HID, "QCOM04A4")  // _HID: Hardware ID
            Name (_UID, 0x18)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0AC65000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC66000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC67000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC68000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001FD,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001FE,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001FF,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001E0,
                    }
                })
                Return (RBUF) /* \_SB_.MPCS._CRS.RBUF */
            }
        }

        Device (JPGE)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.CAMP, 
                \_SB.MMU0
            })
            Name (_HID, "QCOM0436")  // _HID: Hardware ID
            Name (_UID, 0x17)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0AC4E000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC52000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001FA,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001FB,
                    }
                })
                Return (RBUF) /* \_SB_.JPGE._CRS.RBUF */
            }

            Method (PERF, 0, NotSerialized)
            {
                Name (EBUF, Package (0x02)
                {
                    Package (0x03)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "JPEG0_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x0BEBC200
                            }
                        }
                    }, 

                    Package (0x03)
                    {
                        "COMPONENT", 
                        One, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "JPEG3_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x0BEBC200
                            }
                        }
                    }
                })
                Return (EBUF) /* \_SB_.JPGE.PERF.EBUF */
            }
        }

        Device (VFE0)
        {
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.MMU0, 
                \_SB.PEP0, 
                \_SB.CAMP
            })
            Name (_HID, "QCOM0428")  // _HID: Hardware ID
            Name (_UID, 0x16)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0x0AC00000,         // Address Base
                        0x00020000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC48000,         // Address Base
                        0x00000200,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC48200,         // Address Base
                        0x00000200,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC48400,         // Address Base
                        0x00000200,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC48600,         // Address Base
                        0x00000200,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC48800,         // Address Base
                        0x00000200,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC5A000,         // Address Base
                        0x00004000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0AC6B000,         // Address Base
                        0x00001000,         // Address Length
                        )
                    Memory32Fixed (ReadOnly,
                        0x0AC6F000,         // Address Base
                        0x00008000,         // Address Length
                        )
                    Memory32Fixed (ReadOnly,
                        0x0AC87000,         // Address Base
                        0x0000A000,         // Address Length
                        )
                    Memory32Fixed (ReadOnly,
                        0x0AC91000,         // Address Base
                        0x0000A000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0ACAF000,         // Address Base
                        0x00005000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0ACB6000,         // Address Base
                        0x00005000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0ACBD000,         // Address Base
                        0x00005000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0ACE0000,         // Address Base
                        0x00005000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0ACC4000,         // Address Base
                        0x00005000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0ACCB000,         // Address Base
                        0x00005000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0ACD2000,         // Address Base
                        0x00005000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x0ACD9000,         // Address Base
                        0x00005000,         // Address Length
                        )
                    Memory32Fixed (ReadWrite,
                        0x8B700000,         // Address Base
                        0x00500000,         // Address Length
                        )
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001ED,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000013F,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000140,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000031F,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000031E,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001EF,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001F1,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001F3,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000031D,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000031C,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001F5,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000188,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000319,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000318,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001EE,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001FC,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001F0,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001F2,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000031B,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x0000031A,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x000001F4,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000187,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000317,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, Exclusive, ,, )
                    {
                        0x00000316,
                    }
                })
                Return (RBUF) /* \_SB_.VFE0._CRS.RBUF */
            }

            Method (PERF, 0, NotSerialized)
            {
                Name (EBUF, Package (0x0D)
                {
                    Package (0x04)
                    {
                        "COMPONENT", 
                        Zero, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "IFE0_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x2D4CAE00, 
                                0x25F7D940, 
                                0x21426780, 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "IFE0_CSID_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        One, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "IFE1_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x2D4CAE00, 
                                0x25F7D940, 
                                0x21426780, 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "IFE1_CSID_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x02, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "IFE2_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x2D4CAE00, 
                                0x25F7D940, 
                                0x21426780, 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "IFE2_CSID_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x03, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "IFE3_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x2D4CAE00, 
                                0x25F7D940, 
                                0x21426780, 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "IFE3_CSID_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x04, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "IFE_LITE0_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x1312D000, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "IFE_LITE0_CSID_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x05, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "IFE_LITE1_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x1312D000, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "IFE_LITE1_CSID_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x06, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "IFE_LITE2_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x1312D000, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "IFE_LITE2_CSID_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x07, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "IFE_LITE3_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x1312D000, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "IFE_LITE3_CSID_CLK", 
                            Package (0x06)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x09)
                    {
                        "COMPONENT", 
                        0x08, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "ICP_CLK", 
                            Package (0x05)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x17D78400, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            One, 
                            "NRT_UNCOMP_BANDWIDTH", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x0BEBC200, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            One, 
                            "NRT_BANDWIDTH", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x0BEBC200, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            One, 
                            "RT_UNCOMP_BANDWIDTH", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1DCD6500, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x04, 
                            One, 
                            "RT_COMP_BANDWIDTH", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1DCD6500, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x05, 
                            One, 
                            "RT1_UNCOMP_BANDWIDTH", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1DCD6500, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x06, 
                            One, 
                            "RT1_COMP_BANDWIDTH", 
                            Package (0x04)
                            {
                                "PSTATE", 
                                Zero, 
                                0x1DCD6500, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x06)
                    {
                        "COMPONENT", 
                        0x09, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "IPE0_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1EFE9200, 
                                0x1C4FECC0, 
                                0x165A0BC0, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "IPE1_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1EFE9200, 
                                0x1C4FECC0, 
                                0x165A0BC0, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x02, 
                            Zero, 
                            "IPE0_AREG_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x17D78400, 
                                0x11E1A300, 
                                0x0BEBC200, 
                                0x05F5E100, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            0x03, 
                            Zero, 
                            "IPE1_AREG_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x17D78400, 
                                0x11E1A300, 
                                0x0BEBC200, 
                                0x05F5E100, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x0A, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "BPS_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x0BEBC200, 
                                Zero
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "BPS_AREG_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x17D78400, 
                                0x11E1A300, 
                                0x0BEBC200, 
                                0x05F5E100, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x03)
                    {
                        "COMPONENT", 
                        0x0B, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "LRME_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x17D78400, 
                                0x1312D000, 
                                0x11E1A300, 
                                0x0E4E1C00, 
                                Zero
                            }
                        }
                    }, 

                    Package (0x04)
                    {
                        "COMPONENT", 
                        0x0C, 
                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            Zero, 
                            Zero, 
                            "FD_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x17D78400, 
                                0x0124F800
                            }
                        }, 

                        Package (0x05)
                        {
                            "PSTATE_SET", 
                            One, 
                            Zero, 
                            "FD_UAR_CLK", 
                            Package (0x07)
                            {
                                "PSTATE", 
                                Zero, 
                                0x23C34600, 
                                0x1C9C3800, 
                                0x17D78400, 
                                0x17D78400, 
                                0x0124F800
                            }
                        }
                    }
                })
                Return (EBUF) /* \_SB_.VFE0.PERF.EBUF */
            }
        }

        Device (SEN2)
        {
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.IPC0, 
                \_SB.SCSS, 
                \_SB.ARPC
            })
            Name (_HID, "QCOM049F")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_CID, "QCOM046C")  // _CID: Compatible ID
            Name (_PLD, Package (One)  // _PLD: Physical Location of Device
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xA4, 0x0B, 0xBC, 0x07,  // ........
                    /* 0008 */  0x60, 0x0D, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00,  // `.......
                    /* 0010 */  0x0A, 0x00, 0x0A, 0x00                           // ....
                }
            })
        }

        Device (SEN3)
        {
            Name (_DEP, Package (0x04)  // _DEP: Dependencies
            {
                \_SB.IPC0, 
                \_SB.SCSS, 
                \_SB.ARPC, 
                \_SB.SEN2
            })
            Name (_HID, "QCOM04A0")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_CID, "QCOM046C")  // _CID: Compatible ID
            Name (_PLD, Package (One)  // _PLD: Physical Location of Device
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xA4, 0x0B, 0xBC, 0x07,  // ........
                    /* 0008 */  0x40, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // @.......
                    /* 0010 */  0x0A, 0x00, 0x0A, 0x00                           // ....
                }
            })
        }

        Device (SEN4)
        {
            Name (_DEP, Package (0x04)  // _DEP: Dependencies
            {
                \_SB.IPC0, 
                \_SB.SCSS, 
                \_SB.ARPC, 
                \_SB.SEN3
            })
            Name (_HID, "QCOM04D1")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_CID, "QCOM046C")  // _CID: Compatible ID
        }

        Device (LID0)
        {
            Name (_HID, "PNP0C0D" /* Lid Device */)  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.GIO0, 
                \_SB.SCM0
            })
            Name (LIDB, One)
            Method (_LID, 0, NotSerialized)  // _LID: Lid Status
            {
                Return (LIDB) /* \_SB_.LID0.LIDB */
            }

            Method (_PS0, 0, NotSerialized)  // _PS0: Power State 0
            {
                If (\_SB.GIO0.GABL)
                {
                    \_SB.LID0.LIDB = \_SB.GIO0.LIDR
                    Notify (\_SB.LID0, 0x80) // Status Change
                }
            }

            Method (_PS3, 0, NotSerialized)  // _PS3: Power State 3
            {
                If (\_SB.GIO0.GABL)
                {
                    \_SB.LID0.LIDB = \_SB.GIO0.LIDR
                    Notify (\_SB.LID0, 0x80) // Status Change
                }
            }
        }

        Method (PPID, 0, Serialized)
        {
            Return (Zero)
        }

        Name (QUFN, Zero)
        Name (DPP0, Buffer (One)
        {
             0x00                                             // .
        })
        Device (URS0)
        {
            Method (URSI, 0, NotSerialized)
            {
                If ((\_SB.QUFN == Zero))
                {
                    Return ("QCOM0497")
                }
                Else
                {
                    Return ("QCOM0498")
                }
            }

            Alias (URSI, _HID)
            Name (_CID, "PNP0CA1")  // _CID: Compatible ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_CCA, Zero)  // _CCA: Cache Coherency Attribute
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
            {
                Memory32Fixed (ReadWrite,
                    0x0A600000,         // Address Base
                    0x000FFFFF,         // Address Length
                    )
            })
            Device (USB0)
            {
                Name (_ADR, Zero)  // _ADR: Address
                Name (_S0W, 0x03)  // _S0W: S0 Device Wake State
                Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
                {
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Shared, ,, )
                    {
                        0x000000A5,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, SharedAndWake, ,, )
                    {
                        0x000000A2,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, SharedAndWake, ,, )
                    {
                        0x00000206,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, SharedAndWake, ,, )
                    {
                        0x00000208,
                    }
                    Interrupt (ResourceConsumer, Edge, ActiveHigh, SharedAndWake, ,, )
                    {
                        0x00000209,
                    }
                })
                Device (RHUB)
                {
                    Name (_ADR, Zero)  // _ADR: Address
                    Device (PRT1)
                    {
                        Name (_ADR, One)  // _ADR: Address
                        Name (_UPC, Package (0x04)  // _UPC: USB Port Capabilities
                        {
                            One, 
                            0x09, 
                            Zero, 
                            Zero
                        })
                        Name (_PLD, Package (0x01)  // _PLD: Physical Location of Device
                        {
                            ToPLD (
                                PLD_Revision           = 0x2,
                                PLD_IgnoreColor        = 0x1,
                                PLD_Red                = 0x0,
                                PLD_Green              = 0x0,
                                PLD_Blue               = 0x0,
                                PLD_Width              = 0x0,
                                PLD_Height             = 0x0,
                                PLD_UserVisible        = 0x1,
                                PLD_Dock               = 0x0,
                                PLD_Lid                = 0x0,
                                PLD_Panel              = "BACK",
                                PLD_VerticalPosition   = "CENTER",
                                PLD_HorizontalPosition = "LEFT",
                                PLD_Shape              = "VERTICALRECTANGLE",
                                PLD_GroupOrientation   = 0x0,
                                PLD_GroupToken         = 0x0,
                                PLD_GroupPosition      = 0x0,
                                PLD_Bay                = 0x0,
                                PLD_Ejectable          = 0x0,
                                PLD_EjectRequired      = 0x0,
                                PLD_CabinetNumber      = 0x0,
                                PLD_CardCageNumber     = 0x0,
                                PLD_Reference          = 0x0,
                                PLD_Rotation           = 0x0,
                                PLD_Order              = 0x0,
                                PLD_VerticalOffset     = 0xFFFF,
                                PLD_HorizontalOffset   = 0xFFFF)

                        })
                    }
                }

                Method (_STA, 0, NotSerialized)  // _STA: Status
                {
                    Return (0x0F)
                }

                Method (DPM0, 1, NotSerialized)
                {
                    \_SB.DPP0 = Arg0
                    Notify (\_SB.PEP0, 0xA0) // Device-Specific
                }

                Method (CCVL, 0, NotSerialized)
                {
                    Return (\_SB.CCST)
                }

                Method (HSEN, 0, NotSerialized)
                {
                    Return (\_SB.HSFL)
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    While (One)
                    {
                        Name (_T_0, Buffer (0x01)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                        {
                             0x00                                             // .
                        })
                        CopyObject (ToBuffer (Arg0), _T_0) /* \_SB_.URS0.USB0._DSM._T_0 */
                        If ((_T_0 == ToUUID ("ce2ee385-00e6-48cb-9f05-2edb927c4899") /* USB Controller */))
                        {
                            While (One)
                            {
                                Name (_T_1, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                _T_1 = ToInteger (Arg2)
                                If ((_T_1 == Zero))
                                {
                                    While (One)
                                    {
                                        Name (_T_2, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                        _T_2 = ToInteger (Arg1)
                                        If ((_T_2 == Zero))
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x1D                                             // .
                                            })
                                            Break
                                        }
                                        Else
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x01                                             // .
                                            })
                                            Break
                                        }

                                        Break
                                    }

                                    Return (Buffer (One)
                                    {
                                         0x00                                             // .
                                    })
                                    Break
                                }
                                ElseIf ((_T_1 == 0x02))
                                {
                                    Return (Zero)
                                    Break
                                }
                                ElseIf ((_T_1 == 0x03))
                                {
                                    Return (Zero)
                                    Break
                                }
                                ElseIf ((_T_1 == 0x04))
                                {
                                    Return (0x02)
                                    Break
                                }
                                Else
                                {
                                    Return (Buffer (One)
                                    {
                                         0x00                                             // .
                                    })
                                    Break
                                }

                                Break
                            }
                        }
                        Else
                        {
                            Return (Buffer (One)
                            {
                                 0x00                                             // .
                            })
                            Break
                        }

                        Break
                    }
                }

                Method (PHYC, 0, NotSerialized)
                {
                    Name (CFG0, Package (0x2B)
                    {
                        Package (0x03)
                        {
                            Zero, 
                            0x088E9024, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9028, 
                            0x0E
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9030, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9034, 
                            0x0E
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9078, 
                            0x02
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90BC, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90C4, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90CC, 
                            0x55
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90D0, 
                            0xD5
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90D4, 
                            0x05
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90D8, 
                            0x55
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90DC, 
                            0xD5
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90E0, 
                            0x05
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9414, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E944C, 
                            0x08
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9454, 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9458, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9460, 
                            0x80
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E94D8, 
                            0x05
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9570, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9574, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9580, 
                            0x96
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9594, 
                            0xBA
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9704, 
                            0x20
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9814, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E984C, 
                            0x08
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9854, 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9858, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9860, 
                            0x80
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E98D8, 
                            0x06
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9970, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9974, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9980, 
                            0x97
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9994, 
                            0xBA
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E917C, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90C0, 
                            One
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90C8, 
                            One
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9288, 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9688, 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9408, 
                            0x09
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9808, 
                            0x09
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9464, 
                            0x50
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9864, 
                            0x50
                        }
                    })
                    Return (CFG0) /* \_SB_.URS0.USB0.PHYC.CFG0 */
                }
            }

            Device (UFN0)
            {
                Name (_ADR, One)  // _ADR: Address
                Name (_S0W, 0x03)  // _S0W: S0 Device Wake State
                Device (RHUB)
                {
                    Name (_ADR, Zero)  // _ADR: Address
                    Device (PRT1)
                    {
                        Name (_ADR, One)  // _ADR: Address
                        Name (_UPC, Package (0x04)  // _UPC: USB Port Capabilities
                        {
                            One, 
                            0x09, 
                            Zero, 
                            Zero
                        })
                        Name (_PLD, Package (0x01)  // _PLD: Physical Location of Device
                        {
                            ToPLD (
                                PLD_Revision           = 0x2,
                                PLD_IgnoreColor        = 0x1,
                                PLD_Red                = 0x0,
                                PLD_Green              = 0x0,
                                PLD_Blue               = 0x0,
                                PLD_Width              = 0x0,
                                PLD_Height             = 0x0,
                                PLD_UserVisible        = 0x1,
                                PLD_Dock               = 0x0,
                                PLD_Lid                = 0x0,
                                PLD_Panel              = "BACK",
                                PLD_VerticalPosition   = "CENTER",
                                PLD_HorizontalPosition = "LEFT",
                                PLD_Shape              = "VERTICALRECTANGLE",
                                PLD_GroupOrientation   = 0x0,
                                PLD_GroupToken         = 0x0,
                                PLD_GroupPosition      = 0x0,
                                PLD_Bay                = 0x0,
                                PLD_Ejectable          = 0x0,
                                PLD_EjectRequired      = 0x0,
                                PLD_CabinetNumber      = 0x0,
                                PLD_CardCageNumber     = 0x0,
                                PLD_Reference          = 0x0,
                                PLD_Rotation           = 0x0,
                                PLD_Order              = 0x0,
                                PLD_VerticalOffset     = 0xFFFF,
                                PLD_HorizontalOffset   = 0xFFFF)

                        })
                    }
                }

                Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
                {
                    Interrupt (ResourceConsumer, Level, ActiveHigh, Shared, ,, )
                    {
                        0x000000A5,
                    }
                    Interrupt (ResourceConsumer, Level, ActiveHigh, SharedAndWake, ,, )
                    {
                        0x000000A2,
                    }
                })
                Method (CCVL, 0, NotSerialized)
                {
                    Return (\_SB.CCST)
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    While (One)
                    {
                        Name (_T_0, Buffer (0x01)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                        {
                             0x00                                             // .
                        })
                        CopyObject (ToBuffer (Arg0), _T_0) /* \_SB_.URS0.UFN0._DSM._T_0 */
                        If ((_T_0 == ToUUID ("fe56cfeb-49d5-4378-a8a2-2978dbe54ad2") /* Unknown UUID */))
                        {
                            While (One)
                            {
                                Name (_T_1, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                _T_1 = ToInteger (Arg2)
                                If ((_T_1 == Zero))
                                {
                                    While (One)
                                    {
                                        Name (_T_2, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                        _T_2 = ToInteger (Arg1)
                                        If ((_T_2 == Zero))
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x03                                             // .
                                            })
                                            Break
                                        }
                                        Else
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x01                                             // .
                                            })
                                            Break
                                        }

                                        Break
                                    }

                                    Return (Buffer (One)
                                    {
                                         0x00                                             // .
                                    })
                                    Break
                                }
                                ElseIf ((_T_1 == One))
                                {
                                    Return (0x20)
                                    Break
                                }
                                Else
                                {
                                    Return (Buffer (One)
                                    {
                                         0x00                                             // .
                                    })
                                    Break
                                }

                                Break
                            }
                        }
                        ElseIf ((_T_0 == ToUUID ("18de299f-9476-4fc9-b43b-8aeb713ed751") /* Unknown UUID */))
                        {
                            While (One)
                            {
                                Name (_T_3, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                _T_3 = ToInteger (Arg2)
                                If ((_T_3 == Zero))
                                {
                                    While (One)
                                    {
                                        Name (_T_4, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                        _T_4 = ToInteger (Arg1)
                                        If ((_T_4 == Zero))
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x03                                             // .
                                            })
                                            Break
                                        }
                                        Else
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x01                                             // .
                                            })
                                            Break
                                        }

                                        Break
                                    }

                                    Return (Buffer (One)
                                    {
                                         0x00                                             // .
                                    })
                                    Break
                                }
                                ElseIf ((_T_3 == One))
                                {
                                    Return (0x39)
                                    Break
                                }
                                Else
                                {
                                    Return (Buffer (One)
                                    {
                                         0x00                                             // .
                                    })
                                    Break
                                }

                                Break
                            }
                        }
                        Else
                        {
                            Return (Buffer (One)
                            {
                                 0x00                                             // .
                            })
                            Break
                        }

                        Break
                    }
                }

                Method (PHYC, 0, NotSerialized)
                {
                    Name (CFG0, Package (0x2B)
                    {
                        Package (0x03)
                        {
                            Zero, 
                            0x088E9024, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9028, 
                            0x0E
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9030, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9034, 
                            0x0E
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9078, 
                            0x02
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90BC, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90C4, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90CC, 
                            0x55
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90D0, 
                            0xD5
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90D4, 
                            0x05
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90D8, 
                            0x55
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90DC, 
                            0xD5
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90E0, 
                            0x05
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9414, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E944C, 
                            0x08
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9454, 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9458, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9460, 
                            0x80
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E94D8, 
                            0x05
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9570, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9574, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9580, 
                            0x96
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9594, 
                            0xBA
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9704, 
                            0x20
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9814, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E984C, 
                            0x08
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9854, 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9858, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9860, 
                            0x80
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E98D8, 
                            0x06
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9970, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9974, 
                            0xFF
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9980, 
                            0x97
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9994, 
                            0xBA
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E917C, 
                            0x04
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90C0, 
                            One
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E90C8, 
                            One
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9288, 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9688, 
                            Zero
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9408, 
                            0x09
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9808, 
                            0x09
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9464, 
                            0x50
                        }, 

                        Package (0x03)
                        {
                            Zero, 
                            0x088E9864, 
                            0x50
                        }
                    })
                    Return (CFG0) /* \_SB_.URS0.UFN0.PHYC.CFG0 */
                }
            }
        }

        Name (HPDB, Zero)
        Name (PINA, Zero)
        Name (CCST, Buffer (One)
        {
             0x02                                             // .
        })
        Name (CCS2, 0x02)
        Name (HSFL, Buffer (One)
        {
             0x00                                             // .
        })
        Name (USBC, Buffer (One)
        {
             0x0B                                             // .
        })
        Device (UCP0)
        {
            Name (_HID, "QCOM047D")  // _HID: Hardware ID
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.PTCC, 
                \_SB.URS0
            })
            Device (CON0)
            {
                Name (_ADR, Zero)  // _ADR: Address
                Name (_PLD, Package (0x01)  // _PLD: Physical Location of Device
                {
                    ToPLD (
                        PLD_Revision           = 0x2,
                        PLD_IgnoreColor        = 0x1,
                        PLD_Red                = 0x0,
                        PLD_Green              = 0x0,
                        PLD_Blue               = 0x0,
                        PLD_Width              = 0x0,
                        PLD_Height             = 0x0,
                        PLD_UserVisible        = 0x1,
                        PLD_Dock               = 0x0,
                        PLD_Lid                = 0x0,
                        PLD_Panel              = "BACK",
                        PLD_VerticalPosition   = "CENTER",
                        PLD_HorizontalPosition = "LEFT",
                        PLD_Shape              = "VERTICALRECTANGLE",
                        PLD_GroupOrientation   = 0x0,
                        PLD_GroupToken         = 0x0,
                        PLD_GroupPosition      = 0x0,
                        PLD_Bay                = 0x0,
                        PLD_Ejectable          = 0x0,
                        PLD_EjectRequired      = 0x0,
                        PLD_CabinetNumber      = 0x0,
                        PLD_CardCageNumber     = 0x0,
                        PLD_Reference          = 0x0,
                        PLD_Rotation           = 0x0,
                        PLD_Order              = 0x0,
                        PLD_VerticalOffset     = 0xFFFF,
                        PLD_HorizontalOffset   = 0xFFFF)

                })
                Name (_UPC, Package (0x04)  // _UPC: USB Port Capabilities
                {
                    One, 
                    0x09, 
                    Zero, 
                    Zero
                })
                Name (_DSD, Package (0x02)  // _DSD: Device-Specific Data
                {
                    ToUUID ("6b856e62-40f4-4688-bd46-5e888a2260de") /* Unknown UUID */, 
                    Package (0x0A)
                    {
                        Package (0x02)
                        {
                            One, 
                            0x04
                        }, 

                        Package (0x02)
                        {
                            0x02, 
                            0x03
                        }, 

                        Package (0x02)
                        {
                            0x03, 
                            Zero
                        }, 

                        Package (0x02)
                        {
                            0x04, 
                            One
                        }, 

                        Package (0x02)
                        {
                            0x05, 
                            0x03
                        }, 

                        Package (0x02)
                        {
                            0x06, 
                            Package (0x01)
                            {
                                0x00019096
                            }
                        }, 

                        Package (0x02)
                        {
                            0x07, 
                            Package (0x03)
                            {
                                0x0001912C, 
                                0x0002D0C8, 
                                0x0003C096
                            }
                        }, 

                        Package (0x02)
                        {
                            0x08, 
                            Package (0x02)
                            {
                                0xFF01, 
                                0x3C86
                            }
                        }, 

                        Package (0x02)
                        {
                            0x09, 
                            One
                        }, 

                        Package (0x02)
                        {
                            0x0A, 
                            One
                        }
                    }
                })
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                While (One)
                {
                    Name (_T_0, Buffer (0x01)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                    {
                         0x00                                             // .
                    })
                    CopyObject (ToBuffer (Arg0), _T_0) /* \_SB_.UCP0._DSM._T_0 */
                    If ((_T_0 == ToUUID ("18de299f-9476-4fc9-b43b-8aeb713ed751") /* Unknown UUID */))
                    {
                        While (One)
                        {
                            Name (_T_1, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_1 = ToInteger (Arg2)
                            If ((_T_1 == Zero))
                            {
                                While (One)
                                {
                                    Name (_T_2, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_2 = ToInteger (Arg1)
                                    If ((_T_2 == Zero))
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x01                                             // .
                                        })
                                        Break
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x01                                             // .
                                        })
                                        Break
                                    }

                                    Break
                                }

                                Return (Buffer (One)
                                {
                                     0x00                                             // .
                                })
                                Break
                            }
                            ElseIf ((_T_1 == One))
                            {
                                While (One)
                                {
                                    Name (_T_3, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_3 = ToInteger (Arg3)
                                    If ((_T_3 == Zero))
                                    {
                                        Return (Package (0x01)
                                        {
                                            0x36019050
                                        })
                                        Break
                                    }
                                    ElseIf ((_T_3 == One))
                                    {
                                        Return (Package (0x01)
                                        {
                                            0x3601912C
                                        })
                                        Break
                                    }
                                    Else
                                    {
                                        Return (Package (0x01)
                                        {
                                            Zero
                                        })
                                        Break
                                    }

                                    Break
                                }
                            }
                            Else
                            {
                                Return (Buffer (One)
                                {
                                     0x00                                             // .
                                })
                                Break
                            }

                            Break
                        }
                    }
                    Else
                    {
                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                        Break
                    }

                    Break
                }
            }

            Method (CCOT, 2, NotSerialized)
            {
                \_SB.CCST = Arg0
                \_SB.HSFL = Arg1
                \_SB.CCS2 = Arg0
                Notify (\_SB.USBA, \_SB.CCS2)
            }

            Method (CCVL, 0, NotSerialized)
            {
                Return (\_SB.CCST)
            }

            Method (HPDS, 0, NotSerialized)
            {
                Notify (\_SB.GPU0, 0x94) // Device-Specific
            }

            Method (HPDF, 2, NotSerialized)
            {
                \_SB.HPDB = Arg0
                \_SB.PINA = Arg1
                Notify (\_SB.GPU0, \_SB.HPDB)
            }

            Method (HPDV, 0, NotSerialized)
            {
                Return (\_SB.HPDB)
            }

            Method (PINV, 0, NotSerialized)
            {
                Return (\_SB.PINA)
            }
        }

        Device (USB1)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.PEP0
            })
            Name (_HID, "QCOM0475")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Name (STVL, Zero)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (STVL) /* \_SB_.USB1.STVL */
            }
        }

        Device (USBA)
        {
            Name (_HID, "FSA4480")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    I2cSerialBusV2 (0x0043, ControllerInitiated, 0x000186A0,
                        AddressingMode7Bit, "\\_SB.I2C5",
                        0x00, ResourceConsumer, , Exclusive,
                        )
                    GpioIo (Shared, PullNone, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x01
                        })
                        {   // Pin list
                            0x0026
                        }
                    GpioIo (Exclusive, PullUp, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0002
                        }
                })
                Return (RBUF) /* \_SB_.USBA._CRS.RBUF */
            }
        }

        Device (MPA)
        {
            Name (_HID, "QCOM04B4")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MPA1)
        {
            Name (_HID, "QCOM04B5")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MBJ0)
        {
            Name (_HID, "QCOM04B6")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MBJ1)
        {
            Name (_HID, "QCOM04B7")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MBJ2)
        {
            Name (_HID, "QCOM04B8")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MBJ3)
        {
            Name (_HID, "QCOM04B9")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MBS0)
        {
            Name (_HID, "QCOM04BA")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MBS1)
        {
            Name (_HID, "QCOM04BB")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MBS2)
        {
            Name (_HID, "QCOM04BC")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MBS3)
        {
            Name (_HID, "QCOM04BD")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MSKN)
        {
            Name (_HID, "QCOM04BE")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Device (MJCT)
        {
            Name (_HID, "QCOM04BF")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((((\_SB.SOID == 0x0169) || (\_SB.SOID == 0x0153)) && ((\_SB.PLST == 
                    One) || (\_SB.PLST == 0x02))))
                {
                    Return (0x0F)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        ThermalZone (TZ51)
        {
            Name (_HID, "QCOM04C0")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MPA
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ51.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ51.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ51.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ51.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ51.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MPA
                })
            }
        }

        ThermalZone (TZ52)
        {
            Name (_HID, "QCOM04C1")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MPA1
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ52.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ52.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ52.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ52.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ52.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MPA1
                })
            }
        }

        ThermalZone (TZ53)
        {
            Name (_HID, "QCOM04C2")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MBJ0
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ53.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ53.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ53.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ53.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ53.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MBJ0
                })
            }
        }

        ThermalZone (TZ54)
        {
            Name (_HID, "QCOM04C3")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MBJ1
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ54.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ54.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ54.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ54.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ54.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MBJ1
                })
            }
        }

        ThermalZone (TZ55)
        {
            Name (_HID, "QCOM04C4")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MBJ2
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ55.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ55.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ55.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ55.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ55.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MBJ2
                })
            }
        }

        ThermalZone (TZ56)
        {
            Name (_HID, "QCOM04C5")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MBJ3
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ56.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ56.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ56.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ56.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ56.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MBJ3
                })
            }
        }

        ThermalZone (TZ57)
        {
            Name (_HID, "QCOM04C6")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MBS0
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ57.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ57.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ57.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ57.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ57.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MBS0
                })
            }
        }

        ThermalZone (TZ58)
        {
            Name (_HID, "QCOM04C7")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MBS1
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ58.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ58.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ58.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ58.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ58.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MBS1
                })
            }
        }

        ThermalZone (TZ59)
        {
            Name (_HID, "QCOM04C8")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MBS2
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ59.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ59.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ59.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ59.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ59.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MBS2
                })
            }
        }

        ThermalZone (TZ60)
        {
            Name (_HID, "QCOM04CC")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MJCT
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ60.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ60.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ60.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ60.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ60.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MJCT
                })
            }
        }

        ThermalZone (TZ61)
        {
            Name (_HID, "QCOM04CD")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MSKN
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ61.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ61.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ61.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ61.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ61.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MSKN
                })
            }
        }

        ThermalZone (TZ62)
        {
            Name (_HID, "QCOM04CB")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.MJCT
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ62.TPSV)
            }

            Name (TCRT, 0x0F5A)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ62.TCRT)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ62.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ62.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ62.TTSP)
            }

            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.MJCT
                })
            }
        }

        Device (AGR0)
        {
            Name (_HID, "ACPI000C" /* Processor Aggregator Device */)  // _HID: Hardware ID
            Name (_PUR, Package (0x02)  // _PUR: Processor Utilization Request
            {
                One, 
                Zero
            })
            Method (_OST, 3, NotSerialized)  // _OST: OSPM Status Indication
            {
                \_SB.PEP0.ROST = Arg2
            }
        }

        ThermalZone (TZ0)
        {
            Name (_HID, "QCOM045C")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x04)  // _TZD: Thermal Zone Devices
            {
                \_SB.SYSM.CLUS.CPU0, 
                \_SB.SYSM.CLUS.CPU1, 
                \_SB.SYSM.CLUS.CPU2, 
                \_SB.SYSM.CLUS.CPU3
            })
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.PEP0
                })
            }
        }

        ThermalZone (TZ1)
        {
            Name (_HID, "QCOM045C")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.PEP0
            })
            Name (TPSV, 0x0EC4)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ1.TPSV)
            }

            Name (_MTL, 0x14)  // _MTL: Minimum Throttle Limit
            Name (TTC1, Zero)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ1.TTC1)
            }

            Name (TTC2, One)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ1.TTC2)
            }

            Name (TTSP, 0x32)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ1.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.PEP0
                })
            }
        }

        ThermalZone (TZ2)
        {
            Name (_HID, "QCOM045D")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x04)  // _TZD: Thermal Zone Devices
            {
                \_SB.SYSM.CLUS.CPU4, 
                \_SB.SYSM.CLUS.CPU5, 
                \_SB.SYSM.CLUS.CPU6, 
                \_SB.SYSM.CLUS.CPU7
            })
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.PEP0
                })
            }
        }

        ThermalZone (TZ3)
        {
            Name (_HID, "QCOM045D")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.PEP0
            })
            Name (TPSV, 0x0EC4)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ3.TPSV)
            }

            Name (_MTL, 0x14)  // _MTL: Minimum Throttle Limit
            Name (TTC1, Zero)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ3.TTC1)
            }

            Name (TTC2, One)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ3.TTC2)
            }

            Name (TTSP, One)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ3.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.PEP0
                })
            }
        }

        ThermalZone (TZ5)
        {
            Name (_HID, "QCOM049D")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.GPU0
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ5.TPSV)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ5.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ5.TTC2)
            }

            Name (TTSP, 0x02)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ5.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.PEP0
                })
            }
        }

        ThermalZone (TZ7)
        {
            Name (_HID, "QCOM0450")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.GPU0.AVS0
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ7.TPSV)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ7.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ7.TTC2)
            }

            Name (TTSP, 0x14)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ7.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.PEP0
                })
            }
        }

        ThermalZone (TZ9)
        {
            Name (_HID, "QCOM049E")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If (((\_SB.SOID != 0x0153) || ((\_SB.SOID == 0x0153) && (\_SB.PLST == 
                    0x02))))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }

            Name (_TZD, Package (0x02)  // _TZD: Thermal Zone Devices
            {
                \_SB.AMSS, 
                \_SB.MPTM
            })
            Name (TPSV, 0x0E60)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ9.TPSV)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ9.TTC1)
            }

            Name (TTC2, 0x02)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ9.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ9.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.PEP0
                })
            }
        }

        ThermalZone (TZ15)
        {
            Name (_HID, "QCOM0462")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x0B)  // _TZD: Thermal Zone Devices
            {
                \_SB.SYSM.CLUS.CPU0, 
                \_SB.SYSM.CLUS.CPU1, 
                \_SB.SYSM.CLUS.CPU2, 
                \_SB.SYSM.CLUS.CPU3, 
                \_SB.SYSM.CLUS.CPU4, 
                \_SB.SYSM.CLUS.CPU5, 
                \_SB.SYSM.CLUS.CPU6, 
                \_SB.SYSM.CLUS.CPU7, 
                \_SB.BAT1, 
                \_SB.BAT2, 
                \_SB.SCHG
            })
            Name (TPSV, 0x0EC4)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ15.TPSV)
            }

            Name (TTC1, 0x04)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ15.TTC1)
            }

            Name (TTC2, 0x03)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ15.TTC2)
            }

            Name (TTSP, 0x32)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ15.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x04)
                {
                    \_SB.PEP0, 
                    \_SB.ADC1, 
                    \_SB.ADC2, 
                    \_SB.ADC3
                })
            }
        }

        ThermalZone (TZ16)
        {
            Name (_HID, "QCOM0462")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.PEP0
            })
            Name (TPSV, 0x0F8C)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ16.TPSV)
            }

            Name (TCRT, 0x1054)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ16.TCRT)
            }

            Name (TTC1, 0x04)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ16.TTC1)
            }

            Name (TTC2, 0x03)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ16.TTC2)
            }

            Name (TTSP, 0x32)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ16.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x04)
                {
                    \_SB.PEP0, 
                    \_SB.ADC1, 
                    \_SB.ADC2, 
                    \_SB.ADC3
                })
            }
        }

        ThermalZone (TZ17)
        {
            Name (_HID, "QCOM0462")  // _HID: Hardware ID
            Name (_UID, 0x02)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.PEP0
            })
            Method (INVT, 0, NotSerialized)
            {
                Return (One)
            }

            Method (_MTL, 0, NotSerialized)  // _MTL: Minimum Throttle Limit
            {
                Return (0x3C)
            }

            Name (TPSV, 0x0B0E)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ17.TPSV)
            }

            Name (TTC1, 0x04)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ17.TTC1)
            }

            Name (TTC2, 0x03)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ17.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ17.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x04)
                {
                    \_SB.PEP0, 
                    \_SB.ADC1, 
                    \_SB.ADC2, 
                    \_SB.ADC3
                })
            }
        }

        ThermalZone (TZ18)
        {
            Name (_HID, "QCOM0465")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x0B)  // _TZD: Thermal Zone Devices
            {
                \_SB.SYSM.CLUS.CPU0, 
                \_SB.SYSM.CLUS.CPU1, 
                \_SB.SYSM.CLUS.CPU2, 
                \_SB.SYSM.CLUS.CPU3, 
                \_SB.SYSM.CLUS.CPU4, 
                \_SB.SYSM.CLUS.CPU5, 
                \_SB.SYSM.CLUS.CPU6, 
                \_SB.SYSM.CLUS.CPU7, 
                \_SB.BAT1, 
                \_SB.BAT2, 
                \_SB.SCHG
            })
            Name (TPSV, 0x0EC4)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ18.TPSV)
            }

            Name (TTC1, 0x04)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ18.TTC1)
            }

            Name (TTC2, 0x03)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ18.TTC2)
            }

            Name (TTSP, 0x32)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ18.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x04)
                {
                    \_SB.PEP0, 
                    \_SB.ADC1, 
                    \_SB.ADC2, 
                    \_SB.ADC3
                })
            }
        }

        ThermalZone (TZ19)
        {
            Name (_HID, "QCOM0465")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.PEP0
            })
            Name (TPSV, 0x0F8C)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ19.TPSV)
            }

            Name (TCRT, 0x1054)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ19.TCRT)
            }

            Name (TTC1, 0x04)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ19.TTC1)
            }

            Name (TTC2, 0x03)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ19.TTC2)
            }

            Name (TTSP, 0x32)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ19.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x04)
                {
                    \_SB.PEP0, 
                    \_SB.ADC1, 
                    \_SB.ADC2, 
                    \_SB.ADC3
                })
            }
        }

        ThermalZone (TZ20)
        {
            Name (_HID, "QCOM0469")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x0B)  // _TZD: Thermal Zone Devices
            {
                \_SB.SYSM.CLUS.CPU0, 
                \_SB.SYSM.CLUS.CPU1, 
                \_SB.SYSM.CLUS.CPU2, 
                \_SB.SYSM.CLUS.CPU3, 
                \_SB.SYSM.CLUS.CPU4, 
                \_SB.SYSM.CLUS.CPU5, 
                \_SB.SYSM.CLUS.CPU6, 
                \_SB.SYSM.CLUS.CPU7, 
                \_SB.BAT1, 
                \_SB.BAT2, 
                \_SB.SCHG
            })
            Name (TPSV, 0x0EC4)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ20.TPSV)
            }

            Name (TTC1, 0x04)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ20.TTC1)
            }

            Name (TTC2, 0x03)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ20.TTC2)
            }

            Name (TTSP, 0x32)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ20.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x04)
                {
                    \_SB.PEP0, 
                    \_SB.ADC1, 
                    \_SB.ADC2, 
                    \_SB.ADC3
                })
            }
        }

        ThermalZone (TZ21)
        {
            Name (_HID, "QCOM0469")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.PEP0
            })
            Name (TPSV, 0x0F8C)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ21.TPSV)
            }

            Name (TCRT, 0x1054)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ21.TCRT)
            }

            Name (TTC1, 0x04)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ21.TTC1)
            }

            Name (TTC2, 0x03)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ21.TTC2)
            }

            Name (TTSP, 0x32)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ21.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x04)
                {
                    \_SB.PEP0, 
                    \_SB.ADC1, 
                    \_SB.ADC2, 
                    \_SB.ADC3
                })
            }
        }

        ThermalZone (TZ22)
        {
            Name (_HID, "QCOM0463")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x04)  // _TZD: Thermal Zone Devices
            {
                \_SB.SYSM.CLUS.CPU4, 
                \_SB.SYSM.CLUS.CPU5, 
                \_SB.SYSM.CLUS.CPU6, 
                \_SB.SYSM.CLUS.CPU7
            })
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x04)
                {
                    \_SB.PEP0, 
                    \_SB.ADC1, 
                    \_SB.ADC2, 
                    \_SB.ADC3
                })
            }
        }

        ThermalZone (TZ23)
        {
            Name (_HID, "QCOM0467")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x04)  // _TZD: Thermal Zone Devices
            {
                \_SB.SYSM.CLUS.CPU4, 
                \_SB.SYSM.CLUS.CPU5, 
                \_SB.SYSM.CLUS.CPU6, 
                \_SB.SYSM.CLUS.CPU7
            })
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x04)
                {
                    \_SB.PEP0, 
                    \_SB.ADC1, 
                    \_SB.ADC2, 
                    \_SB.ADC3
                })
            }
        }

        ThermalZone (TZ40)
        {
            Name (_HID, "QCOM044C")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (_TZD, Package (0x01)  // _TZD: Thermal Zone Devices
            {
                \_SB.COEX
            })
            Name (TPSV, 0x0DFC)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ40.TPSV)
            }

            Name (TTC1, One)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ40.TTC1)
            }

            Name (TTC2, 0x05)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ40.TTC2)
            }

            Name (TTSP, 0x1E)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ40.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.PEP0
                })
            }
        }

        ThermalZone (TZ41)
        {
            Name (_HID, "QCOM045F")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Name (_TSP, 0x32)  // _TSP: Thermal Sampling Period
            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
        }

        ThermalZone (TZ99)
        {
            Name (_HID, "QCOM045E")  // _HID: Hardware ID
            Name (_UID, 0x64)  // _UID: Unique ID
            Name (_TZD, Package (0x12)  // _TZD: Thermal Zone Devices
            {
                \_SB.SYSM.CLUS.CPU0, 
                \_SB.SYSM.CLUS.CPU1, 
                \_SB.SYSM.CLUS.CPU2, 
                \_SB.SYSM.CLUS.CPU3, 
                \_SB.SYSM.CLUS.CPU4, 
                \_SB.SYSM.CLUS.CPU5, 
                \_SB.SYSM.CLUS.CPU6, 
                \_SB.SYSM.CLUS.CPU7, 
                \_SB.PEP0, 
                \_SB.AMSS, 
                \_SB.MPTM, 
                \_SB.GPU0.MON0, 
                \_SB.GPU0.MON1, 
                \_SB.GPU0, 
                \_SB.COEX, 
                \_SB.BAT1, 
                \_SB.BAT2, 
                \_SB.SCHG
            })
            Name (TPSV, 0x0EC4)
            Method (_PSV, 0, NotSerialized)  // _PSV: Passive Temperature
            {
                Return (\_SB.TZ99.TPSV)
            }

            Name (TCRT, 0x0F28)
            Method (_CRT, 0, NotSerialized)  // _CRT: Critical Temperature
            {
                Return (\_SB.TZ99.TCRT)
            }

            Name (TTC1, 0x04)
            Method (_TC1, 0, NotSerialized)  // _TC1: Thermal Constant 1
            {
                Return (\_SB.TZ99.TTC1)
            }

            Name (TTC2, 0x03)
            Method (_TC2, 0, NotSerialized)  // _TC2: Thermal Constant 2
            {
                Return (\_SB.TZ99.TTC2)
            }

            Name (TTSP, 0x0A)
            Method (_TSP, 0, NotSerialized)  // _TSP: Thermal Sampling Period
            {
                Return (\_SB.TZ99.TTSP)
            }

            Name (_TZP, Zero)  // _TZP: Thermal Zone Polling
            Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
            {
                Return (Package (0x01)
                {
                    \_SB.PEP0
                })
            }
        }

        Name (HWNH, One)
        Device (HWN1)
        {
            Name (_HID, "DA7280")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.HWNH == Zero))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    I2cSerialBusV2 (0x004A, ControllerInitiated, 0x00061A80,
                        AddressingMode7Bit, "\\_SB.I2C2",
                        0x00, ResourceConsumer, , Exclusive,
                        )
                    GpioInt (Edge, ActiveLow, ExclusiveAndWake, PullUp, 0x0000,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x002A
                        }
                })
                Return (RBUF) /* \_SB_.HWN1._CRS.RBUF */
            }
        }

        Scope (\_SB)
        {
            Device (GTCH)
            {
                Method (_HID, 0, NotSerialized)  // _HID: Hardware ID
                {
                    Return ("MSHW0235")
                }

                Name (_CID, "PNP0C51")  // _CID: Compatible ID
                Name (_S0W, 0x02)  // _S0W: S0 Device Wake State
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        SpiSerialBusV2 (0x0000, PolarityLow, FourWireMode, 0x08,
                            ControllerInitiated, 0x017D7840, ClockPolarityLow,
                            ClockPhaseFirst, "\\_SB.SPI8",
                            0x00, ResourceConsumer, , Exclusive,
                            )
                        GpioInt (Edge, ActiveHigh, ExclusiveAndWake, PullDown, 0x0000,
                            "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                            )
                            {   // Pin list
                                0x0003
                            }
                        GpioIo (Exclusive, PullDown, 0x0000, 0x0000, IoRestrictionNone,
                            "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                            )
                            {   // Pin list
                                0x0001
                            }
                    })
                    Return (RBUF) /* \_SB_.GTCH._CRS.RBUF */
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg0 == ToUUID ("6e2ac436-0fcf-41af-a265-b32a220dcfab") /* Unknown UUID */))
                    {
                        While (One)
                        {
                            Name (_T_0, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_0 = Arg2
                            If ((_T_0 == Zero))
                            {
                                While (One)
                                {
                                    Name (_T_1, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_1 = ToInteger (Arg1)
                                    If ((_T_1 == One))
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x03                                             // .
                                        })
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            ElseIf ((_T_0 == One))
                            {
                                Return (One)
                            }
                            Else
                            {
                            }

                            Break
                        }
                    }
                    Else
                    {
                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                    }
                }

                Name (PGID, Buffer (0x0A)
                {
                    "\\_SB.GTCH"
                })
                Name (FLAG, 0x03)
                Name (DBUF, Buffer (DBFL){})
                CreateByteField (DBUF, Zero, STAT)
                CreateByteField (DBUF, 0x02, DVAL)
                CreateField (DBUF, 0x18, 0xA0, DEID)
                Method (_S1D, 0, NotSerialized)  // _S1D: S1 Device State
                {
                    Return (0x03)
                }

                Method (_S2D, 0, NotSerialized)  // _S2D: S2 Device State
                {
                    Return (0x03)
                }

                Method (_S3D, 0, NotSerialized)  // _S3D: S3 Device State
                {
                    Return (0x03)
                }

                Method (_PS0, 0, NotSerialized)  // _PS0: Power State 0
                {
                    If ((FLAG == 0x03))
                    {
                        Sleep (0x012C)
                        OperationRegion (GI00, SystemMemory, 0x03D00000, 0x20)
                        Field (GI00, DWordAcc, NoLock, Preserve)
                        {
                            DWD1,   32, 
                            DWD2,   32
                        }

                        DWD2 = 0x02
                        Sleep (0x96)
                    }

                    DEID = Buffer (ESNL){}
                    DVAL = Zero
                    DEID = PGID /* \_SB_.GTCH.PGID */
                    If (\_SB.ABD.AVBL)
                    {
                        \_SB.PEP0.FLD0 = DBUF /* \_SB_.GTCH.DBUF */
                    }

                    FLAG = Zero
                }

                Method (_PS2, 0, NotSerialized)  // _PS2: Power State 2
                {
                }

                Method (_PS3, 0, NotSerialized)  // _PS3: Power State 3
                {
                    DEID = Buffer (ESNL){}
                    DVAL = 0x03
                    DEID = PGID /* \_SB_.GTCH.PGID */
                    If (\_SB.ABD.AVBL)
                    {
                        \_SB.PEP0.FLD0 = DBUF /* \_SB_.GTCH.DBUF */
                    }

                    FLAG = 0x03
                }

                Method (_RST, 0, NotSerialized)  // _RST: Device Reset
                {
                    OperationRegion (GI00, SystemMemory, 0x03D00000, 0x20)
                    Field (GI00, DWordAcc, NoLock, Preserve)
                    {
                        DWD1,   32, 
                        DWD2,   32
                    }

                    DWD2 = Zero
                    Sleep (0x012C)
                    DWD2 = 0x02
                }
            }
        }

        Scope (\_SB.IC20)
        {
            Device (PA01)
            {
                Name (_HID, "MAX34417")  // _HID: Hardware ID
                Name (_CID, "MAX34417")  // _CID: Compatible ID
                Name (_UID, One)  // _UID: Unique ID
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        I2cSerialBusV2 (0x0012, ControllerInitiated, 0x00061A80,
                            AddressingMode7Bit, "\\_SB.IC20",
                            0x00, ResourceConsumer, , Exclusive,
                            )
                    })
                    Return (RBUF) /* \_SB_.IC20.PA01._CRS.RBUF */
                }

                Method (_STA, 0, NotSerialized)  // _STA: Status
                {
                    If ((BDID >= 0x0D))
                    {
                        Return (Zero)
                    }

                    Return (0x0F)
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg0 == ToUUID ("4993a436-e1ac-4dc7-b4f8-46a5008fb9e7") /* Unknown UUID */))
                    {
                        While (One)
                        {
                            Name (_T_2, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_2 = Arg2
                            If ((_T_2 == Zero))
                            {
                                While (One)
                                {
                                    Name (_T_3, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_3 = ToInteger (Arg1)
                                    If ((_T_3 == Zero))
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x07                                             // .
                                        })
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            ElseIf ((_T_2 == One))
                            {
                                While (One)
                                {
                                    Name (_T_4, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_4 = ToInteger (Arg1)
                                    If ((_T_4 == Zero))
                                    {
                                        Name (PBUF, Package (0x08)
                                        {
                                            "Touch_D5", 
                                            0x32, 
                                            "DISPLAY_R2", 
                                            0x32, 
                                            "WIFI_3V3_TX", 
                                            0x32, 
                                            "BOB_V3", 
                                            0x0A
                                        })
                                        Return (PBUF) /* \_SB_.IC20.PA01._DSM.PBUF */
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            ElseIf ((_T_2 == 0x02))
                            {
                                While (One)
                                {
                                    Name (_T_5, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_5 = ToInteger (Arg1)
                                    If ((_T_5 == Zero))
                                    {
                                        Name (CBUF, Package (0x01)
                                        {
                                            0x04
                                        })
                                        Return (CBUF) /* \_SB_.IC20.PA01._DSM.CBUF */
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            Else
                            {
                                Return (Buffer (One)
                                {
                                     0x00                                             // .
                                })
                            }

                            Break
                        }
                    }
                    Else
                    {
                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                    }
                }

                Name (PGID, Buffer (0x0A)
                {
                    "\\_SB.PA01"
                })
                Name (DBUF, Buffer (DBFL){})
                CreateByteField (DBUF, Zero, STAT)
                CreateByteField (DBUF, 0x02, DVAL)
                CreateField (DBUF, 0x18, 0xA0, DEID)
                Method (_S1D, 0, NotSerialized)  // _S1D: S1 Device State
                {
                    Return (0x03)
                }

                Method (_S2D, 0, NotSerialized)  // _S2D: S2 Device State
                {
                    Return (0x03)
                }

                Method (_S3D, 0, NotSerialized)  // _S3D: S3 Device State
                {
                    Return (0x03)
                }

                Method (_PS0, 0, NotSerialized)  // _PS0: Power State 0
                {
                    DEID = Buffer (ESNL){}
                    DVAL = Zero
                    DEID = PGID /* \_SB_.IC20.PA01.PGID */
                    If (\_SB.ABD.AVBL)
                    {
                        \_SB.PEP0.FLD0 = DBUF /* \_SB_.IC20.PA01.DBUF */
                    }
                }

                Method (_PS3, 0, NotSerialized)  // _PS3: Power State 3
                {
                    DEID = Buffer (ESNL){}
                    DVAL = 0x03
                    DEID = PGID /* \_SB_.IC20.PA01.PGID */
                    If (\_SB.ABD.AVBL)
                    {
                        \_SB.PEP0.FLD0 = DBUF /* \_SB_.IC20.PA01.DBUF */
                    }
                }
            }

            Device (PA05)
            {
                Name (_HID, "MAX34417")  // _HID: Hardware ID
                Name (_CID, "MAX34417")  // _CID: Compatible ID
                Name (_UID, 0x05)  // _UID: Unique ID
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        I2cSerialBusV2 (0x001A, ControllerInitiated, 0x00061A80,
                            AddressingMode7Bit, "\\_SB.IC20",
                            0x00, ResourceConsumer, , Exclusive,
                            )
                    })
                    Return (RBUF) /* \_SB_.IC20.PA05._CRS.RBUF */
                }

                Method (_STA, 0, NotSerialized)  // _STA: Status
                {
                    If ((BDID >= 0x0D))
                    {
                        Return (Zero)
                    }

                    Return (0x0F)
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg0 == ToUUID ("4993a436-e1ac-4dc7-b4f8-46a5008fb9e7") /* Unknown UUID */))
                    {
                        While (One)
                        {
                            Name (_T_6, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_6 = Arg2
                            If ((_T_6 == Zero))
                            {
                                While (One)
                                {
                                    Name (_T_7, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_7 = ToInteger (Arg1)
                                    If ((_T_7 == Zero))
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x07                                             // .
                                        })
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            ElseIf ((_T_6 == One))
                            {
                                While (One)
                                {
                                    Name (_T_8, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_8 = ToInteger (Arg1)
                                    If ((_T_8 == Zero))
                                    {
                                        Name (PBUF, Package (0x08)
                                        {
                                            "SOC_DIGITAL_IO", 
                                            0x14, 
                                            "R2_IMEM", 
                                            0x19, 
                                            "GFX_CORE", 
                                            0x14, 
                                            "R2_DDR", 
                                            0x64
                                        })
                                        Return (PBUF) /* \_SB_.IC20.PA05._DSM.PBUF */
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            ElseIf ((_T_6 == 0x02))
                            {
                                While (One)
                                {
                                    Name (_T_9, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_9 = ToInteger (Arg1)
                                    If ((_T_9 == Zero))
                                    {
                                        Name (CBUF, Package (0x01)
                                        {
                                            0x04
                                        })
                                        Return (CBUF) /* \_SB_.IC20.PA05._DSM.CBUF */
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            Else
                            {
                                Return (Buffer (One)
                                {
                                     0x00                                             // .
                                })
                            }

                            Break
                        }
                    }
                    Else
                    {
                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                    }
                }

                Name (PGID, Buffer (0x0A)
                {
                    "\\_SB.PA05"
                })
                Name (DBUF, Buffer (DBFL){})
                CreateByteField (DBUF, Zero, STAT)
                CreateByteField (DBUF, 0x02, DVAL)
                CreateField (DBUF, 0x18, 0xA0, DEID)
                Method (_S1D, 0, NotSerialized)  // _S1D: S1 Device State
                {
                    Return (0x03)
                }

                Method (_S2D, 0, NotSerialized)  // _S2D: S2 Device State
                {
                    Return (0x03)
                }

                Method (_S3D, 0, NotSerialized)  // _S3D: S3 Device State
                {
                    Return (0x03)
                }

                Method (_PS0, 0, NotSerialized)  // _PS0: Power State 0
                {
                    DEID = Buffer (ESNL){}
                    DVAL = Zero
                    DEID = PGID /* \_SB_.IC20.PA05.PGID */
                    If (\_SB.ABD.AVBL)
                    {
                        \_SB.PEP0.FLD0 = DBUF /* \_SB_.IC20.PA05.DBUF */
                    }
                }

                Method (_PS3, 0, NotSerialized)  // _PS3: Power State 3
                {
                    DEID = Buffer (ESNL){}
                    DVAL = 0x03
                    DEID = PGID /* \_SB_.IC20.PA05.PGID */
                    If (\_SB.ABD.AVBL)
                    {
                        \_SB.PEP0.FLD0 = DBUF /* \_SB_.IC20.PA05.DBUF */
                    }
                }
            }

            Device (PA07)
            {
                Name (_HID, "MAX34417")  // _HID: Hardware ID
                Name (_CID, "MAX34417")  // _CID: Compatible ID
                Name (_UID, 0x07)  // _UID: Unique ID
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        I2cSerialBusV2 (0x001E, ControllerInitiated, 0x00061A80,
                            AddressingMode7Bit, "\\_SB.IC20",
                            0x00, ResourceConsumer, , Exclusive,
                            )
                    })
                    Return (RBUF) /* \_SB_.IC20.PA07._CRS.RBUF */
                }

                Method (_STA, 0, NotSerialized)  // _STA: Status
                {
                    If ((BDID >= 0x0D))
                    {
                        Return (Zero)
                    }

                    Return (0x0F)
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg0 == ToUUID ("4993a436-e1ac-4dc7-b4f8-46a5008fb9e7") /* Unknown UUID */))
                    {
                        While (One)
                        {
                            Name (_T_A, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_A = Arg2
                            If ((_T_A == Zero))
                            {
                                While (One)
                                {
                                    Name (_T_B, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_B = ToInteger (Arg1)
                                    If ((_T_B == Zero))
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x07                                             // .
                                        })
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            ElseIf ((_T_A == One))
                            {
                                While (One)
                                {
                                    Name (_T_C, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_C = ToInteger (Arg1)
                                    If ((_T_C == Zero))
                                    {
                                        Name (PBUF, Package (0x08)
                                        {
                                            "TOTAL_SYSTEM", 
                                            0x0A, 
                                            "WIFI_LTE_1V3", 
                                            0x0A, 
                                            "USB_VBUS", 
                                            0x0A, 
                                            "UVS_1V8", 
                                            0x32
                                        })
                                        Return (PBUF) /* \_SB_.IC20.PA07._DSM.PBUF */
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            ElseIf ((_T_A == 0x02))
                            {
                                While (One)
                                {
                                    Name (_T_D, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_D = ToInteger (Arg1)
                                    If ((_T_D == Zero))
                                    {
                                        Name (CBUF, Package (0x01)
                                        {
                                            0x04
                                        })
                                        Return (CBUF) /* \_SB_.IC20.PA07._DSM.CBUF */
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            Else
                            {
                                Return (Buffer (One)
                                {
                                     0x00                                             // .
                                })
                            }

                            Break
                        }
                    }
                    Else
                    {
                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                    }
                }

                Name (PGID, Buffer (0x0A)
                {
                    "\\_SB.PA07"
                })
                Name (DBUF, Buffer (DBFL){})
                CreateByteField (DBUF, Zero, STAT)
                CreateByteField (DBUF, 0x02, DVAL)
                CreateField (DBUF, 0x18, 0xA0, DEID)
                Method (_S1D, 0, NotSerialized)  // _S1D: S1 Device State
                {
                    Return (0x03)
                }

                Method (_S2D, 0, NotSerialized)  // _S2D: S2 Device State
                {
                    Return (0x03)
                }

                Method (_S3D, 0, NotSerialized)  // _S3D: S3 Device State
                {
                    Return (0x03)
                }

                Method (_PS0, 0, NotSerialized)  // _PS0: Power State 0
                {
                    DEID = Buffer (ESNL){}
                    DVAL = Zero
                    DEID = PGID /* \_SB_.IC20.PA07.PGID */
                    If (\_SB.ABD.AVBL)
                    {
                        \_SB.PEP0.FLD0 = DBUF /* \_SB_.IC20.PA07.DBUF */
                    }
                }

                Method (_PS3, 0, NotSerialized)  // _PS3: Power State 3
                {
                    DEID = Buffer (ESNL){}
                    DVAL = 0x03
                    DEID = PGID /* \_SB_.IC20.PA07.PGID */
                    If (\_SB.ABD.AVBL)
                    {
                        \_SB.PEP0.FLD0 = DBUF /* \_SB_.IC20.PA07.DBUF */
                    }
                }
            }
        }

        Scope (\_SB.I2C2)
        {
            Device (PA06)
            {
                Name (_HID, "MAX34417")  // _HID: Hardware ID
                Name (_CID, "MAX34417")  // _CID: Compatible ID
                Name (_UID, 0x06)  // _UID: Unique ID
                Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
                {
                    Name (RBUF, ResourceTemplate ()
                    {
                        I2cSerialBusV2 (0x001C, ControllerInitiated, 0x00061A80,
                            AddressingMode7Bit, "\\_SB.I2C2",
                            0x00, ResourceConsumer, , Exclusive,
                            )
                    })
                    Return (RBUF) /* \_SB_.I2C2.PA06._CRS.RBUF */
                }

                Method (_STA, 0, NotSerialized)  // _STA: Status
                {
                    If ((BDID >= 0x0D))
                    {
                        Return (Zero)
                    }

                    Return (0x0F)
                }

                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg0 == ToUUID ("4993a436-e1ac-4dc7-b4f8-46a5008fb9e7") /* Unknown UUID */))
                    {
                        While (One)
                        {
                            Name (_T_E, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                            _T_E = Arg2
                            If ((_T_E == Zero))
                            {
                                While (One)
                                {
                                    Name (_T_F, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_F = ToInteger (Arg1)
                                    If ((_T_F == Zero))
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x07                                             // .
                                        })
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            ElseIf ((_T_E == One))
                            {
                                While (One)
                                {
                                    Name (_T_G, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_G = ToInteger (Arg1)
                                    If ((_T_G == Zero))
                                    {
                                        Name (PBUF, Package (0x08)
                                        {
                                            "VSYS_POWER", 
                                            0x14, 
                                            "Display_Power", 
                                            0x32, 
                                            "Touch_Boost_Power", 
                                            0x64, 
                                            "Touch_1V8_Power", 
                                            0x32
                                        })
                                        Return (PBUF) /* \_SB_.I2C2.PA06._DSM.PBUF */
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            ElseIf ((_T_E == 0x02))
                            {
                                While (One)
                                {
                                    Name (_T_H, 0x00)  // _T_x: Emitted by ASL Compiler, x=0-9, A-Z
                                    _T_H = ToInteger (Arg1)
                                    If ((_T_H == Zero))
                                    {
                                        Name (CBUF, Package (0x01)
                                        {
                                            0x04
                                        })
                                        Return (CBUF) /* \_SB_.I2C2.PA06._DSM.CBUF */
                                    }
                                    Else
                                    {
                                        Return (Buffer (One)
                                        {
                                             0x00                                             // .
                                        })
                                    }

                                    Break
                                }
                            }
                            Else
                            {
                                Return (Buffer (One)
                                {
                                     0x00                                             // .
                                })
                            }

                            Break
                        }
                    }
                    Else
                    {
                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                    }
                }
            }
        }

        Device (BTNS)
        {
            Name (_HID, "ACPI0011" /* Generic Buttons Device */)  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Name (_UID, Zero)  // _UID: Unique ID
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveBoth, ExclusiveAndWake, PullDown, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0000
                        }
                    GpioInt (Edge, ActiveBoth, Exclusive, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0085
                        }
                    GpioInt (Edge, ActiveBoth, Exclusive, PullDown, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0001
                        }
                })
                Return (RBUF) /* \_SB_.BTNS._CRS.RBUF */
            }

            Name (_DSD, Package (0x02)  // _DSD: Device-Specific Data
            {
                ToUUID ("fa6bd625-9ce8-470d-a2c7-b3ca36c4282e") /* Generic Buttons Device */, 
                Package (0x04)
                {
                    Package (0x05)
                    {
                        Zero, 
                        One, 
                        Zero, 
                        One, 
                        0x0D
                    }, 

                    Package (0x05)
                    {
                        One, 
                        Zero, 
                        One, 
                        One, 
                        0x81
                    }, 

                    Package (0x05)
                    {
                        One, 
                        One, 
                        One, 
                        0x0C, 
                        0xE9
                    }, 

                    Package (0x05)
                    {
                        One, 
                        0x02, 
                        One, 
                        0x0C, 
                        0xEA
                    }
                }
            })
        }

        Device (RVRM)
        {
            Name (_HID, "QCOM04A8")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (DBUS)
        {
            Name (_HID, "QCOM04CF")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
            Method (CHLD, 0, NotSerialized)
            {
                Return (Package (0x01)
                {
                    Package (0x04)
                    {
                        "DBUS\\QCOM04D0", 
                        Zero, 
                        0x09, 
                        0x09
                    }
                })
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0B)
            }
        }

        Device (CCID)
        {
            Name (_HID, "QCOM04A7")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Scope (\_SB.RVRM)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.SOID == 0x0169))
                {
                    Return (Zero)
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0F)
                }
            }
        }

        Scope (\_SB.CCID)
        {
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If ((\_SB.SOID == 0x0169))
                {
                    Return (Zero)
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return (Zero)
                }
                Else
                {
                    Return (0x0B)
                }
            }
        }

        Device (QDCI)
        {
            Name (_DEP, Package (One)  // _DEP: Dependencies
            {
                \_SB.GLNK
            })
            Name (_HID, "QCOM0413")  // _HID: Hardware ID
            Alias (\_SB.PSUB, _SUB)
        }

        Device (BTH0)
        {
            Name (_HID, "QCOM0471")  // _HID: Hardware ID
            Name (_DEP, Package (0x03)  // _DEP: Dependencies
            {
                \_SB.PEP0, 
                \_SB.PMIC, 
                \_SB.UR18
            })
            Name (_PRW, Package (0x02)  // _PRW: Power Resources for Wake
            {
                Zero, 
                Zero
            })
            Name (_S4W, 0x02)  // _S4W: S4 Device Wake State
            Name (_S0W, 0x02)  // _S0W: S0 Device Wake State
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                If ((\_SB.PSUB == "MTP08150"))
                {
                    If (((\_SB.PLST == One) || (\_SB.PLST == 0x04)))
                    {
                        Return (PBUF) /* \_SB_.BTH0.PBUF */
                    }
                    Else
                    {
                        Return (PBUP) /* \_SB_.BTH0.PBUP */
                    }
                }
                ElseIf ((\_SB.PSUB == "CLS08150"))
                {
                    If (((\_SB.SOID == 0x0169) && ((BSID == 0x02) || (BSID == 0x03))))
                    {
                        Return (PBUF) /* \_SB_.BTH0.PBUF */
                    }
                    Else
                    {
                        Return (PBUP) /* \_SB_.BTH0.PBUP */
                    }
                }
                Else
                {
                    Return (PBUP) /* \_SB_.BTH0.PBUP */
                }
            }

            Name (PBUF, ResourceTemplate ()
            {
                UartSerialBusV2 (0x0001C200, DataBitsEight, StopBitsOne,
                    0xC0, LittleEndian, ParityTypeNone, FlowControlHardware,
                    0x0020, 0x0020, "\\_SB.UR18",
                    0x00, ResourceConsumer, , Exclusive,
                    )
                GpioIo (Exclusive, PullDown, 0x0000, 0x0000, IoRestrictionNone,
                    "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                    )
                    {   // Pin list
                        0x00AA
                    }
            })
            Name (PBUP, ResourceTemplate ()
            {
                UartSerialBusV2 (0x0001C200, DataBitsEight, StopBitsOne,
                    0xC0, LittleEndian, ParityTypeNone, FlowControlHardware,
                    0x0020, 0x0020, "\\_SB.UR18",
                    0x00, ResourceConsumer, , Exclusive,
                    )
            })
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }
        }

        Scope (\_SB.BTH0)
        {
            Method (_SUB, 0, NotSerialized)  // _SUB: Subsystem ID
            {
                If ((\_SB.SOID == 0x0169))
                {
                    If ((\_SB.PLST == 0x02))
                    {
                        Return ("MTPB8150")
                    }
                    ElseIf ((\_SB.PLST == One))
                    {
                        Return ("MTPC8150")
                    }
                    ElseIf ((\_SB.PLST == 0x04))
                    {
                        Return ("MTPF8150")
                    }
                    Else
                    {
                        Return ("MTPA8150")
                    }
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x02)))
                {
                    Return ("MTPD8150")
                }
                ElseIf (((\_SB.SOID == 0x0153) && (\_SB.PLST == 0x04)))
                {
                    Return ("MTPE8150")
                }
                Else
                {
                    Return (\_SB.PSUB)
                }
            }
        }

        Device (ADC1)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.SPMI, 
                \_SB.PMIC
            })
            Name (_HID, "QCOM0412")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (INTB, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveHigh, ExclusiveAndWake, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x02
                        })
                        {   // Pin list
                            0x0020
                        }
                    GpioInt (Edge, ActiveHigh, ExclusiveAndWake, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x02
                        })
                        {   // Pin list
                            0x0028
                        }
                })
                Name (NAM, Buffer (0x0A)
                {
                    "\\_SB.SPMI"
                })
                Name (VUSR, Buffer (0x0C)
                {
                    /* 0000 */  0x8E, 0x13, 0x00, 0x01, 0x00, 0xC1, 0x02, 0x00,  // ........
                    /* 0008 */  0x31, 0x01, 0x00, 0x00                           // 1...
                })
                Name (VBTM, Buffer (0x0C)
                {
                    /* 0000 */  0x8E, 0x13, 0x00, 0x01, 0x00, 0xC1, 0x02, 0x00,  // ........
                    /* 0008 */  0x35, 0x01, 0x00, 0x00                           // 5...
                })
                Concatenate (VUSR, NAM, Local1)
                Concatenate (VBTM, NAM, Local2)
                Concatenate (Local1, Local2, Local3)
                Concatenate (Local3, INTB, Local0)
                Return (Local0)
            }

            Method (ADDV, 0, NotSerialized)
            {
                Return (Package (0x02)
                {
                    One, 
                    One
                })
            }

            Method (GENP, 0, NotSerialized)
            {
                Return (Package (0x07)
                {
                    Zero, 
                    0x70E4, 
                    0x001C9C38, 
                    0x0007A120, 
                    0x43, 
                    Zero, 
                    Zero
                })
            }

            Method (VGIO, 0, NotSerialized)
            {
                Return (Package (0x04)
                {
                    Package (0x02)
                    {
                        0x03, 
                        Buffer (0x04)
                        {
                             0x12, 0x32, 0x52, 0x72                           // .2Rr
                        }
                    }, 

                    Package (0x02)
                    {
                        0x04, 
                        Buffer (0x04)
                        {
                             0x13, 0x33, 0x53, 0x73                           // .3Ss
                        }
                    }, 

                    Package (0x02)
                    {
                        0x05, 
                        Buffer (0x05)
                        {
                             0x14, 0x34, 0x54, 0x74, 0x94                     // .4Tt.
                        }
                    }, 

                    Package (0x02)
                    {
                        0x02, 
                        Buffer (0x05)
                        {
                             0x15, 0x35, 0x55, 0x75, 0x95                     // .5Uu.
                        }
                    }
                })
            }

            Method (VTGN, 0, NotSerialized)
            {
                Return (Package (0x06)
                {
                    0x02, 
                    0x02, 
                    0x70E4, 
                    0x001C9C38, 
                    Zero, 
                    Zero
                })
            }
        }

        Device (ADC2)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.SPMI, 
                \_SB.PMIC
            })
            Name (_HID, "QCOM0412")  // _HID: Hardware ID
            Name (_UID, One)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (INTB, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveHigh, ExclusiveAndWake, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x02
                        })
                        {   // Pin list
                            0x0130
                        }
                    GpioInt (Edge, ActiveHigh, ExclusiveAndWake, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x02
                        })
                        {   // Pin list
                            0x0138
                        }
                })
                Name (NAM, Buffer (0x0A)
                {
                    "\\_SB.SPMI"
                })
                Name (VUSR, Buffer (0x0C)
                {
                    /* 0000 */  0x8E, 0x13, 0x00, 0x01, 0x00, 0xC1, 0x02, 0x02,  // ........
                    /* 0008 */  0x31, 0x01, 0x00, 0x00                           // 1...
                })
                Name (VBTM, Buffer (0x0C)
                {
                    /* 0000 */  0x8E, 0x13, 0x00, 0x01, 0x00, 0xC1, 0x02, 0x02,  // ........
                    /* 0008 */  0x35, 0x01, 0x00, 0x00                           // 5...
                })
                Concatenate (VUSR, NAM, Local1)
                Concatenate (VBTM, NAM, Local2)
                Concatenate (Local1, Local2, Local3)
                Concatenate (Local3, INTB, Local0)
                Return (Local0)
            }

            Method (ADDV, 0, NotSerialized)
            {
                Return (Package (0x02)
                {
                    One, 
                    One
                })
            }

            Method (GENP, 0, NotSerialized)
            {
                Return (Package (0x07)
                {
                    Zero, 
                    0x70E4, 
                    0x001C9C38, 
                    0x0007A120, 
                    0x43, 
                    Zero, 
                    One
                })
            }

            Method (VGIO, 0, NotSerialized)
            {
                Return (Package (0x05)
                {
                    Package (0x02)
                    {
                        One, 
                        Buffer (0x04)
                        {
                             0x10, 0x30, 0x50, 0x70                           // .0Pp
                        }
                    }, 

                    Package (0x02)
                    {
                        0x0B, 
                        Buffer (0x04)
                        {
                             0x12, 0x32, 0x52, 0x72                           // .2Rr
                        }
                    }, 

                    Package (0x02)
                    {
                        0x0C, 
                        Buffer (0x04)
                        {
                             0x13, 0x33, 0x53, 0x73                           // .3Ss
                        }
                    }, 

                    Package (0x02)
                    {
                        0x07, 
                        Buffer (0x05)
                        {
                             0x14, 0x34, 0x54, 0x74, 0x94                     // .4Tt.
                        }
                    }, 

                    Package (0x02)
                    {
                        0x08, 
                        Buffer (0x05)
                        {
                             0x15, 0x35, 0x55, 0x75, 0x95                     // .5Uu.
                        }
                    }
                })
            }

            Method (VTGN, 0, NotSerialized)
            {
                Return (Package (0x06)
                {
                    0x02, 
                    0x02, 
                    0x70E4, 
                    0x001C9C38, 
                    Zero, 
                    One
                })
            }
        }

        Device (ADC3)
        {
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.SPMI, 
                \_SB.PMIC
            })
            Name (_HID, "QCOM0412")  // _HID: Hardware ID
            Name (_UID, 0x02)  // _UID: Unique ID
            Alias (\_SB.PSUB, _SUB)
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (INTB, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveHigh, ExclusiveAndWake, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x02
                        })
                        {   // Pin list
                            0x01D0
                        }
                    GpioInt (Edge, ActiveHigh, ExclusiveAndWake, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        RawDataBuffer (0x01)  // Vendor Data
                        {
                            0x02
                        })
                        {   // Pin list
                            0x01D8
                        }
                })
                Name (NAM, Buffer (0x0A)
                {
                    "\\_SB.SPMI"
                })
                Name (VUSR, Buffer (0x0C)
                {
                    /* 0000 */  0x8E, 0x13, 0x00, 0x01, 0x00, 0xC1, 0x02, 0x04,  // ........
                    /* 0008 */  0x31, 0x01, 0x00, 0x00                           // 1...
                })
                Name (VBTM, Buffer (0x0C)
                {
                    /* 0000 */  0x8E, 0x13, 0x00, 0x01, 0x00, 0xC1, 0x02, 0x04,  // ........
                    /* 0008 */  0x35, 0x01, 0x00, 0x00                           // 5...
                })
                Concatenate (VUSR, NAM, Local1)
                Concatenate (VBTM, NAM, Local2)
                Concatenate (Local1, Local2, Local3)
                Concatenate (Local3, INTB, Local0)
                Return (Local0)
            }

            Method (ADDV, 0, NotSerialized)
            {
                Return (Package (0x02)
                {
                    One, 
                    One
                })
            }

            Method (GENP, 0, NotSerialized)
            {
                Return (Package (0x07)
                {
                    Zero, 
                    0x70E4, 
                    0x001C9C38, 
                    0x0007A120, 
                    0x43, 
                    Zero, 
                    0x02
                })
            }

            Method (VGIO, 0, NotSerialized)
            {
                Return (Package (0x04)
                {
                    Package (0x02)
                    {
                        0x05, 
                        Buffer (0x04)
                        {
                             0x12, 0x32, 0x52, 0x72                           // .2Rr
                        }
                    }, 

                    Package (0x02)
                    {
                        0x06, 
                        Buffer (0x04)
                        {
                             0x13, 0x33, 0x53, 0x73                           // .3Ss
                        }
                    }, 

                    Package (0x02)
                    {
                        0x07, 
                        Buffer (0x05)
                        {
                             0x14, 0x34, 0x54, 0x74, 0x94                     // .4Tt.
                        }
                    }, 

                    Package (0x02)
                    {
                        0x0A, 
                        Buffer (0x05)
                        {
                             0x15, 0x35, 0x55, 0x75, 0x95                     // .5Uu.
                        }
                    }
                })
            }

            Method (VTGN, 0, NotSerialized)
            {
                Return (Package (0x06)
                {
                    0x02, 
                    0x02, 
                    0x70E4, 
                    0x001C9C38, 
                    Zero, 
                    0x02
                })
            }
        }

        Scope (\_SB.ADC1)
        {
            Method (CHAN, 0, NotSerialized)
            {
                Return (Package (0x07)
                {
                    Package (0x0B)
                    {
                        "VPH_PWR", 
                        0x83, 
                        Zero, 
                        Zero, 
                        0x02, 
                        0x02, 
                        One, 
                        0x03, 
                        Zero, 
                        Zero, 
                        Zero
                    }, 

                    Package (0x0B)
                    {
                        "VCOIN", 
                        0x85, 
                        Zero, 
                        Zero, 
                        0x02, 
                        0x02, 
                        One, 
                        0x03, 
                        Zero, 
                        Zero, 
                        Zero
                    }, 

                    Package (0x0B)
                    {
                        "PMIC_THERM", 
                        0x06, 
                        Zero, 
                        Zero, 
                        0x02, 
                        0x02, 
                        One, 
                        One, 
                        0x03, 
                        Zero, 
                        Zero
                    }, 

                    Package (0x0B)
                    {
                        "XO_THERM", 
                        0x4C, 
                        0x02, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        XTTB
                    }, 

                    Package (0x0B)
                    {
                        "XO_THERM_GPS", 
                        0x4C, 
                        0x02, 
                        0x02, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        XTTB
                    }, 

                    Package (0x0B)
                    {
                        "SYS_THERM1", 
                        0x4D, 
                        0x02, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB
                    }, 

                    Package (0x0B)
                    {
                        "PA_THERM", 
                        0x4E, 
                        0x02, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB
                    }
                })
            }

            Method (SYTB, 0, NotSerialized)
            {
                Return (Package (0x22)
                {
                    Package (0x02)
                    {
                        0x0040DD78, 
                        0xFFFFFFD8
                    }, 

                    Package (0x02)
                    {
                        0x002DD9E4, 
                        0xFFFFFFDD
                    }, 

                    Package (0x02)
                    {
                        0x0020CA24, 
                        0xFFFFFFE2
                    }, 

                    Package (0x02)
                    {
                        0x0017B588, 
                        0xFFFFFFE7
                    }, 

                    Package (0x02)
                    {
                        0x001152C4, 
                        0xFFFFFFEC
                    }, 

                    Package (0x02)
                    {
                        0x000CC8A8, 
                        0xFFFFFFF1
                    }, 

                    Package (0x02)
                    {
                        0x000985E4, 
                        0xFFFFFFF6
                    }, 

                    Package (0x02)
                    {
                        0x0007286C, 
                        0xFFFFFFFB
                    }, 

                    Package (0x02)
                    {
                        0x00056D10, 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        0x000425B8, 
                        0x05
                    }, 

                    Package (0x02)
                    {
                        0x000331F8, 
                        0x0A
                    }, 

                    Package (0x02)
                    {
                        0x00027AC4, 
                        0x0F
                    }, 

                    Package (0x02)
                    {
                        0x0001F018, 
                        0x14
                    }, 

                    Package (0x02)
                    {
                        0x000186A0, 
                        0x19
                    }, 

                    Package (0x02)
                    {
                        0x00013560, 
                        0x1E
                    }, 

                    Package (0x02)
                    {
                        0xF6E0, 
                        0x23
                    }, 

                    Package (0x02)
                    {
                        0xC60C, 
                        0x28
                    }, 

                    Package (0x02)
                    {
                        0x9FC4, 
                        0x2D
                    }, 

                    Package (0x02)
                    {
                        0x81B0, 
                        0x32
                    }, 

                    Package (0x02)
                    {
                        0x69DC, 
                        0x37
                    }, 

                    Package (0x02)
                    {
                        0x56B8, 
                        0x3C
                    }, 

                    Package (0x02)
                    {
                        0x477C, 
                        0x41
                    }, 

                    Package (0x02)
                    {
                        0x3B60, 
                        0x46
                    }, 

                    Package (0x02)
                    {
                        0x3138, 
                        0x4B
                    }, 

                    Package (0x02)
                    {
                        0x2968, 
                        0x50
                    }, 

                    Package (0x02)
                    {
                        0x22BA, 
                        0x55
                    }, 

                    Package (0x02)
                    {
                        0x1D4C, 
                        0x5A
                    }, 

                    Package (0x02)
                    {
                        0x18D8, 
                        0x5F
                    }, 

                    Package (0x02)
                    {
                        0x1522, 
                        0x64
                    }, 

                    Package (0x02)
                    {
                        0x120C, 
                        0x69
                    }, 

                    Package (0x02)
                    {
                        0x0F82, 
                        0x6E
                    }, 

                    Package (0x02)
                    {
                        0x0D5C, 
                        0x73
                    }, 

                    Package (0x02)
                    {
                        0x0B86, 
                        0x78
                    }, 

                    Package (0x02)
                    {
                        0x0A00, 
                        0x7D
                    }
                })
            }

            Method (XTTB, 0, NotSerialized)
            {
                Return (Package (0xA8)
                {
                    Package (0x02)
                    {
                        0x0040DC21, 
                        0xFFFF6000
                    }, 

                    Package (0x02)
                    {
                        0x003C74E5, 
                        0xFFFF6400
                    }, 

                    Package (0x02)
                    {
                        0x0038611B, 
                        0xFFFF6800
                    }, 

                    Package (0x02)
                    {
                        0x00349A1A, 
                        0xFFFF6C00
                    }, 

                    Package (0x02)
                    {
                        0x003119CB, 
                        0xFFFF7000
                    }, 

                    Package (0x02)
                    {
                        0x002DDA9A, 
                        0xFFFF7400
                    }, 

                    Package (0x02)
                    {
                        0x002AD76C, 
                        0xFFFF7800
                    }, 

                    Package (0x02)
                    {
                        0x00280B95, 
                        0xFFFF7C00
                    }, 

                    Package (0x02)
                    {
                        0x002572CA, 
                        0xFFFF8000
                    }, 

                    Package (0x02)
                    {
                        0x0023091E, 
                        0xFFFF8400
                    }, 

                    Package (0x02)
                    {
                        0x0020CAF4, 
                        0xFFFF8800
                    }, 

                    Package (0x02)
                    {
                        0x001EB4FE, 
                        0xFFFF8C00
                    }, 

                    Package (0x02)
                    {
                        0x001CC430, 
                        0xFFFF9000
                    }, 

                    Package (0x02)
                    {
                        0x001AF5BE, 
                        0xFFFF9400
                    }, 

                    Package (0x02)
                    {
                        0x00194716, 
                        0xFFFF9800
                    }, 

                    Package (0x02)
                    {
                        0x0017B5DC, 
                        0xFFFF9C00
                    }, 

                    Package (0x02)
                    {
                        0x00163FE3, 
                        0xFFFFA000
                    }, 

                    Package (0x02)
                    {
                        0x0014E329, 
                        0xFFFFA400
                    }, 

                    Package (0x02)
                    {
                        0x00139DD6, 
                        0xFFFFA800
                    }, 

                    Package (0x02)
                    {
                        0x00126E37, 
                        0xFFFFAC00
                    }, 

                    Package (0x02)
                    {
                        0x001152BA, 
                        0xFFFFB000
                    }, 

                    Package (0x02)
                    {
                        0x001049ED, 
                        0xFFFFB400
                    }, 

                    Package (0x02)
                    {
                        0x000F527B, 
                        0xFFFFB800
                    }, 

                    Package (0x02)
                    {
                        0x000E6B27, 
                        0xFFFFBC00
                    }, 

                    Package (0x02)
                    {
                        0x000D92CE, 
                        0xFFFFC000
                    }, 

                    Package (0x02)
                    {
                        0x000CC863, 
                        0xFFFFC400
                    }, 

                    Package (0x02)
                    {
                        0x000C0AED, 
                        0xFFFFC800
                    }, 

                    Package (0x02)
                    {
                        0x000B5985, 
                        0xFFFFCC00
                    }, 

                    Package (0x02)
                    {
                        0x000AB357, 
                        0xFFFFD000
                    }, 

                    Package (0x02)
                    {
                        0x000A179D, 
                        0xFFFFD400
                    }, 

                    Package (0x02)
                    {
                        0x000985A0, 
                        0xFFFFD800
                    }, 

                    Package (0x02)
                    {
                        0x0008FCB6, 
                        0xFFFFDC00
                    }, 

                    Package (0x02)
                    {
                        0x00087C44, 
                        0xFFFFE000
                    }, 

                    Package (0x02)
                    {
                        0x000803B7, 
                        0xFFFFE400
                    }, 

                    Package (0x02)
                    {
                        0x00079288, 
                        0xFFFFE800
                    }, 

                    Package (0x02)
                    {
                        0x0007283A, 
                        0xFFFFEC00
                    }, 

                    Package (0x02)
                    {
                        0x0006C458, 
                        0xFFFFF000
                    }, 

                    Package (0x02)
                    {
                        0x00066678, 
                        0xFFFFF400
                    }, 

                    Package (0x02)
                    {
                        0x00060E33, 
                        0xFFFFF800
                    }, 

                    Package (0x02)
                    {
                        0x0005BB2D, 
                        0xFFFFFC00
                    }, 

                    Package (0x02)
                    {
                        0x00056D0E, 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        0x00052387, 
                        0x0400
                    }, 

                    Package (0x02)
                    {
                        0x0004DE4C, 
                        0x0800
                    }, 

                    Package (0x02)
                    {
                        0x00049D17, 
                        0x0C00
                    }, 

                    Package (0x02)
                    {
                        0x00045FA6, 
                        0x1000
                    }, 

                    Package (0x02)
                    {
                        0x000425BE, 
                        0x1400
                    }, 

                    Package (0x02)
                    {
                        0x0003EF25, 
                        0x1800
                    }, 

                    Package (0x02)
                    {
                        0x0003BBA6, 
                        0x1C00
                    }, 

                    Package (0x02)
                    {
                        0x00038B11, 
                        0x2000
                    }, 

                    Package (0x02)
                    {
                        0x00035D37, 
                        0x2400
                    }, 

                    Package (0x02)
                    {
                        0x000331EE, 
                        0x2800
                    }, 

                    Package (0x02)
                    {
                        0x0003090E, 
                        0x2C00
                    }, 

                    Package (0x02)
                    {
                        0x0002E270, 
                        0x3000
                    }, 

                    Package (0x02)
                    {
                        0x0002BDF2, 
                        0x3400
                    }, 

                    Package (0x02)
                    {
                        0x00029B74, 
                        0x3800
                    }, 

                    Package (0x02)
                    {
                        0x00027AD7, 
                        0x3C00
                    }, 

                    Package (0x02)
                    {
                        0x00025BFE, 
                        0x4000
                    }, 

                    Package (0x02)
                    {
                        0x00023ECE, 
                        0x4400
                    }, 

                    Package (0x02)
                    {
                        0x0002232F, 
                        0x4800
                    }, 

                    Package (0x02)
                    {
                        0x00020909, 
                        0x4C00
                    }, 

                    Package (0x02)
                    {
                        0x0001F046, 
                        0x5000
                    }, 

                    Package (0x02)
                    {
                        0x0001D8D2, 
                        0x5400
                    }, 

                    Package (0x02)
                    {
                        0x0001C298, 
                        0x5800
                    }, 

                    Package (0x02)
                    {
                        0x0001AD88, 
                        0x5C00
                    }, 

                    Package (0x02)
                    {
                        0x00019990, 
                        0x6000
                    }, 

                    Package (0x02)
                    {
                        0x000186A0, 
                        0x6400
                    }, 

                    Package (0x02)
                    {
                        0x000174AA, 
                        0x6800
                    }, 

                    Package (0x02)
                    {
                        0x0001639E, 
                        0x6C00
                    }, 

                    Package (0x02)
                    {
                        0x00015371, 
                        0x7000
                    }, 

                    Package (0x02)
                    {
                        0x00014415, 
                        0x7400
                    }, 

                    Package (0x02)
                    {
                        0x00013580, 
                        0x7800
                    }, 

                    Package (0x02)
                    {
                        0x000127A6, 
                        0x7C00
                    }, 

                    Package (0x02)
                    {
                        0x00011A7C, 
                        0x8000
                    }, 

                    Package (0x02)
                    {
                        0x00010DFA, 
                        0x8400
                    }, 

                    Package (0x02)
                    {
                        0x00010216, 
                        0x8800
                    }, 

                    Package (0x02)
                    {
                        0xF6C8, 
                        0x8C00
                    }, 

                    Package (0x02)
                    {
                        0xEC07, 
                        0x9000
                    }, 

                    Package (0x02)
                    {
                        0xE1CC, 
                        0x9400
                    }, 

                    Package (0x02)
                    {
                        0xD810, 
                        0x9800
                    }, 

                    Package (0x02)
                    {
                        0xCECC, 
                        0x9C00
                    }, 

                    Package (0x02)
                    {
                        0xC5F9, 
                        0xA000
                    }, 

                    Package (0x02)
                    {
                        0xBD93, 
                        0xA400
                    }, 

                    Package (0x02)
                    {
                        0xB592, 
                        0xA800
                    }, 

                    Package (0x02)
                    {
                        0xADF2, 
                        0xAC00
                    }, 

                    Package (0x02)
                    {
                        0xA6AE, 
                        0xB000
                    }, 

                    Package (0x02)
                    {
                        0x9FC1, 
                        0xB400
                    }, 

                    Package (0x02)
                    {
                        0x9927, 
                        0xB800
                    }, 

                    Package (0x02)
                    {
                        0x92DB, 
                        0xBC00
                    }, 

                    Package (0x02)
                    {
                        0x8CD9, 
                        0xC000
                    }, 

                    Package (0x02)
                    {
                        0x871E, 
                        0xC400
                    }, 

                    Package (0x02)
                    {
                        0x81A6, 
                        0xC800
                    }, 

                    Package (0x02)
                    {
                        0x7C6D, 
                        0xCC00
                    }, 

                    Package (0x02)
                    {
                        0x7771, 
                        0xD000
                    }, 

                    Package (0x02)
                    {
                        0x72AE, 
                        0xD400
                    }, 

                    Package (0x02)
                    {
                        0x6E22, 
                        0xD800
                    }, 

                    Package (0x02)
                    {
                        0x69CA, 
                        0xDC00
                    }, 

                    Package (0x02)
                    {
                        0x65A4, 
                        0xE000
                    }, 

                    Package (0x02)
                    {
                        0x61AC, 
                        0xE400
                    }, 

                    Package (0x02)
                    {
                        0x5DE1, 
                        0xE800
                    }, 

                    Package (0x02)
                    {
                        0x5A40, 
                        0xEC00
                    }, 

                    Package (0x02)
                    {
                        0x56C8, 
                        0xF000
                    }, 

                    Package (0x02)
                    {
                        0x5377, 
                        0xF400
                    }, 

                    Package (0x02)
                    {
                        0x504A, 
                        0xF800
                    }, 

                    Package (0x02)
                    {
                        0x4D40, 
                        0xFC00
                    }, 

                    Package (0x02)
                    {
                        0x4A57, 
                        0x00010000
                    }, 

                    Package (0x02)
                    {
                        0x478E, 
                        0x00010400
                    }, 

                    Package (0x02)
                    {
                        0x44E4, 
                        0x00010800
                    }, 

                    Package (0x02)
                    {
                        0x4256, 
                        0x00010C00
                    }, 

                    Package (0x02)
                    {
                        0x3FE3, 
                        0x00011000
                    }, 

                    Package (0x02)
                    {
                        0x3D8B, 
                        0x00011400
                    }, 

                    Package (0x02)
                    {
                        0x3B4C, 
                        0x00011800
                    }, 

                    Package (0x02)
                    {
                        0x3924, 
                        0x00011C00
                    }, 

                    Package (0x02)
                    {
                        0x3713, 
                        0x00012000
                    }, 

                    Package (0x02)
                    {
                        0x3518, 
                        0x00012400
                    }, 

                    Package (0x02)
                    {
                        0x3332, 
                        0x00012800
                    }, 

                    Package (0x02)
                    {
                        0x3160, 
                        0x00012C00
                    }, 

                    Package (0x02)
                    {
                        0x2FA0, 
                        0x00013000
                    }, 

                    Package (0x02)
                    {
                        0x2DF2, 
                        0x00013400
                    }, 

                    Package (0x02)
                    {
                        0x2C56, 
                        0x00013800
                    }, 

                    Package (0x02)
                    {
                        0x2ACA, 
                        0x00013C00
                    }, 

                    Package (0x02)
                    {
                        0x294E, 
                        0x00014000
                    }, 

                    Package (0x02)
                    {
                        0x27E1, 
                        0x00014400
                    }, 

                    Package (0x02)
                    {
                        0x2682, 
                        0x00014800
                    }, 

                    Package (0x02)
                    {
                        0x2531, 
                        0x00014C00
                    }, 

                    Package (0x02)
                    {
                        0x23ED, 
                        0x00015000
                    }, 

                    Package (0x02)
                    {
                        0x22B6, 
                        0x00015400
                    }, 

                    Package (0x02)
                    {
                        0x218B, 
                        0x00015800
                    }, 

                    Package (0x02)
                    {
                        0x206B, 
                        0x00015C00
                    }, 

                    Package (0x02)
                    {
                        0x1F57, 
                        0x00016000
                    }, 

                    Package (0x02)
                    {
                        0x1E4D, 
                        0x00016400
                    }, 

                    Package (0x02)
                    {
                        0x1D4D, 
                        0x00016800
                    }, 

                    Package (0x02)
                    {
                        0x1C56, 
                        0x00016C00
                    }, 

                    Package (0x02)
                    {
                        0x1B69, 
                        0x00017000
                    }, 

                    Package (0x02)
                    {
                        0x1A85, 
                        0x00017400
                    }, 

                    Package (0x02)
                    {
                        0x19AA, 
                        0x00017800
                    }, 

                    Package (0x02)
                    {
                        0x18D6, 
                        0x00017C00
                    }, 

                    Package (0x02)
                    {
                        0x180B, 
                        0x00018000
                    }, 

                    Package (0x02)
                    {
                        0x1747, 
                        0x00018400
                    }, 

                    Package (0x02)
                    {
                        0x168A, 
                        0x00018800
                    }, 

                    Package (0x02)
                    {
                        0x15D4, 
                        0x00018C00
                    }, 

                    Package (0x02)
                    {
                        0x1524, 
                        0x00019000
                    }, 

                    Package (0x02)
                    {
                        0x147B, 
                        0x00019400
                    }, 

                    Package (0x02)
                    {
                        0x13D8, 
                        0x00019800
                    }, 

                    Package (0x02)
                    {
                        0x133B, 
                        0x00019C00
                    }, 

                    Package (0x02)
                    {
                        0x12A3, 
                        0x0001A000
                    }, 

                    Package (0x02)
                    {
                        0x1211, 
                        0x0001A400
                    }, 

                    Package (0x02)
                    {
                        0x1184, 
                        0x0001A800
                    }, 

                    Package (0x02)
                    {
                        0x10FC, 
                        0x0001AC00
                    }, 

                    Package (0x02)
                    {
                        0x1079, 
                        0x0001B000
                    }, 

                    Package (0x02)
                    {
                        0x0FFA, 
                        0x0001B400
                    }, 

                    Package (0x02)
                    {
                        0x0F80, 
                        0x0001B800
                    }, 

                    Package (0x02)
                    {
                        0x0F0A, 
                        0x0001BC00
                    }, 

                    Package (0x02)
                    {
                        0x0E98, 
                        0x0001C000
                    }, 

                    Package (0x02)
                    {
                        0x0E2A, 
                        0x0001C400
                    }, 

                    Package (0x02)
                    {
                        0x0DBF, 
                        0x0001C800
                    }, 

                    Package (0x02)
                    {
                        0x0D59, 
                        0x0001CC00
                    }, 

                    Package (0x02)
                    {
                        0x0CF5, 
                        0x0001D000
                    }, 

                    Package (0x02)
                    {
                        0x0C95, 
                        0x0001D400
                    }, 

                    Package (0x02)
                    {
                        0x0C39, 
                        0x0001D800
                    }, 

                    Package (0x02)
                    {
                        0x0BDF, 
                        0x0001DC00
                    }, 

                    Package (0x02)
                    {
                        0x0B88, 
                        0x0001E000
                    }, 

                    Package (0x02)
                    {
                        0x0B34, 
                        0x0001E400
                    }, 

                    Package (0x02)
                    {
                        0x0AE3, 
                        0x0001E800
                    }, 

                    Package (0x02)
                    {
                        0x0A95, 
                        0x0001EC00
                    }, 

                    Package (0x02)
                    {
                        0x0A49, 
                        0x0001F000
                    }, 

                    Package (0x02)
                    {
                        0x0A00, 
                        0x0001F400
                    }, 

                    Package (0x02)
                    {
                        0x09B9, 
                        0x0001F800
                    }, 

                    Package (0x02)
                    {
                        0x0974, 
                        0x0001FC00
                    }
                })
            }

            Method (VTCH, 0, NotSerialized)
            {
                Return (Package (0x04)
                {
                    Package (0x0D)
                    {
                        "VPH_PWR", 
                        0x83, 
                        Zero, 
                        One, 
                        Zero, 
                        0x02, 
                        One, 
                        0x03, 
                        Zero, 
                        Zero, 
                        Zero, 
                        Zero, 
                        0x15F9
                    }, 

                    Package (0x0D)
                    {
                        "PMIC_THERM", 
                        0x06, 
                        Zero, 
                        Zero, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        0x03, 
                        Zero, 
                        Zero, 
                        0xFFFF3CB0, 
                        0x000249F0
                    }, 

                    Package (0x0D)
                    {
                        "SYS_THERM1", 
                        0x4D, 
                        0x02, 
                        Zero, 
                        Zero, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB, 
                        0xFFFFFFD8, 
                        0x7D
                    }, 

                    Package (0x0D)
                    {
                        "PA_THERM", 
                        0x4E, 
                        0x02, 
                        Zero, 
                        Zero, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB, 
                        0xFFFFFFD8, 
                        0x7D
                    }
                })
            }

            Method (VTMT, 0, NotSerialized)
            {
                Return (Package (0x03)
                {
                    0x0B, 
                    One, 
                    0x05
                })
            }
        }

        Scope (\_SB.ADC2)
        {
            Method (CHAN, 0, NotSerialized)
            {
                Return (Package (0x07)
                {
                    Package (0x0B)
                    {
                        "PMIC_TEMP2", 
                        0x06, 
                        Zero, 
                        Zero, 
                        0x02, 
                        0x02, 
                        One, 
                        One, 
                        0x03, 
                        Zero, 
                        Zero
                    }, 

                    Package (0x0B)
                    {
                        "USB_IN_I", 
                        0x07, 
                        Zero, 
                        Zero, 
                        0x02, 
                        0x02, 
                        One, 
                        One, 
                        Zero, 
                        Zero, 
                        Zero
                    }, 

                    Package (0x0B)
                    {
                        "USB_IN", 
                        0x08, 
                        Zero, 
                        Zero, 
                        0x02, 
                        0x02, 
                        One, 
                        0x10, 
                        Zero, 
                        Zero, 
                        Zero
                    }, 

                    Package (0x0B)
                    {
                        "CHG_TEMP", 
                        0x09, 
                        Zero, 
                        Zero, 
                        0x02, 
                        0x02, 
                        One, 
                        One, 
                        Zero, 
                        Zero, 
                        Zero
                    }, 

                    Package (0x0B)
                    {
                        "SYS_THERM2", 
                        0x4D, 
                        0x02, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB
                    }, 

                    Package (0x0B)
                    {
                        "SYS_THERM3", 
                        0x4E, 
                        0x02, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB
                    }, 

                    Package (0x0B)
                    {
                        "PA_THERM1", 
                        0x4F, 
                        0x02, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB
                    }
                })
            }

            Method (SYTB, 0, NotSerialized)
            {
                Return (Package (0x22)
                {
                    Package (0x02)
                    {
                        0x0040DD78, 
                        0xFFFFFFD8
                    }, 

                    Package (0x02)
                    {
                        0x002DD9E4, 
                        0xFFFFFFDD
                    }, 

                    Package (0x02)
                    {
                        0x0020CA24, 
                        0xFFFFFFE2
                    }, 

                    Package (0x02)
                    {
                        0x0017B588, 
                        0xFFFFFFE7
                    }, 

                    Package (0x02)
                    {
                        0x001152C4, 
                        0xFFFFFFEC
                    }, 

                    Package (0x02)
                    {
                        0x000CC8A8, 
                        0xFFFFFFF1
                    }, 

                    Package (0x02)
                    {
                        0x000985E4, 
                        0xFFFFFFF6
                    }, 

                    Package (0x02)
                    {
                        0x0007286C, 
                        0xFFFFFFFB
                    }, 

                    Package (0x02)
                    {
                        0x00056D10, 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        0x000425B8, 
                        0x05
                    }, 

                    Package (0x02)
                    {
                        0x000331F8, 
                        0x0A
                    }, 

                    Package (0x02)
                    {
                        0x00027AC4, 
                        0x0F
                    }, 

                    Package (0x02)
                    {
                        0x0001F018, 
                        0x14
                    }, 

                    Package (0x02)
                    {
                        0x000186A0, 
                        0x19
                    }, 

                    Package (0x02)
                    {
                        0x00013560, 
                        0x1E
                    }, 

                    Package (0x02)
                    {
                        0xF6E0, 
                        0x23
                    }, 

                    Package (0x02)
                    {
                        0xC60C, 
                        0x28
                    }, 

                    Package (0x02)
                    {
                        0x9FC4, 
                        0x2D
                    }, 

                    Package (0x02)
                    {
                        0x81B0, 
                        0x32
                    }, 

                    Package (0x02)
                    {
                        0x69DC, 
                        0x37
                    }, 

                    Package (0x02)
                    {
                        0x56B8, 
                        0x3C
                    }, 

                    Package (0x02)
                    {
                        0x477C, 
                        0x41
                    }, 

                    Package (0x02)
                    {
                        0x3B60, 
                        0x46
                    }, 

                    Package (0x02)
                    {
                        0x3138, 
                        0x4B
                    }, 

                    Package (0x02)
                    {
                        0x2968, 
                        0x50
                    }, 

                    Package (0x02)
                    {
                        0x22BA, 
                        0x55
                    }, 

                    Package (0x02)
                    {
                        0x1D4C, 
                        0x5A
                    }, 

                    Package (0x02)
                    {
                        0x18D8, 
                        0x5F
                    }, 

                    Package (0x02)
                    {
                        0x1522, 
                        0x64
                    }, 

                    Package (0x02)
                    {
                        0x120C, 
                        0x69
                    }, 

                    Package (0x02)
                    {
                        0x0F82, 
                        0x6E
                    }, 

                    Package (0x02)
                    {
                        0x0D5C, 
                        0x73
                    }, 

                    Package (0x02)
                    {
                        0x0B86, 
                        0x78
                    }, 

                    Package (0x02)
                    {
                        0x0A00, 
                        0x7D
                    }
                })
            }

            Method (VTCH, 0, NotSerialized)
            {
                Return (Package (0x04)
                {
                    Package (0x0D)
                    {
                        "PMIC_TEMP2", 
                        0x06, 
                        Zero, 
                        Zero, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        0x03, 
                        Zero, 
                        Zero, 
                        0xFFFF3CB0, 
                        0x000249F0
                    }, 

                    Package (0x0D)
                    {
                        "SYS_THERM2", 
                        0x4D, 
                        0x02, 
                        Zero, 
                        Zero, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB, 
                        0xFFFFFFD8, 
                        0x7D
                    }, 

                    Package (0x0D)
                    {
                        "SYS_THERM3", 
                        0x4E, 
                        0x02, 
                        Zero, 
                        Zero, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB, 
                        0xFFFFFFD8, 
                        0x7D
                    }, 

                    Package (0x0D)
                    {
                        "PA_THERM1", 
                        0x4F, 
                        0x02, 
                        Zero, 
                        Zero, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB, 
                        0xFFFFFFD8, 
                        0x7D
                    }
                })
            }

            Method (VTMT, 0, NotSerialized)
            {
                Return (Package (0x03)
                {
                    0x0B, 
                    One, 
                    0x05
                })
            }
        }

        Scope (\_SB.ADC3)
        {
            Method (CHAN, 0, NotSerialized)
            {
                Return (Package (0x04)
                {
                    Package (0x0B)
                    {
                        "PMIC_TEMP3", 
                        0x06, 
                        Zero, 
                        Zero, 
                        0x02, 
                        0x02, 
                        One, 
                        One, 
                        0x03, 
                        Zero, 
                        Zero
                    }, 

                    Package (0x0B)
                    {
                        "SYS_THERM4", 
                        0x4D, 
                        0x02, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB
                    }, 

                    Package (0x0B)
                    {
                        "SYS_THERM5", 
                        0x4E, 
                        0x02, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB
                    }, 

                    Package (0x0B)
                    {
                        "SYS_THERM6", 
                        0x4F, 
                        0x02, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB
                    }
                })
            }

            Method (SYTB, 0, NotSerialized)
            {
                Return (Package (0x22)
                {
                    Package (0x02)
                    {
                        0x0040DD78, 
                        0xFFFFFFD8
                    }, 

                    Package (0x02)
                    {
                        0x002DD9E4, 
                        0xFFFFFFDD
                    }, 

                    Package (0x02)
                    {
                        0x0020CA24, 
                        0xFFFFFFE2
                    }, 

                    Package (0x02)
                    {
                        0x0017B588, 
                        0xFFFFFFE7
                    }, 

                    Package (0x02)
                    {
                        0x001152C4, 
                        0xFFFFFFEC
                    }, 

                    Package (0x02)
                    {
                        0x000CC8A8, 
                        0xFFFFFFF1
                    }, 

                    Package (0x02)
                    {
                        0x000985E4, 
                        0xFFFFFFF6
                    }, 

                    Package (0x02)
                    {
                        0x0007286C, 
                        0xFFFFFFFB
                    }, 

                    Package (0x02)
                    {
                        0x00056D10, 
                        Zero
                    }, 

                    Package (0x02)
                    {
                        0x000425B8, 
                        0x05
                    }, 

                    Package (0x02)
                    {
                        0x000331F8, 
                        0x0A
                    }, 

                    Package (0x02)
                    {
                        0x00027AC4, 
                        0x0F
                    }, 

                    Package (0x02)
                    {
                        0x0001F018, 
                        0x14
                    }, 

                    Package (0x02)
                    {
                        0x000186A0, 
                        0x19
                    }, 

                    Package (0x02)
                    {
                        0x00013560, 
                        0x1E
                    }, 

                    Package (0x02)
                    {
                        0xF6E0, 
                        0x23
                    }, 

                    Package (0x02)
                    {
                        0xC60C, 
                        0x28
                    }, 

                    Package (0x02)
                    {
                        0x9FC4, 
                        0x2D
                    }, 

                    Package (0x02)
                    {
                        0x81B0, 
                        0x32
                    }, 

                    Package (0x02)
                    {
                        0x69DC, 
                        0x37
                    }, 

                    Package (0x02)
                    {
                        0x56B8, 
                        0x3C
                    }, 

                    Package (0x02)
                    {
                        0x477C, 
                        0x41
                    }, 

                    Package (0x02)
                    {
                        0x3B60, 
                        0x46
                    }, 

                    Package (0x02)
                    {
                        0x3138, 
                        0x4B
                    }, 

                    Package (0x02)
                    {
                        0x2968, 
                        0x50
                    }, 

                    Package (0x02)
                    {
                        0x22BA, 
                        0x55
                    }, 

                    Package (0x02)
                    {
                        0x1D4C, 
                        0x5A
                    }, 

                    Package (0x02)
                    {
                        0x18D8, 
                        0x5F
                    }, 

                    Package (0x02)
                    {
                        0x1522, 
                        0x64
                    }, 

                    Package (0x02)
                    {
                        0x120C, 
                        0x69
                    }, 

                    Package (0x02)
                    {
                        0x0F82, 
                        0x6E
                    }, 

                    Package (0x02)
                    {
                        0x0D5C, 
                        0x73
                    }, 

                    Package (0x02)
                    {
                        0x0B86, 
                        0x78
                    }, 

                    Package (0x02)
                    {
                        0x0A00, 
                        0x7D
                    }
                })
            }

            Method (VTCH, 0, NotSerialized)
            {
                Return (Package (0x04)
                {
                    Package (0x0D)
                    {
                        "PMIC_TEMP3", 
                        0x06, 
                        Zero, 
                        Zero, 
                        Zero, 
                        0x02, 
                        One, 
                        One, 
                        0x03, 
                        Zero, 
                        Zero, 
                        0xFFFF3CB0, 
                        0x000249F0
                    }, 

                    Package (0x0D)
                    {
                        "SYS_THERM4", 
                        0x4D, 
                        0x02, 
                        Zero, 
                        Zero, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB, 
                        0xFFFFFFD8, 
                        0x7D
                    }, 

                    Package (0x0D)
                    {
                        "SYS_THERM5", 
                        0x4E, 
                        0x02, 
                        Zero, 
                        Zero, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB, 
                        0xFFFFFFD8, 
                        0x7D
                    }, 

                    Package (0x0D)
                    {
                        "SYS_THERM6", 
                        0x4F, 
                        0x02, 
                        Zero, 
                        Zero, 
                        One, 
                        One, 
                        One, 
                        0x02, 
                        0x000186A0, 
                        SYTB, 
                        0xFFFFFFD8, 
                        0x7D
                    }
                })
            }

            Method (VTMT, 0, NotSerialized)
            {
                Return (Package (0x03)
                {
                    0x0B, 
                    One, 
                    0x05
                })
            }
        }

        Device (QBT1)
        {
            Name (_HID, "QBT1000")  // _HID: Hardware ID
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.TREE, 
                \_SB.SCM0
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullDown, 0x0000,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0076
                        }
                    GpioInt (Edge, ActiveBoth, Exclusive, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0080
                        }
                })
                Return (RBUF) /* \_SB_.QBT1._CRS.RBUF */
            }
        }

        Device (FPC1)
        {
            Name (_HID, "FPC1020")  // _HID: Hardware ID
            Name (_DEP, Package (0x02)  // _DEP: Dependencies
            {
                \_SB.TREE, 
                \_SB.SCM0
            })
            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveHigh, SharedAndWake, PullDown, 0x0000,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0076
                        }
                    GpioIo (Exclusive, PullDown, 0x0000, 0x0000, IoRestrictionNone,
                        "\\_SB.GIO0", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x005F
                        }
                })
                Return (RBUF) /* \_SB_.FPC1._CRS.RBUF */
            }

            Name (PGID, Buffer (0x0A)
            {
                "\\_SB.FPC1"
            })
            Name (FLAG, 0x03)
            Name (DBUF, Buffer (DBFL){})
            CreateByteField (DBUF, Zero, STAT)
            CreateByteField (DBUF, 0x02, DVAL)
            CreateField (DBUF, 0x18, 0xA0, DEID)
            Method (_S1D, 0, NotSerialized)  // _S1D: S1 Device State
            {
                Return (0x03)
            }

            Method (_S2D, 0, NotSerialized)  // _S2D: S2 Device State
            {
                Return (0x03)
            }

            Method (_S3D, 0, NotSerialized)  // _S3D: S3 Device State
            {
                Return (0x03)
            }

            Method (_PS0, 0, NotSerialized)  // _PS0: Power State 0
            {
                If ((FLAG == 0x03))
                {
                    Sleep (0x012C)
                    OperationRegion (GI95, SystemMemory, 0x0395F000, 0x20)
                    Field (GI95, DWordAcc, NoLock, Preserve)
                    {
                        DWD1,   32, 
                        DWD2,   32
                    }

                    DWD2 = 0x02
                    Sleep (0x05)
                }

                DEID = Buffer (ESNL){}
                DVAL = Zero
                DEID = PGID /* \_SB_.FPC1.PGID */
                If (\_SB.ABD.AVBL)
                {
                    \_SB.PEP0.FLD0 = DBUF /* \_SB_.FPC1.DBUF */
                }

                FLAG = Zero
            }

            Method (_PS2, 0, NotSerialized)  // _PS2: Power State 2
            {
            }

            Method (_PS3, 0, NotSerialized)  // _PS3: Power State 3
            {
                DEID = Buffer (ESNL){}
                DVAL = 0x03
                DEID = PGID /* \_SB_.FPC1.PGID */
                If (\_SB.ABD.AVBL)
                {
                    \_SB.PEP0.FLD0 = DBUF /* \_SB_.FPC1.DBUF */
                }

                FLAG = 0x03
            }

            Method (_RST, 0, NotSerialized)  // _RST: Device Reset
            {
                OperationRegion (GI95, SystemMemory, 0x0395F000, 0x20)
                Field (GI95, DWordAcc, NoLock, Preserve)
                {
                    DWD1,   32, 
                    DWD2,   32
                }

                DWD2 = 0x02
                Sleep (One)
                DWD2 = Zero
                Sleep (0x05)
                DWD2 = 0x02
                Sleep (0x05)
            }
        }
    }

    Scope (\_SB)
    {
        Device (WSLT)
        {
            Method (_HID, 0, NotSerialized)  // _HID: Hardware ID
            {
                Return ("MSHW0005")
            }

            Name (_CID, "PNP0C60" /* Display Sensor Device */)  // _CID: Compatible ID
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }
        }
    }

    Scope (\_SB)
    {
        Device (SHPS)
        {
            Name (_HID, "MSHW0153")  // _HID: Hardware ID
            Method (_STA, 0, Serialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                If ((Arg0 == ToUUID ("5515a847-ed55-4b27-8352-cd320e10360a") /* Unknown UUID */))
                {
                    If ((ToInteger (Arg1) == One))
                    {
                        If ((ToInteger (Arg2) == Zero))
                        {
                            Return (Buffer (One)
                            {
                                 0x41                                             // A
                            })
                        }

                        If ((ToInteger (Arg2) == 0x06))
                        {
                            Local0 = 0x0E
                            Return (Local0)
                        }
                    }
                }

                Return (Buffer (One)
                {
                     0x00                                             // .
                })
            }
        }
    }

    Scope (\_SB)
    {
        Device (WSID)
        {
            Name (_HID, "MSHW0115")  // _HID: Hardware ID
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                If ((Arg0 == ToUUID ("a653cdf4-476c-44fb-b366-a73cedf6e14c") /* Unknown UUID */))
                {
                    If ((Arg1 == Zero))
                    {
                        If ((Arg2 == Zero))
                        {
                            Return (Buffer (One)
                            {
                                 0x09                                             // .
                            })
                        }

                        If ((Arg2 == 0x03))
                        {
                            Return (OCEL) /* \OCEL */
                        }

                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                    }
                    Else
                    {
                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                    }
                }
                Else
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
            }
        }
    }

    ThermalZone (TPOL)
    {
        Name (_HID, "MSHW0187")  // _HID: Hardware ID
        Name (_UID, One)  // _UID: Unique ID
        Method (_DEP, 0, NotSerialized)  // _DEP: Dependencies
        {
            Return (Package (One)
            {
                \_SB.PEP0
            })
        }

        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (0x0F)
        }

        Method (INPS, 0, NotSerialized)
        {
            Name (CFG0, Package (0x02)
            {
                "\\_SB.TZ2", 
                "\\_SB.TZ5"
            })
            Return (CFG0) /* \TPOL.INPS.CFG0 */
        }

        Method (OPTS, 0, NotSerialized)
        {
            Name (CFG0, Package (0x05)
            {
                "\\_SB.SYSM.CLUS.CPU4", 
                "\\_SB.SYSM.CLUS.CPU5", 
                "\\_SB.SYSM.CLUS.CPU6", 
                "\\_SB.SYSM.CLUS.CPU7", 
                "\\_SB.GPU0"
            })
            Return (CFG0) /* \TPOL.OPTS.CFG0 */
        }
    }

    Scope (\_SB)
    {
        Device (MSBT)
        {
            Name (_DEP, Package (0x01)  // _DEP: Dependencies
            {
                \_SB.PM01
            })
            Method (_HID, 0, NotSerialized)  // _HID: Hardware ID
            {
                Return ("MSHW0040")
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (Zero)
            }

            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
            {
                Name (RBUF, ResourceTemplate ()
                {
                    GpioInt (Edge, ActiveBoth, SharedAndWake, PullDown, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0000
                        }
                    GpioIo (Shared, PullDown, 0x0000, 0x0000, IoRestrictionInputOnly,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0000
                        }
                    GpioInt (Edge, ActiveBoth, Shared, PullUp, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0085
                        }
                    GpioIo (Shared, PullUp, 0x0000, 0x0000, IoRestrictionInputOnly,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0085
                        }
                    GpioInt (Edge, ActiveBoth, Shared, PullDown, 0x0000,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0001
                        }
                    GpioIo (Shared, PullUp, 0x0000, 0x0000, IoRestrictionInputOnly,
                        "\\_SB.PM01", 0x00, ResourceConsumer, ,
                        )
                        {   // Pin list
                            0x0001
                        }
                })
                Return (RBUF) /* \_SB_.MSBT._CRS.RBUF */
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                If ((Arg0 == ToUUID ("6fd05c69-cde3-49f4-95ed-ab1665498035") /* Unknown UUID */))
                {
                    If ((Arg1 == One))
                    {
                        If ((Arg2 == Zero))
                        {
                            Return (Buffer (One)
                            {
                                 0x0F                                             // .
                            })
                        }

                        If ((Arg2 == One)){}
                        If ((Arg2 == 0x02))
                        {
                            Local0 = 0x06
                            Return (Local0)
                        }

                        If ((Arg2 == 0x03))
                        {
                            Return (Buffer (One)
                            {
                                 0x0C                                             // .
                            })
                        }
                        Else
                        {
                            Return (Buffer (One)
                            {
                                 0xFF                                             // .
                            })
                        }
                    }
                    Else
                    {
                        Return (Buffer (One)
                        {
                             0x00                                             // .
                        })
                    }
                }
                Else
                {
                    Return (Buffer (One)
                    {
                         0x00                                             // .
                    })
                }
            }
        }
    }

    Scope (\_SB)
    {
        Name (_PLD, Package (0x12)  // _PLD: Physical Location of Device
        {
            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0xD0, 0x07,  // ........
                    /* 0008 */  0x41, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00,  // A.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0xD0, 0x07,  // ........
                    /* 0008 */  0x49, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00,  // I.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xD0, 0x07, 0x3C, 0x00,  // ......<.
                    /* 0008 */  0x51, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00,  // Q.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xD0, 0x07, 0x3C, 0x00,  // ......<.
                    /* 0008 */  0x59, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00,  // Y.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0x3C, 0x00,  // ......<.
                    /* 0008 */  0x61, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00,  // a.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0x3C, 0x00,  // ......<.
                    /* 0008 */  0x69, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00,  // i.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0x01, 0x00,  // ........
                    /* 0008 */  0x41, 0x0D, 0x00, 0x00, 0x04, 0x00, 0x04, 0x00,  // A.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0x01, 0x00,  // ........
                    /* 0008 */  0x49, 0x0D, 0x00, 0x00, 0x04, 0x00, 0x04, 0x00,  // I.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0x01, 0x00, 0xE8, 0x03,  // ........
                    /* 0008 */  0x51, 0x0D, 0x00, 0x00, 0x04, 0x00, 0x04, 0x00,  // Q.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0x01, 0x00, 0xE8, 0x03,  // ........
                    /* 0008 */  0x59, 0x0D, 0x00, 0x00, 0x04, 0x00, 0x04, 0x00,  // Y.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (0x03)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0xE8, 0x03,  // ........
                    /* 0008 */  0x61, 0x0D, 0x00, 0x00, 0x04, 0x00, 0x04, 0x00,  // a.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }, 

                ToUUID ("f01cfc40-3c75-4523-9e44-215cb154bda6") /* Unknown UUID */, 
                Buffer (0x10)
                {
                    /* 0000 */  0x41, 0x02, 0x00, 0x80, 0x5A, 0x00, 0x5A, 0x00,  // A...Z.Z.
                    /* 0008 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00   // ........
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0xE8, 0x03,  // ........
                    /* 0008 */  0x69, 0x0D, 0x00, 0x00, 0x04, 0x00, 0x04, 0x00,  // i.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0x3C, 0x00,  // ......<.
                    /* 0008 */  0x41, 0x0D, 0x00, 0x00, 0x08, 0x00, 0x04, 0x00,  // A.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0x3C, 0x00,  // ......<.
                    /* 0008 */  0x49, 0x0D, 0x00, 0x00, 0x08, 0x00, 0x04, 0x00,  // I.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0x3C, 0x00, 0xD0, 0x07,  // ....<...
                    /* 0008 */  0x51, 0x0D, 0x00, 0x00, 0x08, 0x00, 0x04, 0x00,  // Q.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0x3C, 0x00, 0xD0, 0x07,  // ....<...
                    /* 0008 */  0x59, 0x0D, 0x00, 0x00, 0x08, 0x00, 0x04, 0x00,  // Y.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }, 

            Package (0x03)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0xD0, 0x07,  // ........
                    /* 0008 */  0x61, 0x0D, 0x00, 0x00, 0x08, 0x00, 0x04, 0x00,  // a.......
                    /* 0010 */  0xE8, 0x03, 0x00, 0x00                           // ....
                }, 

                ToUUID ("f01cfc40-3c75-4523-9e44-215cb154bda6") /* Unknown UUID */, 
                Buffer (0x10)
                {
                    /* 0000 */  0x41, 0x12, 0x50, 0x80, 0xB4, 0x00, 0x00, 0x00,  // A.P.....
                    /* 0008 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00   // ........
                }
            }, 

            Package (One)
            {
                Buffer (0x14)
                {
                    /* 0000 */  0x02, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0xD0, 0x07,  // ........
                    /* 0008 */  0x69, 0x0D, 0x00, 0x00, 0x08, 0x00, 0x04, 0x00,  // i.......
                    /* 0010 */  0xFF, 0xFF, 0xFF, 0xFF                           // ....
                }
            }
        })
    }

    OperationRegion (XBLH, SystemMemory, 0x146BFA94, 0x64)
    Field (XBLH, AnyAcc, NoLock, Preserve)
    {
        BDID,   8, 
        BTPS,   8, 
        HWIR,   8, 
        ISCM,   8, 
        ISAM,   8, 
        PMRR,   8, 
        TFWV,   128, 
        OCEL,   16
    }
}

